class PureMapConstants:
    UNIT_TYPE = ["A", None]
    AREA_TYPE = ["LAND"]
    ORDER_TYPE = ["HOLD", "MOVE", "SUPPORT", "BUILD", "DISBAND", "RETREAT", None]
    POWER = ["AUSTRIA", "ENGLAND", "FRANCE", "ITALY", "GERMANY", "RUSSIA", "TURKEY", None]
    MAX_ORDERS_PR_LOCATION = 43
    WINNING_CENTER_COUNT = 4
    SEASON = ["S", "F", "W", None]

    TOPOLOGICAL_SORTED_LOCATIONS = ["VIE", "LON", "PAR", "BER", "ROM", "MOS", "CON"]
    TOPOLOGICAL_SORTED_LOCATIONS_WITH_NONE = ["VIE", "LON", "PAR", "BER", "ROM", "MOS", "CON", None]

    ORDER_VOCABULARY = ['A BER S A VIE - ROM',
                        'A BER S A ROM - LON',
                        'A BER S A CON - MOS',
                        'A BER S A PAR - VIE',
                        'A BER S A ROM - VIE',
                        'A BER S A CON',
                        'A BER S A VIE - PAR',
                        'A BER - PAR',
                        'A BER S A LON',
                        'A BER S A LON - CON',
                        'A BER S A VIE - CON',
                        'A BER S A ROM - MOS',
                        'A BER S A LON - MOS',
                        'A BER S A ROM - CON',
                        'A BER - LON',
                        'A BER - VIE',
                        'A BER S A MOS - ROM',
                        'A BER S A MOS',
                        'A BER S A VIE',
                        'A BER S A PAR - ROM',
                        'A BER - MOS',
                        'A BER S A MOS - PAR',
                        'A BER S A CON - PAR',
                        'A BER - CON',
                        'A BER S A VIE - MOS',
                        'A BER S A ROM - PAR',
                        'A BER S A LON - PAR',
                        'A BER S A ROM',
                        'A BER S A MOS - VIE',
                        'A BER - ROM',
                        'A BER S A LON - VIE',
                        'A BER H',
                        'A BER S A PAR - MOS',
                        'A BER S A PAR - CON',
                        'A BER S A CON - LON',
                        'A BER S A CON - ROM',
                        'A BER S A VIE - LON',
                        'A BER S A PAR - LON',
                        'A BER S A MOS - CON',
                        'A BER S A PAR',
                        'A BER S A MOS - LON',
                        'A BER S A CON - VIE',
                        'A BER S A LON - ROM',
                        "A BER B",
                        "A BER D",
                        "A BER R CON",
                        "A BER R MOS",
                        "A BER R LON",
                        "A BER R ROM",
                        "A BER R VIE",
                        "A BER R PAR",
                        'A CON S A MOS - ROM',
                        'A CON S A LON - VIE',
                        'A CON H',
                        'A CON S A VIE - BER',
                        'A CON S A VIE - ROM',
                        'A CON S A VIE - MOS',
                        'A CON S A BER - LON',
                        'A CON - VIE',
                        'A CON S A MOS - VIE',
                        'A CON S A ROM - MOS',
                        'A CON S A LON - PAR',
                        'A CON S A PAR - BER',
                        'A CON S A ROM - VIE',
                        'A CON S A MOS - BER',
                        'A CON S A PAR',
                        'A CON S A ROM - PAR',
                        'A CON S A BER',
                        'A CON S A VIE',
                        'A CON S A VIE - LON',
                        'A CON - PAR',
                        'A CON S A MOS - PAR',
                        'A CON - LON',
                        'A CON S A BER - VIE',
                        'A CON S A PAR - LON',
                        'A CON S A BER - PAR',
                        'A CON S A MOS - LON',
                        'A CON S A LON - ROM',
                        'A CON S A BER - ROM',
                        'A CON S A LON - MOS',
                        'A CON - ROM',
                        'A CON S A VIE - PAR',
                        'A CON S A ROM - LON',
                        'A CON S A BER - MOS',
                        'A CON S A PAR - ROM',
                        'A CON S A ROM - BER',
                        'A CON S A PAR - VIE',
                        'A CON S A PAR - MOS',
                        'A CON S A LON',
                        'A CON - MOS',
                        'A CON - BER',
                        'A CON S A MOS',
                        'A CON S A ROM',
                        'A CON S A LON - BER',
                        "A CON B",
                        "A CON D",
                        "A CON R BER",
                        "A CON R MOS",
                        "A CON R LON",
                        "A CON R ROM",
                        "A CON R VIE",
                        "A CON R PAR",
                        'A LON S A VIE',
                        'A LON S A PAR',
                        'A LON S A PAR - BER',
                        'A LON - VIE',
                        'A LON S A BER - MOS',
                        'A LON S A MOS - CON',
                        'A LON S A BER',
                        'A LON S A MOS',
                        'A LON S A BER - VIE',
                        'A LON S A ROM - MOS',
                        'A LON - CON',
                        'A LON - BER',
                        'A LON S A ROM - BER',
                        'A LON S A CON',
                        'A LON S A PAR - CON',
                        'A LON S A BER - ROM',
                        'A LON S A CON - VIE',
                        'A LON - PAR',
                        'A LON S A BER - PAR',
                        'A LON - ROM',
                        'A LON S A VIE - CON',
                        'A LON S A ROM - CON',
                        'A LON S A CON - PAR',
                        'A LON S A MOS - BER',
                        'A LON S A ROM - PAR',
                        'A LON S A MOS - PAR',
                        'A LON S A VIE - MOS',
                        'A LON S A VIE - BER',
                        'A LON S A CON - BER',
                        'A LON - MOS',
                        'A LON S A MOS - VIE',
                        'A LON S A MOS - ROM',
                        'A LON S A PAR - MOS',
                        'A LON S A ROM - VIE',
                        'A LON S A VIE - ROM',
                        'A LON S A VIE - PAR',
                        'A LON S A BER - CON',
                        'A LON H',
                        'A LON S A ROM',
                        'A LON S A PAR - VIE',
                        'A LON S A CON - ROM',
                        'A LON S A CON - MOS',
                        'A LON S A PAR - ROM',
                        "A LON B",
                        "A LON D",
                        "A LON R BER",
                        "A LON R MOS",
                        "A LON R CON",
                        "A LON R ROM",
                        "A LON R VIE",
                        "A LON R PAR",
                        'A MOS - ROM',
                        'A MOS S A ROM - BER',
                        'A MOS S A LON - CON',
                        'A MOS S A VIE - ROM',
                        'A MOS S A BER - PAR',
                        'A MOS S A PAR - VIE',
                        'A MOS - BER',
                        'A MOS S A PAR',
                        'A MOS S A ROM - CON',
                        'A MOS S A PAR - BER',
                        'A MOS S A LON - ROM',
                        'A MOS S A VIE - LON',
                        'A MOS S A BER',
                        'A MOS S A VIE - BER',
                        'A MOS - PAR',
                        'A MOS S A VIE',
                        'A MOS S A PAR - LON',
                        'A MOS S A CON - BER',
                        'A MOS S A BER - VIE',
                        'A MOS S A CON - ROM',
                        'A MOS S A CON - VIE',
                        'A MOS S A CON - LON',
                        'A MOS S A ROM - LON',
                        'A MOS S A PAR - CON',
                        'A MOS S A VIE - CON',
                        'A MOS S A VIE - PAR',
                        'A MOS S A BER - LON',
                        'A MOS S A BER - CON',
                        'A MOS H',
                        'A MOS S A BER - ROM',
                        'A MOS S A ROM - PAR',
                        'A MOS - CON',
                        'A MOS S A PAR - ROM',
                        'A MOS S A LON - VIE',
                        'A MOS S A LON',
                        'A MOS - VIE',
                        'A MOS S A ROM - VIE',
                        'A MOS S A LON - PAR',
                        'A MOS S A LON - BER',
                        'A MOS S A CON - PAR',
                        'A MOS - LON',
                        'A MOS S A ROM',
                        'A MOS S A CON',
                        "A MOS B",
                        "A MOS D",
                        "A MOS R BER",
                        "A MOS R CON",
                        "A MOS R LON",
                        "A MOS R ROM",
                        "A MOS R VIE",
                        "A MOS R PAR",
                        'A PAR S A MOS - CON',
                        'A PAR S A LON - VIE',
                        'A PAR S A ROM - CON',
                        'A PAR S A CON - BER',
                        'A PAR S A VIE - ROM',
                        'A PAR - BER',
                        'A PAR S A VIE - CON',
                        'A PAR S A BER - MOS',
                        'A PAR S A MOS - VIE',
                        'A PAR S A CON - VIE',
                        'A PAR - MOS',
                        'A PAR S A ROM',
                        'A PAR S A LON - ROM',
                        'A PAR S A CON',
                        'A PAR S A ROM - VIE',
                        'A PAR S A VIE - LON',
                        'A PAR S A MOS - BER',
                        'A PAR S A CON - MOS',
                        'A PAR S A ROM - LON',
                        'A PAR S A ROM - MOS',
                        'A PAR S A LON - MOS',
                        'A PAR S A VIE',
                        'A PAR - ROM',
                        'A PAR - CON',
                        'A PAR S A LON - CON',
                        'A PAR S A VIE - BER',
                        'A PAR S A CON - LON',
                        'A PAR S A MOS - ROM',
                        'A PAR S A ROM - BER',
                        'A PAR - LON',
                        'A PAR S A MOS - LON',
                        'A PAR S A LON - BER',
                        'A PAR H',
                        'A PAR S A VIE - MOS',
                        'A PAR S A BER - CON',
                        'A PAR S A LON',
                        'A PAR S A BER',
                        'A PAR S A MOS',
                        'A PAR S A BER - VIE',
                        'A PAR S A BER - ROM',
                        'A PAR S A CON - ROM',
                        'A PAR - VIE',
                        'A PAR S A BER - LON',
                        "A PAR B",
                        "A PAR D",
                        "A PAR R BER",
                        "A PAR R MOS",
                        "A PAR R LON",
                        "A PAR R ROM",
                        "A PAR R VIE",
                        "A PAR R CON",
                        'A ROM S A CON - MOS',
                        'A ROM - MOS',
                        'A ROM - VIE',
                        'A ROM S A VIE - MOS',
                        'A ROM S A MOS - VIE',
                        'A ROM S A VIE - LON',
                        'A ROM - BER',
                        'A ROM S A BER - VIE',
                        'A ROM S A CON',
                        'A ROM S A VIE - CON',
                        'A ROM S A CON - PAR',
                        'A ROM S A VIE - BER',
                        'A ROM S A MOS',
                        'A ROM S A LON - BER',
                        'A ROM S A MOS - CON',
                        'A ROM S A VIE - PAR',
                        'A ROM S A PAR - BER',
                        'A ROM S A PAR - LON',
                        'A ROM H',
                        'A ROM S A BER - LON',
                        'A ROM S A CON - VIE',
                        'A ROM S A PAR',
                        'A ROM S A BER - PAR',
                        'A ROM S A PAR - CON',
                        'A ROM S A LON - CON',
                        'A ROM - PAR',
                        'A ROM - CON',
                        'A ROM S A MOS - BER',
                        'A ROM S A MOS - PAR',
                        'A ROM S A VIE',
                        'A ROM S A BER - MOS',
                        'A ROM S A CON - BER',
                        'A ROM - LON',
                        'A ROM S A LON',
                        'A ROM S A LON - MOS',
                        'A ROM S A PAR - VIE',
                        'A ROM S A PAR - MOS',
                        'A ROM S A BER',
                        'A ROM S A CON - LON',
                        'A ROM S A LON - PAR',
                        'A ROM S A MOS - LON',
                        'A ROM S A BER - CON',
                        "A ROM B",
                        "A ROM D",
                        "A ROM R BER",
                        "A ROM R MOS",
                        "A ROM R LON",
                        "A ROM R CON",
                        "A ROM R VIE",
                        "A ROM R PAR",
                        'A ROM S A LON - VIE',
                        'A VIE S A MOS - BER',
                        'A VIE - MOS',
                        'A VIE S A ROM - PAR',
                        'A VIE S A MOS - ROM',
                        'A VIE S A LON - PAR',
                        'A VIE S A MOS - PAR',
                        'A VIE S A ROM',
                        'A VIE S A ROM - MOS',
                        'A VIE - PAR',
                        'A VIE S A PAR - ROM',
                        'A VIE S A LON',
                        'A VIE S A PAR - CON',
                        'A VIE S A BER - PAR',
                        'A VIE - CON',
                        'A VIE - LON',
                        'A VIE S A ROM - LON',
                        'A VIE S A BER',
                        'A VIE S A CON - LON',
                        'A VIE S A LON - BER',
                        'A VIE S A LON - MOS',
                        'A VIE S A PAR',
                        'A VIE S A CON - PAR',
                        'A VIE S A BER - MOS',
                        'A VIE S A ROM - CON',
                        'A VIE S A CON - ROM',
                        'A VIE - ROM',
                        'A VIE S A PAR - LON',
                        'A VIE S A PAR - MOS',
                        'A VIE S A MOS - CON',
                        'A VIE S A MOS - LON',
                        'A VIE S A CON - MOS',
                        'A VIE S A BER - ROM',
                        'A VIE S A PAR - BER',
                        'A VIE S A ROM - BER',
                        'A VIE S A LON - ROM',
                        'A VIE S A BER - CON',
                        'A VIE S A MOS',
                        'A VIE H',
                        'A VIE S A CON - BER',
                        'A VIE S A CON',
                        'A VIE S A BER - LON',
                        'A VIE - BER',
                        'A VIE S A LON - CON',
                        "A VIE B",
                        "A VIE D",
                        "A VIE R BER",
                        "A VIE R MOS",
                        "A VIE R LON",
                        "A VIE R ROM",
                        "A VIE R CON",
                        "A VIE R PAR"]
