from games.dip.dip import DiplomacyGame


class GameFactory:

    @staticmethod
    def create_game(players, game_callback_list, **game_configs):
        if game_configs["name"].upper() == "DIPLOMACY":
            return DiplomacyGame(players=players, max_steps=game_configs["max_steps"], map_name=game_configs["map_name"],
                                 assign_powers_to_players_randomly=game_configs["assign_powers_to_players_randomly"],
                                 callback_list=game_callback_list)
        raise ValueError("Game is not supported")
