class StandardMapConstants:
    UNIT_TYPE = ["A", "F", None]
    POWER = ["AUSTRIA", "ENGLAND", "FRANCE", "ITALY", "GERMANY", "RUSSIA", "TURKEY", None]
    AREA_TYPE = ["LAND", "WATER", "COAST"]
    ORDER_TYPE = ["HOLD", "MOVE", "SUPPORT", "CONVOY", "BUILD", "DISBAND", "RETREAT", None]
    MAX_ORDERS_PR_LOCATION = 469
    WINNING_CENTER_COUNT = 18
    SEASON = ["S", "F", "W", None]

    # The part of the file is copied from: https://github.com/diplomacy/research/blob/6f6b4bd74372acbee15f24a73dcf7780f1cae9de/diplomacy_research/models/state_space.py#L1040
    # ==============================================================================
    # Copyright 2019 - Philip Paquette
    #
    # NOTICE:  Permission is hereby granted, free of charge, to any person obtaining
    #   a copy of this software and associated documentation files (the "Software"),
    #   to deal in the Software without restriction, including without limitation the
    #   rights to use, copy, modify, merge, publish, distribute, sublicense, and/or
    #   sell copies of the Software, and to permit persons to whom the Software is
    #   furnished to do so, subject to the following conditions:
    #
    #   The above copyright notice and this permission notice shall be included in all
    #   copies or substantial portions of the Software.
    # ==============================================================================
    TOPOLOGICAL_SORTED_LOCATIONS = ['YOR', 'EDI', 'LON', 'LVP', 'NTH', 'WAL', 'CLY',
                                    'NWG', 'ENG', 'IRI', 'NAO', 'BEL', 'DEN', 'HEL',
                                    'HOL', 'NWY', 'SKA', 'BAR', 'BRE', 'MAO', 'PIC',
                                    'BUR', 'RUH', 'BAL', 'KIE', 'SWE', 'FIN', 'STP',
                                    'STP/NC', 'GAS', 'PAR', 'NAF', 'POR', 'SPA', 'SPA/NC',
                                    'SPA/SC', 'WES', 'MAR', 'MUN', 'BER', 'BOT', 'LVN',
                                    'PRU', 'STP/SC', 'MOS', 'TUN', 'LYO', 'TYS', 'PIE',
                                    'BOH', 'SIL', 'TYR', 'WAR', 'SEV', 'UKR', 'ION',
                                    'TUS', 'NAP', 'ROM', 'VEN', 'GAL', 'VIE', 'TRI',
                                    'ARM', 'BLA', 'RUM', 'ADR', 'AEG', 'ALB', 'APU',
                                    'EAS', 'GRE', 'BUD', 'SER', 'ANK', 'SMY', 'SYR',
                                    'BUL', 'BUL/EC', 'CON', 'BUL/SC']
    TOPOLOGICAL_SORTED_LOCATIONS_WITH_NONE = ['YOR', 'EDI', 'LON', 'LVP', 'NTH', 'WAL', 'CLY',
                                              'NWG', 'ENG', 'IRI', 'NAO', 'BEL', 'DEN', 'HEL',
                                              'HOL', 'NWY', 'SKA', 'BAR', 'BRE', 'MAO', 'PIC',
                                              'BUR', 'RUH', 'BAL', 'KIE', 'SWE', 'FIN', 'STP',
                                              'STP/NC', 'GAS', 'PAR', 'NAF', 'POR', 'SPA', 'SPA/NC',
                                              'SPA/SC', 'WES', 'MAR', 'MUN', 'BER', 'BOT', 'LVN',
                                              'PRU', 'STP/SC', 'MOS', 'TUN', 'LYO', 'TYS', 'PIE',
                                              'BOH', 'SIL', 'TYR', 'WAR', 'SEV', 'UKR', 'ION',
                                              'TUS', 'NAP', 'ROM', 'VEN', 'GAL', 'VIE', 'TRI',
                                              'ARM', 'BLA', 'RUM', 'ADR', 'AEG', 'ALB', 'APU',
                                              'EAS', 'GRE', 'BUD', 'SER', 'ANK', 'SMY', 'SYR',
                                              'BUL', 'BUL/EC', 'CON', 'BUL/SC', None]

    # The rest of this file is copied from https://github.com/facebookresearch/diplomacy_searchbot/blob/main/fairdiplomacy/models/diplomacy_model/order_vocabulary_consts.py
    # Copyright (c) Facebook, Inc. and its affiliates.
    #
    # This source code is licensed under the MIT license found in the
    # LICENSE file in the root directory of this source tree.
    ORDER_VOCABULARY = [
        "A ALB - APU VIA",
        "A ALB - BRE VIA",
        "A ALB - BUL VIA",
        "A ALB - CON VIA",
        "A ALB - GAS VIA",
        "A ALB - GRE",
        "A ALB - GRE VIA",
        "A ALB - MAR VIA",
        "A ALB - NAF VIA",
        "A ALB - NAP VIA",
        "A ALB - PIE VIA",
        "A ALB - POR VIA",
        "A ALB - ROM VIA",
        "A ALB - SER",
        "A ALB - SMY VIA",
        "A ALB - SPA VIA",
        "A ALB - SPA/SC VIA",
        "A ALB - SPA/NC VIA",
        "A ALB - SYR VIA",
        "A ALB - TRI",
        "A ALB - TRI VIA",
        "A ALB - TUN VIA",
        "A ALB - TUS VIA",
        "A ALB - VEN VIA",
        "A ALB D",
        "A ALB H",
        "A ALB R GRE",
        "A ALB R SER",
        "A ALB R TRI",
        "A ALB S A APU - GRE",
        "A ALB S A APU - TRI",
        "A ALB S A BRE - GRE",
        "A ALB S A BUD - SER",
        "A ALB S A BUD - TRI",
        "A ALB S A BUL - GRE",
        "A ALB S A BUL - SER",
        "A ALB S A BUL - TRI",
        "A ALB S A CON - GRE",
        "A ALB S A CON - TRI",
        "A ALB S A GAS - GRE",
        "A ALB S A GRE",
        "A ALB S A GRE - SER",
        "A ALB S A GRE - TRI",
        "A ALB S A MAR - GRE",
        "A ALB S A MAR - TRI",
        "A ALB S A NAF - GRE",
        "A ALB S A NAF - TRI",
        "A ALB S A NAP - GRE",
        "A ALB S A NAP - TRI",
        "A ALB S A PIE - GRE",
        "A ALB S A PIE - TRI",
        "A ALB S A POR - GRE",
        "A ALB S A ROM - GRE",
        "A ALB S A ROM - TRI",
        "A ALB S A RUM - SER",
        "A ALB S A SER",
        "A ALB S A SER - GRE",
        "A ALB S A SER - TRI",
        "A ALB S A SMY - GRE",
        "A ALB S A SMY - TRI",
        "A ALB S A SPA - GRE",
        "A ALB S A SPA/NC - GRE",
        "A ALB S A SPA/SC - GRE",
        "A ALB S A SPA - TRI",
        "A ALB S A SPA/NC - TRI",
        "A ALB S A SPA/SC - TRI",
        "A ALB S A SYR - GRE",
        "A ALB S A SYR - TRI",
        "A ALB S A TRI",
        "A ALB S A TRI - GRE",
        "A ALB S A TRI - SER",
        "A ALB S A TUN - GRE",
        "A ALB S A TUN - TRI",
        "A ALB S A TUS - GRE",
        "A ALB S A TUS - TRI",
        "A ALB S A TYR - TRI",
        "A ALB S A VEN - GRE",
        "A ALB S A VEN - TRI",
        "A ALB S A VIE - TRI",
        "A ALB S F ADR - TRI",
        "A ALB S F AEG - GRE",
        "A ALB S F BUL/SC - GRE",
        "A ALB S F GRE",
        "A ALB S F ION - GRE",
        "A ALB S F TRI",
        "A ALB S F VEN - TRI",
        "A ANK - ARM",
        "A ANK - ARM VIA",
        "A ANK - BUL VIA",
        "A ANK - CON",
        "A ANK - CON VIA",
        "A ANK - RUM VIA",
        "A ANK - SEV VIA",
        "A ANK - SMY",
        "A ANK B",
        "A ANK B;A CON B",
        "A ANK B;A CON B;A SMY B",
        "A ANK B;A CON B;F SMY B",
        "A ANK B;A SMY B",
        "A ANK B;A SMY B;F CON B",
        "A ANK B;F CON B",
        "A ANK B;F CON B;F SMY B",
        "A ANK B;F SMY B",
        "A ANK D",
        "A ANK H",
        "A ANK R ARM",
        "A ANK R CON",
        "A ANK R SMY",
        "A ANK S A ALB - CON",
        "A ANK S A ALB - SMY",
        "A ANK S A APU - CON",
        "A ANK S A APU - SMY",
        "A ANK S A ARM",
        "A ANK S A ARM - CON",
        "A ANK S A ARM - SMY",
        "A ANK S A BUL - ARM",
        "A ANK S A BUL - CON",
        "A ANK S A BUL - SMY",
        "A ANK S A CON",
        "A ANK S A CON - ARM",
        "A ANK S A CON - SMY",
        "A ANK S A GRE - CON",
        "A ANK S A GRE - SMY",
        "A ANK S A MAR - CON",
        "A ANK S A MAR - SMY",
        "A ANK S A NAF - CON",
        "A ANK S A NAF - SMY",
        "A ANK S A NAP - CON",
        "A ANK S A NAP - SMY",
        "A ANK S A PIE - CON",
        "A ANK S A PIE - SMY",
        "A ANK S A ROM - CON",
        "A ANK S A ROM - SMY",
        "A ANK S A RUM - ARM",
        "A ANK S A RUM - CON",
        "A ANK S A SEV - ARM",
        "A ANK S A SEV - CON",
        "A ANK S A SMY",
        "A ANK S A SMY - ARM",
        "A ANK S A SMY - CON",
        "A ANK S A SPA - CON",
        "A ANK S A SPA/NC - CON",
        "A ANK S A SPA/SC - CON",
        "A ANK S A SPA - SMY",
        "A ANK S A SPA/NC - SMY",
        "A ANK S A SPA/SC - SMY",
        "A ANK S A SYR - ARM",
        "A ANK S A SYR - CON",
        "A ANK S A SYR - SMY",
        "A ANK S A TRI - CON",
        "A ANK S A TRI - SMY",
        "A ANK S A TUN - CON",
        "A ANK S A TUN - SMY",
        "A ANK S A TUS - CON",
        "A ANK S A TUS - SMY",
        "A ANK S A VEN - CON",
        "A ANK S A VEN - SMY",
        "A ANK S F AEG - CON",
        "A ANK S F AEG - SMY",
        "A ANK S F ARM",
        "A ANK S F BLA - ARM",
        "A ANK S F BLA - CON",
        "A ANK S F BUL/EC - CON",
        "A ANK S F BUL/SC - CON",
        "A ANK S F CON",
        "A ANK S F CON - SMY",
        "A ANK S F EAS - SMY",
        "A ANK S F SEV - ARM",
        "A ANK S F SMY",
        "A ANK S F SMY - CON",
        "A ANK S F SYR - SMY",
        "A APU - ALB VIA",
        "A APU - BRE VIA",
        "A APU - BUL VIA",
        "A APU - CON VIA",
        "A APU - GAS VIA",
        "A APU - GRE VIA",
        "A APU - MAR VIA",
        "A APU - NAF VIA",
        "A APU - NAP",
        "A APU - NAP VIA",
        "A APU - PIE VIA",
        "A APU - POR VIA",
        "A APU - ROM",
        "A APU - ROM VIA",
        "A APU - SMY VIA",
        "A APU - SPA VIA",
        "A APU - SPA/NC VIA",
        "A APU - SPA/SC VIA",
        "A APU - SYR VIA",
        "A APU - TRI VIA",
        "A APU - TUN VIA",
        "A APU - TUS VIA",
        "A APU - VEN",
        "A APU - VEN VIA",
        "A APU D",
        "A APU H",
        "A APU R NAP",
        "A APU R ROM",
        "A APU R VEN",
        "A APU S A ALB - NAP",
        "A APU S A ALB - ROM",
        "A APU S A ALB - VEN",
        "A APU S A BEL - NAP",
        "A APU S A BEL - ROM",
        "A APU S A BRE - NAP",
        "A APU S A BRE - ROM",
        "A APU S A BUL - NAP",
        "A APU S A BUL - ROM",
        "A APU S A BUL - VEN",
        "A APU S A CLY - NAP",
        "A APU S A CLY - ROM",
        "A APU S A CON - NAP",
        "A APU S A CON - ROM",
        "A APU S A CON - VEN",
        "A APU S A GAS - NAP",
        "A APU S A GAS - ROM",
        "A APU S A GRE - NAP",
        "A APU S A GRE - ROM",
        "A APU S A GRE - VEN",
        "A APU S A LON - NAP",
        "A APU S A LON - ROM",
        "A APU S A LVP - NAP",
        "A APU S A LVP - ROM",
        "A APU S A MAR - NAP",
        "A APU S A MAR - ROM",
        "A APU S A MAR - VEN",
        "A APU S A NAF - NAP",
        "A APU S A NAF - ROM",
        "A APU S A NAF - VEN",
        "A APU S A NAP",
        "A APU S A NAP - ROM",
        "A APU S A NAP - VEN",
        "A APU S A PIC - NAP",
        "A APU S A PIC - ROM",
        "A APU S A PIE - NAP",
        "A APU S A PIE - ROM",
        "A APU S A PIE - VEN",
        "A APU S A POR - NAP",
        "A APU S A POR - ROM",
        "A APU S A ROM",
        "A APU S A ROM - NAP",
        "A APU S A ROM - VEN",
        "A APU S A SMY - NAP",
        "A APU S A SMY - ROM",
        "A APU S A SMY - VEN",
        "A APU S A SPA - NAP",
        "A APU S A SPA/NC - NAP",
        "A APU S A SPA/SC - NAP",
        "A APU S A SPA - ROM",
        "A APU S A SPA/NC - ROM",
        "A APU S A SPA/SC - ROM",
        "A APU S A SPA - VEN",
        "A APU S A SPA/NC - VEN",
        "A APU S A SPA/SC - VEN",
        "A APU S A SYR - NAP",
        "A APU S A SYR - ROM",
        "A APU S A SYR - VEN",
        "A APU S A TRI - NAP",
        "A APU S A TRI - ROM",
        "A APU S A TRI - VEN",
        "A APU S A TUN - NAP",
        "A APU S A TUN - ROM",
        "A APU S A TUN - VEN",
        "A APU S A TUS - NAP",
        "A APU S A TUS - ROM",
        "A APU S A TUS - VEN",
        "A APU S A TYR - VEN",
        "A APU S A VEN",
        "A APU S A VEN - NAP",
        "A APU S A VEN - ROM",
        "A APU S A WAL - NAP",
        "A APU S A WAL - ROM",
        "A APU S F ADR - VEN",
        "A APU S F ION - NAP",
        "A APU S F NAP",
        "A APU S F NAP - ROM",
        "A APU S F ROM",
        "A APU S F ROM - NAP",
        "A APU S F TRI - VEN",
        "A APU S F TUS - ROM",
        "A APU S F TYS - NAP",
        "A APU S F TYS - ROM",
        "A APU S F VEN",
        "A ARM - ANK",
        "A ARM - ANK VIA",
        "A ARM - BUL VIA",
        "A ARM - CON VIA",
        "A ARM - RUM VIA",
        "A ARM - SEV",
        "A ARM - SEV VIA",
        "A ARM - SMY",
        "A ARM - SYR",
        "A ARM D",
        "A ARM H",
        "A ARM R ANK",
        "A ARM R SEV",
        "A ARM R SMY",
        "A ARM R SYR",
        "A ARM S A ALB - SMY",
        "A ARM S A ALB - SYR",
        "A ARM S A ANK",
        "A ARM S A ANK - SEV",
        "A ARM S A ANK - SMY",
        "A ARM S A APU - SMY",
        "A ARM S A APU - SYR",
        "A ARM S A BUL - ANK",
        "A ARM S A BUL - SEV",
        "A ARM S A BUL - SMY",
        "A ARM S A BUL - SYR",
        "A ARM S A CON - ANK",
        "A ARM S A CON - SEV",
        "A ARM S A CON - SMY",
        "A ARM S A CON - SYR",
        "A ARM S A GRE - SMY",
        "A ARM S A GRE - SYR",
        "A ARM S A MAR - SMY",
        "A ARM S A MAR - SYR",
        "A ARM S A MOS - SEV",
        "A ARM S A NAF - SMY",
        "A ARM S A NAF - SYR",
        "A ARM S A NAP - SMY",
        "A ARM S A NAP - SYR",
        "A ARM S A PIE - SMY",
        "A ARM S A PIE - SYR",
        "A ARM S A ROM - SMY",
        "A ARM S A ROM - SYR",
        "A ARM S A RUM - ANK",
        "A ARM S A RUM - SEV",
        "A ARM S A SEV",
        "A ARM S A SEV - ANK",
        "A ARM S A SMY",
        "A ARM S A SMY - ANK",
        "A ARM S A SMY - SYR",
        "A ARM S A SPA - SMY",
        "A ARM S A SPA/NC - SMY",
        "A ARM S A SPA/SC - SMY",
        "A ARM S A SPA - SYR",
        "A ARM S A SPA/NC - SYR",
        "A ARM S A SPA/SC - SYR",
        "A ARM S A SYR",
        "A ARM S A SYR - SMY",
        "A ARM S A TRI - SMY",
        "A ARM S A TRI - SYR",
        "A ARM S A TUN - SMY",
        "A ARM S A TUN - SYR",
        "A ARM S A TUS - SMY",
        "A ARM S A TUS - SYR",
        "A ARM S A UKR - SEV",
        "A ARM S A VEN - SMY",
        "A ARM S A VEN - SYR",
        "A ARM S F AEG - SMY",
        "A ARM S F ANK",
        "A ARM S F BLA - ANK",
        "A ARM S F BLA - SEV",
        "A ARM S F CON - ANK",
        "A ARM S F CON - SMY",
        "A ARM S F EAS - SMY",
        "A ARM S F EAS - SYR",
        "A ARM S F RUM - SEV",
        "A ARM S F SEV",
        "A ARM S F SMY",
        "A ARM S F SMY - SYR",
        "A ARM S F SYR",
        "A ARM S F SYR - SMY",
        "A BEL - BRE VIA",
        "A BEL - BUR",
        "A BEL - CLY VIA",
        "A BEL - DEN VIA",
        "A BEL - EDI VIA",
        "A BEL - GAS VIA",
        "A BEL - HOL",
        "A BEL - HOL VIA",
        "A BEL - KIE VIA",
        "A BEL - LON VIA",
        "A BEL - LVP VIA",
        "A BEL - MAR VIA",
        "A BEL - NAF VIA",
        "A BEL - NAP VIA",
        "A BEL - NWY VIA",
        "A BEL - PIC",
        "A BEL - PIC VIA",
        "A BEL - PIE VIA",
        "A BEL - POR VIA",
        "A BEL - ROM VIA",
        "A BEL - RUH",
        "A BEL - SPA VIA",
        "A BEL - SPA/NC VIA",
        "A BEL - SPA/SC VIA",
        "A BEL - STP VIA",
        "A BEL - SWE VIA",
        "A BEL - TUN VIA",
        "A BEL - TUS VIA",
        "A BEL - WAL VIA",
        "A BEL - YOR VIA",
        "A BEL D",
        "A BEL H",
        "A BEL R BUR",
        "A BEL R HOL",
        "A BEL R PIC",
        "A BEL R RUH",
        "A BEL S A BRE - HOL",
        "A BEL S A BRE - PIC",
        "A BEL S A BUR",
        "A BEL S A BUR - PIC",
        "A BEL S A BUR - RUH",
        "A BEL S A CLY - HOL",
        "A BEL S A CLY - PIC",
        "A BEL S A DEN - HOL",
        "A BEL S A DEN - PIC",
        "A BEL S A EDI - HOL",
        "A BEL S A EDI - PIC",
        "A BEL S A GAS - BUR",
        "A BEL S A GAS - HOL",
        "A BEL S A GAS - PIC",
        "A BEL S A HOL",
        "A BEL S A HOL - PIC",
        "A BEL S A HOL - RUH",
        "A BEL S A KIE - HOL",
        "A BEL S A KIE - PIC",
        "A BEL S A KIE - RUH",
        "A BEL S A LON - HOL",
        "A BEL S A LON - PIC",
        "A BEL S A LVP - HOL",
        "A BEL S A LVP - PIC",
        "A BEL S A MAR - BUR",
        "A BEL S A MAR - PIC",
        "A BEL S A MUN - BUR",
        "A BEL S A MUN - RUH",
        "A BEL S A NAF - HOL",
        "A BEL S A NAF - PIC",
        "A BEL S A NAP - PIC",
        "A BEL S A NWY - HOL",
        "A BEL S A NWY - PIC",
        "A BEL S A PAR - BUR",
        "A BEL S A PAR - PIC",
        "A BEL S A PIC",
        "A BEL S A PIC - BUR",
        "A BEL S A PIC - HOL",
        "A BEL S A PIE - PIC",
        "A BEL S A POR - HOL",
        "A BEL S A POR - PIC",
        "A BEL S A ROM - PIC",
        "A BEL S A RUH",
        "A BEL S A RUH - BUR",
        "A BEL S A RUH - HOL",
        "A BEL S A SPA - HOL",
        "A BEL S A SPA/NC - HOL",
        "A BEL S A SPA/SC - HOL",
        "A BEL S A SPA - PIC",
        "A BEL S A SPA/NC - PIC",
        "A BEL S A SPA/SC - PIC",
        "A BEL S A STP - HOL",
        "A BEL S A STP - PIC",
        "A BEL S A SWE - HOL",
        "A BEL S A SWE - PIC",
        "A BEL S A TUN - HOL",
        "A BEL S A TUN - PIC",
        "A BEL S A TUS - PIC",
        "A BEL S A WAL - HOL",
        "A BEL S A WAL - PIC",
        "A BEL S A YOR - HOL",
        "A BEL S A YOR - PIC",
        "A BEL S F BRE - PIC",
        "A BEL S F ENG - PIC",
        "A BEL S F HEL - HOL",
        "A BEL S F HOL",
        "A BEL S F KIE - HOL",
        "A BEL S F NTH - HOL",
        "A BEL S F PIC",
        "A BER - DEN VIA",
        "A BER - FIN VIA",
        "A BER - KIE",
        "A BER - KIE VIA",
        "A BER - LVN VIA",
        "A BER - MUN",
        "A BER - PRU",
        "A BER - PRU VIA",
        "A BER - SIL",
        "A BER - STP VIA",
        "A BER - SWE VIA",
        "A BER B",
        "A BER B;A KIE B",
        "A BER B;A KIE B;A MUN B",
        "A BER B;A MUN B",
        "A BER B;A MUN B;F KIE B",
        "A BER B;F KIE B",
        "A BER D",
        "A BER H",
        "A BER R KIE",
        "A BER R MUN",
        "A BER R PRU",
        "A BER R SIL",
        "A BER S A BEL - KIE",
        "A BER S A BOH - MUN",
        "A BER S A BOH - SIL",
        "A BER S A BRE - KIE",
        "A BER S A BUR - MUN",
        "A BER S A CLY - KIE",
        "A BER S A DEN - KIE",
        "A BER S A DEN - PRU",
        "A BER S A EDI - KIE",
        "A BER S A FIN - KIE",
        "A BER S A FIN - PRU",
        "A BER S A GAL - SIL",
        "A BER S A GAS - KIE",
        "A BER S A HOL - KIE",
        "A BER S A KIE",
        "A BER S A KIE - MUN",
        "A BER S A KIE - PRU",
        "A BER S A LON - KIE",
        "A BER S A LVN - KIE",
        "A BER S A LVN - PRU",
        "A BER S A LVP - KIE",
        "A BER S A MUN",
        "A BER S A MUN - KIE",
        "A BER S A MUN - SIL",
        "A BER S A NAF - KIE",
        "A BER S A NWY - KIE",
        "A BER S A PIC - KIE",
        "A BER S A POR - KIE",
        "A BER S A PRU",
        "A BER S A PRU - KIE",
        "A BER S A PRU - SIL",
        "A BER S A RUH - KIE",
        "A BER S A RUH - MUN",
        "A BER S A SIL",
        "A BER S A SIL - MUN",
        "A BER S A SIL - PRU",
        "A BER S A SPA - KIE",
        "A BER S A SPA/NC - KIE",
        "A BER S A SPA/SC - KIE",
        "A BER S A STP - KIE",
        "A BER S A STP - PRU",
        "A BER S A SWE - KIE",
        "A BER S A SWE - PRU",
        "A BER S A TYR - MUN",
        "A BER S A WAL - KIE",
        "A BER S A WAR - PRU",
        "A BER S A WAR - SIL",
        "A BER S A YOR - KIE",
        "A BER S F BAL - KIE",
        "A BER S F BAL - PRU",
        "A BER S F DEN - KIE",
        "A BER S F HEL - KIE",
        "A BER S F HOL - KIE",
        "A BER S F KIE",
        "A BER S F LVN - PRU",
        "A BER S F PRU",
        "A BOH - GAL",
        "A BOH - MUN",
        "A BOH - SIL",
        "A BOH - TYR",
        "A BOH - VIE",
        "A BOH D",
        "A BOH H",
        "A BOH R GAL",
        "A BOH R MUN",
        "A BOH R SIL",
        "A BOH R TYR",
        "A BOH R VIE",
        "A BOH S A BER - MUN",
        "A BOH S A BER - SIL",
        "A BOH S A BUD - GAL",
        "A BOH S A BUD - VIE",
        "A BOH S A BUR - MUN",
        "A BOH S A GAL",
        "A BOH S A GAL - SIL",
        "A BOH S A GAL - VIE",
        "A BOH S A KIE - MUN",
        "A BOH S A MUN",
        "A BOH S A MUN - SIL",
        "A BOH S A MUN - TYR",
        "A BOH S A PIE - TYR",
        "A BOH S A PRU - SIL",
        "A BOH S A RUH - MUN",
        "A BOH S A RUM - GAL",
        "A BOH S A SIL",
        "A BOH S A SIL - GAL",
        "A BOH S A SIL - MUN",
        "A BOH S A TRI - TYR",
        "A BOH S A TRI - VIE",
        "A BOH S A TYR",
        "A BOH S A TYR - MUN",
        "A BOH S A TYR - VIE",
        "A BOH S A UKR - GAL",
        "A BOH S A VEN - TYR",
        "A BOH S A VIE",
        "A BOH S A VIE - GAL",
        "A BOH S A VIE - TYR",
        "A BOH S A WAR - GAL",
        "A BOH S A WAR - SIL",
        "A BRE - ALB VIA",
        "A BRE - APU VIA",
        "A BRE - BEL VIA",
        "A BRE - CLY VIA",
        "A BRE - DEN VIA",
        "A BRE - EDI VIA",
        "A BRE - GAS",
        "A BRE - GAS VIA",
        "A BRE - GRE VIA",
        "A BRE - HOL VIA",
        "A BRE - KIE VIA",
        "A BRE - LON VIA",
        "A BRE - LVP VIA",
        "A BRE - MAR VIA",
        "A BRE - NAF VIA",
        "A BRE - NAP VIA",
        "A BRE - NWY VIA",
        "A BRE - PAR",
        "A BRE - PIC",
        "A BRE - PIC VIA",
        "A BRE - PIE VIA",
        "A BRE - POR VIA",
        "A BRE - ROM VIA",
        "A BRE - SPA VIA",
        "A BRE - SPA/NC VIA",
        "A BRE - SPA/SC VIA",
        "A BRE - STP VIA",
        "A BRE - SWE VIA",
        "A BRE - TUN VIA",
        "A BRE - TUS VIA",
        "A BRE - WAL VIA",
        "A BRE - YOR VIA",
        "A BRE B",
        "A BRE B;A MAR B",
        "A BRE B;A MAR B;A PAR B",
        "A BRE B;A PAR B",
        "A BRE B;A PAR B;F MAR B",
        "A BRE B;F MAR B",
        "A BRE D",
        "A BRE H",
        "A BRE R GAS",
        "A BRE R PAR",
        "A BRE R PIC",
        "A BRE S A ALB - GAS",
        "A BRE S A APU - GAS",
        "A BRE S A BEL - GAS",
        "A BRE S A BEL - PIC",
        "A BRE S A BUR - GAS",
        "A BRE S A BUR - PAR",
        "A BRE S A BUR - PIC",
        "A BRE S A CLY - GAS",
        "A BRE S A CLY - PIC",
        "A BRE S A DEN - GAS",
        "A BRE S A DEN - PIC",
        "A BRE S A EDI - GAS",
        "A BRE S A EDI - PIC",
        "A BRE S A GAS",
        "A BRE S A GAS - PAR",
        "A BRE S A GAS - PIC",
        "A BRE S A GRE - GAS",
        "A BRE S A HOL - GAS",
        "A BRE S A HOL - PIC",
        "A BRE S A KIE - GAS",
        "A BRE S A KIE - PIC",
        "A BRE S A LON - GAS",
        "A BRE S A LON - PIC",
        "A BRE S A LVP - GAS",
        "A BRE S A LVP - PIC",
        "A BRE S A MAR - GAS",
        "A BRE S A MAR - PIC",
        "A BRE S A NAF - GAS",
        "A BRE S A NAF - PIC",
        "A BRE S A NAP - GAS",
        "A BRE S A NAP - PIC",
        "A BRE S A NWY - GAS",
        "A BRE S A NWY - PIC",
        "A BRE S A PAR",
        "A BRE S A PAR - GAS",
        "A BRE S A PAR - PIC",
        "A BRE S A PIC",
        "A BRE S A PIC - GAS",
        "A BRE S A PIC - PAR",
        "A BRE S A PIE - GAS",
        "A BRE S A PIE - PIC",
        "A BRE S A POR - GAS",
        "A BRE S A POR - PIC",
        "A BRE S A ROM - GAS",
        "A BRE S A ROM - PIC",
        "A BRE S A SPA - GAS",
        "A BRE S A SPA/NC - GAS",
        "A BRE S A SPA/SC - GAS",
        "A BRE S A SPA - PIC",
        "A BRE S A SPA/NC - PIC",
        "A BRE S A SPA/SC - PIC",
        "A BRE S A STP - GAS",
        "A BRE S A STP - PIC",
        "A BRE S A SWE - GAS",
        "A BRE S A SWE - PIC",
        "A BRE S A TUN - GAS",
        "A BRE S A TUN - PIC",
        "A BRE S A TUS - GAS",
        "A BRE S A TUS - PIC",
        "A BRE S A WAL - GAS",
        "A BRE S A WAL - PIC",
        "A BRE S A YOR - GAS",
        "A BRE S A YOR - PIC",
        "A BRE S F BEL - PIC",
        "A BRE S F ENG - PIC",
        "A BRE S F GAS",
        "A BRE S F MAO - GAS",
        "A BRE S F PIC",
        "A BRE S F SPA/NC - GAS",
        "A BUD - GAL",
        "A BUD - RUM",
        "A BUD - SER",
        "A BUD - TRI",
        "A BUD - VIE",
        "A BUD B",
        "A BUD B;A TRI B",
        "A BUD B;A TRI B;A VIE B",
        "A BUD B;A VIE B",
        "A BUD B;A VIE B;F TRI B",
        "A BUD B;F TRI B",
        "A BUD D",
        "A BUD H",
        "A BUD R GAL",
        "A BUD R RUM",
        "A BUD R SER",
        "A BUD R TRI",
        "A BUD R VIE",
        "A BUD S A ALB - SER",
        "A BUD S A ALB - TRI",
        "A BUD S A ANK - RUM",
        "A BUD S A APU - TRI",
        "A BUD S A ARM - RUM",
        "A BUD S A BOH - GAL",
        "A BUD S A BOH - VIE",
        "A BUD S A BUL - RUM",
        "A BUD S A BUL - SER",
        "A BUD S A BUL - TRI",
        "A BUD S A CON - RUM",
        "A BUD S A CON - TRI",
        "A BUD S A GAL",
        "A BUD S A GAL - RUM",
        "A BUD S A GAL - VIE",
        "A BUD S A GRE - SER",
        "A BUD S A GRE - TRI",
        "A BUD S A MAR - TRI",
        "A BUD S A NAF - TRI",
        "A BUD S A NAP - TRI",
        "A BUD S A PIE - TRI",
        "A BUD S A ROM - TRI",
        "A BUD S A RUM",
        "A BUD S A RUM - GAL",
        "A BUD S A RUM - SER",
        "A BUD S A SER",
        "A BUD S A SER - RUM",
        "A BUD S A SER - TRI",
        "A BUD S A SEV - RUM",
        "A BUD S A SIL - GAL",
        "A BUD S A SMY - TRI",
        "A BUD S A SPA - TRI",
        "A BUD S A SPA/NC - TRI",
        "A BUD S A SPA/SC - TRI",
        "A BUD S A SYR - TRI",
        "A BUD S A TRI",
        "A BUD S A TRI - SER",
        "A BUD S A TRI - VIE",
        "A BUD S A TUN - TRI",
        "A BUD S A TUS - TRI",
        "A BUD S A TYR - TRI",
        "A BUD S A TYR - VIE",
        "A BUD S A UKR - GAL",
        "A BUD S A UKR - RUM",
        "A BUD S A VEN - TRI",
        "A BUD S A VIE",
        "A BUD S A VIE - GAL",
        "A BUD S A VIE - TRI",
        "A BUD S A WAR - GAL",
        "A BUD S F ADR - TRI",
        "A BUD S F ALB - TRI",
        "A BUD S F BLA - RUM",
        "A BUD S F BUL/EC - RUM",
        "A BUD S F RUM",
        "A BUD S F SEV - RUM",
        "A BUD S F TRI",
        "A BUD S F VEN - TRI",
        "A BUL - ALB VIA",
        "A BUL - ANK VIA",
        "A BUL - APU VIA",
        "A BUL - ARM VIA",
        "A BUL - CON",
        "A BUL - CON VIA",
        "A BUL - GRE",
        "A BUL - GRE VIA",
        "A BUL - MAR VIA",
        "A BUL - NAF VIA",
        "A BUL - NAP VIA",
        "A BUL - PIE VIA",
        "A BUL - ROM VIA",
        "A BUL - RUM",
        "A BUL - RUM VIA",
        "A BUL - SER",
        "A BUL - SEV VIA",
        "A BUL - SMY VIA",
        "A BUL - SPA VIA",
        "A BUL - SPA/NC VIA",
        "A BUL - SPA/SC VIA",
        "A BUL - SYR VIA",
        "A BUL - TRI VIA",
        "A BUL - TUN VIA",
        "A BUL - TUS VIA",
        "A BUL - VEN VIA",
        "A BUL D",
        "A BUL H",
        "A BUL R CON",
        "A BUL R GRE",
        "A BUL R RUM",
        "A BUL R SER",
        "A BUL S A ALB - CON",
        "A BUL S A ALB - GRE",
        "A BUL S A ALB - SER",
        "A BUL S A ANK - CON",
        "A BUL S A ANK - RUM",
        "A BUL S A APU - CON",
        "A BUL S A APU - GRE",
        "A BUL S A ARM - CON",
        "A BUL S A ARM - RUM",
        "A BUL S A BRE - GRE",
        "A BUL S A BUD - RUM",
        "A BUL S A BUD - SER",
        "A BUL S A CON",
        "A BUL S A CON - GRE",
        "A BUL S A CON - RUM",
        "A BUL S A GAL - RUM",
        "A BUL S A GAS - GRE",
        "A BUL S A GRE",
        "A BUL S A GRE - CON",
        "A BUL S A GRE - SER",
        "A BUL S A MAR - CON",
        "A BUL S A MAR - GRE",
        "A BUL S A NAF - CON",
        "A BUL S A NAF - GRE",
        "A BUL S A NAP - CON",
        "A BUL S A NAP - GRE",
        "A BUL S A PIE - CON",
        "A BUL S A PIE - GRE",
        "A BUL S A POR - GRE",
        "A BUL S A ROM - CON",
        "A BUL S A ROM - GRE",
        "A BUL S A RUM",
        "A BUL S A RUM - CON",
        "A BUL S A RUM - SER",
        "A BUL S A SER",
        "A BUL S A SER - GRE",
        "A BUL S A SER - RUM",
        "A BUL S A SEV - CON",
        "A BUL S A SEV - RUM",
        "A BUL S A SMY - CON",
        "A BUL S A SMY - GRE",
        "A BUL S A SPA - CON",
        "A BUL S A SPA/NC - CON",
        "A BUL S A SPA/SC - CON",
        "A BUL S A SPA - GRE",
        "A BUL S A SPA/NC - GRE",
        "A BUL S A SPA/SC - GRE",
        "A BUL S A SYR - CON",
        "A BUL S A SYR - GRE",
        "A BUL S A TRI - CON",
        "A BUL S A TRI - GRE",
        "A BUL S A TRI - SER",
        "A BUL S A TUN - CON",
        "A BUL S A TUN - GRE",
        "A BUL S A TUS - CON",
        "A BUL S A TUS - GRE",
        "A BUL S A UKR - RUM",
        "A BUL S A VEN - CON",
        "A BUL S A VEN - GRE",
        "A BUL S F AEG - CON",
        "A BUL S F AEG - GRE",
        "A BUL S F ALB - GRE",
        "A BUL S F ANK - CON",
        "A BUL S F BLA - CON",
        "A BUL S F BLA - RUM",
        "A BUL S F CON",
        "A BUL S F GRE",
        "A BUL S F ION - GRE",
        "A BUL S F RUM",
        "A BUL S F SEV - RUM",
        "A BUL S F SMY - CON",
        "A BUR - BEL",
        "A BUR - GAS",
        "A BUR - MAR",
        "A BUR - MUN",
        "A BUR - PAR",
        "A BUR - PIC",
        "A BUR - RUH",
        "A BUR D",
        "A BUR H",
        "A BUR R BEL",
        "A BUR R GAS",
        "A BUR R MAR",
        "A BUR R MUN",
        "A BUR R PAR",
        "A BUR R PIC",
        "A BUR R RUH",
        "A BUR S A ALB - GAS",
        "A BUR S A ALB - MAR",
        "A BUR S A APU - GAS",
        "A BUR S A APU - MAR",
        "A BUR S A BEL",
        "A BUR S A BEL - GAS",
        "A BUR S A BEL - MAR",
        "A BUR S A BEL - PIC",
        "A BUR S A BEL - RUH",
        "A BUR S A BER - MUN",
        "A BUR S A BOH - MUN",
        "A BUR S A BRE - BEL",
        "A BUR S A BRE - GAS",
        "A BUR S A BRE - MAR",
        "A BUR S A BRE - PAR",
        "A BUR S A BRE - PIC",
        "A BUR S A BUL - MAR",
        "A BUR S A CLY - BEL",
        "A BUR S A CLY - GAS",
        "A BUR S A CLY - MAR",
        "A BUR S A CLY - PIC",
        "A BUR S A CON - MAR",
        "A BUR S A DEN - BEL",
        "A BUR S A DEN - GAS",
        "A BUR S A DEN - PIC",
        "A BUR S A EDI - BEL",
        "A BUR S A EDI - GAS",
        "A BUR S A EDI - PIC",
        "A BUR S A GAS",
        "A BUR S A GAS - BEL",
        "A BUR S A GAS - MAR",
        "A BUR S A GAS - PAR",
        "A BUR S A GAS - PIC",
        "A BUR S A GRE - GAS",
        "A BUR S A GRE - MAR",
        "A BUR S A HOL - BEL",
        "A BUR S A HOL - GAS",
        "A BUR S A HOL - PIC",
        "A BUR S A HOL - RUH",
        "A BUR S A KIE - BEL",
        "A BUR S A KIE - GAS",
        "A BUR S A KIE - MUN",
        "A BUR S A KIE - PIC",
        "A BUR S A KIE - RUH",
        "A BUR S A LON - BEL",
        "A BUR S A LON - GAS",
        "A BUR S A LON - MAR",
        "A BUR S A LON - PIC",
        "A BUR S A LVP - BEL",
        "A BUR S A LVP - GAS",
        "A BUR S A LVP - MAR",
        "A BUR S A LVP - PIC",
        "A BUR S A MAR",
        "A BUR S A MAR - BEL",
        "A BUR S A MAR - GAS",
        "A BUR S A MAR - PIC",
        "A BUR S A MUN",
        "A BUR S A MUN - RUH",
        "A BUR S A NAF - BEL",
        "A BUR S A NAF - GAS",
        "A BUR S A NAF - MAR",
        "A BUR S A NAF - PIC",
        "A BUR S A NAP - BEL",
        "A BUR S A NAP - GAS",
        "A BUR S A NAP - MAR",
        "A BUR S A NAP - PIC",
        "A BUR S A NWY - BEL",
        "A BUR S A NWY - GAS",
        "A BUR S A NWY - PIC",
        "A BUR S A PAR",
        "A BUR S A PAR - GAS",
        "A BUR S A PAR - PIC",
        "A BUR S A PIC",
        "A BUR S A PIC - BEL",
        "A BUR S A PIC - GAS",
        "A BUR S A PIC - MAR",
        "A BUR S A PIC - PAR",
        "A BUR S A PIE - BEL",
        "A BUR S A PIE - GAS",
        "A BUR S A PIE - MAR",
        "A BUR S A PIE - PIC",
        "A BUR S A POR - BEL",
        "A BUR S A POR - GAS",
        "A BUR S A POR - MAR",
        "A BUR S A POR - PIC",
        "A BUR S A ROM - BEL",
        "A BUR S A ROM - GAS",
        "A BUR S A ROM - MAR",
        "A BUR S A ROM - PIC",
        "A BUR S A RUH",
        "A BUR S A RUH - BEL",
        "A BUR S A RUH - MUN",
        "A BUR S A SIL - MUN",
        "A BUR S A SMY - MAR",
        "A BUR S A SPA - BEL",
        "A BUR S A SPA/NC - BEL",
        "A BUR S A SPA/SC - BEL",
        "A BUR S A SPA - GAS",
        "A BUR S A SPA/NC - GAS",
        "A BUR S A SPA/SC - GAS",
        "A BUR S A SPA - MAR",
        "A BUR S A SPA/NC - MAR",
        "A BUR S A SPA/SC - MAR",
        "A BUR S A SPA - PIC",
        "A BUR S A SPA/NC - PIC",
        "A BUR S A SPA/SC - PIC",
        "A BUR S A STP - BEL",
        "A BUR S A STP - GAS",
        "A BUR S A STP - PIC",
        "A BUR S A SWE - BEL",
        "A BUR S A SWE - GAS",
        "A BUR S A SWE - PIC",
        "A BUR S A SYR - MAR",
        "A BUR S A TRI - MAR",
        "A BUR S A TUN - BEL",
        "A BUR S A TUN - GAS",
        "A BUR S A TUN - MAR",
        "A BUR S A TUN - PIC",
        "A BUR S A TUS - BEL",
        "A BUR S A TUS - GAS",
        "A BUR S A TUS - MAR",
        "A BUR S A TUS - PIC",
        "A BUR S A TYR - MUN",
        "A BUR S A VEN - MAR",
        "A BUR S A WAL - BEL",
        "A BUR S A WAL - GAS",
        "A BUR S A WAL - MAR",
        "A BUR S A WAL - PIC",
        "A BUR S A YOR - BEL",
        "A BUR S A YOR - GAS",
        "A BUR S A YOR - PIC",
        "A BUR S F BEL",
        "A BUR S F BEL - PIC",
        "A BUR S F BRE - GAS",
        "A BUR S F BRE - PIC",
        "A BUR S F ENG - BEL",
        "A BUR S F ENG - PIC",
        "A BUR S F GAS",
        "A BUR S F HOL - BEL",
        "A BUR S F LYO - MAR",
        "A BUR S F MAO - GAS",
        "A BUR S F MAR",
        "A BUR S F NTH - BEL",
        "A BUR S F PIC",
        "A BUR S F PIC - BEL",
        "A BUR S F PIE - MAR",
        "A BUR S F SPA/NC - GAS",
        "A BUR S F SPA/SC - MAR",
        "A CLY - BEL VIA",
        "A CLY - BRE VIA",
        "A CLY - DEN VIA",
        "A CLY - EDI",
        "A CLY - EDI VIA",
        "A CLY - GAS VIA",
        "A CLY - HOL VIA",
        "A CLY - KIE VIA",
        "A CLY - LON VIA",
        "A CLY - LVP",
        "A CLY - LVP VIA",
        "A CLY - MAR VIA",
        "A CLY - NAF VIA",
        "A CLY - NAP VIA",
        "A CLY - NWY VIA",
        "A CLY - PIC VIA",
        "A CLY - PIE VIA",
        "A CLY - POR VIA",
        "A CLY - ROM VIA",
        "A CLY - SPA VIA",
        "A CLY - STP VIA",
        "A CLY - SWE VIA",
        "A CLY - TUN VIA",
        "A CLY - TUS VIA",
        "A CLY - WAL VIA",
        "A CLY - YOR VIA",
        "A CLY D",
        "A CLY H",
        "A CLY R EDI",
        "A CLY R LVP",
        "A CLY S A BEL - EDI",
        "A CLY S A BEL - LVP",
        "A CLY S A BRE - EDI",
        "A CLY S A BRE - LVP",
        "A CLY S A DEN - EDI",
        "A CLY S A DEN - LVP",
        "A CLY S A EDI",
        "A CLY S A EDI - LVP",
        "A CLY S A GAS - EDI",
        "A CLY S A GAS - LVP",
        "A CLY S A HOL - EDI",
        "A CLY S A HOL - LVP",
        "A CLY S A KIE - EDI",
        "A CLY S A KIE - LVP",
        "A CLY S A LON - EDI",
        "A CLY S A LON - LVP",
        "A CLY S A LVP",
        "A CLY S A LVP - EDI",
        "A CLY S A MAR - LVP",
        "A CLY S A NAF - EDI",
        "A CLY S A NAF - LVP",
        "A CLY S A NAP - LVP",
        "A CLY S A NWY - EDI",
        "A CLY S A NWY - LVP",
        "A CLY S A PIC - EDI",
        "A CLY S A PIC - LVP",
        "A CLY S A PIE - LVP",
        "A CLY S A POR - EDI",
        "A CLY S A POR - LVP",
        "A CLY S A ROM - LVP",
        "A CLY S A SPA - EDI",
        "A CLY S A SPA - LVP",
        "A CLY S A STP - EDI",
        "A CLY S A STP - LVP",
        "A CLY S A SWE - EDI",
        "A CLY S A SWE - LVP",
        "A CLY S A TUN - EDI",
        "A CLY S A TUN - LVP",
        "A CLY S A TUS - LVP",
        "A CLY S A WAL - EDI",
        "A CLY S A WAL - LVP",
        "A CLY S A YOR - EDI",
        "A CLY S A YOR - LVP",
        "A CLY S F EDI",
        "A CLY S F IRI - LVP",
        "A CLY S F LVP",
        "A CLY S F NAO - LVP",
        "A CLY S F NTH - EDI",
        "A CLY S F NWG - EDI",
        "A CLY S F WAL - LVP",
        "A CLY S F YOR - EDI",
        "A CON - ALB VIA",
        "A CON - ANK",
        "A CON - ANK VIA",
        "A CON - APU VIA",
        "A CON - ARM VIA",
        "A CON - BUL",
        "A CON - BUL VIA",
        "A CON - GRE VIA",
        "A CON - MAR VIA",
        "A CON - NAF VIA",
        "A CON - NAP VIA",
        "A CON - PIE VIA",
        "A CON - ROM VIA",
        "A CON - RUM VIA",
        "A CON - SEV VIA",
        "A CON - SMY",
        "A CON - SMY VIA",
        "A CON - SPA VIA",
        "A CON - SYR VIA",
        "A CON - TRI VIA",
        "A CON - TUN VIA",
        "A CON - TUS VIA",
        "A CON - VEN VIA",
        "A CON B",
        "A CON B;A SMY B",
        "A CON B;A SMY B;F ANK B",
        "A CON B;F ANK B",
        "A CON B;F ANK B;F SMY B",
        "A CON B;F SMY B",
        "A CON D",
        "A CON H",
        "A CON R ANK",
        "A CON R BUL",
        "A CON R SMY",
        "A CON S A ALB - BUL",
        "A CON S A ALB - SMY",
        "A CON S A ANK",
        "A CON S A ANK - BUL",
        "A CON S A ANK - SMY",
        "A CON S A APU - BUL",
        "A CON S A APU - SMY",
        "A CON S A ARM - ANK",
        "A CON S A ARM - BUL",
        "A CON S A ARM - SMY",
        "A CON S A BUL",
        "A CON S A BUL - ANK",
        "A CON S A BUL - SMY",
        "A CON S A GRE - BUL",
        "A CON S A GRE - SMY",
        "A CON S A MAR - BUL",
        "A CON S A MAR - SMY",
        "A CON S A NAF - BUL",
        "A CON S A NAF - SMY",
        "A CON S A NAP - BUL",
        "A CON S A NAP - SMY",
        "A CON S A PIE - BUL",
        "A CON S A PIE - SMY",
        "A CON S A ROM - BUL",
        "A CON S A ROM - SMY",
        "A CON S A RUM - ANK",
        "A CON S A RUM - BUL",
        "A CON S A SER - BUL",
        "A CON S A SEV - ANK",
        "A CON S A SEV - BUL",
        "A CON S A SMY",
        "A CON S A SMY - ANK",
        "A CON S A SMY - BUL",
        "A CON S A SPA - BUL",
        "A CON S A SPA - SMY",
        "A CON S A SYR - BUL",
        "A CON S A SYR - SMY",
        "A CON S A TRI - BUL",
        "A CON S A TRI - SMY",
        "A CON S A TUN - BUL",
        "A CON S A TUN - SMY",
        "A CON S A TUS - BUL",
        "A CON S A TUS - SMY",
        "A CON S A VEN - BUL",
        "A CON S A VEN - SMY",
        "A CON S F AEG - BUL",
        "A CON S F AEG - BUL/EC",
        "A CON S F AEG - BUL/SC",
        "A CON S F AEG - SMY",
        "A CON S F ANK",
        "A CON S F ARM - ANK",
        "A CON S F BLA - ANK",
        "A CON S F BLA - BUL",
        "A CON S F BLA - BUL/EC",
        "A CON S F BLA - BUL/SC",
        "A CON S F BUL/EC",
        "A CON S F BUL/SC",
        "A CON S F EAS - SMY",
        "A CON S F GRE - BUL",
        "A CON S F GRE - BUL/EC",
        "A CON S F GRE - BUL/SC",
        "A CON S F RUM - BUL",
        "A CON S F RUM - BUL/EC",
        "A CON S F RUM - BUL/SC",
        "A CON S F SMY",
        "A CON S F SYR - SMY",
        "A DEN - BEL VIA",
        "A DEN - BER VIA",
        "A DEN - BRE VIA",
        "A DEN - CLY VIA",
        "A DEN - EDI VIA",
        "A DEN - FIN VIA",
        "A DEN - GAS VIA",
        "A DEN - HOL VIA",
        "A DEN - KIE",
        "A DEN - KIE VIA",
        "A DEN - LON VIA",
        "A DEN - LVN VIA",
        "A DEN - LVP VIA",
        "A DEN - NAF VIA",
        "A DEN - NWY VIA",
        "A DEN - PIC VIA",
        "A DEN - POR VIA",
        "A DEN - PRU VIA",
        "A DEN - SPA VIA",
        "A DEN - STP VIA",
        "A DEN - SWE",
        "A DEN - SWE VIA",
        "A DEN - TUN VIA",
        "A DEN - WAL VIA",
        "A DEN - YOR VIA",
        "A DEN D",
        "A DEN H",
        "A DEN R KIE",
        "A DEN R SWE",
        "A DEN S A BEL - KIE",
        "A DEN S A BEL - SWE",
        "A DEN S A BER - KIE",
        "A DEN S A BER - SWE",
        "A DEN S A BRE - KIE",
        "A DEN S A BRE - SWE",
        "A DEN S A CLY - KIE",
        "A DEN S A CLY - SWE",
        "A DEN S A EDI - KIE",
        "A DEN S A EDI - SWE",
        "A DEN S A FIN - KIE",
        "A DEN S A FIN - SWE",
        "A DEN S A GAS - KIE",
        "A DEN S A GAS - SWE",
        "A DEN S A HOL - KIE",
        "A DEN S A HOL - SWE",
        "A DEN S A KIE",
        "A DEN S A KIE - SWE",
        "A DEN S A LON - KIE",
        "A DEN S A LON - SWE",
        "A DEN S A LVN - KIE",
        "A DEN S A LVN - SWE",
        "A DEN S A LVP - KIE",
        "A DEN S A LVP - SWE",
        "A DEN S A MUN - KIE",
        "A DEN S A NAF - KIE",
        "A DEN S A NAF - SWE",
        "A DEN S A NWY - KIE",
        "A DEN S A NWY - SWE",
        "A DEN S A PIC - KIE",
        "A DEN S A PIC - SWE",
        "A DEN S A POR - KIE",
        "A DEN S A POR - SWE",
        "A DEN S A PRU - KIE",
        "A DEN S A PRU - SWE",
        "A DEN S A RUH - KIE",
        "A DEN S A SPA - KIE",
        "A DEN S A SPA - SWE",
        "A DEN S A STP - KIE",
        "A DEN S A STP - SWE",
        "A DEN S A SWE",
        "A DEN S A SWE - KIE",
        "A DEN S A WAL - KIE",
        "A DEN S A WAL - SWE",
        "A DEN S A YOR - KIE",
        "A DEN S A YOR - SWE",
        "A DEN S F BAL - KIE",
        "A DEN S F BAL - SWE",
        "A DEN S F BER - KIE",
        "A DEN S F BOT - SWE",
        "A DEN S F FIN - SWE",
        "A DEN S F HEL - KIE",
        "A DEN S F HOL - KIE",
        "A DEN S F KIE",
        "A DEN S F NWY - SWE",
        "A DEN S F SKA - SWE",
        "A DEN S F SWE",
        "A EDI - BEL VIA",
        "A EDI - BRE VIA",
        "A EDI - CLY",
        "A EDI - CLY VIA",
        "A EDI - DEN VIA",
        "A EDI - GAS VIA",
        "A EDI - HOL VIA",
        "A EDI - KIE VIA",
        "A EDI - LON VIA",
        "A EDI - LVP",
        "A EDI - LVP VIA",
        "A EDI - NAF VIA",
        "A EDI - NWY VIA",
        "A EDI - PIC VIA",
        "A EDI - POR VIA",
        "A EDI - SPA VIA",
        "A EDI - STP VIA",
        "A EDI - SWE VIA",
        "A EDI - TUN VIA",
        "A EDI - WAL VIA",
        "A EDI - YOR",
        "A EDI - YOR VIA",
        "A EDI B",
        "A EDI B;A LON B",
        "A EDI B;A LON B;A LVP B",
        "A EDI B;A LON B;F LVP B",
        "A EDI B;A LVP B",
        "A EDI B;A LVP B;F LON B",
        "A EDI B;F LON B",
        "A EDI B;F LON B;F LVP B",
        "A EDI B;F LVP B",
        "A EDI D",
        "A EDI H",
        "A EDI R CLY",
        "A EDI R LVP",
        "A EDI R YOR",
        "A EDI S A BEL - CLY",
        "A EDI S A BEL - LVP",
        "A EDI S A BEL - YOR",
        "A EDI S A BRE - CLY",
        "A EDI S A BRE - LVP",
        "A EDI S A BRE - YOR",
        "A EDI S A CLY",
        "A EDI S A CLY - LVP",
        "A EDI S A CLY - YOR",
        "A EDI S A DEN - CLY",
        "A EDI S A DEN - LVP",
        "A EDI S A DEN - YOR",
        "A EDI S A GAS - CLY",
        "A EDI S A GAS - LVP",
        "A EDI S A GAS - YOR",
        "A EDI S A HOL - CLY",
        "A EDI S A HOL - LVP",
        "A EDI S A HOL - YOR",
        "A EDI S A KIE - CLY",
        "A EDI S A KIE - LVP",
        "A EDI S A KIE - YOR",
        "A EDI S A LON - CLY",
        "A EDI S A LON - LVP",
        "A EDI S A LON - YOR",
        "A EDI S A LVP",
        "A EDI S A LVP - CLY",
        "A EDI S A LVP - YOR",
        "A EDI S A MAR - CLY",
        "A EDI S A MAR - LVP",
        "A EDI S A NAF - CLY",
        "A EDI S A NAF - LVP",
        "A EDI S A NAF - YOR",
        "A EDI S A NAP - CLY",
        "A EDI S A NAP - LVP",
        "A EDI S A NWY - CLY",
        "A EDI S A NWY - LVP",
        "A EDI S A NWY - YOR",
        "A EDI S A PIC - CLY",
        "A EDI S A PIC - LVP",
        "A EDI S A PIC - YOR",
        "A EDI S A PIE - CLY",
        "A EDI S A PIE - LVP",
        "A EDI S A POR - CLY",
        "A EDI S A POR - LVP",
        "A EDI S A POR - YOR",
        "A EDI S A ROM - CLY",
        "A EDI S A ROM - LVP",
        "A EDI S A SPA - CLY",
        "A EDI S A SPA - LVP",
        "A EDI S A SPA - YOR",
        "A EDI S A STP - CLY",
        "A EDI S A STP - LVP",
        "A EDI S A STP - YOR",
        "A EDI S A SWE - CLY",
        "A EDI S A SWE - LVP",
        "A EDI S A SWE - YOR",
        "A EDI S A TUN - CLY",
        "A EDI S A TUN - LVP",
        "A EDI S A TUN - YOR",
        "A EDI S A TUS - CLY",
        "A EDI S A TUS - LVP",
        "A EDI S A WAL - CLY",
        "A EDI S A WAL - LVP",
        "A EDI S A WAL - YOR",
        "A EDI S A YOR",
        "A EDI S A YOR - CLY",
        "A EDI S A YOR - LVP",
        "A EDI S F CLY",
        "A EDI S F CLY - LVP",
        "A EDI S F IRI - LVP",
        "A EDI S F LON - YOR",
        "A EDI S F LVP",
        "A EDI S F LVP - CLY",
        "A EDI S F NAO - CLY",
        "A EDI S F NAO - LVP",
        "A EDI S F NTH - YOR",
        "A EDI S F NWG - CLY",
        "A EDI S F WAL - LVP",
        "A EDI S F YOR",
        "A FIN - BER VIA",
        "A FIN - DEN VIA",
        "A FIN - KIE VIA",
        "A FIN - LVN VIA",
        "A FIN - NWY",
        "A FIN - PRU VIA",
        "A FIN - STP",
        "A FIN - STP VIA",
        "A FIN - SWE",
        "A FIN - SWE VIA",
        "A FIN D",
        "A FIN H",
        "A FIN R NWY",
        "A FIN R STP",
        "A FIN R SWE",
        "A FIN S A BEL - NWY",
        "A FIN S A BEL - STP",
        "A FIN S A BEL - SWE",
        "A FIN S A BER - STP",
        "A FIN S A BER - SWE",
        "A FIN S A BRE - NWY",
        "A FIN S A BRE - STP",
        "A FIN S A BRE - SWE",
        "A FIN S A CLY - NWY",
        "A FIN S A CLY - STP",
        "A FIN S A CLY - SWE",
        "A FIN S A DEN - NWY",
        "A FIN S A DEN - STP",
        "A FIN S A DEN - SWE",
        "A FIN S A EDI - NWY",
        "A FIN S A EDI - STP",
        "A FIN S A EDI - SWE",
        "A FIN S A GAS - NWY",
        "A FIN S A GAS - STP",
        "A FIN S A GAS - SWE",
        "A FIN S A HOL - NWY",
        "A FIN S A HOL - STP",
        "A FIN S A HOL - SWE",
        "A FIN S A KIE - NWY",
        "A FIN S A KIE - STP",
        "A FIN S A KIE - SWE",
        "A FIN S A LON - NWY",
        "A FIN S A LON - STP",
        "A FIN S A LON - SWE",
        "A FIN S A LVN - STP",
        "A FIN S A LVN - SWE",
        "A FIN S A LVP - NWY",
        "A FIN S A LVP - STP",
        "A FIN S A LVP - SWE",
        "A FIN S A MOS - STP",
        "A FIN S A NAF - NWY",
        "A FIN S A NAF - STP",
        "A FIN S A NAF - SWE",
        "A FIN S A NWY",
        "A FIN S A NWY - STP",
        "A FIN S A NWY - SWE",
        "A FIN S A PIC - NWY",
        "A FIN S A PIC - STP",
        "A FIN S A PIC - SWE",
        "A FIN S A POR - NWY",
        "A FIN S A POR - STP",
        "A FIN S A POR - SWE",
        "A FIN S A PRU - STP",
        "A FIN S A PRU - SWE",
        "A FIN S A SPA - NWY",
        "A FIN S A SPA - STP",
        "A FIN S A SPA - SWE",
        "A FIN S A STP",
        "A FIN S A STP - NWY",
        "A FIN S A STP - SWE",
        "A FIN S A SWE",
        "A FIN S A SWE - NWY",
        "A FIN S A SWE - STP",
        "A FIN S A TUN - NWY",
        "A FIN S A WAL - NWY",
        "A FIN S A WAL - STP",
        "A FIN S A WAL - SWE",
        "A FIN S A YOR - NWY",
        "A FIN S A YOR - STP",
        "A FIN S A YOR - SWE",
        "A FIN S F BAL - SWE",
        "A FIN S F BAR - NWY",
        "A FIN S F BAR - STP",
        "A FIN S F BAR - STP/NC",
        "A FIN S F BAR - STP/SC",
        "A FIN S F BOT - STP",
        "A FIN S F BOT - STP/NC",
        "A FIN S F BOT - STP/SC",
        "A FIN S F BOT - SWE",
        "A FIN S F DEN - SWE",
        "A FIN S F LVN - STP",
        "A FIN S F LVN - STP/NC",
        "A FIN S F LVN - STP/SC",
        "A FIN S F NTH - NWY",
        "A FIN S F NWG - NWY",
        "A FIN S F NWY",
        "A FIN S F NWY - STP",
        "A FIN S F NWY - STP/NC",
        "A FIN S F NWY - STP/SC",
        "A FIN S F NWY - SWE",
        "A FIN S F SKA - NWY",
        "A FIN S F SKA - SWE",
        "A FIN S F STP/NC",
        "A FIN S F STP/NC - NWY",
        "A FIN S F STP/SC",
        "A FIN S F SWE",
        "A FIN S F SWE - NWY",
        "A GAL - BOH",
        "A GAL - BUD",
        "A GAL - RUM",
        "A GAL - SIL",
        "A GAL - UKR",
        "A GAL - VIE",
        "A GAL - WAR",
        "A GAL D",
        "A GAL H",
        "A GAL R BOH",
        "A GAL R BUD",
        "A GAL R RUM",
        "A GAL R SIL",
        "A GAL R UKR",
        "A GAL R VIE",
        "A GAL R WAR",
        "A GAL S A ANK - RUM",
        "A GAL S A ARM - RUM",
        "A GAL S A BER - SIL",
        "A GAL S A BOH",
        "A GAL S A BOH - SIL",
        "A GAL S A BOH - VIE",
        "A GAL S A BUD",
        "A GAL S A BUD - RUM",
        "A GAL S A BUD - VIE",
        "A GAL S A BUL - RUM",
        "A GAL S A CON - RUM",
        "A GAL S A LVN - WAR",
        "A GAL S A MOS - UKR",
        "A GAL S A MOS - WAR",
        "A GAL S A MUN - BOH",
        "A GAL S A MUN - SIL",
        "A GAL S A PRU - SIL",
        "A GAL S A PRU - WAR",
        "A GAL S A RUM",
        "A GAL S A RUM - BUD",
        "A GAL S A RUM - UKR",
        "A GAL S A SER - BUD",
        "A GAL S A SER - RUM",
        "A GAL S A SEV - RUM",
        "A GAL S A SEV - UKR",
        "A GAL S A SIL",
        "A GAL S A SIL - BOH",
        "A GAL S A SIL - WAR",
        "A GAL S A TRI - BUD",
        "A GAL S A TRI - VIE",
        "A GAL S A TYR - BOH",
        "A GAL S A TYR - VIE",
        "A GAL S A UKR",
        "A GAL S A UKR - RUM",
        "A GAL S A UKR - WAR",
        "A GAL S A VIE",
        "A GAL S A VIE - BOH",
        "A GAL S A VIE - BUD",
        "A GAL S A WAR",
        "A GAL S A WAR - SIL",
        "A GAL S A WAR - UKR",
        "A GAL S F BLA - RUM",
        "A GAL S F BUL/EC - RUM",
        "A GAL S F RUM",
        "A GAL S F SEV - RUM",
        "A GAS - ALB VIA",
        "A GAS - APU VIA",
        "A GAS - BEL VIA",
        "A GAS - BRE",
        "A GAS - BRE VIA",
        "A GAS - BUR",
        "A GAS - CLY VIA",
        "A GAS - DEN VIA",
        "A GAS - EDI VIA",
        "A GAS - GRE VIA",
        "A GAS - HOL VIA",
        "A GAS - KIE VIA",
        "A GAS - LON VIA",
        "A GAS - LVP VIA",
        "A GAS - MAR",
        "A GAS - MAR VIA",
        "A GAS - NAF VIA",
        "A GAS - NAP VIA",
        "A GAS - NWY VIA",
        "A GAS - PAR",
        "A GAS - PIC VIA",
        "A GAS - PIE VIA",
        "A GAS - POR VIA",
        "A GAS - ROM VIA",
        "A GAS - SPA",
        "A GAS - SPA VIA",
        "A GAS - STP VIA",
        "A GAS - SWE VIA",
        "A GAS - TUN VIA",
        "A GAS - TUS VIA",
        "A GAS - WAL VIA",
        "A GAS - YOR VIA",
        "A GAS D",
        "A GAS H",
        "A GAS R BRE",
        "A GAS R BUR",
        "A GAS R MAR",
        "A GAS R PAR",
        "A GAS R SPA",
        "A GAS S A ALB - BRE",
        "A GAS S A ALB - MAR",
        "A GAS S A ALB - SPA",
        "A GAS S A APU - BRE",
        "A GAS S A APU - MAR",
        "A GAS S A APU - SPA",
        "A GAS S A BEL - BRE",
        "A GAS S A BEL - BUR",
        "A GAS S A BEL - MAR",
        "A GAS S A BEL - SPA",
        "A GAS S A BRE",
        "A GAS S A BRE - MAR",
        "A GAS S A BRE - PAR",
        "A GAS S A BRE - SPA",
        "A GAS S A BUL - MAR",
        "A GAS S A BUL - SPA",
        "A GAS S A BUR",
        "A GAS S A BUR - MAR",
        "A GAS S A BUR - PAR",
        "A GAS S A CLY - BRE",
        "A GAS S A CLY - MAR",
        "A GAS S A CLY - SPA",
        "A GAS S A CON - MAR",
        "A GAS S A CON - SPA",
        "A GAS S A DEN - BRE",
        "A GAS S A DEN - SPA",
        "A GAS S A EDI - BRE",
        "A GAS S A EDI - SPA",
        "A GAS S A GRE - BRE",
        "A GAS S A GRE - MAR",
        "A GAS S A GRE - SPA",
        "A GAS S A HOL - BRE",
        "A GAS S A HOL - SPA",
        "A GAS S A KIE - BRE",
        "A GAS S A KIE - SPA",
        "A GAS S A LON - BRE",
        "A GAS S A LON - MAR",
        "A GAS S A LON - SPA",
        "A GAS S A LVP - BRE",
        "A GAS S A LVP - MAR",
        "A GAS S A LVP - SPA",
        "A GAS S A MAR",
        "A GAS S A MAR - BRE",
        "A GAS S A MAR - BUR",
        "A GAS S A MAR - SPA",
        "A GAS S A MUN - BUR",
        "A GAS S A NAF - BRE",
        "A GAS S A NAF - MAR",
        "A GAS S A NAF - SPA",
        "A GAS S A NAP - BRE",
        "A GAS S A NAP - MAR",
        "A GAS S A NAP - SPA",
        "A GAS S A NWY - BRE",
        "A GAS S A NWY - SPA",
        "A GAS S A PAR",
        "A GAS S A PAR - BRE",
        "A GAS S A PAR - BUR",
        "A GAS S A PIC - BRE",
        "A GAS S A PIC - BUR",
        "A GAS S A PIC - MAR",
        "A GAS S A PIC - PAR",
        "A GAS S A PIC - SPA",
        "A GAS S A PIE - BRE",
        "A GAS S A PIE - MAR",
        "A GAS S A PIE - SPA",
        "A GAS S A POR - BRE",
        "A GAS S A POR - MAR",
        "A GAS S A POR - SPA",
        "A GAS S A ROM - BRE",
        "A GAS S A ROM - MAR",
        "A GAS S A ROM - SPA",
        "A GAS S A RUH - BUR",
        "A GAS S A SMY - MAR",
        "A GAS S A SMY - SPA",
        "A GAS S A SPA",
        "A GAS S A SPA - BRE",
        "A GAS S A SPA - MAR",
        "A GAS S A STP - BRE",
        "A GAS S A STP - SPA",
        "A GAS S A SWE - BRE",
        "A GAS S A SWE - SPA",
        "A GAS S A SYR - MAR",
        "A GAS S A SYR - SPA",
        "A GAS S A TRI - MAR",
        "A GAS S A TRI - SPA",
        "A GAS S A TUN - BRE",
        "A GAS S A TUN - MAR",
        "A GAS S A TUN - SPA",
        "A GAS S A TUS - BRE",
        "A GAS S A TUS - MAR",
        "A GAS S A TUS - SPA",
        "A GAS S A VEN - MAR",
        "A GAS S A VEN - SPA",
        "A GAS S A WAL - BRE",
        "A GAS S A WAL - MAR",
        "A GAS S A WAL - SPA",
        "A GAS S A YOR - BRE",
        "A GAS S A YOR - SPA",
        "A GAS S A YOR - SPA/NC",
        "A GAS S A YOR - SPA/SC",
        "A GAS S F BRE",
        "A GAS S F ENG - BRE",
        "A GAS S F LYO - MAR",
        "A GAS S F LYO - SPA",
        "A GAS S F LYO - SPA/NC",
        "A GAS S F LYO - SPA/SC",
        "A GAS S F MAO - BRE",
        "A GAS S F MAO - SPA",
        "A GAS S F MAO - SPA/SC",
        "A GAS S F MAO - SPA/NC",
        "A GAS S F MAR",
        "A GAS S F MAR - SPA",
        "A GAS S F MAR - SPA/NC",
        "A GAS S F MAR - SPA/SC",
        "A GAS S F PIC - BRE",
        "A GAS S F PIE - MAR",
        "A GAS S F POR - SPA",
        "A GAS S F POR - SPA/NC",
        "A GAS S F POR - SPA/SC",
        "A GAS S F SPA/NC",
        "A GAS S F SPA/SC",
        "A GAS S F SPA/SC - MAR",
        "A GAS S F WES - SPA",
        "A GAS S F WES - SPA/NC",
        "A GAS S F WES - SPA/SC",
        "A GRE - ALB",
        "A GRE - ALB VIA",
        "A GRE - APU VIA",
        "A GRE - BRE VIA",
        "A GRE - BUL",
        "A GRE - BUL VIA",
        "A GRE - CON VIA",
        "A GRE - GAS VIA",
        "A GRE - MAR VIA",
        "A GRE - NAF VIA",
        "A GRE - NAP VIA",
        "A GRE - PIE VIA",
        "A GRE - POR VIA",
        "A GRE - ROM VIA",
        "A GRE - SER",
        "A GRE - SMY VIA",
        "A GRE - SPA VIA",
        "A GRE - SYR VIA",
        "A GRE - TRI VIA",
        "A GRE - TUN VIA",
        "A GRE - TUS VIA",
        "A GRE - VEN VIA",
        "A GRE D",
        "A GRE H",
        "A GRE R ALB",
        "A GRE R BUL",
        "A GRE R SER",
        "A GRE S A ALB",
        "A GRE S A ALB - BUL",
        "A GRE S A ALB - SER",
        "A GRE S A ANK - BUL",
        "A GRE S A APU - ALB",
        "A GRE S A APU - BUL",
        "A GRE S A ARM - BUL",
        "A GRE S A BRE - ALB",
        "A GRE S A BUD - SER",
        "A GRE S A BUL",
        "A GRE S A BUL - ALB",
        "A GRE S A BUL - SER",
        "A GRE S A CON - ALB",
        "A GRE S A CON - BUL",
        "A GRE S A GAS - ALB",
        "A GRE S A MAR - ALB",
        "A GRE S A MAR - BUL",
        "A GRE S A NAF - ALB",
        "A GRE S A NAF - BUL",
        "A GRE S A NAP - ALB",
        "A GRE S A NAP - BUL",
        "A GRE S A PIE - ALB",
        "A GRE S A PIE - BUL",
        "A GRE S A POR - ALB",
        "A GRE S A ROM - ALB",
        "A GRE S A ROM - BUL",
        "A GRE S A RUM - BUL",
        "A GRE S A RUM - SER",
        "A GRE S A SER",
        "A GRE S A SER - ALB",
        "A GRE S A SER - BUL",
        "A GRE S A SEV - BUL",
        "A GRE S A SMY - ALB",
        "A GRE S A SMY - BUL",
        "A GRE S A SPA - ALB",
        "A GRE S A SPA - BUL",
        "A GRE S A SYR - ALB",
        "A GRE S A SYR - BUL",
        "A GRE S A TRI - ALB",
        "A GRE S A TRI - BUL",
        "A GRE S A TRI - SER",
        "A GRE S A TUN - ALB",
        "A GRE S A TUN - BUL",
        "A GRE S A TUS - ALB",
        "A GRE S A TUS - BUL",
        "A GRE S A VEN - ALB",
        "A GRE S A VEN - BUL",
        "A GRE S F ADR - ALB",
        "A GRE S F AEG - BUL",
        "A GRE S F AEG - BUL/EC",
        "A GRE S F AEG - BUL/SC",
        "A GRE S F ALB",
        "A GRE S F BLA - BUL",
        "A GRE S F BLA - BUL/EC",
        "A GRE S F BLA - BUL/SC",
        "A GRE S F BUL/EC",
        "A GRE S F BUL/SC",
        "A GRE S F CON - BUL",
        "A GRE S F CON - BUL/EC",
        "A GRE S F CON - BUL/SC",
        "A GRE S F ION - ALB",
        "A GRE S F RUM - BUL",
        "A GRE S F RUM - BUL/EC",
        "A GRE S F RUM - BUL/SC",
        "A GRE S F TRI - ALB",
        "A HOL - BEL",
        "A HOL - BEL VIA",
        "A HOL - BRE VIA",
        "A HOL - CLY VIA",
        "A HOL - DEN VIA",
        "A HOL - EDI VIA",
        "A HOL - GAS VIA",
        "A HOL - KIE",
        "A HOL - KIE VIA",
        "A HOL - LON VIA",
        "A HOL - LVP VIA",
        "A HOL - NAF VIA",
        "A HOL - NWY VIA",
        "A HOL - PIC VIA",
        "A HOL - POR VIA",
        "A HOL - RUH",
        "A HOL - SPA VIA",
        "A HOL - STP VIA",
        "A HOL - SWE VIA",
        "A HOL - TUN VIA",
        "A HOL - WAL VIA",
        "A HOL - YOR VIA",
        "A HOL D",
        "A HOL H",
        "A HOL R BEL",
        "A HOL R KIE",
        "A HOL R RUH",
        "A HOL S A BEL",
        "A HOL S A BEL - KIE",
        "A HOL S A BEL - RUH",
        "A HOL S A BER - KIE",
        "A HOL S A BRE - BEL",
        "A HOL S A BRE - KIE",
        "A HOL S A BUR - BEL",
        "A HOL S A BUR - RUH",
        "A HOL S A CLY - BEL",
        "A HOL S A CLY - KIE",
        "A HOL S A DEN - BEL",
        "A HOL S A DEN - KIE",
        "A HOL S A EDI - BEL",
        "A HOL S A EDI - KIE",
        "A HOL S A FIN - KIE",
        "A HOL S A GAS - BEL",
        "A HOL S A GAS - KIE",
        "A HOL S A KIE",
        "A HOL S A KIE - BEL",
        "A HOL S A KIE - RUH",
        "A HOL S A LON - BEL",
        "A HOL S A LON - KIE",
        "A HOL S A LVN - KIE",
        "A HOL S A LVP - BEL",
        "A HOL S A LVP - KIE",
        "A HOL S A MAR - BEL",
        "A HOL S A MUN - KIE",
        "A HOL S A MUN - RUH",
        "A HOL S A NAF - BEL",
        "A HOL S A NAF - KIE",
        "A HOL S A NAP - BEL",
        "A HOL S A NWY - BEL",
        "A HOL S A NWY - KIE",
        "A HOL S A PIC - BEL",
        "A HOL S A PIC - KIE",
        "A HOL S A PIE - BEL",
        "A HOL S A POR - BEL",
        "A HOL S A POR - KIE",
        "A HOL S A PRU - KIE",
        "A HOL S A ROM - BEL",
        "A HOL S A RUH",
        "A HOL S A RUH - BEL",
        "A HOL S A RUH - KIE",
        "A HOL S A SPA - BEL",
        "A HOL S A SPA - KIE",
        "A HOL S A STP - BEL",
        "A HOL S A STP - KIE",
        "A HOL S A SWE - BEL",
        "A HOL S A SWE - KIE",
        "A HOL S A TUN - BEL",
        "A HOL S A TUS - BEL",
        "A HOL S A WAL - BEL",
        "A HOL S A WAL - KIE",
        "A HOL S A YOR - BEL",
        "A HOL S A YOR - KIE",
        "A HOL S F BAL - KIE",
        "A HOL S F BEL",
        "A HOL S F BER - KIE",
        "A HOL S F DEN - KIE",
        "A HOL S F ENG - BEL",
        "A HOL S F HEL - KIE",
        "A HOL S F KIE",
        "A HOL S F NTH - BEL",
        "A HOL S F PIC - BEL",
        "A KIE - BEL VIA",
        "A KIE - BER",
        "A KIE - BER VIA",
        "A KIE - BRE VIA",
        "A KIE - CLY VIA",
        "A KIE - DEN",
        "A KIE - DEN VIA",
        "A KIE - EDI VIA",
        "A KIE - FIN VIA",
        "A KIE - GAS VIA",
        "A KIE - HOL",
        "A KIE - HOL VIA",
        "A KIE - LON VIA",
        "A KIE - LVN VIA",
        "A KIE - LVP VIA",
        "A KIE - MUN",
        "A KIE - NAF VIA",
        "A KIE - NWY VIA",
        "A KIE - PIC VIA",
        "A KIE - POR VIA",
        "A KIE - PRU VIA",
        "A KIE - RUH",
        "A KIE - SPA VIA",
        "A KIE - STP VIA",
        "A KIE - SWE VIA",
        "A KIE - WAL VIA",
        "A KIE - YOR VIA",
        "A KIE B",
        "A KIE B;A MUN B",
        "A KIE B;A MUN B;F BER B",
        "A KIE B;F BER B",
        "A KIE D",
        "A KIE H",
        "A KIE R BER",
        "A KIE R DEN",
        "A KIE R HOL",
        "A KIE R MUN",
        "A KIE R RUH",
        "A KIE S A BEL - DEN",
        "A KIE S A BEL - HOL",
        "A KIE S A BEL - RUH",
        "A KIE S A BER",
        "A KIE S A BER - DEN",
        "A KIE S A BER - MUN",
        "A KIE S A BOH - MUN",
        "A KIE S A BRE - DEN",
        "A KIE S A BRE - HOL",
        "A KIE S A BUR - MUN",
        "A KIE S A BUR - RUH",
        "A KIE S A CLY - DEN",
        "A KIE S A CLY - HOL",
        "A KIE S A DEN",
        "A KIE S A DEN - BER",
        "A KIE S A DEN - HOL",
        "A KIE S A EDI - DEN",
        "A KIE S A EDI - HOL",
        "A KIE S A FIN - BER",
        "A KIE S A FIN - DEN",
        "A KIE S A GAS - DEN",
        "A KIE S A GAS - HOL",
        "A KIE S A HOL",
        "A KIE S A HOL - DEN",
        "A KIE S A HOL - RUH",
        "A KIE S A LON - DEN",
        "A KIE S A LON - HOL",
        "A KIE S A LVN - BER",
        "A KIE S A LVN - DEN",
        "A KIE S A LVP - DEN",
        "A KIE S A LVP - HOL",
        "A KIE S A MUN",
        "A KIE S A MUN - BER",
        "A KIE S A MUN - RUH",
        "A KIE S A NAF - DEN",
        "A KIE S A NAF - HOL",
        "A KIE S A NWY - DEN",
        "A KIE S A NWY - HOL",
        "A KIE S A PIC - DEN",
        "A KIE S A PIC - HOL",
        "A KIE S A POR - DEN",
        "A KIE S A POR - HOL",
        "A KIE S A PRU - BER",
        "A KIE S A PRU - DEN",
        "A KIE S A RUH",
        "A KIE S A RUH - HOL",
        "A KIE S A RUH - MUN",
        "A KIE S A SIL - BER",
        "A KIE S A SIL - MUN",
        "A KIE S A SPA - DEN",
        "A KIE S A SPA - HOL",
        "A KIE S A STP - BER",
        "A KIE S A STP - DEN",
        "A KIE S A STP - HOL",
        "A KIE S A SWE - BER",
        "A KIE S A SWE - DEN",
        "A KIE S A SWE - HOL",
        "A KIE S A TUN - DEN",
        "A KIE S A TUN - HOL",
        "A KIE S A TYR - MUN",
        "A KIE S A WAL - DEN",
        "A KIE S A WAL - HOL",
        "A KIE S A YOR - DEN",
        "A KIE S A YOR - HOL",
        "A KIE S F BAL - BER",
        "A KIE S F BAL - DEN",
        "A KIE S F BEL - HOL",
        "A KIE S F BER",
        "A KIE S F DEN",
        "A KIE S F HEL - DEN",
        "A KIE S F HEL - HOL",
        "A KIE S F HOL",
        "A KIE S F NTH - DEN",
        "A KIE S F NTH - HOL",
        "A KIE S F PRU - BER",
        "A KIE S F SKA - DEN",
        "A KIE S F SWE - DEN",
        "A LON - BEL VIA",
        "A LON - BRE VIA",
        "A LON - CLY VIA",
        "A LON - DEN VIA",
        "A LON - EDI VIA",
        "A LON - GAS VIA",
        "A LON - HOL VIA",
        "A LON - KIE VIA",
        "A LON - LVP VIA",
        "A LON - MAR VIA",
        "A LON - NAF VIA",
        "A LON - NAP VIA",
        "A LON - NWY VIA",
        "A LON - PIC VIA",
        "A LON - PIE VIA",
        "A LON - POR VIA",
        "A LON - ROM VIA",
        "A LON - SPA VIA",
        "A LON - STP VIA",
        "A LON - SWE VIA",
        "A LON - TUN VIA",
        "A LON - TUS VIA",
        "A LON - WAL",
        "A LON - WAL VIA",
        "A LON - YOR",
        "A LON - YOR VIA",
        "A LON B",
        "A LON B;A LVP B",
        "A LON B;A LVP B;F EDI B",
        "A LON B;F EDI B",
        "A LON B;F EDI B;F LVP B",
        "A LON B;F LVP B",
        "A LON D",
        "A LON H",
        "A LON R WAL",
        "A LON R YOR",
        "A LON S A BEL - WAL",
        "A LON S A BEL - YOR",
        "A LON S A BRE - WAL",
        "A LON S A BRE - YOR",
        "A LON S A CLY - WAL",
        "A LON S A CLY - YOR",
        "A LON S A DEN - WAL",
        "A LON S A DEN - YOR",
        "A LON S A EDI - WAL",
        "A LON S A EDI - YOR",
        "A LON S A GAS - WAL",
        "A LON S A GAS - YOR",
        "A LON S A HOL - WAL",
        "A LON S A HOL - YOR",
        "A LON S A KIE - WAL",
        "A LON S A KIE - YOR",
        "A LON S A LVP - WAL",
        "A LON S A LVP - YOR",
        "A LON S A MAR - WAL",
        "A LON S A NAF - WAL",
        "A LON S A NAF - YOR",
        "A LON S A NAP - WAL",
        "A LON S A NWY - WAL",
        "A LON S A NWY - YOR",
        "A LON S A PIC - WAL",
        "A LON S A PIC - YOR",
        "A LON S A PIE - WAL",
        "A LON S A POR - WAL",
        "A LON S A POR - YOR",
        "A LON S A ROM - WAL",
        "A LON S A SPA - WAL",
        "A LON S A SPA - YOR",
        "A LON S A STP - WAL",
        "A LON S A STP - YOR",
        "A LON S A SWE - WAL",
        "A LON S A SWE - YOR",
        "A LON S A TUN - WAL",
        "A LON S A TUN - YOR",
        "A LON S A TUS - WAL",
        "A LON S A WAL",
        "A LON S A WAL - YOR",
        "A LON S A YOR",
        "A LON S A YOR - WAL",
        "A LON S F EDI - YOR",
        "A LON S F ENG - WAL",
        "A LON S F IRI - WAL",
        "A LON S F LVP - WAL",
        "A LON S F NTH - YOR",
        "A LON S F WAL",
        "A LON S F YOR",
        "A LVN - BER VIA",
        "A LVN - DEN VIA",
        "A LVN - FIN VIA",
        "A LVN - KIE VIA",
        "A LVN - MOS",
        "A LVN - PRU",
        "A LVN - PRU VIA",
        "A LVN - STP",
        "A LVN - STP VIA",
        "A LVN - SWE VIA",
        "A LVN - WAR",
        "A LVN D",
        "A LVN H",
        "A LVN R MOS",
        "A LVN R PRU",
        "A LVN R STP",
        "A LVN R WAR",
        "A LVN S A BEL - STP",
        "A LVN S A BER - PRU",
        "A LVN S A BER - STP",
        "A LVN S A BRE - STP",
        "A LVN S A CLY - STP",
        "A LVN S A DEN - PRU",
        "A LVN S A DEN - STP",
        "A LVN S A EDI - STP",
        "A LVN S A FIN - PRU",
        "A LVN S A FIN - STP",
        "A LVN S A GAL - WAR",
        "A LVN S A GAS - STP",
        "A LVN S A HOL - STP",
        "A LVN S A KIE - PRU",
        "A LVN S A KIE - STP",
        "A LVN S A LON - STP",
        "A LVN S A LVP - STP",
        "A LVN S A MOS",
        "A LVN S A MOS - STP",
        "A LVN S A MOS - WAR",
        "A LVN S A NAF - STP",
        "A LVN S A NWY - STP",
        "A LVN S A PIC - STP",
        "A LVN S A POR - STP",
        "A LVN S A PRU",
        "A LVN S A PRU - STP",
        "A LVN S A PRU - WAR",
        "A LVN S A SEV - MOS",
        "A LVN S A SIL - PRU",
        "A LVN S A SIL - WAR",
        "A LVN S A SPA - STP",
        "A LVN S A STP",
        "A LVN S A STP - MOS",
        "A LVN S A STP - PRU",
        "A LVN S A SWE - PRU",
        "A LVN S A SWE - STP",
        "A LVN S A UKR - MOS",
        "A LVN S A UKR - WAR",
        "A LVN S A WAL - STP",
        "A LVN S A WAR",
        "A LVN S A WAR - MOS",
        "A LVN S A WAR - PRU",
        "A LVN S A YOR - STP",
        "A LVN S F BAL - PRU",
        "A LVN S F BAR - STP",
        "A LVN S F BAR - STP/NC",
        "A LVN S F BAR - STP/SC",
        "A LVN S F BER - PRU",
        "A LVN S F BOT - STP",
        "A LVN S F BOT - STP/NC",
        "A LVN S F BOT - STP/SC",
        "A LVN S F FIN - STP",
        "A LVN S F FIN - STP/NC",
        "A LVN S F FIN - STP/SC",
        "A LVN S F NWY - STP",
        "A LVN S F NWY - STP/NC",
        "A LVN S F NWY - STP/SC",
        "A LVN S F PRU",
        "A LVN S F STP/NC",
        "A LVN S F STP/SC",
        "A LVP - BEL VIA",
        "A LVP - BRE VIA",
        "A LVP - CLY",
        "A LVP - CLY VIA",
        "A LVP - DEN VIA",
        "A LVP - EDI",
        "A LVP - EDI VIA",
        "A LVP - GAS VIA",
        "A LVP - HOL VIA",
        "A LVP - KIE VIA",
        "A LVP - LON VIA",
        "A LVP - MAR VIA",
        "A LVP - NAF VIA",
        "A LVP - NAP VIA",
        "A LVP - NWY VIA",
        "A LVP - PIC VIA",
        "A LVP - PIE VIA",
        "A LVP - POR VIA",
        "A LVP - ROM VIA",
        "A LVP - SPA VIA",
        "A LVP - STP VIA",
        "A LVP - SWE VIA",
        "A LVP - TUN VIA",
        "A LVP - TUS VIA",
        "A LVP - WAL",
        "A LVP - WAL VIA",
        "A LVP - YOR",
        "A LVP - YOR VIA",
        "A LVP B",
        "A LVP B;F EDI B",
        "A LVP B;F EDI B;F LON B",
        "A LVP B;F LON B",
        "A LVP D",
        "A LVP H",
        "A LVP R CLY",
        "A LVP R EDI",
        "A LVP R WAL",
        "A LVP R YOR",
        "A LVP S A BEL - CLY",
        "A LVP S A BEL - EDI",
        "A LVP S A BEL - WAL",
        "A LVP S A BEL - YOR",
        "A LVP S A BRE - CLY",
        "A LVP S A BRE - EDI",
        "A LVP S A BRE - WAL",
        "A LVP S A BRE - YOR",
        "A LVP S A CLY",
        "A LVP S A CLY - EDI",
        "A LVP S A CLY - WAL",
        "A LVP S A CLY - YOR",
        "A LVP S A DEN - CLY",
        "A LVP S A DEN - EDI",
        "A LVP S A DEN - WAL",
        "A LVP S A DEN - YOR",
        "A LVP S A EDI",
        "A LVP S A EDI - CLY",
        "A LVP S A EDI - WAL",
        "A LVP S A EDI - YOR",
        "A LVP S A GAS - CLY",
        "A LVP S A GAS - EDI",
        "A LVP S A GAS - WAL",
        "A LVP S A GAS - YOR",
        "A LVP S A HOL - CLY",
        "A LVP S A HOL - EDI",
        "A LVP S A HOL - WAL",
        "A LVP S A HOL - YOR",
        "A LVP S A KIE - CLY",
        "A LVP S A KIE - EDI",
        "A LVP S A KIE - WAL",
        "A LVP S A KIE - YOR",
        "A LVP S A LON - CLY",
        "A LVP S A LON - EDI",
        "A LVP S A LON - WAL",
        "A LVP S A LON - YOR",
        "A LVP S A MAR - CLY",
        "A LVP S A MAR - WAL",
        "A LVP S A NAF - CLY",
        "A LVP S A NAF - EDI",
        "A LVP S A NAF - WAL",
        "A LVP S A NAF - YOR",
        "A LVP S A NAP - CLY",
        "A LVP S A NAP - WAL",
        "A LVP S A NWY - CLY",
        "A LVP S A NWY - EDI",
        "A LVP S A NWY - WAL",
        "A LVP S A NWY - YOR",
        "A LVP S A PIC - CLY",
        "A LVP S A PIC - EDI",
        "A LVP S A PIC - WAL",
        "A LVP S A PIC - YOR",
        "A LVP S A PIE - CLY",
        "A LVP S A PIE - WAL",
        "A LVP S A POR - CLY",
        "A LVP S A POR - EDI",
        "A LVP S A POR - WAL",
        "A LVP S A POR - YOR",
        "A LVP S A ROM - CLY",
        "A LVP S A ROM - WAL",
        "A LVP S A SPA - CLY",
        "A LVP S A SPA - EDI",
        "A LVP S A SPA - WAL",
        "A LVP S A SPA - YOR",
        "A LVP S A STP - CLY",
        "A LVP S A STP - EDI",
        "A LVP S A STP - WAL",
        "A LVP S A STP - YOR",
        "A LVP S A SWE - CLY",
        "A LVP S A SWE - EDI",
        "A LVP S A SWE - WAL",
        "A LVP S A SWE - YOR",
        "A LVP S A TUN - CLY",
        "A LVP S A TUN - EDI",
        "A LVP S A TUN - WAL",
        "A LVP S A TUN - YOR",
        "A LVP S A TUS - CLY",
        "A LVP S A TUS - WAL",
        "A LVP S A WAL",
        "A LVP S A WAL - CLY",
        "A LVP S A WAL - EDI",
        "A LVP S A WAL - YOR",
        "A LVP S A YOR",
        "A LVP S A YOR - CLY",
        "A LVP S A YOR - EDI",
        "A LVP S A YOR - WAL",
        "A LVP S F CLY",
        "A LVP S F CLY - EDI",
        "A LVP S F EDI",
        "A LVP S F EDI - CLY",
        "A LVP S F EDI - YOR",
        "A LVP S F ENG - WAL",
        "A LVP S F IRI - WAL",
        "A LVP S F LON - WAL",
        "A LVP S F LON - YOR",
        "A LVP S F NAO - CLY",
        "A LVP S F NTH - EDI",
        "A LVP S F NTH - YOR",
        "A LVP S F NWG - CLY",
        "A LVP S F NWG - EDI",
        "A LVP S F WAL",
        "A LVP S F YOR",
        "A LVP S F YOR - EDI",
        "A MAR - ALB VIA",
        "A MAR - APU VIA",
        "A MAR - BEL VIA",
        "A MAR - BRE VIA",
        "A MAR - BUL VIA",
        "A MAR - BUR",
        "A MAR - CLY VIA",
        "A MAR - CON VIA",
        "A MAR - GAS",
        "A MAR - GAS VIA",
        "A MAR - GRE VIA",
        "A MAR - LON VIA",
        "A MAR - LVP VIA",
        "A MAR - NAF VIA",
        "A MAR - NAP VIA",
        "A MAR - PIC VIA",
        "A MAR - PIE",
        "A MAR - PIE VIA",
        "A MAR - POR VIA",
        "A MAR - ROM VIA",
        "A MAR - SMY VIA",
        "A MAR - SPA",
        "A MAR - SPA VIA",
        "A MAR - SYR VIA",
        "A MAR - TRI VIA",
        "A MAR - TUN VIA",
        "A MAR - TUS VIA",
        "A MAR - VEN VIA",
        "A MAR - WAL VIA",
        "A MAR B",
        "A MAR B;A PAR B",
        "A MAR B;A PAR B;F BRE B",
        "A MAR B;F BRE B",
        "A MAR D",
        "A MAR H",
        "A MAR R BUR",
        "A MAR R GAS",
        "A MAR R PIE",
        "A MAR R SPA",
        "A MAR S A ALB - GAS",
        "A MAR S A ALB - PIE",
        "A MAR S A ALB - SPA",
        "A MAR S A APU - GAS",
        "A MAR S A APU - PIE",
        "A MAR S A APU - SPA",
        "A MAR S A BEL - BUR",
        "A MAR S A BEL - GAS",
        "A MAR S A BEL - PIE",
        "A MAR S A BEL - SPA",
        "A MAR S A BRE - GAS",
        "A MAR S A BRE - PIE",
        "A MAR S A BRE - SPA",
        "A MAR S A BUL - PIE",
        "A MAR S A BUL - SPA",
        "A MAR S A BUR",
        "A MAR S A BUR - GAS",
        "A MAR S A CLY - GAS",
        "A MAR S A CLY - PIE",
        "A MAR S A CLY - SPA",
        "A MAR S A CON - PIE",
        "A MAR S A CON - SPA",
        "A MAR S A DEN - GAS",
        "A MAR S A DEN - SPA",
        "A MAR S A EDI - GAS",
        "A MAR S A EDI - SPA",
        "A MAR S A GAS",
        "A MAR S A GAS - BUR",
        "A MAR S A GAS - PIE",
        "A MAR S A GAS - SPA",
        "A MAR S A GRE - GAS",
        "A MAR S A GRE - PIE",
        "A MAR S A GRE - SPA",
        "A MAR S A HOL - GAS",
        "A MAR S A HOL - SPA",
        "A MAR S A KIE - GAS",
        "A MAR S A KIE - SPA",
        "A MAR S A LON - GAS",
        "A MAR S A LON - PIE",
        "A MAR S A LON - SPA",
        "A MAR S A LVP - GAS",
        "A MAR S A LVP - PIE",
        "A MAR S A LVP - SPA",
        "A MAR S A MUN - BUR",
        "A MAR S A NAF - GAS",
        "A MAR S A NAF - PIE",
        "A MAR S A NAF - SPA",
        "A MAR S A NAP - GAS",
        "A MAR S A NAP - PIE",
        "A MAR S A NAP - SPA",
        "A MAR S A NWY - GAS",
        "A MAR S A NWY - SPA",
        "A MAR S A PAR - BUR",
        "A MAR S A PAR - GAS",
        "A MAR S A PIC - BUR",
        "A MAR S A PIC - GAS",
        "A MAR S A PIC - PIE",
        "A MAR S A PIC - SPA",
        "A MAR S A PIE",
        "A MAR S A PIE - GAS",
        "A MAR S A PIE - SPA",
        "A MAR S A POR - GAS",
        "A MAR S A POR - PIE",
        "A MAR S A POR - SPA",
        "A MAR S A ROM - GAS",
        "A MAR S A ROM - PIE",
        "A MAR S A ROM - SPA",
        "A MAR S A RUH - BUR",
        "A MAR S A SMY - PIE",
        "A MAR S A SMY - SPA",
        "A MAR S A SPA",
        "A MAR S A SPA - GAS",
        "A MAR S A SPA - PIE",
        "A MAR S A STP - GAS",
        "A MAR S A STP - SPA",
        "A MAR S A SWE - GAS",
        "A MAR S A SWE - SPA",
        "A MAR S A SYR - PIE",
        "A MAR S A SYR - SPA",
        "A MAR S A TRI - PIE",
        "A MAR S A TRI - SPA",
        "A MAR S A TUN - GAS",
        "A MAR S A TUN - PIE",
        "A MAR S A TUN - SPA",
        "A MAR S A TUS - GAS",
        "A MAR S A TUS - PIE",
        "A MAR S A TUS - SPA",
        "A MAR S A TYR - PIE",
        "A MAR S A VEN - PIE",
        "A MAR S A VEN - SPA",
        "A MAR S A WAL - GAS",
        "A MAR S A WAL - PIE",
        "A MAR S A WAL - SPA",
        "A MAR S A YOR - GAS",
        "A MAR S A YOR - SPA",
        "A MAR S F BRE - GAS",
        "A MAR S F GAS",
        "A MAR S F GAS - SPA",
        "A MAR S F GAS - SPA/SC",
        "A MAR S F GAS - SPA/NC",
        "A MAR S F LYO - PIE",
        "A MAR S F LYO - SPA",
        "A MAR S F LYO - SPA/NC",
        "A MAR S F LYO - SPA/SC",
        "A MAR S F MAO - GAS",
        "A MAR S F MAO - SPA",
        "A MAR S F MAO - SPA/NC",
        "A MAR S F MAO - SPA/SC",
        "A MAR S F PIE",
        "A MAR S F POR - SPA",
        "A MAR S F POR - SPA/NC",
        "A MAR S F POR - SPA/SC",
        "A MAR S F SPA/NC",
        "A MAR S F SPA/NC - GAS",
        "A MAR S F SPA/SC",
        "A MAR S F TUS - PIE",
        "A MAR S F WES - SPA",
        "A MAR S F WES - SPA/NC",
        "A MAR S F WES - SPA/SC",
        "A MOS - LVN",
        "A MOS - SEV",
        "A MOS - STP",
        "A MOS - UKR",
        "A MOS - WAR",
        "A MOS B",
        "A MOS B;A SEV B",
        "A MOS B;A SEV B;A STP B",
        "A MOS B;A SEV B;A STP B;A WAR B",
        "A MOS B;A SEV B;A WAR B",
        "A MOS B;A SEV B;A WAR B;F STP/NC B",
        "A MOS B;A SEV B;A WAR B;F STP/SC B",
        "A MOS B;A SEV B;F STP/NC B",
        "A MOS B;A SEV B;F STP/SC B",
        "A MOS B;A STP B",
        "A MOS B;A STP B;A WAR B",
        "A MOS B;A STP B;A WAR B;F SEV B",
        "A MOS B;A STP B;F SEV B",
        "A MOS B;A WAR B",
        "A MOS B;A WAR B;F SEV B",
        "A MOS B;A WAR B;F SEV B;F STP/NC B",
        "A MOS B;A WAR B;F SEV B;F STP/SC B",
        "A MOS B;A WAR B;F STP/NC B",
        "A MOS B;A WAR B;F STP/SC B",
        "A MOS B;F SEV B",
        "A MOS B;F SEV B;F STP/NC B",
        "A MOS B;F SEV B;F STP/SC B",
        "A MOS B;F STP/NC B",
        "A MOS B;F STP/SC B",
        "A MOS D",
        "A MOS H",
        "A MOS R LVN",
        "A MOS R SEV",
        "A MOS R STP",
        "A MOS R UKR",
        "A MOS R WAR",
        "A MOS S A ANK - SEV",
        "A MOS S A ARM - SEV",
        "A MOS S A BEL - STP",
        "A MOS S A BER - LVN",
        "A MOS S A BER - STP",
        "A MOS S A BRE - STP",
        "A MOS S A BUL - SEV",
        "A MOS S A CLY - STP",
        "A MOS S A CON - SEV",
        "A MOS S A DEN - LVN",
        "A MOS S A DEN - STP",
        "A MOS S A EDI - STP",
        "A MOS S A FIN - LVN",
        "A MOS S A FIN - STP",
        "A MOS S A GAL - UKR",
        "A MOS S A GAL - WAR",
        "A MOS S A GAS - STP",
        "A MOS S A HOL - STP",
        "A MOS S A KIE - LVN",
        "A MOS S A KIE - STP",
        "A MOS S A LON - STP",
        "A MOS S A LVN",
        "A MOS S A LVN - STP",
        "A MOS S A LVN - WAR",
        "A MOS S A LVP - STP",
        "A MOS S A NAF - STP",
        "A MOS S A NWY - STP",
        "A MOS S A PIC - STP",
        "A MOS S A POR - STP",
        "A MOS S A PRU - LVN",
        "A MOS S A PRU - STP",
        "A MOS S A PRU - WAR",
        "A MOS S A RUM - SEV",
        "A MOS S A RUM - UKR",
        "A MOS S A SEV",
        "A MOS S A SEV - UKR",
        "A MOS S A SIL - WAR",
        "A MOS S A SPA - STP",
        "A MOS S A STP",
        "A MOS S A STP - LVN",
        "A MOS S A SWE - LVN",
        "A MOS S A SWE - STP",
        "A MOS S A SWE - STP/NC",
        "A MOS S A SWE - STP/SC",
        "A MOS S A UKR",
        "A MOS S A UKR - SEV",
        "A MOS S A UKR - WAR",
        "A MOS S A WAL - STP",
        "A MOS S A WAL - STP/NC",
        "A MOS S A WAL - STP/SC",
        "A MOS S A WAR",
        "A MOS S A WAR - LVN",
        "A MOS S A WAR - UKR",
        "A MOS S A YOR - STP",
        "A MOS S A YOR - STP/NC",
        "A MOS S A YOR - STP/SC",
        "A MOS S F ARM - SEV",
        "A MOS S F BAL - LVN",
        "A MOS S F BAR - STP",
        "A MOS S F BAR - STP/NC",
        "A MOS S F BAR - STP/SC",
        "A MOS S F BLA - SEV",
        "A MOS S F BOT - LVN",
        "A MOS S F BOT - STP",
        "A MOS S F BOT - STP/NC",
        "A MOS S F BOT - STP/SC",
        "A MOS S F FIN - STP",
        "A MOS S F FIN - STP/NC",
        "A MOS S F FIN - STP/SC",
        "A MOS S F LVN",
        "A MOS S F LVN - STP",
        "A MOS S F LVN - STP/NC",
        "A MOS S F LVN - STP/SC",
        "A MOS S F NWY - STP",
        "A MOS S F NWY - STP/NC",
        "A MOS S F NWY - STP/SC",
        "A MOS S F PRU - LVN",
        "A MOS S F RUM - SEV",
        "A MOS S F SEV",
        "A MOS S F STP/NC",
        "A MOS S F STP/SC",
        "A MOS S F STP/SC - LVN",
        "A MUN - BER",
        "A MUN - BOH",
        "A MUN - BUR",
        "A MUN - KIE",
        "A MUN - RUH",
        "A MUN - SIL",
        "A MUN - TYR",
        "A MUN B",
        "A MUN B;F BER B",
        "A MUN B;F BER B;F KIE B",
        "A MUN B;F KIE B",
        "A MUN D",
        "A MUN H",
        "A MUN R BER",
        "A MUN R BOH",
        "A MUN R BUR",
        "A MUN R KIE",
        "A MUN R RUH",
        "A MUN R SIL",
        "A MUN R TYR",
        "A MUN S A BEL - BUR",
        "A MUN S A BEL - KIE",
        "A MUN S A BEL - RUH",
        "A MUN S A BER",
        "A MUN S A BER - KIE",
        "A MUN S A BER - SIL",
        "A MUN S A BOH",
        "A MUN S A BOH - SIL",
        "A MUN S A BOH - TYR",
        "A MUN S A BRE - KIE",
        "A MUN S A BUR",
        "A MUN S A BUR - RUH",
        "A MUN S A CLY - KIE",
        "A MUN S A DEN - BER",
        "A MUN S A DEN - KIE",
        "A MUN S A EDI - KIE",
        "A MUN S A FIN - BER",
        "A MUN S A FIN - KIE",
        "A MUN S A GAL - BOH",
        "A MUN S A GAL - SIL",
        "A MUN S A GAS - BUR",
        "A MUN S A GAS - KIE",
        "A MUN S A HOL - KIE",
        "A MUN S A HOL - RUH",
        "A MUN S A KIE",
        "A MUN S A KIE - BER",
        "A MUN S A KIE - RUH",
        "A MUN S A LON - KIE",
        "A MUN S A LVN - BER",
        "A MUN S A LVN - KIE",
        "A MUN S A LVP - KIE",
        "A MUN S A MAR - BUR",
        "A MUN S A NAF - KIE",
        "A MUN S A NWY - KIE",
        "A MUN S A PAR - BUR",
        "A MUN S A PIC - BUR",
        "A MUN S A PIC - KIE",
        "A MUN S A PIE - TYR",
        "A MUN S A POR - KIE",
        "A MUN S A PRU - BER",
        "A MUN S A PRU - KIE",
        "A MUN S A PRU - SIL",
        "A MUN S A RUH",
        "A MUN S A RUH - BUR",
        "A MUN S A RUH - KIE",
        "A MUN S A SIL",
        "A MUN S A SIL - BER",
        "A MUN S A SIL - BOH",
        "A MUN S A SPA - KIE",
        "A MUN S A STP - BER",
        "A MUN S A STP - KIE",
        "A MUN S A SWE - BER",
        "A MUN S A SWE - KIE",
        "A MUN S A TRI - TYR",
        "A MUN S A TYR",
        "A MUN S A TYR - BOH",
        "A MUN S A VEN - TYR",
        "A MUN S A VIE - BOH",
        "A MUN S A VIE - TYR",
        "A MUN S A WAL - KIE",
        "A MUN S A WAR - SIL",
        "A MUN S A YOR - KIE",
        "A MUN S F BAL - BER",
        "A MUN S F BAL - KIE",
        "A MUN S F BER",
        "A MUN S F BER - KIE",
        "A MUN S F DEN - KIE",
        "A MUN S F HEL - KIE",
        "A MUN S F HOL - KIE",
        "A MUN S F KIE",
        "A MUN S F KIE - BER",
        "A MUN S F PRU - BER",
        "A NAF - ALB VIA",
        "A NAF - APU VIA",
        "A NAF - BEL VIA",
        "A NAF - BRE VIA",
        "A NAF - BUL VIA",
        "A NAF - CLY VIA",
        "A NAF - CON VIA",
        "A NAF - DEN VIA",
        "A NAF - EDI VIA",
        "A NAF - GAS VIA",
        "A NAF - GRE VIA",
        "A NAF - HOL VIA",
        "A NAF - KIE VIA",
        "A NAF - LON VIA",
        "A NAF - LVP VIA",
        "A NAF - MAR VIA",
        "A NAF - NAP VIA",
        "A NAF - NWY VIA",
        "A NAF - PIC VIA",
        "A NAF - PIE VIA",
        "A NAF - POR VIA",
        "A NAF - ROM VIA",
        "A NAF - SMY VIA",
        "A NAF - SPA VIA",
        "A NAF - STP VIA",
        "A NAF - SWE VIA",
        "A NAF - SYR VIA",
        "A NAF - TRI VIA",
        "A NAF - TUN",
        "A NAF - TUN VIA",
        "A NAF - TUS VIA",
        "A NAF - VEN VIA",
        "A NAF - WAL VIA",
        "A NAF - YOR VIA",
        "A NAF D",
        "A NAF H",
        "A NAF R TUN",
        "A NAF S A ALB - TUN",
        "A NAF S A APU - TUN",
        "A NAF S A BEL - TUN",
        "A NAF S A BRE - TUN",
        "A NAF S A BUL - TUN",
        "A NAF S A CLY - TUN",
        "A NAF S A CON - TUN",
        "A NAF S A DEN - TUN",
        "A NAF S A EDI - TUN",
        "A NAF S A GAS - TUN",
        "A NAF S A GRE - TUN",
        "A NAF S A HOL - TUN",
        "A NAF S A LON - TUN",
        "A NAF S A LVP - TUN",
        "A NAF S A MAR - TUN",
        "A NAF S A NAP - TUN",
        "A NAF S A NWY - TUN",
        "A NAF S A PIC - TUN",
        "A NAF S A PIE - TUN",
        "A NAF S A POR - TUN",
        "A NAF S A ROM - TUN",
        "A NAF S A SMY - TUN",
        "A NAF S A SPA - TUN",
        "A NAF S A SYR - TUN",
        "A NAF S A TRI - TUN",
        "A NAF S A TUN",
        "A NAF S A TUS - TUN",
        "A NAF S A VEN - TUN",
        "A NAF S A WAL - TUN",
        "A NAF S A YOR - TUN",
        "A NAF S F ION - TUN",
        "A NAF S F TUN",
        "A NAF S F TYS - TUN",
        "A NAF S F WES - TUN",
        "A NAP - ALB VIA",
        "A NAP - APU",
        "A NAP - APU VIA",
        "A NAP - BEL VIA",
        "A NAP - BRE VIA",
        "A NAP - BUL VIA",
        "A NAP - CLY VIA",
        "A NAP - CON VIA",
        "A NAP - GAS VIA",
        "A NAP - GRE VIA",
        "A NAP - LON VIA",
        "A NAP - LVP VIA",
        "A NAP - MAR VIA",
        "A NAP - NAF VIA",
        "A NAP - PIC VIA",
        "A NAP - PIE VIA",
        "A NAP - POR VIA",
        "A NAP - ROM",
        "A NAP - ROM VIA",
        "A NAP - SMY VIA",
        "A NAP - SPA VIA",
        "A NAP - SYR VIA",
        "A NAP - TRI VIA",
        "A NAP - TUN VIA",
        "A NAP - TUS VIA",
        "A NAP - VEN VIA",
        "A NAP - WAL VIA",
        "A NAP B",
        "A NAP B;A ROM B",
        "A NAP B;A ROM B;A VEN B",
        "A NAP B;A ROM B;F VEN B",
        "A NAP B;A VEN B",
        "A NAP B;A VEN B;F ROM B",
        "A NAP B;F ROM B",
        "A NAP B;F ROM B;F VEN B",
        "A NAP B;F VEN B",
        "A NAP D",
        "A NAP H",
        "A NAP R APU",
        "A NAP R ROM",
        "A NAP S A ALB - APU",
        "A NAP S A ALB - ROM",
        "A NAP S A APU",
        "A NAP S A APU - ROM",
        "A NAP S A BEL - ROM",
        "A NAP S A BRE - APU",
        "A NAP S A BRE - ROM",
        "A NAP S A BUL - APU",
        "A NAP S A BUL - ROM",
        "A NAP S A CLY - ROM",
        "A NAP S A CON - APU",
        "A NAP S A CON - ROM",
        "A NAP S A GAS - APU",
        "A NAP S A GAS - ROM",
        "A NAP S A GRE - APU",
        "A NAP S A GRE - ROM",
        "A NAP S A LON - ROM",
        "A NAP S A LVP - ROM",
        "A NAP S A MAR - APU",
        "A NAP S A MAR - ROM",
        "A NAP S A NAF - APU",
        "A NAP S A NAF - ROM",
        "A NAP S A PIC - ROM",
        "A NAP S A PIE - APU",
        "A NAP S A PIE - ROM",
        "A NAP S A POR - APU",
        "A NAP S A POR - ROM",
        "A NAP S A ROM",
        "A NAP S A ROM - APU",
        "A NAP S A SMY - APU",
        "A NAP S A SMY - ROM",
        "A NAP S A SPA - APU",
        "A NAP S A SPA - ROM",
        "A NAP S A SYR - APU",
        "A NAP S A SYR - ROM",
        "A NAP S A TRI - APU",
        "A NAP S A TRI - ROM",
        "A NAP S A TUN - APU",
        "A NAP S A TUN - ROM",
        "A NAP S A TUS - APU",
        "A NAP S A TUS - ROM",
        "A NAP S A VEN - APU",
        "A NAP S A VEN - ROM",
        "A NAP S A WAL - ROM",
        "A NAP S F ADR - APU",
        "A NAP S F APU",
        "A NAP S F ION - APU",
        "A NAP S F ROM",
        "A NAP S F TUS - ROM",
        "A NAP S F TYS - ROM",
        "A NAP S F VEN - APU",
        "A NWY - BEL VIA",
        "A NWY - BRE VIA",
        "A NWY - CLY VIA",
        "A NWY - DEN VIA",
        "A NWY - EDI VIA",
        "A NWY - FIN",
        "A NWY - GAS VIA",
        "A NWY - HOL VIA",
        "A NWY - KIE VIA",
        "A NWY - LON VIA",
        "A NWY - LVP VIA",
        "A NWY - NAF VIA",
        "A NWY - PIC VIA",
        "A NWY - POR VIA",
        "A NWY - SPA VIA",
        "A NWY - STP",
        "A NWY - STP VIA",
        "A NWY - SWE",
        "A NWY - SWE VIA",
        "A NWY - TUN VIA",
        "A NWY - WAL VIA",
        "A NWY - YOR VIA",
        "A NWY D",
        "A NWY H",
        "A NWY R FIN",
        "A NWY R STP",
        "A NWY R SWE",
        "A NWY S A BEL - STP",
        "A NWY S A BEL - SWE",
        "A NWY S A BER - FIN",
        "A NWY S A BER - STP",
        "A NWY S A BER - SWE",
        "A NWY S A BRE - STP",
        "A NWY S A BRE - SWE",
        "A NWY S A CLY - STP",
        "A NWY S A CLY - SWE",
        "A NWY S A DEN - FIN",
        "A NWY S A DEN - STP",
        "A NWY S A DEN - SWE",
        "A NWY S A EDI - STP",
        "A NWY S A EDI - SWE",
        "A NWY S A FIN",
        "A NWY S A FIN - STP",
        "A NWY S A FIN - SWE",
        "A NWY S A GAS - STP",
        "A NWY S A GAS - SWE",
        "A NWY S A HOL - STP",
        "A NWY S A HOL - SWE",
        "A NWY S A KIE - FIN",
        "A NWY S A KIE - STP",
        "A NWY S A KIE - SWE",
        "A NWY S A LON - STP",
        "A NWY S A LON - SWE",
        "A NWY S A LVN - FIN",
        "A NWY S A LVN - STP",
        "A NWY S A LVN - SWE",
        "A NWY S A LVP - STP",
        "A NWY S A LVP - SWE",
        "A NWY S A MOS - STP",
        "A NWY S A NAF - STP",
        "A NWY S A NAF - SWE",
        "A NWY S A PIC - STP",
        "A NWY S A PIC - SWE",
        "A NWY S A POR - STP",
        "A NWY S A POR - SWE",
        "A NWY S A PRU - FIN",
        "A NWY S A PRU - STP",
        "A NWY S A PRU - SWE",
        "A NWY S A SPA - STP",
        "A NWY S A SPA - SWE",
        "A NWY S A STP",
        "A NWY S A STP - FIN",
        "A NWY S A STP - SWE",
        "A NWY S A SWE",
        "A NWY S A SWE - FIN",
        "A NWY S A SWE - STP",
        "A NWY S A WAL - STP",
        "A NWY S A WAL - SWE",
        "A NWY S A YOR - STP",
        "A NWY S A YOR - SWE",
        "A NWY S F BAL - SWE",
        "A NWY S F BAR - STP",
        "A NWY S F BAR - STP/NC",
        "A NWY S F BAR - STP/SC",
        "A NWY S F BOT - FIN",
        "A NWY S F BOT - STP",
        "A NWY S F BOT - STP/NC",
        "A NWY S F BOT - STP/SC",
        "A NWY S F BOT - SWE",
        "A NWY S F DEN - SWE",
        "A NWY S F FIN",
        "A NWY S F FIN - STP",
        "A NWY S F FIN - STP/NC",
        "A NWY S F FIN - STP/SC",
        "A NWY S F FIN - SWE",
        "A NWY S F LVN - STP",
        "A NWY S F LVN - STP/NC",
        "A NWY S F LVN - STP/SC",
        "A NWY S F SKA - SWE",
        "A NWY S F STP/NC",
        "A NWY S F STP/SC",
        "A NWY S F STP/SC - FIN",
        "A NWY S F SWE",
        "A NWY S F SWE - FIN",
        "A PAR - BRE",
        "A PAR - BUR",
        "A PAR - GAS",
        "A PAR - PIC",
        "A PAR B",
        "A PAR B;F BRE B",
        "A PAR B;F BRE B;F MAR B",
        "A PAR B;F MAR B",
        "A PAR D",
        "A PAR H",
        "A PAR R BRE",
        "A PAR R BUR",
        "A PAR R GAS",
        "A PAR R PIC",
        "A PAR S A ALB - BRE",
        "A PAR S A ALB - GAS",
        "A PAR S A APU - BRE",
        "A PAR S A APU - GAS",
        "A PAR S A BEL - BRE",
        "A PAR S A BEL - BUR",
        "A PAR S A BEL - GAS",
        "A PAR S A BEL - PIC",
        "A PAR S A BRE",
        "A PAR S A BRE - GAS",
        "A PAR S A BRE - PIC",
        "A PAR S A BUR",
        "A PAR S A BUR - GAS",
        "A PAR S A BUR - PIC",
        "A PAR S A CLY - BRE",
        "A PAR S A CLY - GAS",
        "A PAR S A CLY - PIC",
        "A PAR S A DEN - BRE",
        "A PAR S A DEN - GAS",
        "A PAR S A DEN - PIC",
        "A PAR S A EDI - BRE",
        "A PAR S A EDI - GAS",
        "A PAR S A EDI - PIC",
        "A PAR S A GAS",
        "A PAR S A GAS - BRE",
        "A PAR S A GAS - BUR",
        "A PAR S A GAS - PIC",
        "A PAR S A GRE - BRE",
        "A PAR S A GRE - GAS",
        "A PAR S A HOL - BRE",
        "A PAR S A HOL - GAS",
        "A PAR S A HOL - PIC",
        "A PAR S A KIE - BRE",
        "A PAR S A KIE - GAS",
        "A PAR S A KIE - PIC",
        "A PAR S A LON - BRE",
        "A PAR S A LON - GAS",
        "A PAR S A LON - PIC",
        "A PAR S A LVP - BRE",
        "A PAR S A LVP - GAS",
        "A PAR S A LVP - PIC",
        "A PAR S A MAR - BRE",
        "A PAR S A MAR - BUR",
        "A PAR S A MAR - GAS",
        "A PAR S A MAR - PIC",
        "A PAR S A MUN - BUR",
        "A PAR S A NAF - BRE",
        "A PAR S A NAF - GAS",
        "A PAR S A NAF - PIC",
        "A PAR S A NAP - BRE",
        "A PAR S A NAP - GAS",
        "A PAR S A NAP - PIC",
        "A PAR S A NWY - BRE",
        "A PAR S A NWY - GAS",
        "A PAR S A NWY - PIC",
        "A PAR S A PIC",
        "A PAR S A PIC - BRE",
        "A PAR S A PIC - BUR",
        "A PAR S A PIC - GAS",
        "A PAR S A PIE - BRE",
        "A PAR S A PIE - GAS",
        "A PAR S A PIE - PIC",
        "A PAR S A POR - BRE",
        "A PAR S A POR - GAS",
        "A PAR S A POR - PIC",
        "A PAR S A ROM - BRE",
        "A PAR S A ROM - GAS",
        "A PAR S A ROM - PIC",
        "A PAR S A RUH - BUR",
        "A PAR S A SPA - BRE",
        "A PAR S A SPA - GAS",
        "A PAR S A SPA - PIC",
        "A PAR S A STP - BRE",
        "A PAR S A STP - GAS",
        "A PAR S A STP - PIC",
        "A PAR S A SWE - BRE",
        "A PAR S A SWE - GAS",
        "A PAR S A SWE - PIC",
        "A PAR S A TUN - BRE",
        "A PAR S A TUN - GAS",
        "A PAR S A TUN - PIC",
        "A PAR S A TUS - BRE",
        "A PAR S A TUS - GAS",
        "A PAR S A TUS - PIC",
        "A PAR S A WAL - BRE",
        "A PAR S A WAL - GAS",
        "A PAR S A WAL - PIC",
        "A PAR S A YOR - BRE",
        "A PAR S A YOR - GAS",
        "A PAR S A YOR - PIC",
        "A PAR S F BEL - PIC",
        "A PAR S F BRE",
        "A PAR S F BRE - GAS",
        "A PAR S F BRE - PIC",
        "A PAR S F ENG - BRE",
        "A PAR S F ENG - PIC",
        "A PAR S F GAS",
        "A PAR S F GAS - BRE",
        "A PAR S F MAO - BRE",
        "A PAR S F MAO - GAS",
        "A PAR S F PIC",
        "A PAR S F PIC - BRE",
        "A PAR S F SPA/NC - GAS",
        "A PIC - BEL",
        "A PIC - BEL VIA",
        "A PIC - BRE",
        "A PIC - BRE VIA",
        "A PIC - BUR",
        "A PIC - CLY VIA",
        "A PIC - DEN VIA",
        "A PIC - EDI VIA",
        "A PIC - GAS VIA",
        "A PIC - HOL VIA",
        "A PIC - KIE VIA",
        "A PIC - LON VIA",
        "A PIC - LVP VIA",
        "A PIC - MAR VIA",
        "A PIC - NAF VIA",
        "A PIC - NAP VIA",
        "A PIC - NWY VIA",
        "A PIC - PAR",
        "A PIC - PIE VIA",
        "A PIC - POR VIA",
        "A PIC - ROM VIA",
        "A PIC - SPA VIA",
        "A PIC - STP VIA",
        "A PIC - SWE VIA",
        "A PIC - TUN VIA",
        "A PIC - TUS VIA",
        "A PIC - WAL VIA",
        "A PIC - YOR VIA",
        "A PIC D",
        "A PIC H",
        "A PIC R BEL",
        "A PIC R BRE",
        "A PIC R BUR",
        "A PIC R PAR",
        "A PIC S A ALB - BRE",
        "A PIC S A APU - BRE",
        "A PIC S A BEL",
        "A PIC S A BEL - BRE",
        "A PIC S A BEL - BUR",
        "A PIC S A BRE",
        "A PIC S A BRE - BEL",
        "A PIC S A BRE - PAR",
        "A PIC S A BUR",
        "A PIC S A BUR - BEL",
        "A PIC S A BUR - PAR",
        "A PIC S A CLY - BEL",
        "A PIC S A CLY - BRE",
        "A PIC S A DEN - BEL",
        "A PIC S A DEN - BRE",
        "A PIC S A EDI - BEL",
        "A PIC S A EDI - BRE",
        "A PIC S A GAS - BEL",
        "A PIC S A GAS - BRE",
        "A PIC S A GAS - BUR",
        "A PIC S A GAS - PAR",
        "A PIC S A GRE - BRE",
        "A PIC S A HOL - BEL",
        "A PIC S A HOL - BRE",
        "A PIC S A KIE - BEL",
        "A PIC S A KIE - BRE",
        "A PIC S A LON - BEL",
        "A PIC S A LON - BRE",
        "A PIC S A LVP - BEL",
        "A PIC S A LVP - BRE",
        "A PIC S A MAR - BEL",
        "A PIC S A MAR - BRE",
        "A PIC S A MAR - BUR",
        "A PIC S A MUN - BUR",
        "A PIC S A NAF - BEL",
        "A PIC S A NAF - BRE",
        "A PIC S A NAP - BEL",
        "A PIC S A NAP - BRE",
        "A PIC S A NWY - BEL",
        "A PIC S A NWY - BRE",
        "A PIC S A PAR",
        "A PIC S A PAR - BRE",
        "A PIC S A PAR - BUR",
        "A PIC S A PIE - BEL",
        "A PIC S A PIE - BRE",
        "A PIC S A POR - BEL",
        "A PIC S A POR - BRE",
        "A PIC S A ROM - BEL",
        "A PIC S A ROM - BRE",
        "A PIC S A RUH - BEL",
        "A PIC S A RUH - BUR",
        "A PIC S A SPA - BEL",
        "A PIC S A SPA - BRE",
        "A PIC S A STP - BEL",
        "A PIC S A STP - BRE",
        "A PIC S A SWE - BEL",
        "A PIC S A SWE - BRE",
        "A PIC S A TUN - BEL",
        "A PIC S A TUN - BRE",
        "A PIC S A TUS - BEL",
        "A PIC S A TUS - BRE",
        "A PIC S A WAL - BEL",
        "A PIC S A WAL - BRE",
        "A PIC S A YOR - BEL",
        "A PIC S A YOR - BRE",
        "A PIC S F BEL",
        "A PIC S F BRE",
        "A PIC S F ENG - BEL",
        "A PIC S F ENG - BRE",
        "A PIC S F GAS - BRE",
        "A PIC S F HOL - BEL",
        "A PIC S F MAO - BRE",
        "A PIC S F NTH - BEL",
        "A PIE - ALB VIA",
        "A PIE - APU VIA",
        "A PIE - BEL VIA",
        "A PIE - BRE VIA",
        "A PIE - BUL VIA",
        "A PIE - CLY VIA",
        "A PIE - CON VIA",
        "A PIE - GAS VIA",
        "A PIE - GRE VIA",
        "A PIE - LON VIA",
        "A PIE - LVP VIA",
        "A PIE - MAR",
        "A PIE - MAR VIA",
        "A PIE - NAF VIA",
        "A PIE - NAP VIA",
        "A PIE - PIC VIA",
        "A PIE - POR VIA",
        "A PIE - ROM VIA",
        "A PIE - SMY VIA",
        "A PIE - SPA VIA",
        "A PIE - SYR VIA",
        "A PIE - TRI VIA",
        "A PIE - TUN VIA",
        "A PIE - TUS",
        "A PIE - TUS VIA",
        "A PIE - TYR",
        "A PIE - VEN",
        "A PIE - VEN VIA",
        "A PIE - WAL VIA",
        "A PIE D",
        "A PIE H",
        "A PIE R MAR",
        "A PIE R TUS",
        "A PIE R TYR",
        "A PIE R VEN",
        "A PIE S A ALB - MAR",
        "A PIE S A ALB - TUS",
        "A PIE S A ALB - VEN",
        "A PIE S A APU - MAR",
        "A PIE S A APU - TUS",
        "A PIE S A APU - VEN",
        "A PIE S A BEL - MAR",
        "A PIE S A BEL - TUS",
        "A PIE S A BOH - TYR",
        "A PIE S A BRE - MAR",
        "A PIE S A BRE - TUS",
        "A PIE S A BUL - MAR",
        "A PIE S A BUL - TUS",
        "A PIE S A BUL - VEN",
        "A PIE S A BUR - MAR",
        "A PIE S A CLY - MAR",
        "A PIE S A CLY - TUS",
        "A PIE S A CON - MAR",
        "A PIE S A CON - TUS",
        "A PIE S A CON - VEN",
        "A PIE S A GAS - MAR",
        "A PIE S A GAS - TUS",
        "A PIE S A GRE - MAR",
        "A PIE S A GRE - TUS",
        "A PIE S A GRE - VEN",
        "A PIE S A LON - MAR",
        "A PIE S A LON - TUS",
        "A PIE S A LVP - MAR",
        "A PIE S A LVP - TUS",
        "A PIE S A MAR",
        "A PIE S A MAR - TUS",
        "A PIE S A MAR - VEN",
        "A PIE S A MUN - TYR",
        "A PIE S A NAF - MAR",
        "A PIE S A NAF - TUS",
        "A PIE S A NAF - VEN",
        "A PIE S A NAP - MAR",
        "A PIE S A NAP - TUS",
        "A PIE S A NAP - VEN",
        "A PIE S A PIC - MAR",
        "A PIE S A PIC - TUS",
        "A PIE S A POR - MAR",
        "A PIE S A POR - TUS",
        "A PIE S A ROM - MAR",
        "A PIE S A ROM - TUS",
        "A PIE S A ROM - VEN",
        "A PIE S A SMY - MAR",
        "A PIE S A SMY - TUS",
        "A PIE S A SMY - VEN",
        "A PIE S A SPA - MAR",
        "A PIE S A SPA - TUS",
        "A PIE S A SPA - VEN",
        "A PIE S A SYR - MAR",
        "A PIE S A SYR - TUS",
        "A PIE S A SYR - VEN",
        "A PIE S A TRI - MAR",
        "A PIE S A TRI - TUS",
        "A PIE S A TRI - TYR",
        "A PIE S A TRI - VEN",
        "A PIE S A TUN - MAR",
        "A PIE S A TUN - TUS",
        "A PIE S A TUN - VEN",
        "A PIE S A TUS",
        "A PIE S A TUS - MAR",
        "A PIE S A TUS - VEN",
        "A PIE S A TYR",
        "A PIE S A TYR - VEN",
        "A PIE S A VEN",
        "A PIE S A VEN - MAR",
        "A PIE S A VEN - TUS",
        "A PIE S A VEN - TYR",
        "A PIE S A VIE - TYR",
        "A PIE S A WAL - MAR",
        "A PIE S A WAL - TUS",
        "A PIE S F ADR - VEN",
        "A PIE S F APU - VEN",
        "A PIE S F LYO - MAR",
        "A PIE S F LYO - TUS",
        "A PIE S F MAR",
        "A PIE S F ROM - TUS",
        "A PIE S F SPA/SC - MAR",
        "A PIE S F TRI - VEN",
        "A PIE S F TUS",
        "A PIE S F TYS - TUS",
        "A PIE S F VEN",
        "A POR - ALB VIA",
        "A POR - APU VIA",
        "A POR - BEL VIA",
        "A POR - BRE VIA",
        "A POR - CLY VIA",
        "A POR - DEN VIA",
        "A POR - EDI VIA",
        "A POR - GAS VIA",
        "A POR - GRE VIA",
        "A POR - HOL VIA",
        "A POR - KIE VIA",
        "A POR - LON VIA",
        "A POR - LVP VIA",
        "A POR - MAR VIA",
        "A POR - NAF VIA",
        "A POR - NAP VIA",
        "A POR - NWY VIA",
        "A POR - PIC VIA",
        "A POR - PIE VIA",
        "A POR - ROM VIA",
        "A POR - SPA",
        "A POR - SPA VIA",
        "A POR - STP VIA",
        "A POR - SWE VIA",
        "A POR - TUN VIA",
        "A POR - TUS VIA",
        "A POR - WAL VIA",
        "A POR - YOR VIA",
        "A POR D",
        "A POR H",
        "A POR R SPA",
        "A POR S A ALB - SPA",
        "A POR S A APU - SPA",
        "A POR S A BEL - SPA",
        "A POR S A BRE - SPA",
        "A POR S A BUL - SPA",
        "A POR S A CLY - SPA",
        "A POR S A CON - SPA",
        "A POR S A DEN - SPA",
        "A POR S A EDI - SPA",
        "A POR S A GAS - SPA",
        "A POR S A GRE - SPA",
        "A POR S A HOL - SPA",
        "A POR S A KIE - SPA",
        "A POR S A LON - SPA",
        "A POR S A LVP - SPA",
        "A POR S A MAR - SPA",
        "A POR S A NAF - SPA",
        "A POR S A NAP - SPA",
        "A POR S A NWY - SPA",
        "A POR S A PIC - SPA",
        "A POR S A PIE - SPA",
        "A POR S A ROM - SPA",
        "A POR S A SMY - SPA",
        "A POR S A SPA",
        "A POR S A STP - SPA",
        "A POR S A SWE - SPA",
        "A POR S A SYR - SPA",
        "A POR S A TRI - SPA",
        "A POR S A TUN - SPA",
        "A POR S A TUS - SPA",
        "A POR S A VEN - SPA",
        "A POR S A WAL - SPA",
        "A POR S A YOR - SPA",
        "A POR S F GAS - SPA",
        "A POR S F GAS - SPA/NC",
        "A POR S F GAS - SPA/SC",
        "A POR S F LYO - SPA",
        "A POR S F LYO - SPA/NC",
        "A POR S F LYO - SPA/SC",
        "A POR S F MAO - SPA",
        "A POR S F MAO - SPA/NC",
        "A POR S F MAO - SPA/SC",
        "A POR S F MAR - SPA",
        "A POR S F MAR - SPA/NC",
        "A POR S F MAR - SPA/SC",
        "A POR S F SPA/NC",
        "A POR S F SPA/SC",
        "A POR S F WES - SPA",
        "A POR S F WES - SPA/NC",
        "A POR S F WES - SPA/SC",
        "A PRU - BER",
        "A PRU - BER VIA",
        "A PRU - DEN VIA",
        "A PRU - FIN VIA",
        "A PRU - KIE VIA",
        "A PRU - LVN",
        "A PRU - LVN VIA",
        "A PRU - SIL",
        "A PRU - STP VIA",
        "A PRU - SWE VIA",
        "A PRU - WAR",
        "A PRU D",
        "A PRU H",
        "A PRU R BER",
        "A PRU R LVN",
        "A PRU R SIL",
        "A PRU R WAR",
        "A PRU S A BER",
        "A PRU S A BER - LVN",
        "A PRU S A BER - SIL",
        "A PRU S A BOH - SIL",
        "A PRU S A DEN - BER",
        "A PRU S A DEN - LVN",
        "A PRU S A FIN - BER",
        "A PRU S A FIN - LVN",
        "A PRU S A GAL - SIL",
        "A PRU S A GAL - WAR",
        "A PRU S A KIE - BER",
        "A PRU S A KIE - LVN",
        "A PRU S A LVN",
        "A PRU S A LVN - BER",
        "A PRU S A LVN - WAR",
        "A PRU S A MOS - LVN",
        "A PRU S A MOS - WAR",
        "A PRU S A MUN - BER",
        "A PRU S A MUN - SIL",
        "A PRU S A SIL",
        "A PRU S A SIL - BER",
        "A PRU S A SIL - WAR",
        "A PRU S A STP - BER",
        "A PRU S A STP - LVN",
        "A PRU S A SWE - BER",
        "A PRU S A SWE - LVN",
        "A PRU S A UKR - WAR",
        "A PRU S A WAR",
        "A PRU S A WAR - LVN",
        "A PRU S A WAR - SIL",
        "A PRU S F BAL - BER",
        "A PRU S F BAL - LVN",
        "A PRU S F BER",
        "A PRU S F BOT - LVN",
        "A PRU S F KIE - BER",
        "A PRU S F LVN",
        "A PRU S F STP/SC - LVN",
        "A ROM - ALB VIA",
        "A ROM - APU",
        "A ROM - APU VIA",
        "A ROM - BEL VIA",
        "A ROM - BRE VIA",
        "A ROM - BUL VIA",
        "A ROM - CLY VIA",
        "A ROM - CON VIA",
        "A ROM - GAS VIA",
        "A ROM - GRE VIA",
        "A ROM - LON VIA",
        "A ROM - LVP VIA",
        "A ROM - MAR VIA",
        "A ROM - NAF VIA",
        "A ROM - NAP",
        "A ROM - NAP VIA",
        "A ROM - PIC VIA",
        "A ROM - PIE VIA",
        "A ROM - POR VIA",
        "A ROM - SMY VIA",
        "A ROM - SPA VIA",
        "A ROM - SYR VIA",
        "A ROM - TRI VIA",
        "A ROM - TUN VIA",
        "A ROM - TUS",
        "A ROM - TUS VIA",
        "A ROM - VEN",
        "A ROM - VEN VIA",
        "A ROM - WAL VIA",
        "A ROM B",
        "A ROM B;A VEN B",
        "A ROM B;A VEN B;F NAP B",
        "A ROM B;F NAP B",
        "A ROM B;F NAP B;F VEN B",
        "A ROM B;F VEN B",
        "A ROM D",
        "A ROM H",
        "A ROM R APU",
        "A ROM R NAP",
        "A ROM R TUS",
        "A ROM R VEN",
        "A ROM S A ALB - APU",
        "A ROM S A ALB - NAP",
        "A ROM S A ALB - TUS",
        "A ROM S A ALB - VEN",
        "A ROM S A APU",
        "A ROM S A APU - NAP",
        "A ROM S A APU - TUS",
        "A ROM S A APU - VEN",
        "A ROM S A BEL - NAP",
        "A ROM S A BEL - TUS",
        "A ROM S A BRE - APU",
        "A ROM S A BRE - NAP",
        "A ROM S A BRE - TUS",
        "A ROM S A BUL - APU",
        "A ROM S A BUL - NAP",
        "A ROM S A BUL - TUS",
        "A ROM S A BUL - VEN",
        "A ROM S A CLY - NAP",
        "A ROM S A CLY - TUS",
        "A ROM S A CON - APU",
        "A ROM S A CON - NAP",
        "A ROM S A CON - TUS",
        "A ROM S A CON - VEN",
        "A ROM S A GAS - APU",
        "A ROM S A GAS - NAP",
        "A ROM S A GAS - TUS",
        "A ROM S A GRE - APU",
        "A ROM S A GRE - NAP",
        "A ROM S A GRE - TUS",
        "A ROM S A GRE - VEN",
        "A ROM S A LON - NAP",
        "A ROM S A LON - TUS",
        "A ROM S A LVP - NAP",
        "A ROM S A LVP - TUS",
        "A ROM S A MAR - APU",
        "A ROM S A MAR - NAP",
        "A ROM S A MAR - TUS",
        "A ROM S A MAR - VEN",
        "A ROM S A NAF - APU",
        "A ROM S A NAF - NAP",
        "A ROM S A NAF - TUS",
        "A ROM S A NAF - VEN",
        "A ROM S A NAP",
        "A ROM S A NAP - APU",
        "A ROM S A NAP - TUS",
        "A ROM S A NAP - VEN",
        "A ROM S A PIC - NAP",
        "A ROM S A PIC - TUS",
        "A ROM S A PIE - APU",
        "A ROM S A PIE - NAP",
        "A ROM S A PIE - TUS",
        "A ROM S A PIE - VEN",
        "A ROM S A POR - APU",
        "A ROM S A POR - NAP",
        "A ROM S A POR - TUS",
        "A ROM S A SMY - APU",
        "A ROM S A SMY - NAP",
        "A ROM S A SMY - TUS",
        "A ROM S A SMY - VEN",
        "A ROM S A SPA - APU",
        "A ROM S A SPA - NAP",
        "A ROM S A SPA - TUS",
        "A ROM S A SPA - VEN",
        "A ROM S A SYR - APU",
        "A ROM S A SYR - NAP",
        "A ROM S A SYR - TUS",
        "A ROM S A SYR - VEN",
        "A ROM S A TRI - APU",
        "A ROM S A TRI - NAP",
        "A ROM S A TRI - TUS",
        "A ROM S A TRI - VEN",
        "A ROM S A TUN - APU",
        "A ROM S A TUN - NAP",
        "A ROM S A TUN - TUS",
        "A ROM S A TUN - VEN",
        "A ROM S A TUS",
        "A ROM S A TUS - APU",
        "A ROM S A TUS - NAP",
        "A ROM S A TUS - VEN",
        "A ROM S A TYR - VEN",
        "A ROM S A VEN",
        "A ROM S A VEN - APU",
        "A ROM S A VEN - NAP",
        "A ROM S A VEN - TUS",
        "A ROM S A WAL - NAP",
        "A ROM S A WAL - TUS",
        "A ROM S F ADR - APU",
        "A ROM S F ADR - VEN",
        "A ROM S F APU",
        "A ROM S F APU - NAP",
        "A ROM S F APU - VEN",
        "A ROM S F ION - APU",
        "A ROM S F ION - NAP",
        "A ROM S F LYO - TUS",
        "A ROM S F NAP",
        "A ROM S F NAP - APU",
        "A ROM S F PIE - TUS",
        "A ROM S F TRI - VEN",
        "A ROM S F TUS",
        "A ROM S F TYS - NAP",
        "A ROM S F TYS - TUS",
        "A ROM S F VEN",
        "A ROM S F VEN - APU",
        "A RUH - BEL",
        "A RUH - BUR",
        "A RUH - HOL",
        "A RUH - KIE",
        "A RUH - MUN",
        "A RUH D",
        "A RUH H",
        "A RUH R BEL",
        "A RUH R BUR",
        "A RUH R HOL",
        "A RUH R KIE",
        "A RUH R MUN",
        "A RUH S A BEL",
        "A RUH S A BEL - BUR",
        "A RUH S A BEL - HOL",
        "A RUH S A BEL - KIE",
        "A RUH S A BER - KIE",
        "A RUH S A BER - MUN",
        "A RUH S A BOH - MUN",
        "A RUH S A BRE - BEL",
        "A RUH S A BRE - HOL",
        "A RUH S A BRE - KIE",
        "A RUH S A BUR",
        "A RUH S A BUR - BEL",
        "A RUH S A BUR - MUN",
        "A RUH S A CLY - BEL",
        "A RUH S A CLY - HOL",
        "A RUH S A CLY - KIE",
        "A RUH S A DEN - BEL",
        "A RUH S A DEN - HOL",
        "A RUH S A DEN - KIE",
        "A RUH S A EDI - BEL",
        "A RUH S A EDI - HOL",
        "A RUH S A EDI - KIE",
        "A RUH S A FIN - KIE",
        "A RUH S A GAS - BEL",
        "A RUH S A GAS - BUR",
        "A RUH S A GAS - HOL",
        "A RUH S A GAS - KIE",
        "A RUH S A HOL",
        "A RUH S A HOL - BEL",
        "A RUH S A HOL - KIE",
        "A RUH S A KIE",
        "A RUH S A KIE - BEL",
        "A RUH S A KIE - HOL",
        "A RUH S A KIE - MUN",
        "A RUH S A LON - BEL",
        "A RUH S A LON - HOL",
        "A RUH S A LON - KIE",
        "A RUH S A LVN - KIE",
        "A RUH S A LVP - BEL",
        "A RUH S A LVP - HOL",
        "A RUH S A LVP - KIE",
        "A RUH S A MAR - BEL",
        "A RUH S A MAR - BUR",
        "A RUH S A MUN",
        "A RUH S A MUN - BUR",
        "A RUH S A MUN - KIE",
        "A RUH S A NAF - BEL",
        "A RUH S A NAF - HOL",
        "A RUH S A NAF - KIE",
        "A RUH S A NAP - BEL",
        "A RUH S A NWY - BEL",
        "A RUH S A NWY - HOL",
        "A RUH S A NWY - KIE",
        "A RUH S A PAR - BUR",
        "A RUH S A PIC - BEL",
        "A RUH S A PIC - BUR",
        "A RUH S A PIC - HOL",
        "A RUH S A PIC - KIE",
        "A RUH S A PIE - BEL",
        "A RUH S A POR - BEL",
        "A RUH S A POR - HOL",
        "A RUH S A POR - KIE",
        "A RUH S A PRU - KIE",
        "A RUH S A ROM - BEL",
        "A RUH S A SIL - MUN",
        "A RUH S A SPA - BEL",
        "A RUH S A SPA - HOL",
        "A RUH S A SPA - KIE",
        "A RUH S A STP - BEL",
        "A RUH S A STP - HOL",
        "A RUH S A STP - KIE",
        "A RUH S A SWE - BEL",
        "A RUH S A SWE - HOL",
        "A RUH S A SWE - KIE",
        "A RUH S A TUN - BEL",
        "A RUH S A TUN - HOL",
        "A RUH S A TUS - BEL",
        "A RUH S A TYR - MUN",
        "A RUH S A WAL - BEL",
        "A RUH S A WAL - HOL",
        "A RUH S A WAL - KIE",
        "A RUH S A YOR - BEL",
        "A RUH S A YOR - HOL",
        "A RUH S A YOR - KIE",
        "A RUH S F BAL - KIE",
        "A RUH S F BEL",
        "A RUH S F BEL - HOL",
        "A RUH S F BER - KIE",
        "A RUH S F DEN - KIE",
        "A RUH S F ENG - BEL",
        "A RUH S F HEL - HOL",
        "A RUH S F HEL - KIE",
        "A RUH S F HOL",
        "A RUH S F HOL - BEL",
        "A RUH S F HOL - KIE",
        "A RUH S F KIE",
        "A RUH S F KIE - HOL",
        "A RUH S F NTH - BEL",
        "A RUH S F NTH - HOL",
        "A RUH S F PIC - BEL",
        "A RUM - ANK VIA",
        "A RUM - ARM VIA",
        "A RUM - BUD",
        "A RUM - BUL",
        "A RUM - BUL VIA",
        "A RUM - CON VIA",
        "A RUM - GAL",
        "A RUM - SER",
        "A RUM - SEV",
        "A RUM - SEV VIA",
        "A RUM - UKR",
        "A RUM D",
        "A RUM H",
        "A RUM R BUD",
        "A RUM R BUL",
        "A RUM R GAL",
        "A RUM R SER",
        "A RUM R SEV",
        "A RUM R UKR",
        "A RUM S A ALB - BUL",
        "A RUM S A ALB - SER",
        "A RUM S A ANK - BUL",
        "A RUM S A ANK - SEV",
        "A RUM S A APU - BUL",
        "A RUM S A ARM - BUL",
        "A RUM S A ARM - SEV",
        "A RUM S A BOH - GAL",
        "A RUM S A BUD",
        "A RUM S A BUD - GAL",
        "A RUM S A BUD - SER",
        "A RUM S A BUL",
        "A RUM S A BUL - SER",
        "A RUM S A BUL - SEV",
        "A RUM S A CON - BUL",
        "A RUM S A CON - SEV",
        "A RUM S A GAL",
        "A RUM S A GAL - BUD",
        "A RUM S A GAL - UKR",
        "A RUM S A GRE - BUL",
        "A RUM S A GRE - SER",
        "A RUM S A MAR - BUL",
        "A RUM S A MOS - SEV",
        "A RUM S A MOS - UKR",
        "A RUM S A NAF - BUL",
        "A RUM S A NAP - BUL",
        "A RUM S A PIE - BUL",
        "A RUM S A ROM - BUL",
        "A RUM S A SER",
        "A RUM S A SER - BUD",
        "A RUM S A SER - BUL",
        "A RUM S A SEV",
        "A RUM S A SEV - BUL",
        "A RUM S A SEV - UKR",
        "A RUM S A SIL - GAL",
        "A RUM S A SMY - BUL",
        "A RUM S A SPA - BUL",
        "A RUM S A SYR - BUL",
        "A RUM S A TRI - BUD",
        "A RUM S A TRI - BUL",
        "A RUM S A TRI - SER",
        "A RUM S A TUN - BUL",
        "A RUM S A TUS - BUL",
        "A RUM S A UKR",
        "A RUM S A UKR - GAL",
        "A RUM S A UKR - SEV",
        "A RUM S A VEN - BUL",
        "A RUM S A VIE - BUD",
        "A RUM S A VIE - GAL",
        "A RUM S A WAR - GAL",
        "A RUM S A WAR - UKR",
        "A RUM S F AEG - BUL",
        "A RUM S F AEG - BUL/EC",
        "A RUM S F AEG - BUL/SC",
        "A RUM S F ARM - SEV",
        "A RUM S F BLA - BUL",
        "A RUM S F BLA - BUL/EC",
        "A RUM S F BLA - BUL/SC",
        "A RUM S F BLA - SEV",
        "A RUM S F BUL/EC",
        "A RUM S F BUL/SC",
        "A RUM S F CON - BUL",
        "A RUM S F CON - BUL/EC",
        "A RUM S F CON - BUL/SC",
        "A RUM S F GRE - BUL",
        "A RUM S F GRE - BUL/EC",
        "A RUM S F GRE - BUL/SC",
        "A RUM S F SEV",
        "A SER - ALB",
        "A SER - BUD",
        "A SER - BUL",
        "A SER - GRE",
        "A SER - RUM",
        "A SER - TRI",
        "A SER D",
        "A SER H",
        "A SER R ALB",
        "A SER R BUD",
        "A SER R BUL",
        "A SER R GRE",
        "A SER R RUM",
        "A SER R TRI",
        "A SER S A ALB",
        "A SER S A ALB - BUL",
        "A SER S A ALB - GRE",
        "A SER S A ALB - TRI",
        "A SER S A ANK - BUL",
        "A SER S A ANK - RUM",
        "A SER S A APU - ALB",
        "A SER S A APU - BUL",
        "A SER S A APU - GRE",
        "A SER S A APU - TRI",
        "A SER S A ARM - BUL",
        "A SER S A ARM - RUM",
        "A SER S A BRE - ALB",
        "A SER S A BRE - GRE",
        "A SER S A BUD",
        "A SER S A BUD - RUM",
        "A SER S A BUD - TRI",
        "A SER S A BUL",
        "A SER S A BUL - ALB",
        "A SER S A BUL - GRE",
        "A SER S A BUL - RUM",
        "A SER S A BUL - TRI",
        "A SER S A CON - ALB",
        "A SER S A CON - BUL",
        "A SER S A CON - GRE",
        "A SER S A CON - RUM",
        "A SER S A CON - TRI",
        "A SER S A GAL - BUD",
        "A SER S A GAL - RUM",
        "A SER S A GAS - ALB",
        "A SER S A GAS - GRE",
        "A SER S A GRE",
        "A SER S A GRE - ALB",
        "A SER S A GRE - BUL",
        "A SER S A GRE - TRI",
        "A SER S A MAR - ALB",
        "A SER S A MAR - BUL",
        "A SER S A MAR - GRE",
        "A SER S A MAR - TRI",
        "A SER S A NAF - ALB",
        "A SER S A NAF - BUL",
        "A SER S A NAF - GRE",
        "A SER S A NAF - TRI",
        "A SER S A NAP - ALB",
        "A SER S A NAP - BUL",
        "A SER S A NAP - GRE",
        "A SER S A NAP - TRI",
        "A SER S A PIE - ALB",
        "A SER S A PIE - BUL",
        "A SER S A PIE - GRE",
        "A SER S A PIE - TRI",
        "A SER S A POR - ALB",
        "A SER S A POR - GRE",
        "A SER S A ROM - ALB",
        "A SER S A ROM - BUL",
        "A SER S A ROM - GRE",
        "A SER S A ROM - TRI",
        "A SER S A RUM",
        "A SER S A RUM - BUD",
        "A SER S A RUM - BUL",
        "A SER S A SEV - BUL",
        "A SER S A SEV - RUM",
        "A SER S A SMY - ALB",
        "A SER S A SMY - BUL",
        "A SER S A SMY - GRE",
        "A SER S A SMY - TRI",
        "A SER S A SPA - ALB",
        "A SER S A SPA - BUL",
        "A SER S A SPA - GRE",
        "A SER S A SPA - TRI",
        "A SER S A SYR - ALB",
        "A SER S A SYR - BUL",
        "A SER S A SYR - GRE",
        "A SER S A SYR - TRI",
        "A SER S A TRI",
        "A SER S A TRI - ALB",
        "A SER S A TRI - BUD",
        "A SER S A TRI - BUL",
        "A SER S A TRI - GRE",
        "A SER S A TUN - ALB",
        "A SER S A TUN - BUL",
        "A SER S A TUN - GRE",
        "A SER S A TUN - TRI",
        "A SER S A TUS - ALB",
        "A SER S A TUS - BUL",
        "A SER S A TUS - GRE",
        "A SER S A TUS - TRI",
        "A SER S A TYR - TRI",
        "A SER S A UKR - RUM",
        "A SER S A VEN - ALB",
        "A SER S A VEN - BUL",
        "A SER S A VEN - GRE",
        "A SER S A VEN - TRI",
        "A SER S A VIE - BUD",
        "A SER S A VIE - TRI",
        "A SER S F ADR - ALB",
        "A SER S F ADR - TRI",
        "A SER S F AEG - BUL",
        "A SER S F AEG - BUL/EC",
        "A SER S F AEG - BUL/SC",
        "A SER S F AEG - GRE",
        "A SER S F ALB",
        "A SER S F ALB - GRE",
        "A SER S F ALB - TRI",
        "A SER S F BLA - BUL",
        "A SER S F BLA - BUL/EC",
        "A SER S F BLA - BUL/SC",
        "A SER S F BLA - RUM",
        "A SER S F BUL/EC",
        "A SER S F BUL/EC - RUM",
        "A SER S F BUL/SC",
        "A SER S F BUL/SC - GRE",
        "A SER S F CON - BUL",
        "A SER S F CON - BUL/EC",
        "A SER S F CON - BUL/SC",
        "A SER S F GRE",
        "A SER S F GRE - ALB",
        "A SER S F GRE - BUL",
        "A SER S F GRE - BUL/EC",
        "A SER S F GRE - BUL/SC",
        "A SER S F ION - ALB",
        "A SER S F ION - GRE",
        "A SER S F RUM",
        "A SER S F RUM - BUL",
        "A SER S F RUM - BUL/EC",
        "A SER S F RUM - BUL/SC",
        "A SER S F SEV - RUM",
        "A SER S F TRI",
        "A SER S F TRI - ALB",
        "A SER S F VEN - TRI",
        "A SEV - ANK VIA",
        "A SEV - ARM",
        "A SEV - ARM VIA",
        "A SEV - BUL VIA",
        "A SEV - CON VIA",
        "A SEV - MOS",
        "A SEV - RUM",
        "A SEV - RUM VIA",
        "A SEV - UKR",
        "A SEV B",
        "A SEV B;A STP B",
        "A SEV B;A STP B;A WAR B",
        "A SEV B;A WAR B",
        "A SEV B;A WAR B;F STP/NC B",
        "A SEV B;A WAR B;F STP/SC B",
        "A SEV B;F STP/NC B",
        "A SEV B;F STP/SC B",
        "A SEV D",
        "A SEV H",
        "A SEV R ARM",
        "A SEV R MOS",
        "A SEV R RUM",
        "A SEV R UKR",
        "A SEV S A ANK - ARM",
        "A SEV S A ANK - RUM",
        "A SEV S A ARM",
        "A SEV S A ARM - RUM",
        "A SEV S A BUD - RUM",
        "A SEV S A BUL - ARM",
        "A SEV S A BUL - RUM",
        "A SEV S A CON - ARM",
        "A SEV S A CON - RUM",
        "A SEV S A GAL - RUM",
        "A SEV S A GAL - UKR",
        "A SEV S A LVN - MOS",
        "A SEV S A MOS",
        "A SEV S A MOS - UKR",
        "A SEV S A RUM",
        "A SEV S A RUM - ARM",
        "A SEV S A RUM - UKR",
        "A SEV S A SER - RUM",
        "A SEV S A SMY - ARM",
        "A SEV S A STP - MOS",
        "A SEV S A SYR - ARM",
        "A SEV S A UKR",
        "A SEV S A UKR - MOS",
        "A SEV S A UKR - RUM",
        "A SEV S A WAR - MOS",
        "A SEV S A WAR - UKR",
        "A SEV S F ANK - ARM",
        "A SEV S F ARM",
        "A SEV S F BLA - ARM",
        "A SEV S F BLA - RUM",
        "A SEV S F BUL/EC - RUM",
        "A SEV S F RUM",
        "A SIL - BER",
        "A SIL - BOH",
        "A SIL - GAL",
        "A SIL - MUN",
        "A SIL - PRU",
        "A SIL - WAR",
        "A SIL D",
        "A SIL H",
        "A SIL R BER",
        "A SIL R BOH",
        "A SIL R GAL",
        "A SIL R MUN",
        "A SIL R PRU",
        "A SIL R WAR",
        "A SIL S A BER",
        "A SIL S A BER - MUN",
        "A SIL S A BER - PRU",
        "A SIL S A BOH",
        "A SIL S A BOH - GAL",
        "A SIL S A BOH - MUN",
        "A SIL S A BUD - GAL",
        "A SIL S A BUR - MUN",
        "A SIL S A DEN - BER",
        "A SIL S A DEN - PRU",
        "A SIL S A FIN - BER",
        "A SIL S A FIN - PRU",
        "A SIL S A GAL",
        "A SIL S A GAL - BOH",
        "A SIL S A GAL - WAR",
        "A SIL S A KIE - BER",
        "A SIL S A KIE - MUN",
        "A SIL S A KIE - PRU",
        "A SIL S A LVN - BER",
        "A SIL S A LVN - PRU",
        "A SIL S A LVN - WAR",
        "A SIL S A MOS - WAR",
        "A SIL S A MUN",
        "A SIL S A MUN - BER",
        "A SIL S A MUN - BOH",
        "A SIL S A PRU",
        "A SIL S A PRU - BER",
        "A SIL S A PRU - WAR",
        "A SIL S A RUH - MUN",
        "A SIL S A RUM - GAL",
        "A SIL S A STP - BER",
        "A SIL S A STP - PRU",
        "A SIL S A SWE - BER",
        "A SIL S A SWE - PRU",
        "A SIL S A TYR - BOH",
        "A SIL S A TYR - MUN",
        "A SIL S A UKR - GAL",
        "A SIL S A UKR - WAR",
        "A SIL S A VIE - BOH",
        "A SIL S A VIE - GAL",
        "A SIL S A WAR",
        "A SIL S A WAR - GAL",
        "A SIL S A WAR - PRU",
        "A SIL S F BAL - BER",
        "A SIL S F BAL - PRU",
        "A SIL S F BER",
        "A SIL S F BER - PRU",
        "A SIL S F KIE - BER",
        "A SIL S F LVN - PRU",
        "A SIL S F PRU",
        "A SIL S F PRU - BER",
        "A SMY - ALB VIA",
        "A SMY - ANK",
        "A SMY - APU VIA",
        "A SMY - ARM",
        "A SMY - BUL VIA",
        "A SMY - CON",
        "A SMY - CON VIA",
        "A SMY - GRE VIA",
        "A SMY - MAR VIA",
        "A SMY - NAF VIA",
        "A SMY - NAP VIA",
        "A SMY - PIE VIA",
        "A SMY - ROM VIA",
        "A SMY - SPA VIA",
        "A SMY - SYR",
        "A SMY - SYR VIA",
        "A SMY - TRI VIA",
        "A SMY - TUN VIA",
        "A SMY - TUS VIA",
        "A SMY - VEN VIA",
        "A SMY B",
        "A SMY B;F ANK B",
        "A SMY B;F ANK B;F CON B",
        "A SMY B;F CON B",
        "A SMY D",
        "A SMY H",
        "A SMY R ANK",
        "A SMY R ARM",
        "A SMY R CON",
        "A SMY R SYR",
        "A SMY S A ALB - CON",
        "A SMY S A ALB - SYR",
        "A SMY S A ANK",
        "A SMY S A ANK - ARM",
        "A SMY S A ANK - CON",
        "A SMY S A APU - CON",
        "A SMY S A APU - SYR",
        "A SMY S A ARM",
        "A SMY S A ARM - ANK",
        "A SMY S A ARM - CON",
        "A SMY S A ARM - SYR",
        "A SMY S A BUL - ANK",
        "A SMY S A BUL - ARM",
        "A SMY S A BUL - CON",
        "A SMY S A BUL - SYR",
        "A SMY S A CON",
        "A SMY S A CON - ANK",
        "A SMY S A CON - ARM",
        "A SMY S A CON - SYR",
        "A SMY S A GRE - CON",
        "A SMY S A GRE - SYR",
        "A SMY S A MAR - CON",
        "A SMY S A MAR - SYR",
        "A SMY S A NAF - CON",
        "A SMY S A NAF - SYR",
        "A SMY S A NAP - CON",
        "A SMY S A NAP - SYR",
        "A SMY S A PIE - CON",
        "A SMY S A PIE - SYR",
        "A SMY S A ROM - CON",
        "A SMY S A ROM - SYR",
        "A SMY S A RUM - ANK",
        "A SMY S A RUM - ARM",
        "A SMY S A RUM - CON",
        "A SMY S A SEV - ANK",
        "A SMY S A SEV - ARM",
        "A SMY S A SEV - CON",
        "A SMY S A SPA - CON",
        "A SMY S A SPA - SYR",
        "A SMY S A SYR",
        "A SMY S A SYR - ARM",
        "A SMY S A SYR - CON",
        "A SMY S A TRI - CON",
        "A SMY S A TRI - SYR",
        "A SMY S A TUN - CON",
        "A SMY S A TUN - SYR",
        "A SMY S A TUS - CON",
        "A SMY S A TUS - SYR",
        "A SMY S A VEN - CON",
        "A SMY S A VEN - SYR",
        "A SMY S F AEG - CON",
        "A SMY S F ANK",
        "A SMY S F ANK - ARM",
        "A SMY S F ANK - CON",
        "A SMY S F ARM",
        "A SMY S F ARM - ANK",
        "A SMY S F BLA - ANK",
        "A SMY S F BLA - ARM",
        "A SMY S F BLA - CON",
        "A SMY S F BUL/EC - CON",
        "A SMY S F BUL/SC - CON",
        "A SMY S F CON",
        "A SMY S F CON - ANK",
        "A SMY S F EAS - SYR",
        "A SMY S F SEV - ARM",
        "A SMY S F SYR",
        "A SPA - ALB VIA",
        "A SPA - APU VIA",
        "A SPA - BEL VIA",
        "A SPA - BRE VIA",
        "A SPA - BUL VIA",
        "A SPA - CLY VIA",
        "A SPA - CON VIA",
        "A SPA - DEN VIA",
        "A SPA - EDI VIA",
        "A SPA - GAS",
        "A SPA - GAS VIA",
        "A SPA - GRE VIA",
        "A SPA - HOL VIA",
        "A SPA - KIE VIA",
        "A SPA - LON VIA",
        "A SPA - LVP VIA",
        "A SPA - MAR",
        "A SPA - MAR VIA",
        "A SPA - NAF VIA",
        "A SPA - NAP VIA",
        "A SPA - NWY VIA",
        "A SPA - PIC VIA",
        "A SPA - PIE VIA",
        "A SPA - POR",
        "A SPA - POR VIA",
        "A SPA - ROM VIA",
        "A SPA - SMY VIA",
        "A SPA - STP VIA",
        "A SPA - SWE VIA",
        "A SPA - SYR VIA",
        "A SPA - TRI VIA",
        "A SPA - TUN VIA",
        "A SPA - TUS VIA",
        "A SPA - VEN VIA",
        "A SPA - WAL VIA",
        "A SPA - YOR VIA",
        "A SPA D",
        "A SPA H",
        "A SPA R GAS",
        "A SPA R MAR",
        "A SPA R POR",
        "A SPA S A ALB - GAS",
        "A SPA S A ALB - MAR",
        "A SPA S A ALB - POR",
        "A SPA S A APU - GAS",
        "A SPA S A APU - MAR",
        "A SPA S A APU - POR",
        "A SPA S A BEL - GAS",
        "A SPA S A BEL - MAR",
        "A SPA S A BEL - POR",
        "A SPA S A BRE - GAS",
        "A SPA S A BRE - MAR",
        "A SPA S A BRE - POR",
        "A SPA S A BUL - MAR",
        "A SPA S A BUR - GAS",
        "A SPA S A BUR - MAR",
        "A SPA S A CLY - GAS",
        "A SPA S A CLY - MAR",
        "A SPA S A CLY - POR",
        "A SPA S A CON - MAR",
        "A SPA S A DEN - GAS",
        "A SPA S A DEN - POR",
        "A SPA S A EDI - GAS",
        "A SPA S A EDI - POR",
        "A SPA S A GAS",
        "A SPA S A GAS - MAR",
        "A SPA S A GAS - POR",
        "A SPA S A GRE - GAS",
        "A SPA S A GRE - MAR",
        "A SPA S A GRE - POR",
        "A SPA S A HOL - GAS",
        "A SPA S A HOL - POR",
        "A SPA S A KIE - GAS",
        "A SPA S A KIE - POR",
        "A SPA S A LON - GAS",
        "A SPA S A LON - MAR",
        "A SPA S A LON - POR",
        "A SPA S A LVP - GAS",
        "A SPA S A LVP - MAR",
        "A SPA S A LVP - POR",
        "A SPA S A MAR",
        "A SPA S A MAR - GAS",
        "A SPA S A MAR - POR",
        "A SPA S A NAF - GAS",
        "A SPA S A NAF - MAR",
        "A SPA S A NAF - POR",
        "A SPA S A NAP - GAS",
        "A SPA S A NAP - MAR",
        "A SPA S A NAP - POR",
        "A SPA S A NWY - GAS",
        "A SPA S A NWY - POR",
        "A SPA S A PAR - GAS",
        "A SPA S A PIC - GAS",
        "A SPA S A PIC - MAR",
        "A SPA S A PIC - POR",
        "A SPA S A PIE - GAS",
        "A SPA S A PIE - MAR",
        "A SPA S A PIE - POR",
        "A SPA S A POR",
        "A SPA S A POR - GAS",
        "A SPA S A POR - MAR",
        "A SPA S A ROM - GAS",
        "A SPA S A ROM - MAR",
        "A SPA S A ROM - POR",
        "A SPA S A SMY - MAR",
        "A SPA S A STP - GAS",
        "A SPA S A STP - POR",
        "A SPA S A SWE - GAS",
        "A SPA S A SWE - POR",
        "A SPA S A SYR - MAR",
        "A SPA S A TRI - MAR",
        "A SPA S A TUN - GAS",
        "A SPA S A TUN - MAR",
        "A SPA S A TUN - POR",
        "A SPA S A TUS - GAS",
        "A SPA S A TUS - MAR",
        "A SPA S A TUS - POR",
        "A SPA S A VEN - MAR",
        "A SPA S A WAL - GAS",
        "A SPA S A WAL - MAR",
        "A SPA S A WAL - POR",
        "A SPA S A YOR - GAS",
        "A SPA S A YOR - POR",
        "A SPA S F BRE - GAS",
        "A SPA S F GAS",
        "A SPA S F LYO - MAR",
        "A SPA S F MAO - GAS",
        "A SPA S F MAO - POR",
        "A SPA S F MAR",
        "A SPA S F PIE - MAR",
        "A SPA S F POR",
        "A STP - BEL VIA",
        "A STP - BER VIA",
        "A STP - BRE VIA",
        "A STP - CLY VIA",
        "A STP - DEN VIA",
        "A STP - EDI VIA",
        "A STP - FIN",
        "A STP - FIN VIA",
        "A STP - GAS VIA",
        "A STP - HOL VIA",
        "A STP - KIE VIA",
        "A STP - LON VIA",
        "A STP - LVN",
        "A STP - LVN VIA",
        "A STP - LVP VIA",
        "A STP - MOS",
        "A STP - NAF VIA",
        "A STP - NWY",
        "A STP - NWY VIA",
        "A STP - PIC VIA",
        "A STP - POR VIA",
        "A STP - PRU VIA",
        "A STP - SPA VIA",
        "A STP - SWE VIA",
        "A STP - WAL VIA",
        "A STP - YOR VIA",
        "A STP B",
        "A STP B;A WAR B",
        "A STP B;A WAR B;F SEV B",
        "A STP B;F SEV B",
        "A STP D",
        "A STP H",
        "A STP R FIN",
        "A STP R LVN",
        "A STP R MOS",
        "A STP R NWY",
        "A STP S A BEL - NWY",
        "A STP S A BER - FIN",
        "A STP S A BER - LVN",
        "A STP S A BRE - NWY",
        "A STP S A CLY - NWY",
        "A STP S A DEN - FIN",
        "A STP S A DEN - LVN",
        "A STP S A DEN - NWY",
        "A STP S A EDI - NWY",
        "A STP S A FIN",
        "A STP S A FIN - LVN",
        "A STP S A FIN - NWY",
        "A STP S A GAS - NWY",
        "A STP S A HOL - NWY",
        "A STP S A KIE - FIN",
        "A STP S A KIE - LVN",
        "A STP S A KIE - NWY",
        "A STP S A LON - NWY",
        "A STP S A LVN",
        "A STP S A LVN - FIN",
        "A STP S A LVN - MOS",
        "A STP S A LVP - NWY",
        "A STP S A MOS",
        "A STP S A MOS - LVN",
        "A STP S A NAF - NWY",
        "A STP S A NWY",
        "A STP S A NWY - FIN",
        "A STP S A PIC - NWY",
        "A STP S A POR - NWY",
        "A STP S A PRU - FIN",
        "A STP S A PRU - LVN",
        "A STP S A SEV - MOS",
        "A STP S A SPA - NWY",
        "A STP S A SWE - FIN",
        "A STP S A SWE - LVN",
        "A STP S A SWE - NWY",
        "A STP S A TUN - NWY",
        "A STP S A UKR - MOS",
        "A STP S A WAL - NWY",
        "A STP S A WAR - LVN",
        "A STP S A WAR - MOS",
        "A STP S A YOR - NWY",
        "A STP S F BAL - LVN",
        "A STP S F BAR - NWY",
        "A STP S F BOT - FIN",
        "A STP S F BOT - LVN",
        "A STP S F FIN",
        "A STP S F LVN",
        "A STP S F NTH - NWY",
        "A STP S F NWG - NWY",
        "A STP S F NWY",
        "A STP S F PRU - LVN",
        "A STP S F SKA - NWY",
        "A STP S F SWE - FIN",
        "A STP S F SWE - NWY",
        "A SWE - BEL VIA",
        "A SWE - BER VIA",
        "A SWE - BRE VIA",
        "A SWE - CLY VIA",
        "A SWE - DEN",
        "A SWE - DEN VIA",
        "A SWE - EDI VIA",
        "A SWE - FIN",
        "A SWE - FIN VIA",
        "A SWE - GAS VIA",
        "A SWE - HOL VIA",
        "A SWE - KIE VIA",
        "A SWE - LON VIA",
        "A SWE - LVN VIA",
        "A SWE - LVP VIA",
        "A SWE - NAF VIA",
        "A SWE - NWY",
        "A SWE - NWY VIA",
        "A SWE - PIC VIA",
        "A SWE - POR VIA",
        "A SWE - PRU VIA",
        "A SWE - SPA VIA",
        "A SWE - STP VIA",
        "A SWE - WAL VIA",
        "A SWE - YOR VIA",
        "A SWE D",
        "A SWE H",
        "A SWE R DEN",
        "A SWE R FIN",
        "A SWE R NWY",
        "A SWE S A BEL - DEN",
        "A SWE S A BEL - NWY",
        "A SWE S A BER - DEN",
        "A SWE S A BER - FIN",
        "A SWE S A BRE - DEN",
        "A SWE S A BRE - NWY",
        "A SWE S A CLY - DEN",
        "A SWE S A CLY - NWY",
        "A SWE S A DEN",
        "A SWE S A DEN - FIN",
        "A SWE S A DEN - NWY",
        "A SWE S A EDI - DEN",
        "A SWE S A EDI - NWY",
        "A SWE S A FIN",
        "A SWE S A FIN - DEN",
        "A SWE S A FIN - NWY",
        "A SWE S A GAS - DEN",
        "A SWE S A GAS - NWY",
        "A SWE S A HOL - DEN",
        "A SWE S A HOL - NWY",
        "A SWE S A KIE - DEN",
        "A SWE S A KIE - FIN",
        "A SWE S A KIE - NWY",
        "A SWE S A LON - DEN",
        "A SWE S A LON - NWY",
        "A SWE S A LVN - DEN",
        "A SWE S A LVN - FIN",
        "A SWE S A LVP - DEN",
        "A SWE S A LVP - NWY",
        "A SWE S A NAF - DEN",
        "A SWE S A NAF - NWY",
        "A SWE S A NWY",
        "A SWE S A NWY - DEN",
        "A SWE S A NWY - FIN",
        "A SWE S A PIC - DEN",
        "A SWE S A PIC - NWY",
        "A SWE S A POR - DEN",
        "A SWE S A POR - NWY",
        "A SWE S A PRU - DEN",
        "A SWE S A PRU - FIN",
        "A SWE S A SPA - DEN",
        "A SWE S A SPA - NWY",
        "A SWE S A STP - DEN",
        "A SWE S A STP - FIN",
        "A SWE S A STP - NWY",
        "A SWE S A TUN - DEN",
        "A SWE S A TUN - NWY",
        "A SWE S A WAL - DEN",
        "A SWE S A WAL - NWY",
        "A SWE S A YOR - DEN",
        "A SWE S A YOR - NWY",
        "A SWE S F BAL - DEN",
        "A SWE S F BAR - NWY",
        "A SWE S F BOT - FIN",
        "A SWE S F DEN",
        "A SWE S F FIN",
        "A SWE S F HEL - DEN",
        "A SWE S F KIE - DEN",
        "A SWE S F NTH - DEN",
        "A SWE S F NTH - NWY",
        "A SWE S F NWG - NWY",
        "A SWE S F NWY",
        "A SWE S F SKA - DEN",
        "A SWE S F SKA - NWY",
        "A SWE S F STP/NC - NWY",
        "A SWE S F STP/SC - FIN",
        "A SYR - ALB VIA",
        "A SYR - APU VIA",
        "A SYR - ARM",
        "A SYR - BUL VIA",
        "A SYR - CON VIA",
        "A SYR - GRE VIA",
        "A SYR - MAR VIA",
        "A SYR - NAF VIA",
        "A SYR - NAP VIA",
        "A SYR - PIE VIA",
        "A SYR - ROM VIA",
        "A SYR - SMY",
        "A SYR - SMY VIA",
        "A SYR - SPA VIA",
        "A SYR - TRI VIA",
        "A SYR - TUN VIA",
        "A SYR - TUS VIA",
        "A SYR - VEN VIA",
        "A SYR D",
        "A SYR H",
        "A SYR R ARM",
        "A SYR R SMY",
        "A SYR S A ALB - SMY",
        "A SYR S A ANK - ARM",
        "A SYR S A ANK - SMY",
        "A SYR S A APU - SMY",
        "A SYR S A ARM",
        "A SYR S A ARM - SMY",
        "A SYR S A BUL - ARM",
        "A SYR S A BUL - SMY",
        "A SYR S A CON - ARM",
        "A SYR S A CON - SMY",
        "A SYR S A GRE - SMY",
        "A SYR S A MAR - SMY",
        "A SYR S A NAF - SMY",
        "A SYR S A NAP - SMY",
        "A SYR S A PIE - SMY",
        "A SYR S A ROM - SMY",
        "A SYR S A RUM - ARM",
        "A SYR S A SEV - ARM",
        "A SYR S A SMY",
        "A SYR S A SMY - ARM",
        "A SYR S A SPA - SMY",
        "A SYR S A TRI - SMY",
        "A SYR S A TUN - SMY",
        "A SYR S A TUS - SMY",
        "A SYR S A VEN - SMY",
        "A SYR S F AEG - SMY",
        "A SYR S F ANK - ARM",
        "A SYR S F ARM",
        "A SYR S F BLA - ARM",
        "A SYR S F CON - SMY",
        "A SYR S F EAS - SMY",
        "A SYR S F SEV - ARM",
        "A SYR S F SMY",
        "A TRI - ALB",
        "A TRI - ALB VIA",
        "A TRI - APU VIA",
        "A TRI - BUD",
        "A TRI - BUL VIA",
        "A TRI - CON VIA",
        "A TRI - GRE VIA",
        "A TRI - MAR VIA",
        "A TRI - NAF VIA",
        "A TRI - NAP VIA",
        "A TRI - PIE VIA",
        "A TRI - ROM VIA",
        "A TRI - SER",
        "A TRI - SMY VIA",
        "A TRI - SPA VIA",
        "A TRI - SYR VIA",
        "A TRI - TUN VIA",
        "A TRI - TUS VIA",
        "A TRI - TYR",
        "A TRI - VEN",
        "A TRI - VEN VIA",
        "A TRI - VIE",
        "A TRI B",
        "A TRI B;A VIE B",
        "A TRI D",
        "A TRI H",
        "A TRI R ALB",
        "A TRI R BUD",
        "A TRI R SER",
        "A TRI R TYR",
        "A TRI R VEN",
        "A TRI R VIE",
        "A TRI S A ALB",
        "A TRI S A ALB - SER",
        "A TRI S A ALB - VEN",
        "A TRI S A APU - ALB",
        "A TRI S A APU - VEN",
        "A TRI S A BOH - TYR",
        "A TRI S A BOH - VIE",
        "A TRI S A BRE - ALB",
        "A TRI S A BUD",
        "A TRI S A BUD - SER",
        "A TRI S A BUD - VIE",
        "A TRI S A BUL - ALB",
        "A TRI S A BUL - SER",
        "A TRI S A BUL - VEN",
        "A TRI S A CON - ALB",
        "A TRI S A CON - VEN",
        "A TRI S A GAL - BUD",
        "A TRI S A GAL - VIE",
        "A TRI S A GAS - ALB",
        "A TRI S A GRE - ALB",
        "A TRI S A GRE - SER",
        "A TRI S A GRE - VEN",
        "A TRI S A MAR - ALB",
        "A TRI S A MAR - VEN",
        "A TRI S A MUN - TYR",
        "A TRI S A NAF - ALB",
        "A TRI S A NAF - VEN",
        "A TRI S A NAP - ALB",
        "A TRI S A NAP - VEN",
        "A TRI S A PIE - ALB",
        "A TRI S A PIE - TYR",
        "A TRI S A PIE - VEN",
        "A TRI S A POR - ALB",
        "A TRI S A ROM - ALB",
        "A TRI S A ROM - VEN",
        "A TRI S A RUM - BUD",
        "A TRI S A RUM - SER",
        "A TRI S A SER",
        "A TRI S A SER - ALB",
        "A TRI S A SER - BUD",
        "A TRI S A SMY - ALB",
        "A TRI S A SMY - VEN",
        "A TRI S A SPA - ALB",
        "A TRI S A SPA - VEN",
        "A TRI S A SYR - ALB",
        "A TRI S A SYR - VEN",
        "A TRI S A TUN - ALB",
        "A TRI S A TUN - VEN",
        "A TRI S A TUS - ALB",
        "A TRI S A TUS - VEN",
        "A TRI S A TYR",
        "A TRI S A TYR - VEN",
        "A TRI S A TYR - VIE",
        "A TRI S A VEN",
        "A TRI S A VEN - ALB",
        "A TRI S A VEN - TYR",
        "A TRI S A VIE",
        "A TRI S A VIE - BUD",
        "A TRI S A VIE - TYR",
        "A TRI S F ADR - ALB",
        "A TRI S F ADR - VEN",
        "A TRI S F ALB",
        "A TRI S F APU - VEN",
        "A TRI S F GRE - ALB",
        "A TRI S F ION - ALB",
        "A TRI S F VEN",
        "A TUN - ALB VIA",
        "A TUN - APU VIA",
        "A TUN - BEL VIA",
        "A TUN - BRE VIA",
        "A TUN - BUL VIA",
        "A TUN - CLY VIA",
        "A TUN - CON VIA",
        "A TUN - DEN VIA",
        "A TUN - EDI VIA",
        "A TUN - GAS VIA",
        "A TUN - GRE VIA",
        "A TUN - HOL VIA",
        "A TUN - LON VIA",
        "A TUN - LVP VIA",
        "A TUN - MAR VIA",
        "A TUN - NAF",
        "A TUN - NAF VIA",
        "A TUN - NAP VIA",
        "A TUN - NWY VIA",
        "A TUN - PIC VIA",
        "A TUN - PIE VIA",
        "A TUN - POR VIA",
        "A TUN - ROM VIA",
        "A TUN - SMY VIA",
        "A TUN - SPA VIA",
        "A TUN - SYR VIA",
        "A TUN - TRI VIA",
        "A TUN - TUS VIA",
        "A TUN - VEN VIA",
        "A TUN - WAL VIA",
        "A TUN - YOR VIA",
        "A TUN D",
        "A TUN H",
        "A TUN R NAF",
        "A TUN S A ALB - NAF",
        "A TUN S A APU - NAF",
        "A TUN S A BEL - NAF",
        "A TUN S A BRE - NAF",
        "A TUN S A BUL - NAF",
        "A TUN S A CLY - NAF",
        "A TUN S A CON - NAF",
        "A TUN S A DEN - NAF",
        "A TUN S A EDI - NAF",
        "A TUN S A GAS - NAF",
        "A TUN S A GRE - NAF",
        "A TUN S A HOL - NAF",
        "A TUN S A KIE - NAF",
        "A TUN S A LON - NAF",
        "A TUN S A LVP - NAF",
        "A TUN S A MAR - NAF",
        "A TUN S A NAF",
        "A TUN S A NAP - NAF",
        "A TUN S A NWY - NAF",
        "A TUN S A PIC - NAF",
        "A TUN S A PIE - NAF",
        "A TUN S A POR - NAF",
        "A TUN S A ROM - NAF",
        "A TUN S A SMY - NAF",
        "A TUN S A SPA - NAF",
        "A TUN S A STP - NAF",
        "A TUN S A SWE - NAF",
        "A TUN S A SYR - NAF",
        "A TUN S A TRI - NAF",
        "A TUN S A TUS - NAF",
        "A TUN S A VEN - NAF",
        "A TUN S A WAL - NAF",
        "A TUN S A YOR - NAF",
        "A TUN S F MAO - NAF",
        "A TUN S F NAF",
        "A TUN S F WES - NAF",
        "A TUS - ALB VIA",
        "A TUS - APU VIA",
        "A TUS - BEL VIA",
        "A TUS - BRE VIA",
        "A TUS - BUL VIA",
        "A TUS - CLY VIA",
        "A TUS - CON VIA",
        "A TUS - GAS VIA",
        "A TUS - GRE VIA",
        "A TUS - LON VIA",
        "A TUS - LVP VIA",
        "A TUS - MAR VIA",
        "A TUS - NAF VIA",
        "A TUS - NAP VIA",
        "A TUS - PIC VIA",
        "A TUS - PIE",
        "A TUS - PIE VIA",
        "A TUS - POR VIA",
        "A TUS - ROM",
        "A TUS - ROM VIA",
        "A TUS - SMY VIA",
        "A TUS - SPA VIA",
        "A TUS - SYR VIA",
        "A TUS - TRI VIA",
        "A TUS - TUN VIA",
        "A TUS - VEN",
        "A TUS - VEN VIA",
        "A TUS - WAL VIA",
        "A TUS D",
        "A TUS H",
        "A TUS R PIE",
        "A TUS R ROM",
        "A TUS R VEN",
        "A TUS S A ALB - PIE",
        "A TUS S A ALB - ROM",
        "A TUS S A ALB - VEN",
        "A TUS S A APU - PIE",
        "A TUS S A APU - ROM",
        "A TUS S A APU - VEN",
        "A TUS S A BEL - PIE",
        "A TUS S A BEL - ROM",
        "A TUS S A BRE - PIE",
        "A TUS S A BRE - ROM",
        "A TUS S A BUL - PIE",
        "A TUS S A BUL - ROM",
        "A TUS S A BUL - VEN",
        "A TUS S A CLY - PIE",
        "A TUS S A CLY - ROM",
        "A TUS S A CON - PIE",
        "A TUS S A CON - ROM",
        "A TUS S A CON - VEN",
        "A TUS S A GAS - PIE",
        "A TUS S A GAS - ROM",
        "A TUS S A GRE - PIE",
        "A TUS S A GRE - ROM",
        "A TUS S A GRE - VEN",
        "A TUS S A LON - PIE",
        "A TUS S A LON - ROM",
        "A TUS S A LVP - PIE",
        "A TUS S A LVP - ROM",
        "A TUS S A MAR - PIE",
        "A TUS S A MAR - ROM",
        "A TUS S A MAR - VEN",
        "A TUS S A NAF - PIE",
        "A TUS S A NAF - ROM",
        "A TUS S A NAF - VEN",
        "A TUS S A NAP - PIE",
        "A TUS S A NAP - ROM",
        "A TUS S A NAP - VEN",
        "A TUS S A PIC - PIE",
        "A TUS S A PIC - ROM",
        "A TUS S A PIE",
        "A TUS S A PIE - ROM",
        "A TUS S A PIE - VEN",
        "A TUS S A POR - PIE",
        "A TUS S A POR - ROM",
        "A TUS S A ROM",
        "A TUS S A ROM - PIE",
        "A TUS S A ROM - VEN",
        "A TUS S A SMY - PIE",
        "A TUS S A SMY - ROM",
        "A TUS S A SMY - VEN",
        "A TUS S A SPA - PIE",
        "A TUS S A SPA - ROM",
        "A TUS S A SPA - VEN",
        "A TUS S A SYR - PIE",
        "A TUS S A SYR - ROM",
        "A TUS S A SYR - VEN",
        "A TUS S A TRI - PIE",
        "A TUS S A TRI - ROM",
        "A TUS S A TRI - VEN",
        "A TUS S A TUN - PIE",
        "A TUS S A TUN - ROM",
        "A TUS S A TUN - VEN",
        "A TUS S A TYR - PIE",
        "A TUS S A TYR - VEN",
        "A TUS S A VEN",
        "A TUS S A VEN - PIE",
        "A TUS S A VEN - ROM",
        "A TUS S A WAL - PIE",
        "A TUS S A WAL - ROM",
        "A TUS S F ADR - VEN",
        "A TUS S F APU - VEN",
        "A TUS S F LYO - PIE",
        "A TUS S F MAR - PIE",
        "A TUS S F NAP - ROM",
        "A TUS S F PIE",
        "A TUS S F ROM",
        "A TUS S F TRI - VEN",
        "A TUS S F TYS - ROM",
        "A TUS S F VEN",
        "A TYR - BOH",
        "A TYR - MUN",
        "A TYR - PIE",
        "A TYR - TRI",
        "A TYR - VEN",
        "A TYR - VIE",
        "A TYR D",
        "A TYR H",
        "A TYR R BOH",
        "A TYR R MUN",
        "A TYR R PIE",
        "A TYR R TRI",
        "A TYR R VEN",
        "A TYR R VIE",
        "A TYR S A ALB - PIE",
        "A TYR S A ALB - TRI",
        "A TYR S A ALB - VEN",
        "A TYR S A APU - PIE",
        "A TYR S A APU - TRI",
        "A TYR S A APU - VEN",
        "A TYR S A BEL - PIE",
        "A TYR S A BER - MUN",
        "A TYR S A BOH",
        "A TYR S A BOH - MUN",
        "A TYR S A BOH - VIE",
        "A TYR S A BRE - PIE",
        "A TYR S A BUD - TRI",
        "A TYR S A BUD - VIE",
        "A TYR S A BUL - PIE",
        "A TYR S A BUL - TRI",
        "A TYR S A BUL - VEN",
        "A TYR S A BUR - MUN",
        "A TYR S A CLY - PIE",
        "A TYR S A CON - PIE",
        "A TYR S A CON - TRI",
        "A TYR S A CON - VEN",
        "A TYR S A GAL - BOH",
        "A TYR S A GAL - VIE",
        "A TYR S A GAS - PIE",
        "A TYR S A GRE - PIE",
        "A TYR S A GRE - TRI",
        "A TYR S A GRE - VEN",
        "A TYR S A KIE - MUN",
        "A TYR S A LON - PIE",
        "A TYR S A LVP - PIE",
        "A TYR S A MAR - PIE",
        "A TYR S A MAR - TRI",
        "A TYR S A MAR - VEN",
        "A TYR S A MUN",
        "A TYR S A MUN - BOH",
        "A TYR S A NAF - PIE",
        "A TYR S A NAF - TRI",
        "A TYR S A NAF - VEN",
        "A TYR S A NAP - PIE",
        "A TYR S A NAP - TRI",
        "A TYR S A NAP - VEN",
        "A TYR S A PIC - PIE",
        "A TYR S A PIE",
        "A TYR S A PIE - TRI",
        "A TYR S A PIE - VEN",
        "A TYR S A POR - PIE",
        "A TYR S A ROM - PIE",
        "A TYR S A ROM - TRI",
        "A TYR S A ROM - VEN",
        "A TYR S A RUH - MUN",
        "A TYR S A SER - TRI",
        "A TYR S A SIL - BOH",
        "A TYR S A SIL - MUN",
        "A TYR S A SMY - PIE",
        "A TYR S A SMY - TRI",
        "A TYR S A SMY - VEN",
        "A TYR S A SPA - PIE",
        "A TYR S A SPA - TRI",
        "A TYR S A SPA - VEN",
        "A TYR S A SYR - PIE",
        "A TYR S A SYR - TRI",
        "A TYR S A SYR - VEN",
        "A TYR S A TRI",
        "A TYR S A TRI - PIE",
        "A TYR S A TRI - VEN",
        "A TYR S A TRI - VIE",
        "A TYR S A TUN - PIE",
        "A TYR S A TUN - TRI",
        "A TYR S A TUN - VEN",
        "A TYR S A TUS - PIE",
        "A TYR S A TUS - TRI",
        "A TYR S A TUS - VEN",
        "A TYR S A VEN",
        "A TYR S A VEN - PIE",
        "A TYR S A VEN - TRI",
        "A TYR S A VIE",
        "A TYR S A VIE - BOH",
        "A TYR S A VIE - TRI",
        "A TYR S A WAL - PIE",
        "A TYR S F ADR - TRI",
        "A TYR S F ADR - VEN",
        "A TYR S F ALB - TRI",
        "A TYR S F APU - VEN",
        "A TYR S F LYO - PIE",
        "A TYR S F MAR - PIE",
        "A TYR S F PIE",
        "A TYR S F TRI",
        "A TYR S F TRI - VEN",
        "A TYR S F TUS - PIE",
        "A TYR S F VEN",
        "A TYR S F VEN - TRI",
        "A UKR - GAL",
        "A UKR - MOS",
        "A UKR - RUM",
        "A UKR - SEV",
        "A UKR - WAR",
        "A UKR D",
        "A UKR H",
        "A UKR R GAL",
        "A UKR R MOS",
        "A UKR R RUM",
        "A UKR R SEV",
        "A UKR R WAR",
        "A UKR S A ANK - RUM",
        "A UKR S A ANK - SEV",
        "A UKR S A ARM - RUM",
        "A UKR S A ARM - SEV",
        "A UKR S A BOH - GAL",
        "A UKR S A BUD - GAL",
        "A UKR S A BUD - RUM",
        "A UKR S A BUL - RUM",
        "A UKR S A BUL - SEV",
        "A UKR S A CON - RUM",
        "A UKR S A CON - SEV",
        "A UKR S A GAL",
        "A UKR S A GAL - RUM",
        "A UKR S A GAL - WAR",
        "A UKR S A LVN - MOS",
        "A UKR S A LVN - WAR",
        "A UKR S A MOS",
        "A UKR S A MOS - SEV",
        "A UKR S A MOS - WAR",
        "A UKR S A PRU - WAR",
        "A UKR S A RUM",
        "A UKR S A RUM - GAL",
        "A UKR S A RUM - SEV",
        "A UKR S A SER - RUM",
        "A UKR S A SEV",
        "A UKR S A SEV - MOS",
        "A UKR S A SEV - RUM",
        "A UKR S A SIL - GAL",
        "A UKR S A SIL - WAR",
        "A UKR S A STP - MOS",
        "A UKR S A VIE - GAL",
        "A UKR S A WAR",
        "A UKR S A WAR - GAL",
        "A UKR S A WAR - MOS",
        "A UKR S F ARM - SEV",
        "A UKR S F BLA - RUM",
        "A UKR S F BLA - SEV",
        "A UKR S F BUL/EC - RUM",
        "A UKR S F RUM",
        "A UKR S F RUM - SEV",
        "A UKR S F SEV",
        "A UKR S F SEV - RUM",
        "A VEN - ALB VIA",
        "A VEN - APU",
        "A VEN - APU VIA",
        "A VEN - BUL VIA",
        "A VEN - CON VIA",
        "A VEN - GRE VIA",
        "A VEN - MAR VIA",
        "A VEN - NAF VIA",
        "A VEN - NAP VIA",
        "A VEN - PIE",
        "A VEN - PIE VIA",
        "A VEN - ROM",
        "A VEN - ROM VIA",
        "A VEN - SMY VIA",
        "A VEN - SPA VIA",
        "A VEN - SYR VIA",
        "A VEN - TRI",
        "A VEN - TRI VIA",
        "A VEN - TUN VIA",
        "A VEN - TUS",
        "A VEN - TUS VIA",
        "A VEN - TYR",
        "A VEN B",
        "A VEN B;F NAP B",
        "A VEN B;F NAP B;F ROM B",
        "A VEN B;F ROM B",
        "A VEN D",
        "A VEN H",
        "A VEN R APU",
        "A VEN R PIE",
        "A VEN R ROM",
        "A VEN R TRI",
        "A VEN R TUS",
        "A VEN R TYR",
        "A VEN S A ALB - APU",
        "A VEN S A ALB - PIE",
        "A VEN S A ALB - ROM",
        "A VEN S A ALB - TRI",
        "A VEN S A ALB - TUS",
        "A VEN S A APU",
        "A VEN S A APU - PIE",
        "A VEN S A APU - ROM",
        "A VEN S A APU - TRI",
        "A VEN S A APU - TUS",
        "A VEN S A BEL - PIE",
        "A VEN S A BEL - ROM",
        "A VEN S A BEL - TUS",
        "A VEN S A BOH - TYR",
        "A VEN S A BRE - APU",
        "A VEN S A BRE - PIE",
        "A VEN S A BRE - ROM",
        "A VEN S A BRE - TUS",
        "A VEN S A BUD - TRI",
        "A VEN S A BUL - APU",
        "A VEN S A BUL - PIE",
        "A VEN S A BUL - ROM",
        "A VEN S A BUL - TRI",
        "A VEN S A BUL - TUS",
        "A VEN S A CLY - PIE",
        "A VEN S A CLY - ROM",
        "A VEN S A CLY - TUS",
        "A VEN S A CON - APU",
        "A VEN S A CON - PIE",
        "A VEN S A CON - ROM",
        "A VEN S A CON - TRI",
        "A VEN S A CON - TUS",
        "A VEN S A GAS - APU",
        "A VEN S A GAS - PIE",
        "A VEN S A GAS - ROM",
        "A VEN S A GAS - TUS",
        "A VEN S A GRE - APU",
        "A VEN S A GRE - PIE",
        "A VEN S A GRE - ROM",
        "A VEN S A GRE - TRI",
        "A VEN S A GRE - TUS",
        "A VEN S A LON - PIE",
        "A VEN S A LON - ROM",
        "A VEN S A LON - TUS",
        "A VEN S A LVP - PIE",
        "A VEN S A LVP - ROM",
        "A VEN S A LVP - TUS",
        "A VEN S A MAR - APU",
        "A VEN S A MAR - PIE",
        "A VEN S A MAR - ROM",
        "A VEN S A MAR - TRI",
        "A VEN S A MAR - TUS",
        "A VEN S A MUN - TYR",
        "A VEN S A NAF - APU",
        "A VEN S A NAF - PIE",
        "A VEN S A NAF - ROM",
        "A VEN S A NAF - TRI",
        "A VEN S A NAF - TUS",
        "A VEN S A NAP - APU",
        "A VEN S A NAP - PIE",
        "A VEN S A NAP - ROM",
        "A VEN S A NAP - TRI",
        "A VEN S A NAP - TUS",
        "A VEN S A PIC - PIE",
        "A VEN S A PIC - ROM",
        "A VEN S A PIC - TUS",
        "A VEN S A PIE",
        "A VEN S A PIE - APU",
        "A VEN S A PIE - ROM",
        "A VEN S A PIE - TRI",
        "A VEN S A PIE - TUS",
        "A VEN S A PIE - TYR",
        "A VEN S A POR - APU",
        "A VEN S A POR - PIE",
        "A VEN S A POR - ROM",
        "A VEN S A POR - TUS",
        "A VEN S A ROM",
        "A VEN S A ROM - APU",
        "A VEN S A ROM - PIE",
        "A VEN S A ROM - TRI",
        "A VEN S A ROM - TUS",
        "A VEN S A SER - TRI",
        "A VEN S A SMY - APU",
        "A VEN S A SMY - PIE",
        "A VEN S A SMY - ROM",
        "A VEN S A SMY - TRI",
        "A VEN S A SMY - TUS",
        "A VEN S A SPA - APU",
        "A VEN S A SPA - PIE",
        "A VEN S A SPA - ROM",
        "A VEN S A SPA - TRI",
        "A VEN S A SPA - TUS",
        "A VEN S A SYR - APU",
        "A VEN S A SYR - PIE",
        "A VEN S A SYR - ROM",
        "A VEN S A SYR - TRI",
        "A VEN S A SYR - TUS",
        "A VEN S A TRI",
        "A VEN S A TRI - APU",
        "A VEN S A TRI - PIE",
        "A VEN S A TRI - ROM",
        "A VEN S A TRI - TUS",
        "A VEN S A TRI - TYR",
        "A VEN S A TUN - APU",
        "A VEN S A TUN - PIE",
        "A VEN S A TUN - ROM",
        "A VEN S A TUN - TRI",
        "A VEN S A TUN - TUS",
        "A VEN S A TUS",
        "A VEN S A TUS - APU",
        "A VEN S A TUS - PIE",
        "A VEN S A TUS - ROM",
        "A VEN S A TUS - TRI",
        "A VEN S A TYR",
        "A VEN S A TYR - PIE",
        "A VEN S A TYR - TRI",
        "A VEN S A VIE - TRI",
        "A VEN S A VIE - TYR",
        "A VEN S A WAL - PIE",
        "A VEN S A WAL - ROM",
        "A VEN S A WAL - TUS",
        "A VEN S F ADR - APU",
        "A VEN S F ADR - TRI",
        "A VEN S F ALB - TRI",
        "A VEN S F APU",
        "A VEN S F ION - APU",
        "A VEN S F LYO - PIE",
        "A VEN S F LYO - TUS",
        "A VEN S F MAR - PIE",
        "A VEN S F NAP - APU",
        "A VEN S F NAP - ROM",
        "A VEN S F PIE",
        "A VEN S F PIE - TUS",
        "A VEN S F ROM",
        "A VEN S F ROM - TUS",
        "A VEN S F TRI",
        "A VEN S F TUS",
        "A VEN S F TUS - PIE",
        "A VEN S F TUS - ROM",
        "A VEN S F TYS - ROM",
        "A VEN S F TYS - TUS",
        "A VIE - BOH",
        "A VIE - BUD",
        "A VIE - GAL",
        "A VIE - TRI",
        "A VIE - TYR",
        "A VIE B",
        "A VIE B;F TRI B",
        "A VIE D",
        "A VIE H",
        "A VIE R BOH",
        "A VIE R BUD",
        "A VIE R GAL",
        "A VIE R TRI",
        "A VIE R TYR",
        "A VIE S A ALB - TRI",
        "A VIE S A APU - TRI",
        "A VIE S A BOH",
        "A VIE S A BOH - GAL",
        "A VIE S A BOH - TYR",
        "A VIE S A BUD",
        "A VIE S A BUD - GAL",
        "A VIE S A BUD - TRI",
        "A VIE S A BUL - TRI",
        "A VIE S A CON - TRI",
        "A VIE S A GAL",
        "A VIE S A GAL - BOH",
        "A VIE S A GAL - BUD",
        "A VIE S A GRE - TRI",
        "A VIE S A MAR - TRI",
        "A VIE S A MUN - BOH",
        "A VIE S A MUN - TYR",
        "A VIE S A NAF - TRI",
        "A VIE S A NAP - TRI",
        "A VIE S A PIE - TRI",
        "A VIE S A PIE - TYR",
        "A VIE S A ROM - TRI",
        "A VIE S A RUM - BUD",
        "A VIE S A RUM - GAL",
        "A VIE S A SER - BUD",
        "A VIE S A SER - TRI",
        "A VIE S A SIL - BOH",
        "A VIE S A SIL - GAL",
        "A VIE S A SMY - TRI",
        "A VIE S A SPA - TRI",
        "A VIE S A SYR - TRI",
        "A VIE S A TRI",
        "A VIE S A TRI - BUD",
        "A VIE S A TRI - TYR",
        "A VIE S A TUN - TRI",
        "A VIE S A TUS - TRI",
        "A VIE S A TYR",
        "A VIE S A TYR - BOH",
        "A VIE S A TYR - TRI",
        "A VIE S A UKR - GAL",
        "A VIE S A VEN - TRI",
        "A VIE S A VEN - TYR",
        "A VIE S A WAR - GAL",
        "A VIE S F ADR - TRI",
        "A VIE S F ALB - TRI",
        "A VIE S F TRI",
        "A VIE S F VEN - TRI",
        "A WAL - BEL VIA",
        "A WAL - BRE VIA",
        "A WAL - CLY VIA",
        "A WAL - DEN VIA",
        "A WAL - EDI VIA",
        "A WAL - GAS VIA",
        "A WAL - HOL VIA",
        "A WAL - KIE VIA",
        "A WAL - LON",
        "A WAL - LON VIA",
        "A WAL - LVP",
        "A WAL - LVP VIA",
        "A WAL - MAR VIA",
        "A WAL - NAF VIA",
        "A WAL - NAP VIA",
        "A WAL - NWY VIA",
        "A WAL - PIC VIA",
        "A WAL - PIE VIA",
        "A WAL - POR VIA",
        "A WAL - ROM VIA",
        "A WAL - SPA VIA",
        "A WAL - STP VIA",
        "A WAL - SWE VIA",
        "A WAL - TUN VIA",
        "A WAL - TUS VIA",
        "A WAL - YOR",
        "A WAL - YOR VIA",
        "A WAL D",
        "A WAL H",
        "A WAL R LON",
        "A WAL R LVP",
        "A WAL R YOR",
        "A WAL S A BEL - LON",
        "A WAL S A BEL - LVP",
        "A WAL S A BEL - YOR",
        "A WAL S A BRE - LON",
        "A WAL S A BRE - LVP",
        "A WAL S A BRE - YOR",
        "A WAL S A CLY - LON",
        "A WAL S A CLY - LVP",
        "A WAL S A CLY - YOR",
        "A WAL S A DEN - LON",
        "A WAL S A DEN - LVP",
        "A WAL S A DEN - YOR",
        "A WAL S A EDI - LON",
        "A WAL S A EDI - LVP",
        "A WAL S A EDI - YOR",
        "A WAL S A GAS - LON",
        "A WAL S A GAS - LVP",
        "A WAL S A GAS - YOR",
        "A WAL S A HOL - LON",
        "A WAL S A HOL - LVP",
        "A WAL S A HOL - YOR",
        "A WAL S A KIE - LON",
        "A WAL S A KIE - LVP",
        "A WAL S A KIE - YOR",
        "A WAL S A LON",
        "A WAL S A LON - LVP",
        "A WAL S A LON - YOR",
        "A WAL S A LVP",
        "A WAL S A LVP - LON",
        "A WAL S A LVP - YOR",
        "A WAL S A MAR - LON",
        "A WAL S A MAR - LVP",
        "A WAL S A NAF - LON",
        "A WAL S A NAF - LVP",
        "A WAL S A NAF - YOR",
        "A WAL S A NAP - LON",
        "A WAL S A NAP - LVP",
        "A WAL S A NWY - LON",
        "A WAL S A NWY - LVP",
        "A WAL S A NWY - YOR",
        "A WAL S A PIC - LON",
        "A WAL S A PIC - LVP",
        "A WAL S A PIC - YOR",
        "A WAL S A PIE - LON",
        "A WAL S A PIE - LVP",
        "A WAL S A POR - LON",
        "A WAL S A POR - LVP",
        "A WAL S A POR - YOR",
        "A WAL S A ROM - LON",
        "A WAL S A ROM - LVP",
        "A WAL S A SPA - LON",
        "A WAL S A SPA - LVP",
        "A WAL S A SPA - YOR",
        "A WAL S A STP - LON",
        "A WAL S A STP - LVP",
        "A WAL S A STP - YOR",
        "A WAL S A SWE - LON",
        "A WAL S A SWE - LVP",
        "A WAL S A SWE - YOR",
        "A WAL S A TUN - LON",
        "A WAL S A TUN - LVP",
        "A WAL S A TUN - YOR",
        "A WAL S A TUS - LON",
        "A WAL S A TUS - LVP",
        "A WAL S A YOR",
        "A WAL S A YOR - LON",
        "A WAL S A YOR - LVP",
        "A WAL S F CLY - LVP",
        "A WAL S F EDI - YOR",
        "A WAL S F ENG - LON",
        "A WAL S F IRI - LVP",
        "A WAL S F LON",
        "A WAL S F LON - YOR",
        "A WAL S F LVP",
        "A WAL S F NAO - LVP",
        "A WAL S F NTH - LON",
        "A WAL S F NTH - YOR",
        "A WAL S F YOR",
        "A WAL S F YOR - LON",
        "A WAR - GAL",
        "A WAR - LVN",
        "A WAR - MOS",
        "A WAR - PRU",
        "A WAR - SIL",
        "A WAR - UKR",
        "A WAR B",
        "A WAR B;F SEV B",
        "A WAR B;F SEV B;F STP/NC B",
        "A WAR B;F SEV B;F STP/SC B",
        "A WAR B;F STP/NC B",
        "A WAR B;F STP/SC B",
        "A WAR D",
        "A WAR H",
        "A WAR R GAL",
        "A WAR R LVN",
        "A WAR R MOS",
        "A WAR R PRU",
        "A WAR R SIL",
        "A WAR R UKR",
        "A WAR S A BER - LVN",
        "A WAR S A BER - PRU",
        "A WAR S A BER - SIL",
        "A WAR S A BOH - GAL",
        "A WAR S A BOH - SIL",
        "A WAR S A BUD - GAL",
        "A WAR S A DEN - LVN",
        "A WAR S A DEN - PRU",
        "A WAR S A FIN - LVN",
        "A WAR S A FIN - PRU",
        "A WAR S A GAL",
        "A WAR S A GAL - SIL",
        "A WAR S A GAL - UKR",
        "A WAR S A KIE - LVN",
        "A WAR S A KIE - PRU",
        "A WAR S A LVN",
        "A WAR S A LVN - MOS",
        "A WAR S A LVN - PRU",
        "A WAR S A MOS",
        "A WAR S A MOS - LVN",
        "A WAR S A MOS - UKR",
        "A WAR S A MUN - SIL",
        "A WAR S A PRU",
        "A WAR S A PRU - LVN",
        "A WAR S A PRU - SIL",
        "A WAR S A RUM - GAL",
        "A WAR S A RUM - UKR",
        "A WAR S A SEV - MOS",
        "A WAR S A SEV - UKR",
        "A WAR S A SIL",
        "A WAR S A SIL - GAL",
        "A WAR S A SIL - PRU",
        "A WAR S A STP - LVN",
        "A WAR S A STP - MOS",
        "A WAR S A STP - PRU",
        "A WAR S A SWE - LVN",
        "A WAR S A SWE - PRU",
        "A WAR S A UKR",
        "A WAR S A UKR - GAL",
        "A WAR S A UKR - MOS",
        "A WAR S A VIE - GAL",
        "A WAR S F BAL - LVN",
        "A WAR S F BAL - PRU",
        "A WAR S F BER - PRU",
        "A WAR S F BOT - LVN",
        "A WAR S F LVN",
        "A WAR S F LVN - PRU",
        "A WAR S F PRU",
        "A WAR S F PRU - LVN",
        "A WAR S F STP/SC - LVN",
        "A YOR - BEL VIA",
        "A YOR - BRE VIA",
        "A YOR - CLY VIA",
        "A YOR - DEN VIA",
        "A YOR - EDI",
        "A YOR - EDI VIA",
        "A YOR - GAS VIA",
        "A YOR - HOL VIA",
        "A YOR - KIE VIA",
        "A YOR - LON",
        "A YOR - LON VIA",
        "A YOR - LVP",
        "A YOR - LVP VIA",
        "A YOR - NAF VIA",
        "A YOR - NWY VIA",
        "A YOR - PIC VIA",
        "A YOR - POR VIA",
        "A YOR - SPA VIA",
        "A YOR - STP VIA",
        "A YOR - SWE VIA",
        "A YOR - TUN VIA",
        "A YOR - WAL",
        "A YOR - WAL VIA",
        "A YOR D",
        "A YOR H",
        "A YOR R EDI",
        "A YOR R LON",
        "A YOR R LVP",
        "A YOR R WAL",
        "A YOR S A BEL - EDI",
        "A YOR S A BEL - LON",
        "A YOR S A BEL - LVP",
        "A YOR S A BEL - WAL",
        "A YOR S A BRE - EDI",
        "A YOR S A BRE - LON",
        "A YOR S A BRE - LVP",
        "A YOR S A BRE - WAL",
        "A YOR S A CLY - EDI",
        "A YOR S A CLY - LON",
        "A YOR S A CLY - LVP",
        "A YOR S A CLY - WAL",
        "A YOR S A DEN - EDI",
        "A YOR S A DEN - LON",
        "A YOR S A DEN - LVP",
        "A YOR S A DEN - WAL",
        "A YOR S A EDI",
        "A YOR S A EDI - LON",
        "A YOR S A EDI - LVP",
        "A YOR S A EDI - WAL",
        "A YOR S A GAS - EDI",
        "A YOR S A GAS - LON",
        "A YOR S A GAS - LVP",
        "A YOR S A GAS - WAL",
        "A YOR S A HOL - EDI",
        "A YOR S A HOL - LON",
        "A YOR S A HOL - LVP",
        "A YOR S A HOL - WAL",
        "A YOR S A KIE - EDI",
        "A YOR S A KIE - LON",
        "A YOR S A KIE - LVP",
        "A YOR S A KIE - WAL",
        "A YOR S A LON",
        "A YOR S A LON - EDI",
        "A YOR S A LON - LVP",
        "A YOR S A LON - WAL",
        "A YOR S A LVP",
        "A YOR S A LVP - EDI",
        "A YOR S A LVP - LON",
        "A YOR S A LVP - WAL",
        "A YOR S A MAR - LON",
        "A YOR S A MAR - LVP",
        "A YOR S A MAR - WAL",
        "A YOR S A NAF - EDI",
        "A YOR S A NAF - LON",
        "A YOR S A NAF - LVP",
        "A YOR S A NAF - WAL",
        "A YOR S A NAP - LON",
        "A YOR S A NAP - LVP",
        "A YOR S A NAP - WAL",
        "A YOR S A NWY - EDI",
        "A YOR S A NWY - LON",
        "A YOR S A NWY - LVP",
        "A YOR S A NWY - WAL",
        "A YOR S A PIC - EDI",
        "A YOR S A PIC - LON",
        "A YOR S A PIC - LVP",
        "A YOR S A PIC - WAL",
        "A YOR S A PIE - LON",
        "A YOR S A PIE - LVP",
        "A YOR S A PIE - WAL",
        "A YOR S A POR - EDI",
        "A YOR S A POR - LON",
        "A YOR S A POR - LVP",
        "A YOR S A POR - WAL",
        "A YOR S A ROM - LON",
        "A YOR S A ROM - LVP",
        "A YOR S A ROM - WAL",
        "A YOR S A SPA - EDI",
        "A YOR S A SPA - LON",
        "A YOR S A SPA - LVP",
        "A YOR S A SPA - WAL",
        "A YOR S A STP - EDI",
        "A YOR S A STP - LON",
        "A YOR S A STP - LVP",
        "A YOR S A STP - WAL",
        "A YOR S A SWE - EDI",
        "A YOR S A SWE - LON",
        "A YOR S A SWE - LVP",
        "A YOR S A SWE - WAL",
        "A YOR S A TUN - EDI",
        "A YOR S A TUN - LON",
        "A YOR S A TUN - LVP",
        "A YOR S A TUN - WAL",
        "A YOR S A TUS - LON",
        "A YOR S A TUS - LVP",
        "A YOR S A TUS - WAL",
        "A YOR S A WAL",
        "A YOR S A WAL - EDI",
        "A YOR S A WAL - LON",
        "A YOR S A WAL - LVP",
        "A YOR S F CLY - EDI",
        "A YOR S F CLY - LVP",
        "A YOR S F EDI",
        "A YOR S F ENG - LON",
        "A YOR S F ENG - WAL",
        "A YOR S F IRI - LVP",
        "A YOR S F IRI - WAL",
        "A YOR S F LON",
        "A YOR S F LON - WAL",
        "A YOR S F LVP",
        "A YOR S F LVP - WAL",
        "A YOR S F NAO - LVP",
        "A YOR S F NTH - EDI",
        "A YOR S F NTH - LON",
        "A YOR S F NWG - EDI",
        "A YOR S F WAL",
        "A YOR S F WAL - LON",
        "A YOR S F WAL - LVP",
        "F ADR - ALB",
        "F ADR - APU",
        "F ADR - ION",
        "F ADR - TRI",
        "F ADR - VEN",
        "F ADR C A ALB - APU",
        "F ADR C A ALB - TRI",
        "F ADR C A ALB - VEN",
        "F ADR C A APU - ALB",
        "F ADR C A APU - TRI",
        "F ADR C A APU - VEN",
        "F ADR C A BUL - TRI",
        "F ADR C A BUL - VEN",
        "F ADR C A CON - TRI",
        "F ADR C A CON - VEN",
        "F ADR C A GRE - TRI",
        "F ADR C A GRE - VEN",
        "F ADR C A MAR - TRI",
        "F ADR C A MAR - VEN",
        "F ADR C A NAF - TRI",
        "F ADR C A NAF - VEN",
        "F ADR C A NAP - TRI",
        "F ADR C A NAP - VEN",
        "F ADR C A PIE - TRI",
        "F ADR C A PIE - VEN",
        "F ADR C A ROM - TRI",
        "F ADR C A ROM - VEN",
        "F ADR C A SMY - TRI",
        "F ADR C A SMY - VEN",
        "F ADR C A SPA - TRI",
        "F ADR C A SPA - VEN",
        "F ADR C A SYR - TRI",
        "F ADR C A SYR - VEN",
        "F ADR C A TRI - ALB",
        "F ADR C A TRI - APU",
        "F ADR C A TRI - BUL",
        "F ADR C A TRI - CON",
        "F ADR C A TRI - GRE",
        "F ADR C A TRI - MAR",
        "F ADR C A TRI - NAF",
        "F ADR C A TRI - NAP",
        "F ADR C A TRI - PIE",
        "F ADR C A TRI - ROM",
        "F ADR C A TRI - SMY",
        "F ADR C A TRI - SPA",
        "F ADR C A TRI - SYR",
        "F ADR C A TRI - TUN",
        "F ADR C A TRI - TUS",
        "F ADR C A TRI - VEN",
        "F ADR C A TUN - TRI",
        "F ADR C A TUN - VEN",
        "F ADR C A TUS - TRI",
        "F ADR C A TUS - VEN",
        "F ADR C A VEN - ALB",
        "F ADR C A VEN - APU",
        "F ADR C A VEN - BUL",
        "F ADR C A VEN - CON",
        "F ADR C A VEN - GRE",
        "F ADR C A VEN - MAR",
        "F ADR C A VEN - NAF",
        "F ADR C A VEN - NAP",
        "F ADR C A VEN - PIE",
        "F ADR C A VEN - ROM",
        "F ADR C A VEN - SMY",
        "F ADR C A VEN - SPA",
        "F ADR C A VEN - SYR",
        "F ADR C A VEN - TRI",
        "F ADR C A VEN - TUN",
        "F ADR C A VEN - TUS",
        "F ADR D",
        "F ADR H",
        "F ADR R ALB",
        "F ADR R APU",
        "F ADR R ION",
        "F ADR R TRI",
        "F ADR R VEN",
        "F ADR S A ALB",
        "F ADR S A ALB - APU",
        "F ADR S A ALB - TRI",
        "F ADR S A APU",
        "F ADR S A APU - ALB",
        "F ADR S A APU - VEN",
        "F ADR S A BRE - ALB",
        "F ADR S A BRE - APU",
        "F ADR S A BUD - TRI",
        "F ADR S A BUL - ALB",
        "F ADR S A BUL - APU",
        "F ADR S A CON - ALB",
        "F ADR S A CON - APU",
        "F ADR S A GAS - ALB",
        "F ADR S A GAS - APU",
        "F ADR S A GRE - ALB",
        "F ADR S A GRE - APU",
        "F ADR S A MAR - ALB",
        "F ADR S A MAR - APU",
        "F ADR S A NAF - ALB",
        "F ADR S A NAF - APU",
        "F ADR S A NAP - ALB",
        "F ADR S A NAP - APU",
        "F ADR S A PIE - ALB",
        "F ADR S A PIE - APU",
        "F ADR S A PIE - VEN",
        "F ADR S A POR - ALB",
        "F ADR S A POR - APU",
        "F ADR S A ROM - ALB",
        "F ADR S A ROM - APU",
        "F ADR S A ROM - VEN",
        "F ADR S A SER - ALB",
        "F ADR S A SER - TRI",
        "F ADR S A SMY - ALB",
        "F ADR S A SMY - APU",
        "F ADR S A SPA - ALB",
        "F ADR S A SPA - APU",
        "F ADR S A SYR - ALB",
        "F ADR S A SYR - APU",
        "F ADR S A TRI",
        "F ADR S A TRI - ALB",
        "F ADR S A TRI - VEN",
        "F ADR S A TUN - ALB",
        "F ADR S A TUN - APU",
        "F ADR S A TUS - ALB",
        "F ADR S A TUS - APU",
        "F ADR S A TUS - VEN",
        "F ADR S A TYR - TRI",
        "F ADR S A TYR - VEN",
        "F ADR S A VEN",
        "F ADR S A VEN - APU",
        "F ADR S A VEN - TRI",
        "F ADR S A VIE - TRI",
        "F ADR S F AEG - ION",
        "F ADR S F ALB",
        "F ADR S F ALB - ION",
        "F ADR S F ALB - TRI",
        "F ADR S F APU",
        "F ADR S F APU - ION",
        "F ADR S F APU - VEN",
        "F ADR S F EAS - ION",
        "F ADR S F GRE - ALB",
        "F ADR S F GRE - ION",
        "F ADR S F ION",
        "F ADR S F ION - ALB",
        "F ADR S F ION - APU",
        "F ADR S F NAP - APU",
        "F ADR S F NAP - ION",
        "F ADR S F TRI",
        "F ADR S F TRI - ALB",
        "F ADR S F TRI - VEN",
        "F ADR S F TUN - ION",
        "F ADR S F TYS - ION",
        "F ADR S F VEN",
        "F ADR S F VEN - APU",
        "F ADR S F VEN - TRI",
        "F AEG - BUL/SC",
        "F AEG - CON",
        "F AEG - EAS",
        "F AEG - GRE",
        "F AEG - ION",
        "F AEG - SMY",
        "F AEG C A ALB - BUL",
        "F AEG C A ALB - CON",
        "F AEG C A ALB - SMY",
        "F AEG C A APU - BUL",
        "F AEG C A APU - CON",
        "F AEG C A APU - SMY",
        "F AEG C A BUL - ALB",
        "F AEG C A BUL - APU",
        "F AEG C A BUL - CON",
        "F AEG C A BUL - GRE",
        "F AEG C A BUL - MAR",
        "F AEG C A BUL - NAF",
        "F AEG C A BUL - NAP",
        "F AEG C A BUL - PIE",
        "F AEG C A BUL - ROM",
        "F AEG C A BUL - SMY",
        "F AEG C A BUL - SPA",
        "F AEG C A BUL - SYR",
        "F AEG C A BUL - TRI",
        "F AEG C A BUL - TUN",
        "F AEG C A BUL - TUS",
        "F AEG C A BUL - VEN",
        "F AEG C A CON - ALB",
        "F AEG C A CON - APU",
        "F AEG C A CON - BUL",
        "F AEG C A CON - GRE",
        "F AEG C A CON - MAR",
        "F AEG C A CON - NAF",
        "F AEG C A CON - NAP",
        "F AEG C A CON - PIE",
        "F AEG C A CON - ROM",
        "F AEG C A CON - SMY",
        "F AEG C A CON - SPA",
        "F AEG C A CON - SYR",
        "F AEG C A CON - TRI",
        "F AEG C A CON - TUN",
        "F AEG C A CON - TUS",
        "F AEG C A CON - VEN",
        "F AEG C A GRE - BUL",
        "F AEG C A GRE - CON",
        "F AEG C A GRE - SMY",
        "F AEG C A GRE - SYR",
        "F AEG C A MAR - BUL",
        "F AEG C A MAR - CON",
        "F AEG C A MAR - SMY",
        "F AEG C A NAF - BUL",
        "F AEG C A NAF - CON",
        "F AEG C A NAF - SMY",
        "F AEG C A NAP - BUL",
        "F AEG C A NAP - CON",
        "F AEG C A NAP - SMY",
        "F AEG C A PIE - BUL",
        "F AEG C A PIE - CON",
        "F AEG C A PIE - SMY",
        "F AEG C A ROM - BUL",
        "F AEG C A ROM - CON",
        "F AEG C A ROM - SMY",
        "F AEG C A SMY - ALB",
        "F AEG C A SMY - APU",
        "F AEG C A SMY - BUL",
        "F AEG C A SMY - CON",
        "F AEG C A SMY - GRE",
        "F AEG C A SMY - MAR",
        "F AEG C A SMY - NAF",
        "F AEG C A SMY - NAP",
        "F AEG C A SMY - PIE",
        "F AEG C A SMY - ROM",
        "F AEG C A SMY - SPA",
        "F AEG C A SMY - TRI",
        "F AEG C A SMY - TUN",
        "F AEG C A SMY - TUS",
        "F AEG C A SMY - VEN",
        "F AEG C A SPA - BUL",
        "F AEG C A SPA - CON",
        "F AEG C A SPA - SMY",
        "F AEG C A SYR - BUL",
        "F AEG C A SYR - CON",
        "F AEG C A SYR - GRE",
        "F AEG C A TRI - BUL",
        "F AEG C A TRI - CON",
        "F AEG C A TRI - SMY",
        "F AEG C A TUN - BUL",
        "F AEG C A TUN - CON",
        "F AEG C A TUN - SMY",
        "F AEG C A TUS - BUL",
        "F AEG C A TUS - CON",
        "F AEG C A TUS - SMY",
        "F AEG C A VEN - BUL",
        "F AEG C A VEN - CON",
        "F AEG C A VEN - SMY",
        "F AEG D",
        "F AEG H",
        "F AEG R BUL/SC",
        "F AEG R CON",
        "F AEG R EAS",
        "F AEG R GRE",
        "F AEG R ION",
        "F AEG R SMY",
        "F AEG S A ALB - GRE",
        "F AEG S A ALB - SMY",
        "F AEG S A ANK - BUL",
        "F AEG S A ANK - CON",
        "F AEG S A ANK - SMY",
        "F AEG S A APU - GRE",
        "F AEG S A APU - SMY",
        "F AEG S A ARM - BUL",
        "F AEG S A ARM - CON",
        "F AEG S A ARM - SMY",
        "F AEG S A BRE - GRE",
        "F AEG S A BUL",
        "F AEG S A BUL - CON",
        "F AEG S A BUL - GRE",
        "F AEG S A CON",
        "F AEG S A CON - BUL",
        "F AEG S A CON - SMY",
        "F AEG S A GAS - GRE",
        "F AEG S A GRE",
        "F AEG S A GRE - BUL",
        "F AEG S A GRE - SMY",
        "F AEG S A MAR - GRE",
        "F AEG S A MAR - SMY",
        "F AEG S A NAF - GRE",
        "F AEG S A NAF - SMY",
        "F AEG S A NAP - GRE",
        "F AEG S A NAP - SMY",
        "F AEG S A PIE - GRE",
        "F AEG S A PIE - SMY",
        "F AEG S A POR - GRE",
        "F AEG S A ROM - GRE",
        "F AEG S A ROM - SMY",
        "F AEG S A RUM - BUL",
        "F AEG S A RUM - CON",
        "F AEG S A SER - BUL",
        "F AEG S A SER - GRE",
        "F AEG S A SEV - BUL",
        "F AEG S A SEV - CON",
        "F AEG S A SMY",
        "F AEG S A SMY - CON",
        "F AEG S A SMY - GRE",
        "F AEG S A SPA - GRE",
        "F AEG S A SPA - SMY",
        "F AEG S A SYR - GRE",
        "F AEG S A SYR - SMY",
        "F AEG S A TRI - GRE",
        "F AEG S A TRI - SMY",
        "F AEG S A TUN - GRE",
        "F AEG S A TUN - SMY",
        "F AEG S A TUS - GRE",
        "F AEG S A TUS - SMY",
        "F AEG S A VEN - GRE",
        "F AEG S A VEN - SMY",
        "F AEG S F ADR - ION",
        "F AEG S F ALB - GRE",
        "F AEG S F ALB - ION",
        "F AEG S F ANK - CON",
        "F AEG S F APU - ION",
        "F AEG S F BLA - BUL",
        "F AEG S F BLA - BUL/EC",
        "F AEG S F BLA - BUL/SC",
        "F AEG S F BLA - CON",
        "F AEG S F BUL/EC",
        "F AEG S F BUL/EC - CON",
        "F AEG S F BUL/SC",
        "F AEG S F BUL/SC - CON",
        "F AEG S F BUL/SC - GRE",
        "F AEG S F CON",
        "F AEG S F CON - BUL",
        "F AEG S F CON - BUL/EC",
        "F AEG S F CON - BUL/SC",
        "F AEG S F CON - SMY",
        "F AEG S F EAS",
        "F AEG S F EAS - ION",
        "F AEG S F EAS - SMY",
        "F AEG S F GRE",
        "F AEG S F GRE - BUL",
        "F AEG S F GRE - BUL/EC",
        "F AEG S F GRE - BUL/SC",
        "F AEG S F GRE - ION",
        "F AEG S F ION",
        "F AEG S F ION - EAS",
        "F AEG S F ION - GRE",
        "F AEG S F NAP - ION",
        "F AEG S F RUM - BUL",
        "F AEG S F RUM - BUL/EC",
        "F AEG S F RUM - BUL/SC",
        "F AEG S F SMY",
        "F AEG S F SMY - CON",
        "F AEG S F SMY - EAS",
        "F AEG S F SYR - EAS",
        "F AEG S F SYR - SMY",
        "F AEG S F TUN - ION",
        "F AEG S F TYS - ION",
        "F ALB - ADR",
        "F ALB - GRE",
        "F ALB - ION",
        "F ALB - TRI",
        "F ALB D",
        "F ALB H",
        "F ALB R ADR",
        "F ALB R GRE",
        "F ALB R ION",
        "F ALB R TRI",
        "F ALB S A APU - GRE",
        "F ALB S A APU - TRI",
        "F ALB S A BRE - GRE",
        "F ALB S A BUD - TRI",
        "F ALB S A BUL - GRE",
        "F ALB S A BUL - TRI",
        "F ALB S A CON - GRE",
        "F ALB S A CON - TRI",
        "F ALB S A GAS - GRE",
        "F ALB S A GRE",
        "F ALB S A GRE - TRI",
        "F ALB S A MAR - GRE",
        "F ALB S A MAR - TRI",
        "F ALB S A NAF - GRE",
        "F ALB S A NAF - TRI",
        "F ALB S A NAP - GRE",
        "F ALB S A NAP - TRI",
        "F ALB S A PIE - GRE",
        "F ALB S A PIE - TRI",
        "F ALB S A POR - GRE",
        "F ALB S A ROM - GRE",
        "F ALB S A ROM - TRI",
        "F ALB S A SER - GRE",
        "F ALB S A SER - TRI",
        "F ALB S A SMY - GRE",
        "F ALB S A SMY - TRI",
        "F ALB S A SPA - GRE",
        "F ALB S A SPA - TRI",
        "F ALB S A SYR - GRE",
        "F ALB S A SYR - TRI",
        "F ALB S A TRI",
        "F ALB S A TRI - GRE",
        "F ALB S A TUN - GRE",
        "F ALB S A TUN - TRI",
        "F ALB S A TUS - GRE",
        "F ALB S A TUS - TRI",
        "F ALB S A TYR - TRI",
        "F ALB S A VEN - GRE",
        "F ALB S A VEN - TRI",
        "F ALB S A VIE - TRI",
        "F ALB S F ADR",
        "F ALB S F ADR - ION",
        "F ALB S F ADR - TRI",
        "F ALB S F AEG - GRE",
        "F ALB S F AEG - ION",
        "F ALB S F APU - ADR",
        "F ALB S F APU - ION",
        "F ALB S F BUL/SC - GRE",
        "F ALB S F EAS - ION",
        "F ALB S F GRE",
        "F ALB S F GRE - ION",
        "F ALB S F ION",
        "F ALB S F ION - ADR",
        "F ALB S F ION - GRE",
        "F ALB S F NAP - ION",
        "F ALB S F TRI",
        "F ALB S F TRI - ADR",
        "F ALB S F TUN - ION",
        "F ALB S F TYS - ION",
        "F ALB S F VEN - ADR",
        "F ALB S F VEN - TRI",
        "F ANK - ARM",
        "F ANK - BLA",
        "F ANK - CON",
        "F ANK B",
        "F ANK B;F CON B",
        "F ANK B;F CON B;F SMY B",
        "F ANK B;F SMY B",
        "F ANK D",
        "F ANK H",
        "F ANK R ARM",
        "F ANK R BLA",
        "F ANK R CON",
        "F ANK S A ALB - CON",
        "F ANK S A APU - CON",
        "F ANK S A ARM",
        "F ANK S A ARM - CON",
        "F ANK S A BUL - ARM",
        "F ANK S A BUL - CON",
        "F ANK S A CON",
        "F ANK S A CON - ARM",
        "F ANK S A GRE - CON",
        "F ANK S A MAR - CON",
        "F ANK S A NAF - CON",
        "F ANK S A NAP - CON",
        "F ANK S A PIE - CON",
        "F ANK S A ROM - CON",
        "F ANK S A RUM - ARM",
        "F ANK S A RUM - CON",
        "F ANK S A SEV - ARM",
        "F ANK S A SEV - CON",
        "F ANK S A SMY - ARM",
        "F ANK S A SMY - CON",
        "F ANK S A SPA - CON",
        "F ANK S A SYR - ARM",
        "F ANK S A SYR - CON",
        "F ANK S A TRI - CON",
        "F ANK S A TUN - CON",
        "F ANK S A TUS - CON",
        "F ANK S A VEN - CON",
        "F ANK S F AEG - CON",
        "F ANK S F ARM",
        "F ANK S F ARM - BLA",
        "F ANK S F BLA",
        "F ANK S F BLA - ARM",
        "F ANK S F BLA - CON",
        "F ANK S F BUL/EC - BLA",
        "F ANK S F BUL/EC - CON",
        "F ANK S F BUL/SC - CON",
        "F ANK S F CON",
        "F ANK S F CON - BLA",
        "F ANK S F RUM - BLA",
        "F ANK S F SEV - ARM",
        "F ANK S F SEV - BLA",
        "F ANK S F SMY - CON",
        "F APU - ADR",
        "F APU - ION",
        "F APU - NAP",
        "F APU - VEN",
        "F APU D",
        "F APU H",
        "F APU R ADR",
        "F APU R ION",
        "F APU R NAP",
        "F APU R VEN",
        "F APU S A ALB - NAP",
        "F APU S A ALB - VEN",
        "F APU S A BEL - NAP",
        "F APU S A BRE - NAP",
        "F APU S A BUL - NAP",
        "F APU S A BUL - VEN",
        "F APU S A CLY - NAP",
        "F APU S A CON - NAP",
        "F APU S A CON - VEN",
        "F APU S A GAS - NAP",
        "F APU S A GRE - NAP",
        "F APU S A GRE - VEN",
        "F APU S A LON - NAP",
        "F APU S A LVP - NAP",
        "F APU S A MAR - NAP",
        "F APU S A MAR - VEN",
        "F APU S A NAF - NAP",
        "F APU S A NAF - VEN",
        "F APU S A NAP",
        "F APU S A NAP - VEN",
        "F APU S A PIC - NAP",
        "F APU S A PIE - NAP",
        "F APU S A PIE - VEN",
        "F APU S A POR - NAP",
        "F APU S A ROM - NAP",
        "F APU S A ROM - VEN",
        "F APU S A SMY - NAP",
        "F APU S A SMY - VEN",
        "F APU S A SPA - NAP",
        "F APU S A SPA - VEN",
        "F APU S A SYR - NAP",
        "F APU S A SYR - VEN",
        "F APU S A TRI - NAP",
        "F APU S A TRI - VEN",
        "F APU S A TUN - NAP",
        "F APU S A TUN - VEN",
        "F APU S A TUS - NAP",
        "F APU S A TUS - VEN",
        "F APU S A TYR - VEN",
        "F APU S A VEN",
        "F APU S A VEN - NAP",
        "F APU S A WAL - NAP",
        "F APU S F ADR",
        "F APU S F ADR - ION",
        "F APU S F ADR - VEN",
        "F APU S F AEG - ION",
        "F APU S F ALB - ADR",
        "F APU S F ALB - ION",
        "F APU S F EAS - ION",
        "F APU S F GRE - ION",
        "F APU S F ION",
        "F APU S F ION - ADR",
        "F APU S F ION - NAP",
        "F APU S F NAP",
        "F APU S F NAP - ION",
        "F APU S F ROM - NAP",
        "F APU S F TRI - ADR",
        "F APU S F TRI - VEN",
        "F APU S F TUN - ION",
        "F APU S F TYS - ION",
        "F APU S F TYS - NAP",
        "F APU S F VEN",
        "F APU S F VEN - ADR",
        "F ARM - ANK",
        "F ARM - BLA",
        "F ARM - SEV",
        "F ARM D",
        "F ARM H",
        "F ARM R ANK",
        "F ARM R BLA",
        "F ARM R SEV",
        "F ARM S A ANK",
        "F ARM S A ANK - SEV",
        "F ARM S A BUL - ANK",
        "F ARM S A BUL - SEV",
        "F ARM S A CON - ANK",
        "F ARM S A CON - SEV",
        "F ARM S A MOS - SEV",
        "F ARM S A RUM - ANK",
        "F ARM S A RUM - SEV",
        "F ARM S A SEV",
        "F ARM S A SEV - ANK",
        "F ARM S A SMY - ANK",
        "F ARM S A UKR - SEV",
        "F ARM S F ANK",
        "F ARM S F ANK - BLA",
        "F ARM S F BLA",
        "F ARM S F BLA - ANK",
        "F ARM S F BLA - SEV",
        "F ARM S F BUL/EC - BLA",
        "F ARM S F CON - ANK",
        "F ARM S F CON - BLA",
        "F ARM S F RUM - BLA",
        "F ARM S F RUM - SEV",
        "F ARM S F SEV",
        "F ARM S F SEV - BLA",
        "F BAL - BER",
        "F BAL - BOT",
        "F BAL - DEN",
        "F BAL - KIE",
        "F BAL - LVN",
        "F BAL - PRU",
        "F BAL - SWE",
        "F BAL C A BER - DEN",
        "F BAL C A BER - FIN",
        "F BAL C A BER - KIE",
        "F BAL C A BER - LVN",
        "F BAL C A BER - PRU",
        "F BAL C A BER - STP",
        "F BAL C A BER - SWE",
        "F BAL C A DEN - BER",
        "F BAL C A DEN - FIN",
        "F BAL C A DEN - KIE",
        "F BAL C A DEN - LVN",
        "F BAL C A DEN - PRU",
        "F BAL C A DEN - STP",
        "F BAL C A DEN - SWE",
        "F BAL C A FIN - BER",
        "F BAL C A FIN - DEN",
        "F BAL C A FIN - KIE",
        "F BAL C A FIN - PRU",
        "F BAL C A KIE - BER",
        "F BAL C A KIE - DEN",
        "F BAL C A KIE - FIN",
        "F BAL C A KIE - LVN",
        "F BAL C A KIE - PRU",
        "F BAL C A KIE - STP",
        "F BAL C A KIE - SWE",
        "F BAL C A LVN - BER",
        "F BAL C A LVN - DEN",
        "F BAL C A LVN - KIE",
        "F BAL C A LVN - PRU",
        "F BAL C A LVN - SWE",
        "F BAL C A PRU - BER",
        "F BAL C A PRU - DEN",
        "F BAL C A PRU - FIN",
        "F BAL C A PRU - KIE",
        "F BAL C A PRU - LVN",
        "F BAL C A PRU - STP",
        "F BAL C A PRU - SWE",
        "F BAL C A STP - BER",
        "F BAL C A STP - DEN",
        "F BAL C A STP - KIE",
        "F BAL C A STP - PRU",
        "F BAL C A SWE - BER",
        "F BAL C A SWE - DEN",
        "F BAL C A SWE - KIE",
        "F BAL C A SWE - LVN",
        "F BAL C A SWE - PRU",
        "F BAL D",
        "F BAL H",
        "F BAL R BER",
        "F BAL R BOT",
        "F BAL R DEN",
        "F BAL R KIE",
        "F BAL R LVN",
        "F BAL R PRU",
        "F BAL R SWE",
        "F BAL S A BEL - DEN",
        "F BAL S A BEL - KIE",
        "F BAL S A BEL - SWE",
        "F BAL S A BER",
        "F BAL S A BER - KIE",
        "F BAL S A BER - PRU",
        "F BAL S A BRE - DEN",
        "F BAL S A BRE - KIE",
        "F BAL S A BRE - SWE",
        "F BAL S A CLY - DEN",
        "F BAL S A CLY - KIE",
        "F BAL S A CLY - SWE",
        "F BAL S A DEN",
        "F BAL S A DEN - KIE",
        "F BAL S A DEN - SWE",
        "F BAL S A EDI - DEN",
        "F BAL S A EDI - KIE",
        "F BAL S A EDI - SWE",
        "F BAL S A FIN - LVN",
        "F BAL S A FIN - SWE",
        "F BAL S A GAS - DEN",
        "F BAL S A GAS - KIE",
        "F BAL S A GAS - SWE",
        "F BAL S A HOL - DEN",
        "F BAL S A HOL - KIE",
        "F BAL S A HOL - SWE",
        "F BAL S A KIE",
        "F BAL S A KIE - BER",
        "F BAL S A KIE - DEN",
        "F BAL S A KIE - SWE",
        "F BAL S A LON - DEN",
        "F BAL S A LON - KIE",
        "F BAL S A LON - SWE",
        "F BAL S A LVN",
        "F BAL S A LVN - PRU",
        "F BAL S A LVN - SWE",
        "F BAL S A LVP - DEN",
        "F BAL S A LVP - KIE",
        "F BAL S A LVP - SWE",
        "F BAL S A MOS - LVN",
        "F BAL S A MUN - BER",
        "F BAL S A MUN - KIE",
        "F BAL S A NAF - DEN",
        "F BAL S A NAF - KIE",
        "F BAL S A NAF - SWE",
        "F BAL S A NWY - DEN",
        "F BAL S A NWY - KIE",
        "F BAL S A NWY - SWE",
        "F BAL S A PIC - DEN",
        "F BAL S A PIC - KIE",
        "F BAL S A PIC - SWE",
        "F BAL S A POR - DEN",
        "F BAL S A POR - KIE",
        "F BAL S A POR - SWE",
        "F BAL S A PRU",
        "F BAL S A PRU - BER",
        "F BAL S A PRU - LVN",
        "F BAL S A RUH - KIE",
        "F BAL S A SIL - BER",
        "F BAL S A SIL - PRU",
        "F BAL S A SPA - DEN",
        "F BAL S A SPA - KIE",
        "F BAL S A SPA - SWE",
        "F BAL S A STP - DEN",
        "F BAL S A STP - KIE",
        "F BAL S A STP - LVN",
        "F BAL S A STP - SWE",
        "F BAL S A SWE",
        "F BAL S A SWE - DEN",
        "F BAL S A SWE - KIE",
        "F BAL S A SWE - LVN",
        "F BAL S A TUN - DEN",
        "F BAL S A WAL - DEN",
        "F BAL S A WAL - KIE",
        "F BAL S A WAL - SWE",
        "F BAL S A WAR - LVN",
        "F BAL S A WAR - PRU",
        "F BAL S A YOR - DEN",
        "F BAL S A YOR - KIE",
        "F BAL S A YOR - SWE",
        "F BAL S F BER",
        "F BAL S F BER - KIE",
        "F BAL S F BER - PRU",
        "F BAL S F BOT",
        "F BAL S F BOT - LVN",
        "F BAL S F BOT - SWE",
        "F BAL S F DEN",
        "F BAL S F DEN - KIE",
        "F BAL S F DEN - SWE",
        "F BAL S F FIN - BOT",
        "F BAL S F FIN - SWE",
        "F BAL S F HEL - DEN",
        "F BAL S F HEL - KIE",
        "F BAL S F HOL - KIE",
        "F BAL S F KIE",
        "F BAL S F KIE - BER",
        "F BAL S F KIE - DEN",
        "F BAL S F LVN",
        "F BAL S F LVN - BOT",
        "F BAL S F LVN - PRU",
        "F BAL S F NTH - DEN",
        "F BAL S F NWY - SWE",
        "F BAL S F PRU",
        "F BAL S F PRU - BER",
        "F BAL S F PRU - LVN",
        "F BAL S F SKA - DEN",
        "F BAL S F SKA - SWE",
        "F BAL S F STP/SC - BOT",
        "F BAL S F STP/SC - LVN",
        "F BAL S F SWE",
        "F BAL S F SWE - BOT",
        "F BAL S F SWE - DEN",
        "F BAR - NWG",
        "F BAR - NWY",
        "F BAR - STP/NC",
        "F BAR C A BEL - STP",
        "F BAR C A BRE - STP",
        "F BAR C A CLY - STP",
        "F BAR C A DEN - STP",
        "F BAR C A EDI - STP",
        "F BAR C A GAS - STP",
        "F BAR C A HOL - STP",
        "F BAR C A KIE - STP",
        "F BAR C A LON - STP",
        "F BAR C A LVP - STP",
        "F BAR C A NAF - STP",
        "F BAR C A NWY - STP",
        "F BAR C A PIC - STP",
        "F BAR C A POR - STP",
        "F BAR C A SPA - STP",
        "F BAR C A STP - BEL",
        "F BAR C A STP - BRE",
        "F BAR C A STP - CLY",
        "F BAR C A STP - DEN",
        "F BAR C A STP - EDI",
        "F BAR C A STP - GAS",
        "F BAR C A STP - HOL",
        "F BAR C A STP - KIE",
        "F BAR C A STP - LON",
        "F BAR C A STP - LVP",
        "F BAR C A STP - NAF",
        "F BAR C A STP - NWY",
        "F BAR C A STP - PIC",
        "F BAR C A STP - POR",
        "F BAR C A STP - SPA",
        "F BAR C A STP - SWE",
        "F BAR C A STP - WAL",
        "F BAR C A STP - YOR",
        "F BAR C A SWE - STP",
        "F BAR C A WAL - STP",
        "F BAR C A YOR - STP",
        "F BAR D",
        "F BAR H",
        "F BAR R NWG",
        "F BAR R NWY",
        "F BAR R STP/NC",
        "F BAR S A BEL - NWY",
        "F BAR S A BER - STP",
        "F BAR S A BRE - NWY",
        "F BAR S A CLY - NWY",
        "F BAR S A DEN - NWY",
        "F BAR S A DEN - STP",
        "F BAR S A EDI - NWY",
        "F BAR S A FIN - NWY",
        "F BAR S A FIN - STP",
        "F BAR S A GAS - NWY",
        "F BAR S A HOL - NWY",
        "F BAR S A KIE - NWY",
        "F BAR S A KIE - STP",
        "F BAR S A LON - NWY",
        "F BAR S A LVN - STP",
        "F BAR S A LVP - NWY",
        "F BAR S A MOS - STP",
        "F BAR S A NAF - NWY",
        "F BAR S A NWY",
        "F BAR S A NWY - STP",
        "F BAR S A PIC - NWY",
        "F BAR S A POR - NWY",
        "F BAR S A PRU - STP",
        "F BAR S A SPA - NWY",
        "F BAR S A STP",
        "F BAR S A STP - NWY",
        "F BAR S A SWE - NWY",
        "F BAR S A SWE - STP",
        "F BAR S A TUN - NWY",
        "F BAR S A WAL - NWY",
        "F BAR S A YOR - NWY",
        "F BAR S F BOT - STP",
        "F BAR S F BOT - STP/NC",
        "F BAR S F BOT - STP/SC",
        "F BAR S F CLY - NWG",
        "F BAR S F EDI - NWG",
        "F BAR S F FIN - STP",
        "F BAR S F FIN - STP/NC",
        "F BAR S F FIN - STP/SC",
        "F BAR S F LVN - STP",
        "F BAR S F LVN - STP/NC",
        "F BAR S F LVN - STP/SC",
        "F BAR S F NAO - NWG",
        "F BAR S F NTH - NWG",
        "F BAR S F NTH - NWY",
        "F BAR S F NWG",
        "F BAR S F NWG - NWY",
        "F BAR S F NWY",
        "F BAR S F NWY - NWG",
        "F BAR S F NWY - STP",
        "F BAR S F NWY - STP/NC",
        "F BAR S F NWY - STP/SC",
        "F BAR S F SKA - NWY",
        "F BAR S F STP/NC",
        "F BAR S F STP/NC - NWY",
        "F BAR S F STP/SC",
        "F BAR S F SWE - NWY",
        "F BEL - ENG",
        "F BEL - HOL",
        "F BEL - NTH",
        "F BEL - PIC",
        "F BEL D",
        "F BEL H",
        "F BEL R ENG",
        "F BEL R HOL",
        "F BEL R NTH",
        "F BEL R PIC",
        "F BEL S A BRE - HOL",
        "F BEL S A BRE - PIC",
        "F BEL S A BUR - PIC",
        "F BEL S A CLY - HOL",
        "F BEL S A CLY - PIC",
        "F BEL S A DEN - HOL",
        "F BEL S A DEN - PIC",
        "F BEL S A EDI - HOL",
        "F BEL S A EDI - PIC",
        "F BEL S A GAS - HOL",
        "F BEL S A GAS - PIC",
        "F BEL S A HOL",
        "F BEL S A HOL - PIC",
        "F BEL S A KIE - HOL",
        "F BEL S A KIE - PIC",
        "F BEL S A LON - HOL",
        "F BEL S A LON - PIC",
        "F BEL S A LVP - HOL",
        "F BEL S A LVP - PIC",
        "F BEL S A MAR - PIC",
        "F BEL S A NAF - HOL",
        "F BEL S A NAF - PIC",
        "F BEL S A NAP - PIC",
        "F BEL S A NWY - HOL",
        "F BEL S A NWY - PIC",
        "F BEL S A PAR - PIC",
        "F BEL S A PIC",
        "F BEL S A PIC - HOL",
        "F BEL S A PIE - PIC",
        "F BEL S A POR - HOL",
        "F BEL S A POR - PIC",
        "F BEL S A ROM - PIC",
        "F BEL S A RUH - HOL",
        "F BEL S A SPA - HOL",
        "F BEL S A SPA - PIC",
        "F BEL S A STP - HOL",
        "F BEL S A STP - PIC",
        "F BEL S A SWE - HOL",
        "F BEL S A SWE - PIC",
        "F BEL S A TUN - HOL",
        "F BEL S A TUN - PIC",
        "F BEL S A TUS - PIC",
        "F BEL S A WAL - HOL",
        "F BEL S A WAL - PIC",
        "F BEL S A YOR - HOL",
        "F BEL S A YOR - PIC",
        "F BEL S F BRE - ENG",
        "F BEL S F BRE - PIC",
        "F BEL S F DEN - NTH",
        "F BEL S F EDI - NTH",
        "F BEL S F ENG",
        "F BEL S F ENG - NTH",
        "F BEL S F ENG - PIC",
        "F BEL S F HEL - HOL",
        "F BEL S F HEL - NTH",
        "F BEL S F HOL",
        "F BEL S F HOL - NTH",
        "F BEL S F IRI - ENG",
        "F BEL S F KIE - HOL",
        "F BEL S F LON - ENG",
        "F BEL S F LON - NTH",
        "F BEL S F MAO - ENG",
        "F BEL S F NTH",
        "F BEL S F NTH - ENG",
        "F BEL S F NTH - HOL",
        "F BEL S F NWG - NTH",
        "F BEL S F NWY - NTH",
        "F BEL S F PIC",
        "F BEL S F PIC - ENG",
        "F BEL S F SKA - NTH",
        "F BEL S F WAL - ENG",
        "F BEL S F YOR - NTH",
        "F BER - BAL",
        "F BER - KIE",
        "F BER - PRU",
        "F BER B",
        "F BER B;F KIE B",
        "F BER D",
        "F BER H",
        "F BER R BAL",
        "F BER R KIE",
        "F BER R PRU",
        "F BER S A BEL - KIE",
        "F BER S A BRE - KIE",
        "F BER S A CLY - KIE",
        "F BER S A DEN - KIE",
        "F BER S A DEN - PRU",
        "F BER S A EDI - KIE",
        "F BER S A FIN - KIE",
        "F BER S A FIN - PRU",
        "F BER S A GAS - KIE",
        "F BER S A HOL - KIE",
        "F BER S A KIE",
        "F BER S A KIE - PRU",
        "F BER S A LON - KIE",
        "F BER S A LVN - KIE",
        "F BER S A LVN - PRU",
        "F BER S A LVP - KIE",
        "F BER S A MUN - KIE",
        "F BER S A NAF - KIE",
        "F BER S A NWY - KIE",
        "F BER S A PIC - KIE",
        "F BER S A POR - KIE",
        "F BER S A PRU",
        "F BER S A PRU - KIE",
        "F BER S A RUH - KIE",
        "F BER S A SIL - PRU",
        "F BER S A SPA - KIE",
        "F BER S A STP - KIE",
        "F BER S A STP - PRU",
        "F BER S A SWE - KIE",
        "F BER S A SWE - PRU",
        "F BER S A WAL - KIE",
        "F BER S A WAR - PRU",
        "F BER S A YOR - KIE",
        "F BER S F BAL",
        "F BER S F BAL - KIE",
        "F BER S F BAL - PRU",
        "F BER S F BOT - BAL",
        "F BER S F DEN - BAL",
        "F BER S F DEN - KIE",
        "F BER S F HEL - KIE",
        "F BER S F HOL - KIE",
        "F BER S F KIE",
        "F BER S F KIE - BAL",
        "F BER S F LVN - BAL",
        "F BER S F LVN - PRU",
        "F BER S F PRU",
        "F BER S F PRU - BAL",
        "F BER S F SWE - BAL",
        "F BLA - ANK",
        "F BLA - ARM",
        "F BLA - BUL/EC",
        "F BLA - CON",
        "F BLA - RUM",
        "F BLA - SEV",
        "F BLA C A ANK - ARM",
        "F BLA C A ANK - BUL",
        "F BLA C A ANK - CON",
        "F BLA C A ANK - RUM",
        "F BLA C A ANK - SEV",
        "F BLA C A ARM - ANK",
        "F BLA C A ARM - BUL",
        "F BLA C A ARM - CON",
        "F BLA C A ARM - RUM",
        "F BLA C A ARM - SEV",
        "F BLA C A BUL - ANK",
        "F BLA C A BUL - ARM",
        "F BLA C A BUL - CON",
        "F BLA C A BUL - RUM",
        "F BLA C A BUL - SEV",
        "F BLA C A CON - ANK",
        "F BLA C A CON - ARM",
        "F BLA C A CON - BUL",
        "F BLA C A CON - RUM",
        "F BLA C A CON - SEV",
        "F BLA C A RUM - ANK",
        "F BLA C A RUM - ARM",
        "F BLA C A RUM - BUL",
        "F BLA C A RUM - CON",
        "F BLA C A RUM - SEV",
        "F BLA C A SEV - ANK",
        "F BLA C A SEV - ARM",
        "F BLA C A SEV - BUL",
        "F BLA C A SEV - CON",
        "F BLA C A SEV - RUM",
        "F BLA D",
        "F BLA H",
        "F BLA R ANK",
        "F BLA R ARM",
        "F BLA R BUL/EC",
        "F BLA R CON",
        "F BLA R RUM",
        "F BLA R SEV",
        "F BLA S A ALB - BUL",
        "F BLA S A ALB - CON",
        "F BLA S A ANK",
        "F BLA S A ANK - ARM",
        "F BLA S A ANK - CON",
        "F BLA S A APU - BUL",
        "F BLA S A APU - CON",
        "F BLA S A ARM",
        "F BLA S A ARM - ANK",
        "F BLA S A ARM - SEV",
        "F BLA S A BUD - RUM",
        "F BLA S A BUL",
        "F BLA S A BUL - CON",
        "F BLA S A BUL - RUM",
        "F BLA S A CON",
        "F BLA S A CON - ANK",
        "F BLA S A CON - BUL",
        "F BLA S A GAL - RUM",
        "F BLA S A GRE - BUL",
        "F BLA S A GRE - CON",
        "F BLA S A MAR - BUL",
        "F BLA S A MAR - CON",
        "F BLA S A MOS - SEV",
        "F BLA S A NAF - BUL",
        "F BLA S A NAF - CON",
        "F BLA S A NAP - BUL",
        "F BLA S A NAP - CON",
        "F BLA S A PIE - BUL",
        "F BLA S A PIE - CON",
        "F BLA S A ROM - BUL",
        "F BLA S A ROM - CON",
        "F BLA S A RUM",
        "F BLA S A RUM - BUL",
        "F BLA S A RUM - SEV",
        "F BLA S A SER - BUL",
        "F BLA S A SER - RUM",
        "F BLA S A SEV",
        "F BLA S A SEV - ARM",
        "F BLA S A SEV - RUM",
        "F BLA S A SMY - ANK",
        "F BLA S A SMY - ARM",
        "F BLA S A SMY - BUL",
        "F BLA S A SMY - CON",
        "F BLA S A SPA - BUL",
        "F BLA S A SPA - CON",
        "F BLA S A SYR - ARM",
        "F BLA S A SYR - BUL",
        "F BLA S A SYR - CON",
        "F BLA S A TRI - BUL",
        "F BLA S A TRI - CON",
        "F BLA S A TUN - BUL",
        "F BLA S A TUN - CON",
        "F BLA S A TUS - BUL",
        "F BLA S A TUS - CON",
        "F BLA S A UKR - RUM",
        "F BLA S A UKR - SEV",
        "F BLA S A VEN - BUL",
        "F BLA S A VEN - CON",
        "F BLA S F AEG - BUL",
        "F BLA S F AEG - BUL/EC",
        "F BLA S F AEG - BUL/SC",
        "F BLA S F AEG - CON",
        "F BLA S F ANK",
        "F BLA S F ANK - ARM",
        "F BLA S F ANK - CON",
        "F BLA S F ARM",
        "F BLA S F ARM - ANK",
        "F BLA S F ARM - SEV",
        "F BLA S F BUL/EC",
        "F BLA S F BUL/EC - CON",
        "F BLA S F BUL/EC - RUM",
        "F BLA S F BUL/SC",
        "F BLA S F BUL/SC - CON",
        "F BLA S F CON",
        "F BLA S F CON - ANK",
        "F BLA S F CON - BUL",
        "F BLA S F CON - BUL/EC",
        "F BLA S F CON - BUL/SC",
        "F BLA S F GRE - BUL",
        "F BLA S F GRE - BUL/EC",
        "F BLA S F GRE - BUL/SC",
        "F BLA S F RUM",
        "F BLA S F RUM - BUL",
        "F BLA S F RUM - BUL/EC",
        "F BLA S F RUM - BUL/SC",
        "F BLA S F RUM - SEV",
        "F BLA S F SEV",
        "F BLA S F SEV - ARM",
        "F BLA S F SEV - RUM",
        "F BLA S F SMY - CON",
        "F BOT - BAL",
        "F BOT - FIN",
        "F BOT - LVN",
        "F BOT - STP/SC",
        "F BOT - SWE",
        "F BOT C A BER - FIN",
        "F BOT C A BER - STP",
        "F BOT C A DEN - FIN",
        "F BOT C A DEN - STP",
        "F BOT C A FIN - BER",
        "F BOT C A FIN - DEN",
        "F BOT C A FIN - KIE",
        "F BOT C A FIN - LVN",
        "F BOT C A FIN - PRU",
        "F BOT C A FIN - STP",
        "F BOT C A FIN - SWE",
        "F BOT C A KIE - FIN",
        "F BOT C A KIE - STP",
        "F BOT C A LVN - FIN",
        "F BOT C A LVN - STP",
        "F BOT C A LVN - SWE",
        "F BOT C A PRU - FIN",
        "F BOT C A PRU - STP",
        "F BOT C A STP - BER",
        "F BOT C A STP - DEN",
        "F BOT C A STP - FIN",
        "F BOT C A STP - KIE",
        "F BOT C A STP - LVN",
        "F BOT C A STP - PRU",
        "F BOT C A STP - SWE",
        "F BOT C A SWE - FIN",
        "F BOT C A SWE - LVN",
        "F BOT C A SWE - STP",
        "F BOT D",
        "F BOT H",
        "F BOT R BAL",
        "F BOT R FIN",
        "F BOT R LVN",
        "F BOT R STP/SC",
        "F BOT R SWE",
        "F BOT S A BEL - STP",
        "F BOT S A BEL - SWE",
        "F BOT S A BER - LVN",
        "F BOT S A BER - SWE",
        "F BOT S A BRE - STP",
        "F BOT S A BRE - SWE",
        "F BOT S A CLY - STP",
        "F BOT S A CLY - SWE",
        "F BOT S A DEN - LVN",
        "F BOT S A DEN - STP",
        "F BOT S A DEN - SWE",
        "F BOT S A EDI - STP",
        "F BOT S A EDI - SWE",
        "F BOT S A FIN",
        "F BOT S A FIN - STP",
        "F BOT S A FIN - SWE",
        "F BOT S A GAS - STP",
        "F BOT S A GAS - SWE",
        "F BOT S A HOL - STP",
        "F BOT S A HOL - SWE",
        "F BOT S A KIE - LVN",
        "F BOT S A KIE - STP",
        "F BOT S A KIE - SWE",
        "F BOT S A LON - STP",
        "F BOT S A LON - SWE",
        "F BOT S A LVN",
        "F BOT S A LVN - STP",
        "F BOT S A LVN - SWE",
        "F BOT S A LVP - STP",
        "F BOT S A LVP - SWE",
        "F BOT S A MOS - LVN",
        "F BOT S A MOS - STP",
        "F BOT S A NAF - STP",
        "F BOT S A NAF - SWE",
        "F BOT S A NWY - FIN",
        "F BOT S A NWY - STP",
        "F BOT S A NWY - SWE",
        "F BOT S A PIC - STP",
        "F BOT S A PIC - SWE",
        "F BOT S A POR - STP",
        "F BOT S A POR - SWE",
        "F BOT S A PRU - LVN",
        "F BOT S A PRU - SWE",
        "F BOT S A SPA - STP",
        "F BOT S A SPA - SWE",
        "F BOT S A STP",
        "F BOT S A STP - FIN",
        "F BOT S A STP - LVN",
        "F BOT S A STP - SWE",
        "F BOT S A SWE",
        "F BOT S A SWE - FIN",
        "F BOT S A SWE - LVN",
        "F BOT S A SWE - STP",
        "F BOT S A WAL - STP",
        "F BOT S A WAL - SWE",
        "F BOT S A WAR - LVN",
        "F BOT S A YOR - STP",
        "F BOT S A YOR - SWE",
        "F BOT S F BAL",
        "F BOT S F BAL - LVN",
        "F BOT S F BAL - SWE",
        "F BOT S F BAR - STP",
        "F BOT S F BAR - STP/NC",
        "F BOT S F BAR - STP/SC",
        "F BOT S F BER - BAL",
        "F BOT S F DEN - BAL",
        "F BOT S F DEN - SWE",
        "F BOT S F FIN",
        "F BOT S F FIN - STP",
        "F BOT S F FIN - STP/NC",
        "F BOT S F FIN - STP/SC",
        "F BOT S F FIN - SWE",
        "F BOT S F KIE - BAL",
        "F BOT S F LVN",
        "F BOT S F LVN - BAL",
        "F BOT S F LVN - STP",
        "F BOT S F LVN - STP/NC",
        "F BOT S F LVN - STP/SC",
        "F BOT S F NWY - STP",
        "F BOT S F NWY - STP/NC",
        "F BOT S F NWY - STP/SC",
        "F BOT S F NWY - SWE",
        "F BOT S F PRU - BAL",
        "F BOT S F PRU - LVN",
        "F BOT S F SKA - SWE",
        "F BOT S F STP/NC",
        "F BOT S F STP/SC",
        "F BOT S F STP/SC - FIN",
        "F BOT S F STP/SC - LVN",
        "F BOT S F SWE",
        "F BOT S F SWE - BAL",
        "F BOT S F SWE - FIN",
        "F BRE - ENG",
        "F BRE - GAS",
        "F BRE - MAO",
        "F BRE - PIC",
        "F BRE B",
        "F BRE B;F MAR B",
        "F BRE D",
        "F BRE H",
        "F BRE R ENG",
        "F BRE R GAS",
        "F BRE R MAO",
        "F BRE R PIC",
        "F BRE S A ALB - GAS",
        "F BRE S A APU - GAS",
        "F BRE S A BEL - GAS",
        "F BRE S A BEL - PIC",
        "F BRE S A BUR - GAS",
        "F BRE S A BUR - PIC",
        "F BRE S A CLY - GAS",
        "F BRE S A CLY - PIC",
        "F BRE S A DEN - GAS",
        "F BRE S A DEN - PIC",
        "F BRE S A EDI - GAS",
        "F BRE S A EDI - PIC",
        "F BRE S A GAS",
        "F BRE S A GAS - PIC",
        "F BRE S A GRE - GAS",
        "F BRE S A HOL - GAS",
        "F BRE S A HOL - PIC",
        "F BRE S A KIE - GAS",
        "F BRE S A KIE - PIC",
        "F BRE S A LON - GAS",
        "F BRE S A LON - PIC",
        "F BRE S A LVP - GAS",
        "F BRE S A LVP - PIC",
        "F BRE S A MAR - GAS",
        "F BRE S A MAR - PIC",
        "F BRE S A NAF - GAS",
        "F BRE S A NAF - PIC",
        "F BRE S A NAP - GAS",
        "F BRE S A NAP - PIC",
        "F BRE S A NWY - GAS",
        "F BRE S A NWY - PIC",
        "F BRE S A PAR - GAS",
        "F BRE S A PAR - PIC",
        "F BRE S A PIC",
        "F BRE S A PIC - GAS",
        "F BRE S A PIE - GAS",
        "F BRE S A PIE - PIC",
        "F BRE S A POR - GAS",
        "F BRE S A POR - PIC",
        "F BRE S A ROM - GAS",
        "F BRE S A ROM - PIC",
        "F BRE S A SPA - GAS",
        "F BRE S A SPA - PIC",
        "F BRE S A STP - GAS",
        "F BRE S A STP - PIC",
        "F BRE S A SWE - GAS",
        "F BRE S A SWE - PIC",
        "F BRE S A TUN - GAS",
        "F BRE S A TUN - PIC",
        "F BRE S A TUS - GAS",
        "F BRE S A TUS - PIC",
        "F BRE S A WAL - GAS",
        "F BRE S A WAL - PIC",
        "F BRE S A YOR - GAS",
        "F BRE S A YOR - PIC",
        "F BRE S F BEL - ENG",
        "F BRE S F BEL - PIC",
        "F BRE S F ENG",
        "F BRE S F ENG - MAO",
        "F BRE S F ENG - PIC",
        "F BRE S F GAS",
        "F BRE S F GAS - MAO",
        "F BRE S F IRI - ENG",
        "F BRE S F IRI - MAO",
        "F BRE S F LON - ENG",
        "F BRE S F MAO",
        "F BRE S F MAO - ENG",
        "F BRE S F MAO - GAS",
        "F BRE S F NAF - MAO",
        "F BRE S F NAO - MAO",
        "F BRE S F NTH - ENG",
        "F BRE S F PIC",
        "F BRE S F PIC - ENG",
        "F BRE S F POR - MAO",
        "F BRE S F SPA/NC - GAS",
        "F BRE S F SPA/NC - MAO",
        "F BRE S F SPA/SC - MAO",
        "F BRE S F WAL - ENG",
        "F BRE S F WES - MAO",
        "F BUL/EC - BLA",
        "F BUL/EC - CON",
        "F BUL/EC - RUM",
        "F BUL/EC D",
        "F BUL/EC H",
        "F BUL/EC R BLA",
        "F BUL/EC R CON",
        "F BUL/EC R RUM",
        "F BUL/EC S A ALB - CON",
        "F BUL/EC S A ANK - CON",
        "F BUL/EC S A ANK - RUM",
        "F BUL/EC S A APU - CON",
        "F BUL/EC S A ARM - CON",
        "F BUL/EC S A ARM - RUM",
        "F BUL/EC S A BUD - RUM",
        "F BUL/EC S A CON",
        "F BUL/EC S A CON - RUM",
        "F BUL/EC S A GAL - RUM",
        "F BUL/EC S A GRE - CON",
        "F BUL/EC S A MAR - CON",
        "F BUL/EC S A NAF - CON",
        "F BUL/EC S A NAP - CON",
        "F BUL/EC S A PIE - CON",
        "F BUL/EC S A ROM - CON",
        "F BUL/EC S A RUM",
        "F BUL/EC S A RUM - CON",
        "F BUL/EC S A SER - RUM",
        "F BUL/EC S A SEV - CON",
        "F BUL/EC S A SEV - RUM",
        "F BUL/EC S A SMY - CON",
        "F BUL/EC S A SPA - CON",
        "F BUL/EC S A SYR - CON",
        "F BUL/EC S A TRI - CON",
        "F BUL/EC S A TUN - CON",
        "F BUL/EC S A TUS - CON",
        "F BUL/EC S A UKR - RUM",
        "F BUL/EC S A VEN - CON",
        "F BUL/EC S F AEG - CON",
        "F BUL/EC S F ANK - BLA",
        "F BUL/EC S F ANK - CON",
        "F BUL/EC S F ARM - BLA",
        "F BUL/EC S F BLA",
        "F BUL/EC S F BLA - CON",
        "F BUL/EC S F BLA - RUM",
        "F BUL/EC S F CON",
        "F BUL/EC S F CON - BLA",
        "F BUL/EC S F RUM",
        "F BUL/EC S F RUM - BLA",
        "F BUL/EC S F SEV - BLA",
        "F BUL/EC S F SEV - RUM",
        "F BUL/EC S F SMY - CON",
        "F BUL/SC - AEG",
        "F BUL/SC - CON",
        "F BUL/SC - GRE",
        "F BUL/SC D",
        "F BUL/SC H",
        "F BUL/SC R AEG",
        "F BUL/SC R CON",
        "F BUL/SC R GRE",
        "F BUL/SC S A ALB - CON",
        "F BUL/SC S A ALB - GRE",
        "F BUL/SC S A ANK - CON",
        "F BUL/SC S A APU - CON",
        "F BUL/SC S A APU - GRE",
        "F BUL/SC S A ARM - CON",
        "F BUL/SC S A BRE - GRE",
        "F BUL/SC S A CON",
        "F BUL/SC S A CON - GRE",
        "F BUL/SC S A GAS - GRE",
        "F BUL/SC S A GRE",
        "F BUL/SC S A GRE - CON",
        "F BUL/SC S A MAR - CON",
        "F BUL/SC S A MAR - GRE",
        "F BUL/SC S A NAF - CON",
        "F BUL/SC S A NAF - GRE",
        "F BUL/SC S A NAP - CON",
        "F BUL/SC S A NAP - GRE",
        "F BUL/SC S A PIE - CON",
        "F BUL/SC S A PIE - GRE",
        "F BUL/SC S A POR - GRE",
        "F BUL/SC S A ROM - CON",
        "F BUL/SC S A ROM - GRE",
        "F BUL/SC S A RUM - CON",
        "F BUL/SC S A SER - GRE",
        "F BUL/SC S A SEV - CON",
        "F BUL/SC S A SMY - CON",
        "F BUL/SC S A SMY - GRE",
        "F BUL/SC S A SPA - CON",
        "F BUL/SC S A SPA - GRE",
        "F BUL/SC S A SYR - CON",
        "F BUL/SC S A SYR - GRE",
        "F BUL/SC S A TRI - CON",
        "F BUL/SC S A TRI - GRE",
        "F BUL/SC S A TUN - CON",
        "F BUL/SC S A TUN - GRE",
        "F BUL/SC S A TUS - CON",
        "F BUL/SC S A TUS - GRE",
        "F BUL/SC S A VEN - CON",
        "F BUL/SC S A VEN - GRE",
        "F BUL/SC S F AEG",
        "F BUL/SC S F AEG - CON",
        "F BUL/SC S F AEG - GRE",
        "F BUL/SC S F ALB - GRE",
        "F BUL/SC S F ANK - CON",
        "F BUL/SC S F BLA - CON",
        "F BUL/SC S F CON",
        "F BUL/SC S F CON - AEG",
        "F BUL/SC S F EAS - AEG",
        "F BUL/SC S F GRE",
        "F BUL/SC S F GRE - AEG",
        "F BUL/SC S F ION - AEG",
        "F BUL/SC S F ION - GRE",
        "F BUL/SC S F SMY - AEG",
        "F BUL/SC S F SMY - CON",
        "F CLY - EDI",
        "F CLY - LVP",
        "F CLY - NAO",
        "F CLY - NWG",
        "F CLY D",
        "F CLY H",
        "F CLY R EDI",
        "F CLY R LVP",
        "F CLY R NAO",
        "F CLY R NWG",
        "F CLY S A BEL - EDI",
        "F CLY S A BEL - LVP",
        "F CLY S A BRE - EDI",
        "F CLY S A BRE - LVP",
        "F CLY S A DEN - EDI",
        "F CLY S A DEN - LVP",
        "F CLY S A EDI",
        "F CLY S A EDI - LVP",
        "F CLY S A GAS - EDI",
        "F CLY S A GAS - LVP",
        "F CLY S A HOL - EDI",
        "F CLY S A HOL - LVP",
        "F CLY S A KIE - EDI",
        "F CLY S A KIE - LVP",
        "F CLY S A LON - EDI",
        "F CLY S A LON - LVP",
        "F CLY S A LVP",
        "F CLY S A LVP - EDI",
        "F CLY S A MAR - LVP",
        "F CLY S A NAF - EDI",
        "F CLY S A NAF - LVP",
        "F CLY S A NAP - LVP",
        "F CLY S A NWY - EDI",
        "F CLY S A NWY - LVP",
        "F CLY S A PIC - EDI",
        "F CLY S A PIC - LVP",
        "F CLY S A PIE - LVP",
        "F CLY S A POR - EDI",
        "F CLY S A POR - LVP",
        "F CLY S A ROM - LVP",
        "F CLY S A SPA - EDI",
        "F CLY S A SPA - LVP",
        "F CLY S A STP - EDI",
        "F CLY S A STP - LVP",
        "F CLY S A SWE - EDI",
        "F CLY S A SWE - LVP",
        "F CLY S A TUN - EDI",
        "F CLY S A TUN - LVP",
        "F CLY S A TUS - LVP",
        "F CLY S A WAL - EDI",
        "F CLY S A WAL - LVP",
        "F CLY S A YOR - EDI",
        "F CLY S A YOR - LVP",
        "F CLY S F BAR - NWG",
        "F CLY S F EDI",
        "F CLY S F EDI - NWG",
        "F CLY S F IRI - LVP",
        "F CLY S F IRI - NAO",
        "F CLY S F LVP",
        "F CLY S F LVP - NAO",
        "F CLY S F MAO - NAO",
        "F CLY S F NAO",
        "F CLY S F NAO - LVP",
        "F CLY S F NAO - NWG",
        "F CLY S F NTH - EDI",
        "F CLY S F NTH - NWG",
        "F CLY S F NWG",
        "F CLY S F NWG - EDI",
        "F CLY S F NWG - NAO",
        "F CLY S F NWY - NWG",
        "F CLY S F WAL - LVP",
        "F CLY S F YOR - EDI",
        "F CON - AEG",
        "F CON - ANK",
        "F CON - BLA",
        "F CON - BUL/EC",
        "F CON - BUL/SC",
        "F CON - SMY",
        "F CON B",
        "F CON B;F SMY B",
        "F CON D",
        "F CON H",
        "F CON R AEG",
        "F CON R ANK",
        "F CON R BLA",
        "F CON R BUL/EC",
        "F CON R BUL/SC",
        "F CON R SMY",
        "F CON S A ALB - BUL",
        "F CON S A ALB - SMY",
        "F CON S A ANK",
        "F CON S A ANK - BUL",
        "F CON S A ANK - SMY",
        "F CON S A APU - BUL",
        "F CON S A APU - SMY",
        "F CON S A ARM - ANK",
        "F CON S A ARM - BUL",
        "F CON S A ARM - SMY",
        "F CON S A BUL",
        "F CON S A BUL - ANK",
        "F CON S A BUL - SMY",
        "F CON S A GRE - BUL",
        "F CON S A GRE - SMY",
        "F CON S A MAR - BUL",
        "F CON S A MAR - SMY",
        "F CON S A NAF - BUL",
        "F CON S A NAF - SMY",
        "F CON S A NAP - BUL",
        "F CON S A NAP - SMY",
        "F CON S A PIE - BUL",
        "F CON S A PIE - SMY",
        "F CON S A ROM - BUL",
        "F CON S A ROM - SMY",
        "F CON S A RUM - ANK",
        "F CON S A RUM - BUL",
        "F CON S A SER - BUL",
        "F CON S A SEV - ANK",
        "F CON S A SEV - BUL",
        "F CON S A SMY",
        "F CON S A SMY - ANK",
        "F CON S A SMY - BUL",
        "F CON S A SPA - BUL",
        "F CON S A SPA - SMY",
        "F CON S A SYR - BUL",
        "F CON S A SYR - SMY",
        "F CON S A TRI - BUL",
        "F CON S A TRI - SMY",
        "F CON S A TUN - BUL",
        "F CON S A TUN - SMY",
        "F CON S A TUS - BUL",
        "F CON S A TUS - SMY",
        "F CON S A VEN - BUL",
        "F CON S A VEN - SMY",
        "F CON S F AEG",
        "F CON S F AEG - BUL",
        "F CON S F AEG - BUL/EC",
        "F CON S F AEG - BUL/SC",
        "F CON S F AEG - SMY",
        "F CON S F ANK",
        "F CON S F ANK - BLA",
        "F CON S F ARM - ANK",
        "F CON S F ARM - BLA",
        "F CON S F BLA",
        "F CON S F BLA - ANK",
        "F CON S F BLA - BUL",
        "F CON S F BLA - BUL/EC",
        "F CON S F BLA - BUL/SC",
        "F CON S F BUL/EC",
        "F CON S F BUL/EC - BLA",
        "F CON S F BUL/SC",
        "F CON S F BUL/SC - AEG",
        "F CON S F EAS - AEG",
        "F CON S F EAS - SMY",
        "F CON S F GRE - AEG",
        "F CON S F GRE - BUL",
        "F CON S F GRE - BUL/EC",
        "F CON S F GRE - BUL/SC",
        "F CON S F ION - AEG",
        "F CON S F RUM - BLA",
        "F CON S F RUM - BUL",
        "F CON S F RUM - BUL/EC",
        "F CON S F RUM - BUL/SC",
        "F CON S F SEV - BLA",
        "F CON S F SMY",
        "F CON S F SMY - AEG",
        "F CON S F SYR - SMY",
        "F DEN - BAL",
        "F DEN - HEL",
        "F DEN - KIE",
        "F DEN - NTH",
        "F DEN - SKA",
        "F DEN - SWE",
        "F DEN D",
        "F DEN H",
        "F DEN R BAL",
        "F DEN R HEL",
        "F DEN R KIE",
        "F DEN R NTH",
        "F DEN R SKA",
        "F DEN R SWE",
        "F DEN S A BEL - KIE",
        "F DEN S A BEL - SWE",
        "F DEN S A BER - KIE",
        "F DEN S A BER - SWE",
        "F DEN S A BRE - KIE",
        "F DEN S A BRE - SWE",
        "F DEN S A CLY - KIE",
        "F DEN S A CLY - SWE",
        "F DEN S A EDI - KIE",
        "F DEN S A EDI - SWE",
        "F DEN S A FIN - KIE",
        "F DEN S A FIN - SWE",
        "F DEN S A GAS - KIE",
        "F DEN S A GAS - SWE",
        "F DEN S A HOL - KIE",
        "F DEN S A HOL - SWE",
        "F DEN S A KIE",
        "F DEN S A KIE - SWE",
        "F DEN S A LON - KIE",
        "F DEN S A LON - SWE",
        "F DEN S A LVN - KIE",
        "F DEN S A LVN - SWE",
        "F DEN S A LVP - KIE",
        "F DEN S A LVP - SWE",
        "F DEN S A MUN - KIE",
        "F DEN S A NAF - KIE",
        "F DEN S A NAF - SWE",
        "F DEN S A NWY - KIE",
        "F DEN S A NWY - SWE",
        "F DEN S A PIC - KIE",
        "F DEN S A PIC - SWE",
        "F DEN S A POR - KIE",
        "F DEN S A POR - SWE",
        "F DEN S A PRU - KIE",
        "F DEN S A PRU - SWE",
        "F DEN S A RUH - KIE",
        "F DEN S A SPA - KIE",
        "F DEN S A SPA - SWE",
        "F DEN S A STP - KIE",
        "F DEN S A STP - SWE",
        "F DEN S A SWE",
        "F DEN S A SWE - KIE",
        "F DEN S A WAL - KIE",
        "F DEN S A WAL - SWE",
        "F DEN S A YOR - KIE",
        "F DEN S A YOR - SWE",
        "F DEN S F BAL",
        "F DEN S F BAL - KIE",
        "F DEN S F BAL - SWE",
        "F DEN S F BEL - NTH",
        "F DEN S F BER - BAL",
        "F DEN S F BER - KIE",
        "F DEN S F BOT - BAL",
        "F DEN S F BOT - SWE",
        "F DEN S F EDI - NTH",
        "F DEN S F ENG - NTH",
        "F DEN S F FIN - SWE",
        "F DEN S F HEL",
        "F DEN S F HEL - KIE",
        "F DEN S F HEL - NTH",
        "F DEN S F HOL - HEL",
        "F DEN S F HOL - KIE",
        "F DEN S F HOL - NTH",
        "F DEN S F KIE",
        "F DEN S F KIE - BAL",
        "F DEN S F KIE - HEL",
        "F DEN S F LON - NTH",
        "F DEN S F LVN - BAL",
        "F DEN S F NTH",
        "F DEN S F NTH - HEL",
        "F DEN S F NTH - SKA",
        "F DEN S F NWG - NTH",
        "F DEN S F NWY - NTH",
        "F DEN S F NWY - SKA",
        "F DEN S F NWY - SWE",
        "F DEN S F PRU - BAL",
        "F DEN S F SKA",
        "F DEN S F SKA - NTH",
        "F DEN S F SKA - SWE",
        "F DEN S F SWE",
        "F DEN S F SWE - BAL",
        "F DEN S F SWE - SKA",
        "F DEN S F YOR - NTH",
        "F EAS - AEG",
        "F EAS - ION",
        "F EAS - SMY",
        "F EAS - SYR",
        "F EAS C A ALB - SMY",
        "F EAS C A ALB - SYR",
        "F EAS C A APU - SMY",
        "F EAS C A APU - SYR",
        "F EAS C A BUL - SYR",
        "F EAS C A CON - SYR",
        "F EAS C A GRE - SMY",
        "F EAS C A GRE - SYR",
        "F EAS C A MAR - SMY",
        "F EAS C A MAR - SYR",
        "F EAS C A NAF - SMY",
        "F EAS C A NAF - SYR",
        "F EAS C A NAP - SMY",
        "F EAS C A NAP - SYR",
        "F EAS C A PIE - SMY",
        "F EAS C A PIE - SYR",
        "F EAS C A ROM - SMY",
        "F EAS C A ROM - SYR",
        "F EAS C A SMY - ALB",
        "F EAS C A SMY - APU",
        "F EAS C A SMY - GRE",
        "F EAS C A SMY - MAR",
        "F EAS C A SMY - NAF",
        "F EAS C A SMY - NAP",
        "F EAS C A SMY - PIE",
        "F EAS C A SMY - ROM",
        "F EAS C A SMY - SPA",
        "F EAS C A SMY - SYR",
        "F EAS C A SMY - TRI",
        "F EAS C A SMY - TUN",
        "F EAS C A SMY - TUS",
        "F EAS C A SMY - VEN",
        "F EAS C A SPA - SMY",
        "F EAS C A SPA - SYR",
        "F EAS C A SYR - ALB",
        "F EAS C A SYR - APU",
        "F EAS C A SYR - BUL",
        "F EAS C A SYR - CON",
        "F EAS C A SYR - GRE",
        "F EAS C A SYR - MAR",
        "F EAS C A SYR - NAF",
        "F EAS C A SYR - NAP",
        "F EAS C A SYR - PIE",
        "F EAS C A SYR - ROM",
        "F EAS C A SYR - SMY",
        "F EAS C A SYR - SPA",
        "F EAS C A SYR - TRI",
        "F EAS C A SYR - TUN",
        "F EAS C A SYR - TUS",
        "F EAS C A SYR - VEN",
        "F EAS C A TRI - SMY",
        "F EAS C A TRI - SYR",
        "F EAS C A TUN - SMY",
        "F EAS C A TUN - SYR",
        "F EAS C A TUS - SMY",
        "F EAS C A TUS - SYR",
        "F EAS C A VEN - SMY",
        "F EAS C A VEN - SYR",
        "F EAS D",
        "F EAS H",
        "F EAS R AEG",
        "F EAS R ION",
        "F EAS R SMY",
        "F EAS R SYR",
        "F EAS S A ALB - SMY",
        "F EAS S A ANK - SMY",
        "F EAS S A APU - SMY",
        "F EAS S A ARM - SMY",
        "F EAS S A ARM - SYR",
        "F EAS S A BUL - SMY",
        "F EAS S A CON - SMY",
        "F EAS S A GRE - SMY",
        "F EAS S A MAR - SMY",
        "F EAS S A NAF - SMY",
        "F EAS S A NAP - SMY",
        "F EAS S A PIE - SMY",
        "F EAS S A ROM - SMY",
        "F EAS S A SMY",
        "F EAS S A SMY - SYR",
        "F EAS S A SPA - SMY",
        "F EAS S A SYR",
        "F EAS S A SYR - SMY",
        "F EAS S A TRI - SMY",
        "F EAS S A TUN - SMY",
        "F EAS S A TUS - SMY",
        "F EAS S A VEN - SMY",
        "F EAS S F ADR - ION",
        "F EAS S F AEG",
        "F EAS S F AEG - ION",
        "F EAS S F AEG - SMY",
        "F EAS S F ALB - ION",
        "F EAS S F APU - ION",
        "F EAS S F BUL/SC - AEG",
        "F EAS S F CON - AEG",
        "F EAS S F CON - SMY",
        "F EAS S F GRE - AEG",
        "F EAS S F GRE - ION",
        "F EAS S F ION",
        "F EAS S F ION - AEG",
        "F EAS S F NAP - ION",
        "F EAS S F SMY",
        "F EAS S F SMY - AEG",
        "F EAS S F SMY - SYR",
        "F EAS S F SYR",
        "F EAS S F SYR - SMY",
        "F EAS S F TUN - ION",
        "F EAS S F TYS - ION",
        "F EDI - CLY",
        "F EDI - NTH",
        "F EDI - NWG",
        "F EDI - YOR",
        "F EDI B",
        "F EDI B;F LON B",
        "F EDI B;F LON B;F LVP B",
        "F EDI B;F LVP B",
        "F EDI D",
        "F EDI H",
        "F EDI R CLY",
        "F EDI R NTH",
        "F EDI R NWG",
        "F EDI R YOR",
        "F EDI S A BEL - CLY",
        "F EDI S A BEL - YOR",
        "F EDI S A BRE - CLY",
        "F EDI S A BRE - YOR",
        "F EDI S A CLY",
        "F EDI S A CLY - YOR",
        "F EDI S A DEN - CLY",
        "F EDI S A DEN - YOR",
        "F EDI S A GAS - CLY",
        "F EDI S A GAS - YOR",
        "F EDI S A HOL - CLY",
        "F EDI S A HOL - YOR",
        "F EDI S A KIE - CLY",
        "F EDI S A KIE - YOR",
        "F EDI S A LON - CLY",
        "F EDI S A LON - YOR",
        "F EDI S A LVP - CLY",
        "F EDI S A LVP - YOR",
        "F EDI S A MAR - CLY",
        "F EDI S A NAF - CLY",
        "F EDI S A NAF - YOR",
        "F EDI S A NAP - CLY",
        "F EDI S A NWY - CLY",
        "F EDI S A NWY - YOR",
        "F EDI S A PIC - CLY",
        "F EDI S A PIC - YOR",
        "F EDI S A PIE - CLY",
        "F EDI S A POR - CLY",
        "F EDI S A POR - YOR",
        "F EDI S A ROM - CLY",
        "F EDI S A SPA - CLY",
        "F EDI S A SPA - YOR",
        "F EDI S A STP - CLY",
        "F EDI S A STP - YOR",
        "F EDI S A SWE - CLY",
        "F EDI S A SWE - YOR",
        "F EDI S A TUN - CLY",
        "F EDI S A TUN - YOR",
        "F EDI S A TUS - CLY",
        "F EDI S A WAL - CLY",
        "F EDI S A WAL - YOR",
        "F EDI S A YOR",
        "F EDI S A YOR - CLY",
        "F EDI S F BAR - NWG",
        "F EDI S F BEL - NTH",
        "F EDI S F CLY",
        "F EDI S F CLY - NWG",
        "F EDI S F DEN - NTH",
        "F EDI S F ENG - NTH",
        "F EDI S F HEL - NTH",
        "F EDI S F HOL - NTH",
        "F EDI S F LON - NTH",
        "F EDI S F LON - YOR",
        "F EDI S F LVP - CLY",
        "F EDI S F NAO - CLY",
        "F EDI S F NAO - NWG",
        "F EDI S F NTH",
        "F EDI S F NTH - NWG",
        "F EDI S F NTH - YOR",
        "F EDI S F NWG",
        "F EDI S F NWG - CLY",
        "F EDI S F NWG - NTH",
        "F EDI S F NWY - NTH",
        "F EDI S F NWY - NWG",
        "F EDI S F SKA - NTH",
        "F EDI S F YOR",
        "F EDI S F YOR - NTH",
        "F ENG - BEL",
        "F ENG - BRE",
        "F ENG - IRI",
        "F ENG - LON",
        "F ENG - MAO",
        "F ENG - NTH",
        "F ENG - PIC",
        "F ENG - WAL",
        "F ENG C A BEL - BRE",
        "F ENG C A BEL - CLY",
        "F ENG C A BEL - EDI",
        "F ENG C A BEL - GAS",
        "F ENG C A BEL - LON",
        "F ENG C A BEL - LVP",
        "F ENG C A BEL - MAR",
        "F ENG C A BEL - NAF",
        "F ENG C A BEL - NAP",
        "F ENG C A BEL - NWY",
        "F ENG C A BEL - PIC",
        "F ENG C A BEL - PIE",
        "F ENG C A BEL - POR",
        "F ENG C A BEL - ROM",
        "F ENG C A BEL - SPA",
        "F ENG C A BEL - TUN",
        "F ENG C A BEL - TUS",
        "F ENG C A BEL - WAL",
        "F ENG C A BRE - BEL",
        "F ENG C A BRE - CLY",
        "F ENG C A BRE - DEN",
        "F ENG C A BRE - EDI",
        "F ENG C A BRE - HOL",
        "F ENG C A BRE - KIE",
        "F ENG C A BRE - LON",
        "F ENG C A BRE - LVP",
        "F ENG C A BRE - NWY",
        "F ENG C A BRE - PIC",
        "F ENG C A BRE - STP",
        "F ENG C A BRE - SWE",
        "F ENG C A BRE - WAL",
        "F ENG C A BRE - YOR",
        "F ENG C A CLY - BEL",
        "F ENG C A CLY - BRE",
        "F ENG C A CLY - DEN",
        "F ENG C A CLY - EDI",
        "F ENG C A CLY - GAS",
        "F ENG C A CLY - HOL",
        "F ENG C A CLY - LON",
        "F ENG C A CLY - LVP",
        "F ENG C A CLY - NAF",
        "F ENG C A CLY - NWY",
        "F ENG C A CLY - PIC",
        "F ENG C A CLY - POR",
        "F ENG C A CLY - SPA",
        "F ENG C A CLY - WAL",
        "F ENG C A CLY - YOR",
        "F ENG C A DEN - BRE",
        "F ENG C A DEN - CLY",
        "F ENG C A DEN - GAS",
        "F ENG C A DEN - LVP",
        "F ENG C A DEN - NAF",
        "F ENG C A DEN - PIC",
        "F ENG C A DEN - POR",
        "F ENG C A DEN - SPA",
        "F ENG C A DEN - TUN",
        "F ENG C A DEN - WAL",
        "F ENG C A EDI - BEL",
        "F ENG C A EDI - BRE",
        "F ENG C A EDI - CLY",
        "F ENG C A EDI - GAS",
        "F ENG C A EDI - LON",
        "F ENG C A EDI - LVP",
        "F ENG C A EDI - NAF",
        "F ENG C A EDI - PIC",
        "F ENG C A EDI - POR",
        "F ENG C A EDI - SPA",
        "F ENG C A EDI - TUN",
        "F ENG C A EDI - WAL",
        "F ENG C A GAS - BEL",
        "F ENG C A GAS - CLY",
        "F ENG C A GAS - DEN",
        "F ENG C A GAS - EDI",
        "F ENG C A GAS - HOL",
        "F ENG C A GAS - KIE",
        "F ENG C A GAS - LON",
        "F ENG C A GAS - NWY",
        "F ENG C A GAS - PIC",
        "F ENG C A GAS - SWE",
        "F ENG C A GAS - WAL",
        "F ENG C A GAS - YOR",
        "F ENG C A HOL - BRE",
        "F ENG C A HOL - CLY",
        "F ENG C A HOL - GAS",
        "F ENG C A HOL - LVP",
        "F ENG C A HOL - NAF",
        "F ENG C A HOL - PIC",
        "F ENG C A HOL - POR",
        "F ENG C A HOL - SPA",
        "F ENG C A HOL - TUN",
        "F ENG C A HOL - WAL",
        "F ENG C A KIE - BRE",
        "F ENG C A KIE - GAS",
        "F ENG C A KIE - LVP",
        "F ENG C A KIE - NAF",
        "F ENG C A KIE - PIC",
        "F ENG C A KIE - POR",
        "F ENG C A KIE - SPA",
        "F ENG C A KIE - WAL",
        "F ENG C A LON - BEL",
        "F ENG C A LON - BRE",
        "F ENG C A LON - CLY",
        "F ENG C A LON - EDI",
        "F ENG C A LON - GAS",
        "F ENG C A LON - LVP",
        "F ENG C A LON - MAR",
        "F ENG C A LON - NAF",
        "F ENG C A LON - NAP",
        "F ENG C A LON - NWY",
        "F ENG C A LON - PIC",
        "F ENG C A LON - PIE",
        "F ENG C A LON - POR",
        "F ENG C A LON - ROM",
        "F ENG C A LON - SPA",
        "F ENG C A LON - TUN",
        "F ENG C A LON - TUS",
        "F ENG C A LON - WAL",
        "F ENG C A LVP - BEL",
        "F ENG C A LVP - BRE",
        "F ENG C A LVP - CLY",
        "F ENG C A LVP - DEN",
        "F ENG C A LVP - EDI",
        "F ENG C A LVP - HOL",
        "F ENG C A LVP - KIE",
        "F ENG C A LVP - LON",
        "F ENG C A LVP - NWY",
        "F ENG C A LVP - PIC",
        "F ENG C A LVP - SWE",
        "F ENG C A LVP - WAL",
        "F ENG C A LVP - YOR",
        "F ENG C A MAR - BEL",
        "F ENG C A MAR - LON",
        "F ENG C A MAR - PIC",
        "F ENG C A MAR - WAL",
        "F ENG C A NAF - BEL",
        "F ENG C A NAF - CLY",
        "F ENG C A NAF - DEN",
        "F ENG C A NAF - EDI",
        "F ENG C A NAF - HOL",
        "F ENG C A NAF - KIE",
        "F ENG C A NAF - LON",
        "F ENG C A NAF - NWY",
        "F ENG C A NAF - PIC",
        "F ENG C A NAF - SWE",
        "F ENG C A NAF - WAL",
        "F ENG C A NAF - YOR",
        "F ENG C A NAP - BEL",
        "F ENG C A NAP - LON",
        "F ENG C A NAP - PIC",
        "F ENG C A NAP - WAL",
        "F ENG C A NWY - BEL",
        "F ENG C A NWY - BRE",
        "F ENG C A NWY - CLY",
        "F ENG C A NWY - GAS",
        "F ENG C A NWY - LON",
        "F ENG C A NWY - LVP",
        "F ENG C A NWY - NAF",
        "F ENG C A NWY - PIC",
        "F ENG C A NWY - POR",
        "F ENG C A NWY - SPA",
        "F ENG C A NWY - TUN",
        "F ENG C A NWY - WAL",
        "F ENG C A PIC - BEL",
        "F ENG C A PIC - BRE",
        "F ENG C A PIC - CLY",
        "F ENG C A PIC - DEN",
        "F ENG C A PIC - EDI",
        "F ENG C A PIC - GAS",
        "F ENG C A PIC - HOL",
        "F ENG C A PIC - KIE",
        "F ENG C A PIC - LON",
        "F ENG C A PIC - LVP",
        "F ENG C A PIC - MAR",
        "F ENG C A PIC - NAF",
        "F ENG C A PIC - NAP",
        "F ENG C A PIC - NWY",
        "F ENG C A PIC - PIE",
        "F ENG C A PIC - POR",
        "F ENG C A PIC - ROM",
        "F ENG C A PIC - SPA",
        "F ENG C A PIC - STP",
        "F ENG C A PIC - SWE",
        "F ENG C A PIC - TUN",
        "F ENG C A PIC - TUS",
        "F ENG C A PIC - WAL",
        "F ENG C A PIC - YOR",
        "F ENG C A PIE - BEL",
        "F ENG C A PIE - LON",
        "F ENG C A PIE - PIC",
        "F ENG C A PIE - WAL",
        "F ENG C A POR - BEL",
        "F ENG C A POR - CLY",
        "F ENG C A POR - DEN",
        "F ENG C A POR - EDI",
        "F ENG C A POR - HOL",
        "F ENG C A POR - KIE",
        "F ENG C A POR - LON",
        "F ENG C A POR - NWY",
        "F ENG C A POR - PIC",
        "F ENG C A POR - SWE",
        "F ENG C A POR - WAL",
        "F ENG C A POR - YOR",
        "F ENG C A ROM - BEL",
        "F ENG C A ROM - LON",
        "F ENG C A ROM - PIC",
        "F ENG C A ROM - WAL",
        "F ENG C A SPA - BEL",
        "F ENG C A SPA - CLY",
        "F ENG C A SPA - DEN",
        "F ENG C A SPA - EDI",
        "F ENG C A SPA - HOL",
        "F ENG C A SPA - KIE",
        "F ENG C A SPA - LON",
        "F ENG C A SPA - NWY",
        "F ENG C A SPA - PIC",
        "F ENG C A SPA - SWE",
        "F ENG C A SPA - WAL",
        "F ENG C A SPA - YOR",
        "F ENG C A STP - BRE",
        "F ENG C A STP - PIC",
        "F ENG C A STP - WAL",
        "F ENG C A SWE - BRE",
        "F ENG C A SWE - GAS",
        "F ENG C A SWE - LVP",
        "F ENG C A SWE - NAF",
        "F ENG C A SWE - PIC",
        "F ENG C A SWE - POR",
        "F ENG C A SWE - SPA",
        "F ENG C A SWE - WAL",
        "F ENG C A TUN - BEL",
        "F ENG C A TUN - DEN",
        "F ENG C A TUN - EDI",
        "F ENG C A TUN - HOL",
        "F ENG C A TUN - LON",
        "F ENG C A TUN - NWY",
        "F ENG C A TUN - PIC",
        "F ENG C A TUN - WAL",
        "F ENG C A TUN - YOR",
        "F ENG C A TUS - BEL",
        "F ENG C A TUS - LON",
        "F ENG C A TUS - PIC",
        "F ENG C A TUS - WAL",
        "F ENG C A WAL - BEL",
        "F ENG C A WAL - BRE",
        "F ENG C A WAL - CLY",
        "F ENG C A WAL - DEN",
        "F ENG C A WAL - EDI",
        "F ENG C A WAL - GAS",
        "F ENG C A WAL - HOL",
        "F ENG C A WAL - KIE",
        "F ENG C A WAL - LON",
        "F ENG C A WAL - LVP",
        "F ENG C A WAL - MAR",
        "F ENG C A WAL - NAF",
        "F ENG C A WAL - NAP",
        "F ENG C A WAL - NWY",
        "F ENG C A WAL - PIC",
        "F ENG C A WAL - PIE",
        "F ENG C A WAL - POR",
        "F ENG C A WAL - ROM",
        "F ENG C A WAL - SPA",
        "F ENG C A WAL - STP",
        "F ENG C A WAL - SWE",
        "F ENG C A WAL - TUN",
        "F ENG C A WAL - TUS",
        "F ENG C A WAL - YOR",
        "F ENG C A YOR - BRE",
        "F ENG C A YOR - CLY",
        "F ENG C A YOR - GAS",
        "F ENG C A YOR - LVP",
        "F ENG C A YOR - NAF",
        "F ENG C A YOR - PIC",
        "F ENG C A YOR - POR",
        "F ENG C A YOR - SPA",
        "F ENG C A YOR - TUN",
        "F ENG C A YOR - WAL",
        "F ENG D",
        "F ENG H",
        "F ENG R BEL",
        "F ENG R BRE",
        "F ENG R IRI",
        "F ENG R LON",
        "F ENG R MAO",
        "F ENG R NTH",
        "F ENG R PIC",
        "F ENG R WAL",
        "F ENG S A ALB - BRE",
        "F ENG S A APU - BRE",
        "F ENG S A BEL",
        "F ENG S A BEL - BRE",
        "F ENG S A BEL - LON",
        "F ENG S A BEL - PIC",
        "F ENG S A BEL - WAL",
        "F ENG S A BRE",
        "F ENG S A BRE - BEL",
        "F ENG S A BRE - LON",
        "F ENG S A BRE - PIC",
        "F ENG S A BRE - WAL",
        "F ENG S A BUR - BEL",
        "F ENG S A BUR - PIC",
        "F ENG S A CLY - BEL",
        "F ENG S A CLY - BRE",
        "F ENG S A CLY - LON",
        "F ENG S A CLY - WAL",
        "F ENG S A DEN - BEL",
        "F ENG S A DEN - BRE",
        "F ENG S A DEN - LON",
        "F ENG S A DEN - WAL",
        "F ENG S A EDI - BEL",
        "F ENG S A EDI - BRE",
        "F ENG S A EDI - LON",
        "F ENG S A EDI - WAL",
        "F ENG S A GAS - BEL",
        "F ENG S A GAS - BRE",
        "F ENG S A GAS - LON",
        "F ENG S A GAS - WAL",
        "F ENG S A GRE - BRE",
        "F ENG S A HOL - BEL",
        "F ENG S A HOL - BRE",
        "F ENG S A HOL - LON",
        "F ENG S A HOL - WAL",
        "F ENG S A KIE - BEL",
        "F ENG S A KIE - LON",
        "F ENG S A LON",
        "F ENG S A LON - BEL",
        "F ENG S A LON - BRE",
        "F ENG S A LON - WAL",
        "F ENG S A LVP - BEL",
        "F ENG S A LVP - BRE",
        "F ENG S A LVP - LON",
        "F ENG S A LVP - WAL",
        "F ENG S A MAR - BRE",
        "F ENG S A MAR - WAL",
        "F ENG S A NAF - BEL",
        "F ENG S A NAF - BRE",
        "F ENG S A NAF - LON",
        "F ENG S A NAF - WAL",
        "F ENG S A NAP - BRE",
        "F ENG S A NAP - WAL",
        "F ENG S A NWY - BEL",
        "F ENG S A NWY - BRE",
        "F ENG S A NWY - LON",
        "F ENG S A NWY - WAL",
        "F ENG S A PAR - BRE",
        "F ENG S A PAR - PIC",
        "F ENG S A PIC",
        "F ENG S A PIC - BEL",
        "F ENG S A PIC - BRE",
        "F ENG S A PIE - BRE",
        "F ENG S A PIE - WAL",
        "F ENG S A POR - BEL",
        "F ENG S A POR - BRE",
        "F ENG S A POR - LON",
        "F ENG S A POR - WAL",
        "F ENG S A ROM - BRE",
        "F ENG S A ROM - WAL",
        "F ENG S A RUH - BEL",
        "F ENG S A SPA - BEL",
        "F ENG S A SPA - BRE",
        "F ENG S A SPA - LON",
        "F ENG S A SPA - WAL",
        "F ENG S A STP - BEL",
        "F ENG S A STP - BRE",
        "F ENG S A STP - LON",
        "F ENG S A STP - WAL",
        "F ENG S A SWE - BEL",
        "F ENG S A SWE - LON",
        "F ENG S A TUN - BRE",
        "F ENG S A TUN - WAL",
        "F ENG S A TUS - BRE",
        "F ENG S A TUS - WAL",
        "F ENG S A WAL",
        "F ENG S A WAL - BEL",
        "F ENG S A WAL - BRE",
        "F ENG S A WAL - LON",
        "F ENG S A YOR - BEL",
        "F ENG S A YOR - BRE",
        "F ENG S A YOR - LON",
        "F ENG S A YOR - WAL",
        "F ENG S F BEL",
        "F ENG S F BEL - NTH",
        "F ENG S F BEL - PIC",
        "F ENG S F BRE",
        "F ENG S F BRE - MAO",
        "F ENG S F BRE - PIC",
        "F ENG S F DEN - NTH",
        "F ENG S F EDI - NTH",
        "F ENG S F GAS - BRE",
        "F ENG S F GAS - MAO",
        "F ENG S F HEL - NTH",
        "F ENG S F HOL - BEL",
        "F ENG S F HOL - NTH",
        "F ENG S F IRI",
        "F ENG S F IRI - MAO",
        "F ENG S F IRI - WAL",
        "F ENG S F LON",
        "F ENG S F LON - NTH",
        "F ENG S F LON - WAL",
        "F ENG S F LVP - IRI",
        "F ENG S F LVP - WAL",
        "F ENG S F MAO",
        "F ENG S F MAO - BRE",
        "F ENG S F MAO - IRI",
        "F ENG S F NAF - MAO",
        "F ENG S F NAO - IRI",
        "F ENG S F NAO - MAO",
        "F ENG S F NTH",
        "F ENG S F NTH - BEL",
        "F ENG S F NTH - LON",
        "F ENG S F NWG - NTH",
        "F ENG S F NWY - NTH",
        "F ENG S F PIC",
        "F ENG S F PIC - BEL",
        "F ENG S F PIC - BRE",
        "F ENG S F POR - MAO",
        "F ENG S F SKA - NTH",
        "F ENG S F SPA/NC - MAO",
        "F ENG S F SPA/SC - MAO",
        "F ENG S F WAL",
        "F ENG S F WAL - IRI",
        "F ENG S F WAL - LON",
        "F ENG S F WES - MAO",
        "F ENG S F YOR - LON",
        "F ENG S F YOR - NTH",
        "F FIN - BOT",
        "F FIN - STP/SC",
        "F FIN - SWE",
        "F FIN D",
        "F FIN H",
        "F FIN R BOT",
        "F FIN R STP/SC",
        "F FIN R SWE",
        "F FIN S A BEL - STP",
        "F FIN S A BEL - SWE",
        "F FIN S A BER - STP",
        "F FIN S A BER - SWE",
        "F FIN S A BRE - STP",
        "F FIN S A BRE - SWE",
        "F FIN S A CLY - STP",
        "F FIN S A CLY - SWE",
        "F FIN S A DEN - STP",
        "F FIN S A DEN - SWE",
        "F FIN S A EDI - STP",
        "F FIN S A EDI - SWE",
        "F FIN S A GAS - STP",
        "F FIN S A GAS - SWE",
        "F FIN S A HOL - STP",
        "F FIN S A HOL - SWE",
        "F FIN S A KIE - STP",
        "F FIN S A KIE - SWE",
        "F FIN S A LON - STP",
        "F FIN S A LON - SWE",
        "F FIN S A LVN - STP",
        "F FIN S A LVN - SWE",
        "F FIN S A LVP - STP",
        "F FIN S A LVP - SWE",
        "F FIN S A MOS - STP",
        "F FIN S A NAF - STP",
        "F FIN S A NAF - SWE",
        "F FIN S A NWY - STP",
        "F FIN S A NWY - SWE",
        "F FIN S A PIC - STP",
        "F FIN S A PIC - SWE",
        "F FIN S A POR - STP",
        "F FIN S A POR - SWE",
        "F FIN S A PRU - STP",
        "F FIN S A PRU - SWE",
        "F FIN S A SPA - STP",
        "F FIN S A SPA - SWE",
        "F FIN S A STP",
        "F FIN S A STP - SWE",
        "F FIN S A SWE",
        "F FIN S A SWE - STP",
        "F FIN S A WAL - STP",
        "F FIN S A WAL - SWE",
        "F FIN S A YOR - STP",
        "F FIN S A YOR - SWE",
        "F FIN S F BAL - BOT",
        "F FIN S F BAL - SWE",
        "F FIN S F BAR - STP",
        "F FIN S F BAR - STP/NC",
        "F FIN S F BAR - STP/SC",
        "F FIN S F BOT",
        "F FIN S F BOT - STP",
        "F FIN S F BOT - STP/NC",
        "F FIN S F BOT - STP/SC",
        "F FIN S F BOT - SWE",
        "F FIN S F DEN - SWE",
        "F FIN S F LVN - BOT",
        "F FIN S F LVN - STP",
        "F FIN S F LVN - STP/NC",
        "F FIN S F LVN - STP/SC",
        "F FIN S F NWY - STP",
        "F FIN S F NWY - STP/NC",
        "F FIN S F NWY - STP/SC",
        "F FIN S F NWY - SWE",
        "F FIN S F SKA - SWE",
        "F FIN S F STP/NC",
        "F FIN S F STP/SC",
        "F FIN S F STP/SC - BOT",
        "F FIN S F SWE",
        "F FIN S F SWE - BOT",
        "F GAS - BRE",
        "F GAS - MAO",
        "F GAS - SPA/NC",
        "F GAS D",
        "F GAS H",
        "F GAS R BRE",
        "F GAS R MAO",
        "F GAS R SPA/NC",
        "F GAS S A ALB - BRE",
        "F GAS S A ALB - SPA",
        "F GAS S A APU - BRE",
        "F GAS S A APU - SPA",
        "F GAS S A BEL - BRE",
        "F GAS S A BEL - SPA",
        "F GAS S A BRE",
        "F GAS S A BRE - SPA",
        "F GAS S A BUL - SPA",
        "F GAS S A CLY - BRE",
        "F GAS S A CLY - SPA",
        "F GAS S A CON - SPA",
        "F GAS S A DEN - BRE",
        "F GAS S A DEN - SPA",
        "F GAS S A EDI - BRE",
        "F GAS S A EDI - SPA",
        "F GAS S A GRE - BRE",
        "F GAS S A GRE - SPA",
        "F GAS S A HOL - BRE",
        "F GAS S A HOL - SPA",
        "F GAS S A KIE - BRE",
        "F GAS S A KIE - SPA",
        "F GAS S A LON - BRE",
        "F GAS S A LON - SPA",
        "F GAS S A LVP - BRE",
        "F GAS S A LVP - SPA",
        "F GAS S A MAR - BRE",
        "F GAS S A MAR - SPA",
        "F GAS S A NAF - BRE",
        "F GAS S A NAF - SPA",
        "F GAS S A NAP - BRE",
        "F GAS S A NAP - SPA",
        "F GAS S A NWY - BRE",
        "F GAS S A NWY - SPA",
        "F GAS S A PAR - BRE",
        "F GAS S A PIC - BRE",
        "F GAS S A PIC - SPA",
        "F GAS S A PIE - BRE",
        "F GAS S A PIE - SPA",
        "F GAS S A POR - BRE",
        "F GAS S A POR - SPA",
        "F GAS S A ROM - BRE",
        "F GAS S A ROM - SPA",
        "F GAS S A SMY - SPA",
        "F GAS S A SPA",
        "F GAS S A SPA - BRE",
        "F GAS S A STP - BRE",
        "F GAS S A STP - SPA",
        "F GAS S A SWE - BRE",
        "F GAS S A SWE - SPA",
        "F GAS S A SYR - SPA",
        "F GAS S A TRI - SPA",
        "F GAS S A TUN - BRE",
        "F GAS S A TUN - SPA",
        "F GAS S A TUS - BRE",
        "F GAS S A TUS - SPA",
        "F GAS S A VEN - SPA",
        "F GAS S A WAL - BRE",
        "F GAS S A WAL - SPA",
        "F GAS S A YOR - BRE",
        "F GAS S A YOR - SPA",
        "F GAS S F BRE",
        "F GAS S F BRE - MAO",
        "F GAS S F ENG - BRE",
        "F GAS S F ENG - MAO",
        "F GAS S F IRI - MAO",
        "F GAS S F LYO - SPA",
        "F GAS S F LYO - SPA/NC",
        "F GAS S F LYO - SPA/SC",
        "F GAS S F MAO",
        "F GAS S F MAO - BRE",
        "F GAS S F MAO - SPA",
        "F GAS S F MAO - SPA/NC",
        "F GAS S F MAO - SPA/SC",
        "F GAS S F MAR - SPA",
        "F GAS S F MAR - SPA/NC",
        "F GAS S F MAR - SPA/SC",
        "F GAS S F NAF - MAO",
        "F GAS S F NAO - MAO",
        "F GAS S F PIC - BRE",
        "F GAS S F POR - MAO",
        "F GAS S F POR - SPA",
        "F GAS S F POR - SPA/NC",
        "F GAS S F POR - SPA/SC",
        "F GAS S F SPA/NC",
        "F GAS S F SPA/NC - MAO",
        "F GAS S F SPA/SC",
        "F GAS S F SPA/SC - MAO",
        "F GAS S F WES - MAO",
        "F GAS S F WES - SPA",
        "F GAS S F WES - SPA/NC",
        "F GAS S F WES - SPA/SC",
        "F GRE - AEG",
        "F GRE - ALB",
        "F GRE - BUL/SC",
        "F GRE - ION",
        "F GRE D",
        "F GRE H",
        "F GRE R AEG",
        "F GRE R ALB",
        "F GRE R BUL/SC",
        "F GRE R ION",
        "F GRE S A ALB",
        "F GRE S A ALB - BUL",
        "F GRE S A ANK - BUL",
        "F GRE S A APU - ALB",
        "F GRE S A APU - BUL",
        "F GRE S A ARM - BUL",
        "F GRE S A BRE - ALB",
        "F GRE S A BUL",
        "F GRE S A BUL - ALB",
        "F GRE S A CON - ALB",
        "F GRE S A CON - BUL",
        "F GRE S A GAS - ALB",
        "F GRE S A MAR - ALB",
        "F GRE S A MAR - BUL",
        "F GRE S A NAF - ALB",
        "F GRE S A NAF - BUL",
        "F GRE S A NAP - ALB",
        "F GRE S A NAP - BUL",
        "F GRE S A PIE - ALB",
        "F GRE S A PIE - BUL",
        "F GRE S A POR - ALB",
        "F GRE S A ROM - ALB",
        "F GRE S A ROM - BUL",
        "F GRE S A RUM - BUL",
        "F GRE S A SER - ALB",
        "F GRE S A SER - BUL",
        "F GRE S A SEV - BUL",
        "F GRE S A SMY - ALB",
        "F GRE S A SMY - BUL",
        "F GRE S A SPA - ALB",
        "F GRE S A SPA - BUL",
        "F GRE S A SYR - ALB",
        "F GRE S A SYR - BUL",
        "F GRE S A TRI - ALB",
        "F GRE S A TRI - BUL",
        "F GRE S A TUN - ALB",
        "F GRE S A TUN - BUL",
        "F GRE S A TUS - ALB",
        "F GRE S A TUS - BUL",
        "F GRE S A VEN - ALB",
        "F GRE S A VEN - BUL",
        "F GRE S F ADR - ALB",
        "F GRE S F ADR - ION",
        "F GRE S F AEG",
        "F GRE S F AEG - BUL",
        "F GRE S F AEG - BUL/EC",
        "F GRE S F AEG - BUL/SC",
        "F GRE S F AEG - ION",
        "F GRE S F ALB",
        "F GRE S F ALB - ION",
        "F GRE S F APU - ION",
        "F GRE S F BLA - BUL",
        "F GRE S F BLA - BUL/EC",
        "F GRE S F BLA - BUL/SC",
        "F GRE S F BUL/EC",
        "F GRE S F BUL/SC",
        "F GRE S F BUL/SC - AEG",
        "F GRE S F CON - AEG",
        "F GRE S F CON - BUL",
        "F GRE S F CON - BUL/EC",
        "F GRE S F CON - BUL/SC",
        "F GRE S F EAS - AEG",
        "F GRE S F EAS - ION",
        "F GRE S F ION",
        "F GRE S F ION - AEG",
        "F GRE S F ION - ALB",
        "F GRE S F NAP - ION",
        "F GRE S F RUM - BUL",
        "F GRE S F RUM - BUL/EC",
        "F GRE S F RUM - BUL/SC",
        "F GRE S F SMY - AEG",
        "F GRE S F TRI - ALB",
        "F GRE S F TUN - ION",
        "F GRE S F TYS - ION",
        "F HEL - DEN",
        "F HEL - HOL",
        "F HEL - KIE",
        "F HEL - NTH",
        "F HEL C A BEL - KIE",
        "F HEL C A BRE - KIE",
        "F HEL C A CLY - KIE",
        "F HEL C A DEN - HOL",
        "F HEL C A DEN - KIE",
        "F HEL C A EDI - KIE",
        "F HEL C A GAS - KIE",
        "F HEL C A HOL - DEN",
        "F HEL C A HOL - KIE",
        "F HEL C A KIE - BEL",
        "F HEL C A KIE - BRE",
        "F HEL C A KIE - CLY",
        "F HEL C A KIE - DEN",
        "F HEL C A KIE - EDI",
        "F HEL C A KIE - GAS",
        "F HEL C A KIE - HOL",
        "F HEL C A KIE - LON",
        "F HEL C A KIE - LVP",
        "F HEL C A KIE - NAF",
        "F HEL C A KIE - NWY",
        "F HEL C A KIE - PIC",
        "F HEL C A KIE - POR",
        "F HEL C A KIE - SPA",
        "F HEL C A KIE - STP",
        "F HEL C A KIE - SWE",
        "F HEL C A KIE - WAL",
        "F HEL C A KIE - YOR",
        "F HEL C A LON - KIE",
        "F HEL C A LVP - KIE",
        "F HEL C A NAF - KIE",
        "F HEL C A NWY - KIE",
        "F HEL C A PIC - KIE",
        "F HEL C A POR - KIE",
        "F HEL C A SPA - KIE",
        "F HEL C A STP - KIE",
        "F HEL C A SWE - KIE",
        "F HEL C A WAL - KIE",
        "F HEL C A YOR - KIE",
        "F HEL D",
        "F HEL H",
        "F HEL R DEN",
        "F HEL R HOL",
        "F HEL R KIE",
        "F HEL R NTH",
        "F HEL S A BEL - DEN",
        "F HEL S A BEL - HOL",
        "F HEL S A BER - DEN",
        "F HEL S A BER - KIE",
        "F HEL S A BRE - DEN",
        "F HEL S A BRE - HOL",
        "F HEL S A CLY - DEN",
        "F HEL S A CLY - HOL",
        "F HEL S A DEN",
        "F HEL S A DEN - HOL",
        "F HEL S A DEN - KIE",
        "F HEL S A EDI - DEN",
        "F HEL S A EDI - HOL",
        "F HEL S A FIN - DEN",
        "F HEL S A FIN - KIE",
        "F HEL S A GAS - DEN",
        "F HEL S A GAS - HOL",
        "F HEL S A HOL",
        "F HEL S A HOL - DEN",
        "F HEL S A HOL - KIE",
        "F HEL S A KIE",
        "F HEL S A KIE - DEN",
        "F HEL S A KIE - HOL",
        "F HEL S A LON - DEN",
        "F HEL S A LON - HOL",
        "F HEL S A LVN - DEN",
        "F HEL S A LVN - KIE",
        "F HEL S A LVP - DEN",
        "F HEL S A LVP - HOL",
        "F HEL S A MUN - KIE",
        "F HEL S A NAF - DEN",
        "F HEL S A NAF - HOL",
        "F HEL S A NWY - DEN",
        "F HEL S A NWY - HOL",
        "F HEL S A PIC - DEN",
        "F HEL S A PIC - HOL",
        "F HEL S A POR - DEN",
        "F HEL S A POR - HOL",
        "F HEL S A PRU - DEN",
        "F HEL S A PRU - KIE",
        "F HEL S A RUH - HOL",
        "F HEL S A RUH - KIE",
        "F HEL S A SPA - DEN",
        "F HEL S A SPA - HOL",
        "F HEL S A STP - DEN",
        "F HEL S A STP - HOL",
        "F HEL S A STP - KIE",
        "F HEL S A SWE - DEN",
        "F HEL S A SWE - HOL",
        "F HEL S A SWE - KIE",
        "F HEL S A TUN - DEN",
        "F HEL S A TUN - HOL",
        "F HEL S A WAL - DEN",
        "F HEL S A WAL - HOL",
        "F HEL S A YOR - DEN",
        "F HEL S A YOR - HOL",
        "F HEL S F BAL - DEN",
        "F HEL S F BAL - KIE",
        "F HEL S F BEL - HOL",
        "F HEL S F BEL - NTH",
        "F HEL S F BER - KIE",
        "F HEL S F DEN",
        "F HEL S F DEN - KIE",
        "F HEL S F DEN - NTH",
        "F HEL S F EDI - NTH",
        "F HEL S F ENG - NTH",
        "F HEL S F HOL",
        "F HEL S F HOL - KIE",
        "F HEL S F HOL - NTH",
        "F HEL S F KIE",
        "F HEL S F KIE - DEN",
        "F HEL S F KIE - HOL",
        "F HEL S F LON - NTH",
        "F HEL S F NTH",
        "F HEL S F NTH - DEN",
        "F HEL S F NTH - HOL",
        "F HEL S F NWG - NTH",
        "F HEL S F NWY - NTH",
        "F HEL S F SKA - DEN",
        "F HEL S F SKA - NTH",
        "F HEL S F SWE - DEN",
        "F HEL S F YOR - NTH",
        "F HOL - BEL",
        "F HOL - HEL",
        "F HOL - KIE",
        "F HOL - NTH",
        "F HOL D",
        "F HOL H",
        "F HOL R BEL",
        "F HOL R HEL",
        "F HOL R KIE",
        "F HOL R NTH",
        "F HOL S A BEL",
        "F HOL S A BEL - KIE",
        "F HOL S A BER - KIE",
        "F HOL S A BRE - BEL",
        "F HOL S A BRE - KIE",
        "F HOL S A BUR - BEL",
        "F HOL S A CLY - BEL",
        "F HOL S A CLY - KIE",
        "F HOL S A DEN - BEL",
        "F HOL S A DEN - KIE",
        "F HOL S A EDI - BEL",
        "F HOL S A EDI - KIE",
        "F HOL S A FIN - KIE",
        "F HOL S A GAS - BEL",
        "F HOL S A GAS - KIE",
        "F HOL S A KIE",
        "F HOL S A KIE - BEL",
        "F HOL S A LON - BEL",
        "F HOL S A LON - KIE",
        "F HOL S A LVN - KIE",
        "F HOL S A LVP - BEL",
        "F HOL S A LVP - KIE",
        "F HOL S A MAR - BEL",
        "F HOL S A MUN - KIE",
        "F HOL S A NAF - BEL",
        "F HOL S A NAF - KIE",
        "F HOL S A NAP - BEL",
        "F HOL S A NWY - BEL",
        "F HOL S A NWY - KIE",
        "F HOL S A PIC - BEL",
        "F HOL S A PIC - KIE",
        "F HOL S A PIE - BEL",
        "F HOL S A POR - BEL",
        "F HOL S A POR - KIE",
        "F HOL S A PRU - KIE",
        "F HOL S A ROM - BEL",
        "F HOL S A RUH - BEL",
        "F HOL S A RUH - KIE",
        "F HOL S A SPA - BEL",
        "F HOL S A SPA - KIE",
        "F HOL S A STP - BEL",
        "F HOL S A STP - KIE",
        "F HOL S A SWE - BEL",
        "F HOL S A SWE - KIE",
        "F HOL S A TUN - BEL",
        "F HOL S A TUS - BEL",
        "F HOL S A WAL - BEL",
        "F HOL S A WAL - KIE",
        "F HOL S A YOR - BEL",
        "F HOL S A YOR - KIE",
        "F HOL S F BAL - KIE",
        "F HOL S F BEL",
        "F HOL S F BEL - NTH",
        "F HOL S F BER - KIE",
        "F HOL S F DEN - HEL",
        "F HOL S F DEN - KIE",
        "F HOL S F DEN - NTH",
        "F HOL S F EDI - NTH",
        "F HOL S F ENG - BEL",
        "F HOL S F ENG - NTH",
        "F HOL S F HEL",
        "F HOL S F HEL - KIE",
        "F HOL S F HEL - NTH",
        "F HOL S F KIE",
        "F HOL S F KIE - HEL",
        "F HOL S F LON - NTH",
        "F HOL S F NTH",
        "F HOL S F NTH - BEL",
        "F HOL S F NTH - HEL",
        "F HOL S F NWG - NTH",
        "F HOL S F NWY - NTH",
        "F HOL S F PIC - BEL",
        "F HOL S F SKA - NTH",
        "F HOL S F YOR - NTH",
        "F ION - ADR",
        "F ION - AEG",
        "F ION - ALB",
        "F ION - APU",
        "F ION - EAS",
        "F ION - GRE",
        "F ION - NAP",
        "F ION - TUN",
        "F ION - TYS",
        "F ION C A ALB - APU",
        "F ION C A ALB - BRE",
        "F ION C A ALB - BUL",
        "F ION C A ALB - CON",
        "F ION C A ALB - GAS",
        "F ION C A ALB - GRE",
        "F ION C A ALB - MAR",
        "F ION C A ALB - NAF",
        "F ION C A ALB - NAP",
        "F ION C A ALB - PIE",
        "F ION C A ALB - POR",
        "F ION C A ALB - ROM",
        "F ION C A ALB - SMY",
        "F ION C A ALB - SPA",
        "F ION C A ALB - SYR",
        "F ION C A ALB - TUN",
        "F ION C A ALB - TUS",
        "F ION C A APU - ALB",
        "F ION C A APU - BRE",
        "F ION C A APU - BUL",
        "F ION C A APU - CON",
        "F ION C A APU - GAS",
        "F ION C A APU - GRE",
        "F ION C A APU - MAR",
        "F ION C A APU - NAF",
        "F ION C A APU - NAP",
        "F ION C A APU - PIE",
        "F ION C A APU - POR",
        "F ION C A APU - ROM",
        "F ION C A APU - SMY",
        "F ION C A APU - SPA",
        "F ION C A APU - SYR",
        "F ION C A APU - TUN",
        "F ION C A APU - TUS",
        "F ION C A BRE - ALB",
        "F ION C A BRE - APU",
        "F ION C A BRE - GRE",
        "F ION C A BUL - ALB",
        "F ION C A BUL - APU",
        "F ION C A BUL - MAR",
        "F ION C A BUL - NAF",
        "F ION C A BUL - NAP",
        "F ION C A BUL - PIE",
        "F ION C A BUL - ROM",
        "F ION C A BUL - SPA",
        "F ION C A BUL - TRI",
        "F ION C A BUL - TUN",
        "F ION C A BUL - TUS",
        "F ION C A BUL - VEN",
        "F ION C A CON - ALB",
        "F ION C A CON - APU",
        "F ION C A CON - MAR",
        "F ION C A CON - NAF",
        "F ION C A CON - NAP",
        "F ION C A CON - PIE",
        "F ION C A CON - ROM",
        "F ION C A CON - SPA",
        "F ION C A CON - TRI",
        "F ION C A CON - TUN",
        "F ION C A CON - TUS",
        "F ION C A CON - VEN",
        "F ION C A GAS - ALB",
        "F ION C A GAS - APU",
        "F ION C A GAS - GRE",
        "F ION C A GRE - ALB",
        "F ION C A GRE - APU",
        "F ION C A GRE - BRE",
        "F ION C A GRE - GAS",
        "F ION C A GRE - MAR",
        "F ION C A GRE - NAF",
        "F ION C A GRE - NAP",
        "F ION C A GRE - PIE",
        "F ION C A GRE - POR",
        "F ION C A GRE - ROM",
        "F ION C A GRE - SMY",
        "F ION C A GRE - SPA",
        "F ION C A GRE - SYR",
        "F ION C A GRE - TRI",
        "F ION C A GRE - TUN",
        "F ION C A GRE - TUS",
        "F ION C A GRE - VEN",
        "F ION C A MAR - ALB",
        "F ION C A MAR - APU",
        "F ION C A MAR - BUL",
        "F ION C A MAR - CON",
        "F ION C A MAR - GRE",
        "F ION C A MAR - SMY",
        "F ION C A MAR - SYR",
        "F ION C A MAR - TRI",
        "F ION C A MAR - VEN",
        "F ION C A NAF - ALB",
        "F ION C A NAF - APU",
        "F ION C A NAF - BUL",
        "F ION C A NAF - CON",
        "F ION C A NAF - GRE",
        "F ION C A NAF - SMY",
        "F ION C A NAF - SYR",
        "F ION C A NAF - TRI",
        "F ION C A NAF - VEN",
        "F ION C A NAP - ALB",
        "F ION C A NAP - APU",
        "F ION C A NAP - BUL",
        "F ION C A NAP - CON",
        "F ION C A NAP - GRE",
        "F ION C A NAP - SMY",
        "F ION C A NAP - SYR",
        "F ION C A NAP - TRI",
        "F ION C A NAP - TUN",
        "F ION C A NAP - VEN",
        "F ION C A PIE - ALB",
        "F ION C A PIE - APU",
        "F ION C A PIE - BUL",
        "F ION C A PIE - CON",
        "F ION C A PIE - GRE",
        "F ION C A PIE - SMY",
        "F ION C A PIE - SYR",
        "F ION C A PIE - TRI",
        "F ION C A PIE - VEN",
        "F ION C A POR - ALB",
        "F ION C A POR - APU",
        "F ION C A POR - GRE",
        "F ION C A ROM - ALB",
        "F ION C A ROM - APU",
        "F ION C A ROM - BUL",
        "F ION C A ROM - CON",
        "F ION C A ROM - GRE",
        "F ION C A ROM - SMY",
        "F ION C A ROM - SYR",
        "F ION C A ROM - TRI",
        "F ION C A ROM - VEN",
        "F ION C A SMY - ALB",
        "F ION C A SMY - APU",
        "F ION C A SMY - GRE",
        "F ION C A SMY - MAR",
        "F ION C A SMY - NAF",
        "F ION C A SMY - NAP",
        "F ION C A SMY - PIE",
        "F ION C A SMY - ROM",
        "F ION C A SMY - SPA",
        "F ION C A SMY - TRI",
        "F ION C A SMY - TUN",
        "F ION C A SMY - TUS",
        "F ION C A SMY - VEN",
        "F ION C A SPA - ALB",
        "F ION C A SPA - APU",
        "F ION C A SPA - BUL",
        "F ION C A SPA - CON",
        "F ION C A SPA - GRE",
        "F ION C A SPA - SMY",
        "F ION C A SPA - SYR",
        "F ION C A SPA - TRI",
        "F ION C A SPA - VEN",
        "F ION C A SYR - ALB",
        "F ION C A SYR - APU",
        "F ION C A SYR - GRE",
        "F ION C A SYR - MAR",
        "F ION C A SYR - NAF",
        "F ION C A SYR - NAP",
        "F ION C A SYR - PIE",
        "F ION C A SYR - ROM",
        "F ION C A SYR - SPA",
        "F ION C A SYR - TRI",
        "F ION C A SYR - TUN",
        "F ION C A SYR - TUS",
        "F ION C A SYR - VEN",
        "F ION C A TRI - BUL",
        "F ION C A TRI - CON",
        "F ION C A TRI - GRE",
        "F ION C A TRI - MAR",
        "F ION C A TRI - NAF",
        "F ION C A TRI - NAP",
        "F ION C A TRI - PIE",
        "F ION C A TRI - ROM",
        "F ION C A TRI - SMY",
        "F ION C A TRI - SPA",
        "F ION C A TRI - SYR",
        "F ION C A TRI - TUN",
        "F ION C A TRI - TUS",
        "F ION C A TUN - ALB",
        "F ION C A TUN - APU",
        "F ION C A TUN - BUL",
        "F ION C A TUN - CON",
        "F ION C A TUN - GRE",
        "F ION C A TUN - NAP",
        "F ION C A TUN - SMY",
        "F ION C A TUN - SYR",
        "F ION C A TUN - TRI",
        "F ION C A TUN - VEN",
        "F ION C A TUS - ALB",
        "F ION C A TUS - APU",
        "F ION C A TUS - BUL",
        "F ION C A TUS - CON",
        "F ION C A TUS - GRE",
        "F ION C A TUS - SMY",
        "F ION C A TUS - SYR",
        "F ION C A TUS - TRI",
        "F ION C A TUS - VEN",
        "F ION C A VEN - BUL",
        "F ION C A VEN - CON",
        "F ION C A VEN - GRE",
        "F ION C A VEN - MAR",
        "F ION C A VEN - NAF",
        "F ION C A VEN - NAP",
        "F ION C A VEN - PIE",
        "F ION C A VEN - ROM",
        "F ION C A VEN - SMY",
        "F ION C A VEN - SPA",
        "F ION C A VEN - SYR",
        "F ION C A VEN - TUN",
        "F ION C A VEN - TUS",
        "F ION D",
        "F ION H",
        "F ION R ADR",
        "F ION R AEG",
        "F ION R ALB",
        "F ION R APU",
        "F ION R EAS",
        "F ION R GRE",
        "F ION R NAP",
        "F ION R TUN",
        "F ION R TYS",
        "F ION S A ALB",
        "F ION S A ALB - APU",
        "F ION S A ALB - GRE",
        "F ION S A APU",
        "F ION S A APU - ALB",
        "F ION S A APU - NAP",
        "F ION S A BEL - NAP",
        "F ION S A BEL - TUN",
        "F ION S A BRE - NAP",
        "F ION S A BRE - TUN",
        "F ION S A BUL - GRE",
        "F ION S A CLY - NAP",
        "F ION S A CLY - TUN",
        "F ION S A CON - GRE",
        "F ION S A DEN - TUN",
        "F ION S A EDI - TUN",
        "F ION S A GAS - NAP",
        "F ION S A GAS - TUN",
        "F ION S A GRE",
        "F ION S A GRE - ALB",
        "F ION S A HOL - TUN",
        "F ION S A LON - NAP",
        "F ION S A LON - TUN",
        "F ION S A LVP - NAP",
        "F ION S A LVP - TUN",
        "F ION S A MAR - NAP",
        "F ION S A MAR - TUN",
        "F ION S A NAF - NAP",
        "F ION S A NAF - TUN",
        "F ION S A NAP",
        "F ION S A NAP - APU",
        "F ION S A NAP - TUN",
        "F ION S A NWY - TUN",
        "F ION S A PIC - NAP",
        "F ION S A PIC - TUN",
        "F ION S A PIE - NAP",
        "F ION S A PIE - TUN",
        "F ION S A POR - NAP",
        "F ION S A POR - TUN",
        "F ION S A ROM - APU",
        "F ION S A ROM - NAP",
        "F ION S A ROM - TUN",
        "F ION S A SER - ALB",
        "F ION S A SER - GRE",
        "F ION S A SMY - GRE",
        "F ION S A SPA - NAP",
        "F ION S A SPA - TUN",
        "F ION S A SYR - GRE",
        "F ION S A TRI - ALB",
        "F ION S A TRI - APU",
        "F ION S A TUN",
        "F ION S A TUN - NAP",
        "F ION S A TUS - NAP",
        "F ION S A TUS - TUN",
        "F ION S A VEN - ALB",
        "F ION S A VEN - APU",
        "F ION S A WAL - NAP",
        "F ION S A WAL - TUN",
        "F ION S A YOR - TUN",
        "F ION S F ADR",
        "F ION S F ADR - ALB",
        "F ION S F ADR - APU",
        "F ION S F AEG",
        "F ION S F AEG - EAS",
        "F ION S F AEG - GRE",
        "F ION S F ALB",
        "F ION S F ALB - ADR",
        "F ION S F ALB - GRE",
        "F ION S F APU",
        "F ION S F APU - ADR",
        "F ION S F APU - NAP",
        "F ION S F BUL/SC - AEG",
        "F ION S F BUL/SC - GRE",
        "F ION S F CON - AEG",
        "F ION S F EAS",
        "F ION S F EAS - AEG",
        "F ION S F GRE",
        "F ION S F GRE - AEG",
        "F ION S F GRE - ALB",
        "F ION S F LYO - TYS",
        "F ION S F NAF - TUN",
        "F ION S F NAP",
        "F ION S F NAP - APU",
        "F ION S F NAP - TYS",
        "F ION S F ROM - NAP",
        "F ION S F ROM - TYS",
        "F ION S F SMY - AEG",
        "F ION S F SMY - EAS",
        "F ION S F SYR - EAS",
        "F ION S F TRI - ADR",
        "F ION S F TRI - ALB",
        "F ION S F TUN",
        "F ION S F TUN - TYS",
        "F ION S F TUS - TYS",
        "F ION S F TYS",
        "F ION S F TYS - NAP",
        "F ION S F TYS - TUN",
        "F ION S F VEN - ADR",
        "F ION S F VEN - APU",
        "F ION S F WES - TUN",
        "F ION S F WES - TYS",
        "F IRI - ENG",
        "F IRI - LVP",
        "F IRI - MAO",
        "F IRI - NAO",
        "F IRI - WAL",
        "F IRI C A BEL - CLY",
        "F IRI C A BEL - EDI",
        "F IRI C A BEL - LVP",
        "F IRI C A BEL - NWY",
        "F IRI C A BEL - WAL",
        "F IRI C A BRE - CLY",
        "F IRI C A BRE - EDI",
        "F IRI C A BRE - LVP",
        "F IRI C A BRE - NWY",
        "F IRI C A BRE - WAL",
        "F IRI C A CLY - BEL",
        "F IRI C A CLY - BRE",
        "F IRI C A CLY - DEN",
        "F IRI C A CLY - EDI",
        "F IRI C A CLY - HOL",
        "F IRI C A CLY - LON",
        "F IRI C A CLY - LVP",
        "F IRI C A CLY - NWY",
        "F IRI C A CLY - PIC",
        "F IRI C A CLY - WAL",
        "F IRI C A CLY - YOR",
        "F IRI C A DEN - CLY",
        "F IRI C A DEN - LVP",
        "F IRI C A DEN - WAL",
        "F IRI C A EDI - BEL",
        "F IRI C A EDI - BRE",
        "F IRI C A EDI - CLY",
        "F IRI C A EDI - LON",
        "F IRI C A EDI - LVP",
        "F IRI C A EDI - PIC",
        "F IRI C A EDI - WAL",
        "F IRI C A GAS - LVP",
        "F IRI C A GAS - WAL",
        "F IRI C A HOL - CLY",
        "F IRI C A HOL - LVP",
        "F IRI C A HOL - WAL",
        "F IRI C A KIE - LVP",
        "F IRI C A LON - CLY",
        "F IRI C A LON - EDI",
        "F IRI C A LON - LVP",
        "F IRI C A LON - NWY",
        "F IRI C A LON - WAL",
        "F IRI C A LVP - BEL",
        "F IRI C A LVP - BRE",
        "F IRI C A LVP - CLY",
        "F IRI C A LVP - DEN",
        "F IRI C A LVP - EDI",
        "F IRI C A LVP - GAS",
        "F IRI C A LVP - HOL",
        "F IRI C A LVP - KIE",
        "F IRI C A LVP - LON",
        "F IRI C A LVP - MAR",
        "F IRI C A LVP - NAF",
        "F IRI C A LVP - NAP",
        "F IRI C A LVP - NWY",
        "F IRI C A LVP - PIC",
        "F IRI C A LVP - PIE",
        "F IRI C A LVP - POR",
        "F IRI C A LVP - ROM",
        "F IRI C A LVP - SPA",
        "F IRI C A LVP - SWE",
        "F IRI C A LVP - TUN",
        "F IRI C A LVP - TUS",
        "F IRI C A LVP - WAL",
        "F IRI C A LVP - YOR",
        "F IRI C A MAR - LVP",
        "F IRI C A MAR - WAL",
        "F IRI C A NAF - LVP",
        "F IRI C A NAF - WAL",
        "F IRI C A NAP - LVP",
        "F IRI C A NAP - WAL",
        "F IRI C A NWY - BEL",
        "F IRI C A NWY - BRE",
        "F IRI C A NWY - CLY",
        "F IRI C A NWY - LON",
        "F IRI C A NWY - LVP",
        "F IRI C A NWY - PIC",
        "F IRI C A NWY - WAL",
        "F IRI C A PIC - CLY",
        "F IRI C A PIC - EDI",
        "F IRI C A PIC - LVP",
        "F IRI C A PIC - NWY",
        "F IRI C A PIE - LVP",
        "F IRI C A PIE - WAL",
        "F IRI C A POR - LVP",
        "F IRI C A POR - WAL",
        "F IRI C A ROM - LVP",
        "F IRI C A ROM - WAL",
        "F IRI C A SPA - LVP",
        "F IRI C A SPA - WAL",
        "F IRI C A STP - WAL",
        "F IRI C A SWE - LVP",
        "F IRI C A TUN - LVP",
        "F IRI C A TUN - WAL",
        "F IRI C A TUS - LVP",
        "F IRI C A TUS - WAL",
        "F IRI C A WAL - BEL",
        "F IRI C A WAL - BRE",
        "F IRI C A WAL - CLY",
        "F IRI C A WAL - DEN",
        "F IRI C A WAL - EDI",
        "F IRI C A WAL - GAS",
        "F IRI C A WAL - HOL",
        "F IRI C A WAL - LON",
        "F IRI C A WAL - LVP",
        "F IRI C A WAL - MAR",
        "F IRI C A WAL - NAF",
        "F IRI C A WAL - NAP",
        "F IRI C A WAL - NWY",
        "F IRI C A WAL - PIE",
        "F IRI C A WAL - POR",
        "F IRI C A WAL - ROM",
        "F IRI C A WAL - SPA",
        "F IRI C A WAL - STP",
        "F IRI C A WAL - TUN",
        "F IRI C A WAL - TUS",
        "F IRI C A WAL - YOR",
        "F IRI C A YOR - CLY",
        "F IRI C A YOR - LVP",
        "F IRI C A YOR - WAL",
        "F IRI D",
        "F IRI H",
        "F IRI R ENG",
        "F IRI R LVP",
        "F IRI R MAO",
        "F IRI R NAO",
        "F IRI R WAL",
        "F IRI S A BEL - LVP",
        "F IRI S A BEL - WAL",
        "F IRI S A BRE - LVP",
        "F IRI S A BRE - WAL",
        "F IRI S A CLY - LVP",
        "F IRI S A CLY - WAL",
        "F IRI S A DEN - LVP",
        "F IRI S A DEN - WAL",
        "F IRI S A EDI - LVP",
        "F IRI S A EDI - WAL",
        "F IRI S A GAS - LVP",
        "F IRI S A GAS - WAL",
        "F IRI S A HOL - LVP",
        "F IRI S A HOL - WAL",
        "F IRI S A KIE - LVP",
        "F IRI S A KIE - WAL",
        "F IRI S A LON - LVP",
        "F IRI S A LON - WAL",
        "F IRI S A LVP",
        "F IRI S A LVP - WAL",
        "F IRI S A MAR - LVP",
        "F IRI S A MAR - WAL",
        "F IRI S A NAF - LVP",
        "F IRI S A NAF - WAL",
        "F IRI S A NAP - LVP",
        "F IRI S A NAP - WAL",
        "F IRI S A NWY - LVP",
        "F IRI S A NWY - WAL",
        "F IRI S A PIC - LVP",
        "F IRI S A PIC - WAL",
        "F IRI S A PIE - LVP",
        "F IRI S A PIE - WAL",
        "F IRI S A POR - LVP",
        "F IRI S A POR - WAL",
        "F IRI S A ROM - LVP",
        "F IRI S A ROM - WAL",
        "F IRI S A SPA - LVP",
        "F IRI S A SPA - WAL",
        "F IRI S A STP - LVP",
        "F IRI S A STP - WAL",
        "F IRI S A SWE - LVP",
        "F IRI S A SWE - WAL",
        "F IRI S A TUN - LVP",
        "F IRI S A TUN - WAL",
        "F IRI S A TUS - LVP",
        "F IRI S A TUS - WAL",
        "F IRI S A WAL",
        "F IRI S A WAL - LVP",
        "F IRI S A YOR - LVP",
        "F IRI S A YOR - WAL",
        "F IRI S F BEL - ENG",
        "F IRI S F BRE - ENG",
        "F IRI S F BRE - MAO",
        "F IRI S F CLY - LVP",
        "F IRI S F CLY - NAO",
        "F IRI S F ENG",
        "F IRI S F ENG - MAO",
        "F IRI S F ENG - WAL",
        "F IRI S F GAS - MAO",
        "F IRI S F LON - ENG",
        "F IRI S F LON - WAL",
        "F IRI S F LVP",
        "F IRI S F LVP - NAO",
        "F IRI S F LVP - WAL",
        "F IRI S F MAO",
        "F IRI S F MAO - ENG",
        "F IRI S F MAO - NAO",
        "F IRI S F NAF - MAO",
        "F IRI S F NAO",
        "F IRI S F NAO - LVP",
        "F IRI S F NAO - MAO",
        "F IRI S F NTH - ENG",
        "F IRI S F NWG - NAO",
        "F IRI S F PIC - ENG",
        "F IRI S F POR - MAO",
        "F IRI S F SPA/NC - MAO",
        "F IRI S F SPA/SC - MAO",
        "F IRI S F WAL",
        "F IRI S F WAL - ENG",
        "F IRI S F WAL - LVP",
        "F IRI S F WES - MAO",
        "F KIE - BAL",
        "F KIE - BER",
        "F KIE - DEN",
        "F KIE - HEL",
        "F KIE - HOL",
        "F KIE B",
        "F KIE D",
        "F KIE H",
        "F KIE R BAL",
        "F KIE R BER",
        "F KIE R DEN",
        "F KIE R HEL",
        "F KIE R HOL",
        "F KIE S A BEL - DEN",
        "F KIE S A BEL - HOL",
        "F KIE S A BER",
        "F KIE S A BER - DEN",
        "F KIE S A BRE - DEN",
        "F KIE S A BRE - HOL",
        "F KIE S A CLY - DEN",
        "F KIE S A CLY - HOL",
        "F KIE S A DEN",
        "F KIE S A DEN - BER",
        "F KIE S A DEN - HOL",
        "F KIE S A EDI - DEN",
        "F KIE S A EDI - HOL",
        "F KIE S A FIN - BER",
        "F KIE S A FIN - DEN",
        "F KIE S A GAS - DEN",
        "F KIE S A GAS - HOL",
        "F KIE S A HOL",
        "F KIE S A HOL - DEN",
        "F KIE S A LON - DEN",
        "F KIE S A LON - HOL",
        "F KIE S A LVN - BER",
        "F KIE S A LVN - DEN",
        "F KIE S A LVP - DEN",
        "F KIE S A LVP - HOL",
        "F KIE S A MUN - BER",
        "F KIE S A NAF - DEN",
        "F KIE S A NAF - HOL",
        "F KIE S A NWY - DEN",
        "F KIE S A NWY - HOL",
        "F KIE S A PIC - DEN",
        "F KIE S A PIC - HOL",
        "F KIE S A POR - DEN",
        "F KIE S A POR - HOL",
        "F KIE S A PRU - BER",
        "F KIE S A PRU - DEN",
        "F KIE S A RUH - HOL",
        "F KIE S A SIL - BER",
        "F KIE S A SPA - DEN",
        "F KIE S A SPA - HOL",
        "F KIE S A STP - BER",
        "F KIE S A STP - DEN",
        "F KIE S A STP - HOL",
        "F KIE S A SWE - BER",
        "F KIE S A SWE - DEN",
        "F KIE S A SWE - HOL",
        "F KIE S A TUN - DEN",
        "F KIE S A TUN - HOL",
        "F KIE S A WAL - DEN",
        "F KIE S A WAL - HOL",
        "F KIE S A YOR - DEN",
        "F KIE S A YOR - HOL",
        "F KIE S F BAL",
        "F KIE S F BAL - BER",
        "F KIE S F BAL - DEN",
        "F KIE S F BEL - HOL",
        "F KIE S F BER",
        "F KIE S F BER - BAL",
        "F KIE S F BOT - BAL",
        "F KIE S F DEN",
        "F KIE S F DEN - BAL",
        "F KIE S F DEN - HEL",
        "F KIE S F HEL",
        "F KIE S F HEL - DEN",
        "F KIE S F HEL - HOL",
        "F KIE S F HOL",
        "F KIE S F HOL - HEL",
        "F KIE S F LVN - BAL",
        "F KIE S F NTH - DEN",
        "F KIE S F NTH - HEL",
        "F KIE S F NTH - HOL",
        "F KIE S F PRU - BAL",
        "F KIE S F PRU - BER",
        "F KIE S F SKA - DEN",
        "F KIE S F SWE - BAL",
        "F KIE S F SWE - DEN",
        "F LON - ENG",
        "F LON - NTH",
        "F LON - WAL",
        "F LON - YOR",
        "F LON B",
        "F LON B;F LVP B",
        "F LON D",
        "F LON H",
        "F LON R ENG",
        "F LON R NTH",
        "F LON R WAL",
        "F LON R YOR",
        "F LON S A BEL - WAL",
        "F LON S A BEL - YOR",
        "F LON S A BRE - WAL",
        "F LON S A BRE - YOR",
        "F LON S A CLY - WAL",
        "F LON S A CLY - YOR",
        "F LON S A DEN - WAL",
        "F LON S A DEN - YOR",
        "F LON S A EDI - WAL",
        "F LON S A EDI - YOR",
        "F LON S A GAS - WAL",
        "F LON S A GAS - YOR",
        "F LON S A HOL - WAL",
        "F LON S A HOL - YOR",
        "F LON S A KIE - WAL",
        "F LON S A KIE - YOR",
        "F LON S A LVP - WAL",
        "F LON S A LVP - YOR",
        "F LON S A MAR - WAL",
        "F LON S A NAF - WAL",
        "F LON S A NAF - YOR",
        "F LON S A NAP - WAL",
        "F LON S A NWY - WAL",
        "F LON S A NWY - YOR",
        "F LON S A PIC - WAL",
        "F LON S A PIC - YOR",
        "F LON S A PIE - WAL",
        "F LON S A POR - WAL",
        "F LON S A POR - YOR",
        "F LON S A ROM - WAL",
        "F LON S A SPA - WAL",
        "F LON S A SPA - YOR",
        "F LON S A STP - WAL",
        "F LON S A STP - YOR",
        "F LON S A SWE - WAL",
        "F LON S A SWE - YOR",
        "F LON S A TUN - WAL",
        "F LON S A TUN - YOR",
        "F LON S A TUS - WAL",
        "F LON S A WAL",
        "F LON S A WAL - YOR",
        "F LON S A YOR",
        "F LON S A YOR - WAL",
        "F LON S F BEL - ENG",
        "F LON S F BEL - NTH",
        "F LON S F BRE - ENG",
        "F LON S F DEN - NTH",
        "F LON S F EDI - NTH",
        "F LON S F EDI - YOR",
        "F LON S F ENG",
        "F LON S F ENG - NTH",
        "F LON S F ENG - WAL",
        "F LON S F HEL - NTH",
        "F LON S F HOL - NTH",
        "F LON S F IRI - ENG",
        "F LON S F IRI - WAL",
        "F LON S F LVP - WAL",
        "F LON S F MAO - ENG",
        "F LON S F NTH",
        "F LON S F NTH - ENG",
        "F LON S F NTH - YOR",
        "F LON S F NWG - NTH",
        "F LON S F NWY - NTH",
        "F LON S F PIC - ENG",
        "F LON S F SKA - NTH",
        "F LON S F WAL",
        "F LON S F WAL - ENG",
        "F LON S F YOR",
        "F LON S F YOR - NTH",
        "F LVN - BAL",
        "F LVN - BOT",
        "F LVN - PRU",
        "F LVN - STP/SC",
        "F LVN D",
        "F LVN H",
        "F LVN R BAL",
        "F LVN R BOT",
        "F LVN R PRU",
        "F LVN R STP/SC",
        "F LVN S A BEL - STP",
        "F LVN S A BER - PRU",
        "F LVN S A BER - STP",
        "F LVN S A BRE - STP",
        "F LVN S A CLY - STP",
        "F LVN S A DEN - PRU",
        "F LVN S A DEN - STP",
        "F LVN S A EDI - STP",
        "F LVN S A FIN - PRU",
        "F LVN S A FIN - STP",
        "F LVN S A GAS - STP",
        "F LVN S A HOL - STP",
        "F LVN S A KIE - PRU",
        "F LVN S A KIE - STP",
        "F LVN S A LON - STP",
        "F LVN S A LVP - STP",
        "F LVN S A MOS - STP",
        "F LVN S A NAF - STP",
        "F LVN S A NWY - STP",
        "F LVN S A PIC - STP",
        "F LVN S A POR - STP",
        "F LVN S A PRU",
        "F LVN S A PRU - STP",
        "F LVN S A SIL - PRU",
        "F LVN S A SPA - STP",
        "F LVN S A STP",
        "F LVN S A STP - PRU",
        "F LVN S A SWE - PRU",
        "F LVN S A SWE - STP",
        "F LVN S A WAL - STP",
        "F LVN S A WAR - PRU",
        "F LVN S A YOR - STP",
        "F LVN S F BAL",
        "F LVN S F BAL - BOT",
        "F LVN S F BAL - PRU",
        "F LVN S F BAR - STP",
        "F LVN S F BAR - STP/NC",
        "F LVN S F BAR - STP/SC",
        "F LVN S F BER - BAL",
        "F LVN S F BER - PRU",
        "F LVN S F BOT",
        "F LVN S F BOT - BAL",
        "F LVN S F BOT - STP",
        "F LVN S F BOT - STP/NC",
        "F LVN S F BOT - STP/SC",
        "F LVN S F DEN - BAL",
        "F LVN S F FIN - BOT",
        "F LVN S F FIN - STP",
        "F LVN S F FIN - STP/NC",
        "F LVN S F FIN - STP/SC",
        "F LVN S F KIE - BAL",
        "F LVN S F NWY - STP",
        "F LVN S F NWY - STP/NC",
        "F LVN S F NWY - STP/SC",
        "F LVN S F PRU",
        "F LVN S F PRU - BAL",
        "F LVN S F STP/NC",
        "F LVN S F STP/SC",
        "F LVN S F STP/SC - BOT",
        "F LVN S F SWE - BAL",
        "F LVN S F SWE - BOT",
        "F LVP - CLY",
        "F LVP - IRI",
        "F LVP - NAO",
        "F LVP - WAL",
        "F LVP B",
        "F LVP D",
        "F LVP H",
        "F LVP R CLY",
        "F LVP R IRI",
        "F LVP R NAO",
        "F LVP R WAL",
        "F LVP S A BEL - CLY",
        "F LVP S A BEL - WAL",
        "F LVP S A BRE - CLY",
        "F LVP S A BRE - WAL",
        "F LVP S A CLY",
        "F LVP S A CLY - WAL",
        "F LVP S A DEN - CLY",
        "F LVP S A DEN - WAL",
        "F LVP S A EDI - CLY",
        "F LVP S A EDI - WAL",
        "F LVP S A GAS - CLY",
        "F LVP S A GAS - WAL",
        "F LVP S A HOL - CLY",
        "F LVP S A HOL - WAL",
        "F LVP S A KIE - CLY",
        "F LVP S A KIE - WAL",
        "F LVP S A LON - CLY",
        "F LVP S A LON - WAL",
        "F LVP S A MAR - CLY",
        "F LVP S A MAR - WAL",
        "F LVP S A NAF - CLY",
        "F LVP S A NAF - WAL",
        "F LVP S A NAP - CLY",
        "F LVP S A NAP - WAL",
        "F LVP S A NWY - CLY",
        "F LVP S A NWY - WAL",
        "F LVP S A PIC - CLY",
        "F LVP S A PIC - WAL",
        "F LVP S A PIE - CLY",
        "F LVP S A PIE - WAL",
        "F LVP S A POR - CLY",
        "F LVP S A POR - WAL",
        "F LVP S A ROM - CLY",
        "F LVP S A ROM - WAL",
        "F LVP S A SPA - CLY",
        "F LVP S A SPA - WAL",
        "F LVP S A STP - CLY",
        "F LVP S A STP - WAL",
        "F LVP S A SWE - CLY",
        "F LVP S A SWE - WAL",
        "F LVP S A TUN - CLY",
        "F LVP S A TUN - WAL",
        "F LVP S A TUS - CLY",
        "F LVP S A TUS - WAL",
        "F LVP S A WAL",
        "F LVP S A WAL - CLY",
        "F LVP S A YOR - CLY",
        "F LVP S A YOR - WAL",
        "F LVP S F CLY",
        "F LVP S F CLY - NAO",
        "F LVP S F EDI - CLY",
        "F LVP S F ENG - IRI",
        "F LVP S F ENG - WAL",
        "F LVP S F IRI",
        "F LVP S F IRI - NAO",
        "F LVP S F IRI - WAL",
        "F LVP S F LON - WAL",
        "F LVP S F MAO - IRI",
        "F LVP S F MAO - NAO",
        "F LVP S F NAO",
        "F LVP S F NAO - CLY",
        "F LVP S F NAO - IRI",
        "F LVP S F NWG - CLY",
        "F LVP S F NWG - NAO",
        "F LVP S F WAL",
        "F LVP S F WAL - IRI",
        "F LYO - MAR",
        "F LYO - PIE",
        "F LYO - SPA/SC",
        "F LYO - TUS",
        "F LYO - TYS",
        "F LYO - WES",
        "F LYO C A ALB - MAR",
        "F LYO C A ALB - PIE",
        "F LYO C A ALB - SPA",
        "F LYO C A APU - MAR",
        "F LYO C A APU - PIE",
        "F LYO C A APU - SPA",
        "F LYO C A BEL - MAR",
        "F LYO C A BEL - PIE",
        "F LYO C A BEL - TUS",
        "F LYO C A BRE - MAR",
        "F LYO C A BRE - PIE",
        "F LYO C A BRE - TUS",
        "F LYO C A BUL - MAR",
        "F LYO C A BUL - PIE",
        "F LYO C A BUL - SPA",
        "F LYO C A CLY - MAR",
        "F LYO C A CLY - PIE",
        "F LYO C A CLY - TUS",
        "F LYO C A CON - MAR",
        "F LYO C A CON - PIE",
        "F LYO C A CON - SPA",
        "F LYO C A GAS - MAR",
        "F LYO C A GAS - PIE",
        "F LYO C A GAS - TUS",
        "F LYO C A GRE - MAR",
        "F LYO C A GRE - PIE",
        "F LYO C A GRE - SPA",
        "F LYO C A LON - MAR",
        "F LYO C A LON - PIE",
        "F LYO C A LON - TUS",
        "F LYO C A LVP - MAR",
        "F LYO C A LVP - PIE",
        "F LYO C A LVP - TUS",
        "F LYO C A MAR - ALB",
        "F LYO C A MAR - APU",
        "F LYO C A MAR - BEL",
        "F LYO C A MAR - BRE",
        "F LYO C A MAR - BUL",
        "F LYO C A MAR - CLY",
        "F LYO C A MAR - CON",
        "F LYO C A MAR - GAS",
        "F LYO C A MAR - GRE",
        "F LYO C A MAR - LON",
        "F LYO C A MAR - LVP",
        "F LYO C A MAR - NAF",
        "F LYO C A MAR - NAP",
        "F LYO C A MAR - PIC",
        "F LYO C A MAR - PIE",
        "F LYO C A MAR - POR",
        "F LYO C A MAR - ROM",
        "F LYO C A MAR - SMY",
        "F LYO C A MAR - SPA",
        "F LYO C A MAR - SYR",
        "F LYO C A MAR - TRI",
        "F LYO C A MAR - TUN",
        "F LYO C A MAR - TUS",
        "F LYO C A MAR - VEN",
        "F LYO C A MAR - WAL",
        "F LYO C A NAF - MAR",
        "F LYO C A NAF - PIE",
        "F LYO C A NAF - TUS",
        "F LYO C A NAP - MAR",
        "F LYO C A NAP - PIE",
        "F LYO C A NAP - SPA",
        "F LYO C A PIC - MAR",
        "F LYO C A PIC - PIE",
        "F LYO C A PIC - TUS",
        "F LYO C A PIE - ALB",
        "F LYO C A PIE - APU",
        "F LYO C A PIE - BEL",
        "F LYO C A PIE - BRE",
        "F LYO C A PIE - BUL",
        "F LYO C A PIE - CLY",
        "F LYO C A PIE - CON",
        "F LYO C A PIE - GAS",
        "F LYO C A PIE - GRE",
        "F LYO C A PIE - LON",
        "F LYO C A PIE - LVP",
        "F LYO C A PIE - MAR",
        "F LYO C A PIE - NAF",
        "F LYO C A PIE - NAP",
        "F LYO C A PIE - PIC",
        "F LYO C A PIE - POR",
        "F LYO C A PIE - ROM",
        "F LYO C A PIE - SMY",
        "F LYO C A PIE - SPA",
        "F LYO C A PIE - SYR",
        "F LYO C A PIE - TRI",
        "F LYO C A PIE - TUN",
        "F LYO C A PIE - TUS",
        "F LYO C A PIE - VEN",
        "F LYO C A PIE - WAL",
        "F LYO C A POR - MAR",
        "F LYO C A POR - PIE",
        "F LYO C A POR - TUS",
        "F LYO C A ROM - MAR",
        "F LYO C A ROM - PIE",
        "F LYO C A ROM - SPA",
        "F LYO C A SMY - MAR",
        "F LYO C A SMY - PIE",
        "F LYO C A SMY - SPA",
        "F LYO C A SPA - ALB",
        "F LYO C A SPA - APU",
        "F LYO C A SPA - BUL",
        "F LYO C A SPA - CON",
        "F LYO C A SPA - GRE",
        "F LYO C A SPA - MAR",
        "F LYO C A SPA - NAP",
        "F LYO C A SPA - PIE",
        "F LYO C A SPA - ROM",
        "F LYO C A SPA - SMY",
        "F LYO C A SPA - SYR",
        "F LYO C A SPA - TRI",
        "F LYO C A SPA - TUN",
        "F LYO C A SPA - TUS",
        "F LYO C A SPA - VEN",
        "F LYO C A SYR - MAR",
        "F LYO C A SYR - PIE",
        "F LYO C A SYR - SPA",
        "F LYO C A TRI - MAR",
        "F LYO C A TRI - PIE",
        "F LYO C A TRI - SPA",
        "F LYO C A TUN - MAR",
        "F LYO C A TUN - PIE",
        "F LYO C A TUN - SPA",
        "F LYO C A TUN - TUS",
        "F LYO C A TUS - BEL",
        "F LYO C A TUS - BRE",
        "F LYO C A TUS - CLY",
        "F LYO C A TUS - GAS",
        "F LYO C A TUS - LON",
        "F LYO C A TUS - LVP",
        "F LYO C A TUS - MAR",
        "F LYO C A TUS - NAF",
        "F LYO C A TUS - PIC",
        "F LYO C A TUS - PIE",
        "F LYO C A TUS - POR",
        "F LYO C A TUS - SPA",
        "F LYO C A TUS - TUN",
        "F LYO C A TUS - WAL",
        "F LYO C A VEN - MAR",
        "F LYO C A VEN - PIE",
        "F LYO C A VEN - SPA",
        "F LYO C A WAL - MAR",
        "F LYO C A WAL - PIE",
        "F LYO C A WAL - TUS",
        "F LYO D",
        "F LYO H",
        "F LYO R MAR",
        "F LYO R PIE",
        "F LYO R SPA/SC",
        "F LYO R TUS",
        "F LYO R TYS",
        "F LYO R WES",
        "F LYO S A ALB - SPA",
        "F LYO S A ALB - TUS",
        "F LYO S A APU - SPA",
        "F LYO S A APU - TUS",
        "F LYO S A BEL - SPA",
        "F LYO S A BEL - TUS",
        "F LYO S A BRE - SPA",
        "F LYO S A BRE - TUS",
        "F LYO S A BUL - SPA",
        "F LYO S A BUL - TUS",
        "F LYO S A BUR - MAR",
        "F LYO S A CLY - SPA",
        "F LYO S A CLY - TUS",
        "F LYO S A CON - SPA",
        "F LYO S A CON - TUS",
        "F LYO S A DEN - SPA",
        "F LYO S A EDI - SPA",
        "F LYO S A GAS - MAR",
        "F LYO S A GAS - SPA",
        "F LYO S A GAS - TUS",
        "F LYO S A GRE - SPA",
        "F LYO S A GRE - TUS",
        "F LYO S A HOL - SPA",
        "F LYO S A KIE - SPA",
        "F LYO S A LON - SPA",
        "F LYO S A LON - TUS",
        "F LYO S A LVP - SPA",
        "F LYO S A LVP - TUS",
        "F LYO S A MAR",
        "F LYO S A MAR - PIE",
        "F LYO S A MAR - SPA",
        "F LYO S A NAF - SPA",
        "F LYO S A NAF - TUS",
        "F LYO S A NAP - SPA",
        "F LYO S A NAP - TUS",
        "F LYO S A NWY - SPA",
        "F LYO S A PIC - SPA",
        "F LYO S A PIC - TUS",
        "F LYO S A PIE",
        "F LYO S A PIE - MAR",
        "F LYO S A PIE - TUS",
        "F LYO S A POR - SPA",
        "F LYO S A POR - TUS",
        "F LYO S A ROM - SPA",
        "F LYO S A ROM - TUS",
        "F LYO S A SMY - SPA",
        "F LYO S A SMY - TUS",
        "F LYO S A SPA",
        "F LYO S A SPA - MAR",
        "F LYO S A SPA - TUS",
        "F LYO S A STP - SPA",
        "F LYO S A SWE - SPA",
        "F LYO S A SYR - SPA",
        "F LYO S A SYR - TUS",
        "F LYO S A TRI - SPA",
        "F LYO S A TRI - TUS",
        "F LYO S A TUN - SPA",
        "F LYO S A TUN - TUS",
        "F LYO S A TUS",
        "F LYO S A TUS - PIE",
        "F LYO S A TUS - SPA",
        "F LYO S A TYR - PIE",
        "F LYO S A VEN - PIE",
        "F LYO S A VEN - SPA",
        "F LYO S A VEN - TUS",
        "F LYO S A WAL - SPA",
        "F LYO S A WAL - TUS",
        "F LYO S A YOR - SPA",
        "F LYO S F GAS - SPA",
        "F LYO S F GAS - SPA/NC",
        "F LYO S F GAS - SPA/SC",
        "F LYO S F ION - TYS",
        "F LYO S F MAO - SPA",
        "F LYO S F MAO - SPA/NC",
        "F LYO S F MAO - SPA/SC",
        "F LYO S F MAO - WES",
        "F LYO S F MAR",
        "F LYO S F MAR - PIE",
        "F LYO S F MAR - SPA",
        "F LYO S F MAR - SPA/NC",
        "F LYO S F MAR - SPA/SC",
        "F LYO S F NAF - WES",
        "F LYO S F NAP - TYS",
        "F LYO S F PIE",
        "F LYO S F PIE - MAR",
        "F LYO S F PIE - TUS",
        "F LYO S F POR - SPA",
        "F LYO S F POR - SPA/NC",
        "F LYO S F POR - SPA/SC",
        "F LYO S F ROM - TUS",
        "F LYO S F ROM - TYS",
        "F LYO S F SPA/NC",
        "F LYO S F SPA/SC",
        "F LYO S F SPA/SC - MAR",
        "F LYO S F SPA/SC - WES",
        "F LYO S F TUN - TYS",
        "F LYO S F TUN - WES",
        "F LYO S F TUS",
        "F LYO S F TUS - PIE",
        "F LYO S F TUS - TYS",
        "F LYO S F TYS",
        "F LYO S F TYS - TUS",
        "F LYO S F TYS - WES",
        "F LYO S F WES",
        "F LYO S F WES - SPA",
        "F LYO S F WES - SPA/NC",
        "F LYO S F WES - SPA/SC",
        "F LYO S F WES - TYS",
        "F MAO - BRE",
        "F MAO - ENG",
        "F MAO - GAS",
        "F MAO - IRI",
        "F MAO - NAF",
        "F MAO - NAO",
        "F MAO - POR",
        "F MAO - SPA/NC",
        "F MAO - SPA/SC",
        "F MAO - WES",
        "F MAO C A ALB - BRE",
        "F MAO C A ALB - GAS",
        "F MAO C A ALB - POR",
        "F MAO C A APU - BRE",
        "F MAO C A APU - GAS",
        "F MAO C A APU - POR",
        "F MAO C A BEL - BRE",
        "F MAO C A BEL - CLY",
        "F MAO C A BEL - EDI",
        "F MAO C A BEL - GAS",
        "F MAO C A BEL - LVP",
        "F MAO C A BEL - MAR",
        "F MAO C A BEL - NAF",
        "F MAO C A BEL - NAP",
        "F MAO C A BEL - NWY",
        "F MAO C A BEL - PIE",
        "F MAO C A BEL - POR",
        "F MAO C A BEL - ROM",
        "F MAO C A BEL - SPA",
        "F MAO C A BEL - TUN",
        "F MAO C A BEL - TUS",
        "F MAO C A BRE - ALB",
        "F MAO C A BRE - APU",
        "F MAO C A BRE - BEL",
        "F MAO C A BRE - CLY",
        "F MAO C A BRE - DEN",
        "F MAO C A BRE - EDI",
        "F MAO C A BRE - GAS",
        "F MAO C A BRE - GRE",
        "F MAO C A BRE - HOL",
        "F MAO C A BRE - LON",
        "F MAO C A BRE - LVP",
        "F MAO C A BRE - MAR",
        "F MAO C A BRE - NAF",
        "F MAO C A BRE - NAP",
        "F MAO C A BRE - NWY",
        "F MAO C A BRE - PIE",
        "F MAO C A BRE - POR",
        "F MAO C A BRE - ROM",
        "F MAO C A BRE - SPA",
        "F MAO C A BRE - STP",
        "F MAO C A BRE - TUN",
        "F MAO C A BRE - TUS",
        "F MAO C A BRE - WAL",
        "F MAO C A BRE - YOR",
        "F MAO C A CLY - BEL",
        "F MAO C A CLY - BRE",
        "F MAO C A CLY - DEN",
        "F MAO C A CLY - EDI",
        "F MAO C A CLY - GAS",
        "F MAO C A CLY - HOL",
        "F MAO C A CLY - LON",
        "F MAO C A CLY - MAR",
        "F MAO C A CLY - NAF",
        "F MAO C A CLY - NAP",
        "F MAO C A CLY - NWY",
        "F MAO C A CLY - PIC",
        "F MAO C A CLY - PIE",
        "F MAO C A CLY - POR",
        "F MAO C A CLY - ROM",
        "F MAO C A CLY - SPA",
        "F MAO C A CLY - TUN",
        "F MAO C A CLY - TUS",
        "F MAO C A CLY - WAL",
        "F MAO C A CLY - YOR",
        "F MAO C A DEN - BRE",
        "F MAO C A DEN - CLY",
        "F MAO C A DEN - GAS",
        "F MAO C A DEN - LVP",
        "F MAO C A DEN - NAF",
        "F MAO C A DEN - POR",
        "F MAO C A DEN - SPA",
        "F MAO C A DEN - TUN",
        "F MAO C A EDI - BEL",
        "F MAO C A EDI - BRE",
        "F MAO C A EDI - CLY",
        "F MAO C A EDI - GAS",
        "F MAO C A EDI - LON",
        "F MAO C A EDI - LVP",
        "F MAO C A EDI - NAF",
        "F MAO C A EDI - PIC",
        "F MAO C A EDI - POR",
        "F MAO C A EDI - SPA",
        "F MAO C A EDI - TUN",
        "F MAO C A EDI - WAL",
        "F MAO C A GAS - ALB",
        "F MAO C A GAS - APU",
        "F MAO C A GAS - BEL",
        "F MAO C A GAS - BRE",
        "F MAO C A GAS - CLY",
        "F MAO C A GAS - DEN",
        "F MAO C A GAS - EDI",
        "F MAO C A GAS - GRE",
        "F MAO C A GAS - HOL",
        "F MAO C A GAS - KIE",
        "F MAO C A GAS - LON",
        "F MAO C A GAS - LVP",
        "F MAO C A GAS - MAR",
        "F MAO C A GAS - NAF",
        "F MAO C A GAS - NAP",
        "F MAO C A GAS - NWY",
        "F MAO C A GAS - PIC",
        "F MAO C A GAS - PIE",
        "F MAO C A GAS - POR",
        "F MAO C A GAS - ROM",
        "F MAO C A GAS - SPA",
        "F MAO C A GAS - STP",
        "F MAO C A GAS - SWE",
        "F MAO C A GAS - TUN",
        "F MAO C A GAS - TUS",
        "F MAO C A GAS - WAL",
        "F MAO C A GAS - YOR",
        "F MAO C A GRE - BRE",
        "F MAO C A GRE - GAS",
        "F MAO C A GRE - POR",
        "F MAO C A HOL - BRE",
        "F MAO C A HOL - CLY",
        "F MAO C A HOL - GAS",
        "F MAO C A HOL - LVP",
        "F MAO C A HOL - NAF",
        "F MAO C A HOL - POR",
        "F MAO C A HOL - SPA",
        "F MAO C A HOL - TUN",
        "F MAO C A KIE - GAS",
        "F MAO C A KIE - NAF",
        "F MAO C A KIE - POR",
        "F MAO C A KIE - SPA",
        "F MAO C A LON - BRE",
        "F MAO C A LON - CLY",
        "F MAO C A LON - EDI",
        "F MAO C A LON - GAS",
        "F MAO C A LON - LVP",
        "F MAO C A LON - MAR",
        "F MAO C A LON - NAF",
        "F MAO C A LON - NAP",
        "F MAO C A LON - NWY",
        "F MAO C A LON - PIE",
        "F MAO C A LON - POR",
        "F MAO C A LON - ROM",
        "F MAO C A LON - SPA",
        "F MAO C A LON - TUN",
        "F MAO C A LON - TUS",
        "F MAO C A LVP - BEL",
        "F MAO C A LVP - BRE",
        "F MAO C A LVP - DEN",
        "F MAO C A LVP - EDI",
        "F MAO C A LVP - GAS",
        "F MAO C A LVP - HOL",
        "F MAO C A LVP - LON",
        "F MAO C A LVP - MAR",
        "F MAO C A LVP - NAF",
        "F MAO C A LVP - NAP",
        "F MAO C A LVP - NWY",
        "F MAO C A LVP - PIC",
        "F MAO C A LVP - PIE",
        "F MAO C A LVP - POR",
        "F MAO C A LVP - ROM",
        "F MAO C A LVP - SPA",
        "F MAO C A LVP - TUN",
        "F MAO C A LVP - TUS",
        "F MAO C A LVP - WAL",
        "F MAO C A LVP - YOR",
        "F MAO C A MAR - BEL",
        "F MAO C A MAR - BRE",
        "F MAO C A MAR - CLY",
        "F MAO C A MAR - GAS",
        "F MAO C A MAR - LON",
        "F MAO C A MAR - LVP",
        "F MAO C A MAR - PIC",
        "F MAO C A MAR - POR",
        "F MAO C A MAR - WAL",
        "F MAO C A NAF - BEL",
        "F MAO C A NAF - BRE",
        "F MAO C A NAF - CLY",
        "F MAO C A NAF - DEN",
        "F MAO C A NAF - EDI",
        "F MAO C A NAF - GAS",
        "F MAO C A NAF - HOL",
        "F MAO C A NAF - KIE",
        "F MAO C A NAF - LON",
        "F MAO C A NAF - LVP",
        "F MAO C A NAF - NWY",
        "F MAO C A NAF - PIC",
        "F MAO C A NAF - POR",
        "F MAO C A NAF - SPA",
        "F MAO C A NAF - STP",
        "F MAO C A NAF - SWE",
        "F MAO C A NAF - WAL",
        "F MAO C A NAF - YOR",
        "F MAO C A NAP - BEL",
        "F MAO C A NAP - BRE",
        "F MAO C A NAP - CLY",
        "F MAO C A NAP - GAS",
        "F MAO C A NAP - LON",
        "F MAO C A NAP - LVP",
        "F MAO C A NAP - PIC",
        "F MAO C A NAP - POR",
        "F MAO C A NAP - WAL",
        "F MAO C A NWY - BEL",
        "F MAO C A NWY - BRE",
        "F MAO C A NWY - CLY",
        "F MAO C A NWY - GAS",
        "F MAO C A NWY - LON",
        "F MAO C A NWY - LVP",
        "F MAO C A NWY - NAF",
        "F MAO C A NWY - PIC",
        "F MAO C A NWY - POR",
        "F MAO C A NWY - SPA",
        "F MAO C A NWY - TUN",
        "F MAO C A NWY - WAL",
        "F MAO C A PIC - CLY",
        "F MAO C A PIC - EDI",
        "F MAO C A PIC - GAS",
        "F MAO C A PIC - LVP",
        "F MAO C A PIC - MAR",
        "F MAO C A PIC - NAF",
        "F MAO C A PIC - NAP",
        "F MAO C A PIC - NWY",
        "F MAO C A PIC - PIE",
        "F MAO C A PIC - POR",
        "F MAO C A PIC - ROM",
        "F MAO C A PIC - SPA",
        "F MAO C A PIC - TUN",
        "F MAO C A PIC - TUS",
        "F MAO C A PIE - BEL",
        "F MAO C A PIE - BRE",
        "F MAO C A PIE - CLY",
        "F MAO C A PIE - GAS",
        "F MAO C A PIE - LON",
        "F MAO C A PIE - LVP",
        "F MAO C A PIE - PIC",
        "F MAO C A PIE - POR",
        "F MAO C A PIE - WAL",
        "F MAO C A POR - ALB",
        "F MAO C A POR - APU",
        "F MAO C A POR - BEL",
        "F MAO C A POR - BRE",
        "F MAO C A POR - CLY",
        "F MAO C A POR - DEN",
        "F MAO C A POR - EDI",
        "F MAO C A POR - GAS",
        "F MAO C A POR - GRE",
        "F MAO C A POR - HOL",
        "F MAO C A POR - KIE",
        "F MAO C A POR - LON",
        "F MAO C A POR - LVP",
        "F MAO C A POR - MAR",
        "F MAO C A POR - NAF",
        "F MAO C A POR - NAP",
        "F MAO C A POR - NWY",
        "F MAO C A POR - PIC",
        "F MAO C A POR - PIE",
        "F MAO C A POR - ROM",
        "F MAO C A POR - SPA",
        "F MAO C A POR - STP",
        "F MAO C A POR - SWE",
        "F MAO C A POR - TUN",
        "F MAO C A POR - TUS",
        "F MAO C A POR - WAL",
        "F MAO C A POR - YOR",
        "F MAO C A ROM - BEL",
        "F MAO C A ROM - BRE",
        "F MAO C A ROM - CLY",
        "F MAO C A ROM - GAS",
        "F MAO C A ROM - LON",
        "F MAO C A ROM - LVP",
        "F MAO C A ROM - PIC",
        "F MAO C A ROM - POR",
        "F MAO C A ROM - WAL",
        "F MAO C A SPA - BEL",
        "F MAO C A SPA - BRE",
        "F MAO C A SPA - CLY",
        "F MAO C A SPA - DEN",
        "F MAO C A SPA - EDI",
        "F MAO C A SPA - GAS",
        "F MAO C A SPA - HOL",
        "F MAO C A SPA - KIE",
        "F MAO C A SPA - LON",
        "F MAO C A SPA - LVP",
        "F MAO C A SPA - NAF",
        "F MAO C A SPA - NWY",
        "F MAO C A SPA - PIC",
        "F MAO C A SPA - POR",
        "F MAO C A SPA - STP",
        "F MAO C A SPA - SWE",
        "F MAO C A SPA - WAL",
        "F MAO C A SPA - YOR",
        "F MAO C A STP - BRE",
        "F MAO C A STP - GAS",
        "F MAO C A STP - NAF",
        "F MAO C A STP - POR",
        "F MAO C A STP - SPA",
        "F MAO C A SWE - GAS",
        "F MAO C A SWE - NAF",
        "F MAO C A SWE - POR",
        "F MAO C A SWE - SPA",
        "F MAO C A TUN - BEL",
        "F MAO C A TUN - BRE",
        "F MAO C A TUN - CLY",
        "F MAO C A TUN - DEN",
        "F MAO C A TUN - EDI",
        "F MAO C A TUN - GAS",
        "F MAO C A TUN - HOL",
        "F MAO C A TUN - LON",
        "F MAO C A TUN - LVP",
        "F MAO C A TUN - NWY",
        "F MAO C A TUN - PIC",
        "F MAO C A TUN - POR",
        "F MAO C A TUN - WAL",
        "F MAO C A TUN - YOR",
        "F MAO C A TUS - BEL",
        "F MAO C A TUS - BRE",
        "F MAO C A TUS - CLY",
        "F MAO C A TUS - GAS",
        "F MAO C A TUS - LON",
        "F MAO C A TUS - LVP",
        "F MAO C A TUS - PIC",
        "F MAO C A TUS - POR",
        "F MAO C A TUS - WAL",
        "F MAO C A WAL - BRE",
        "F MAO C A WAL - CLY",
        "F MAO C A WAL - EDI",
        "F MAO C A WAL - GAS",
        "F MAO C A WAL - LVP",
        "F MAO C A WAL - MAR",
        "F MAO C A WAL - NAF",
        "F MAO C A WAL - NAP",
        "F MAO C A WAL - NWY",
        "F MAO C A WAL - PIE",
        "F MAO C A WAL - POR",
        "F MAO C A WAL - ROM",
        "F MAO C A WAL - SPA",
        "F MAO C A WAL - TUN",
        "F MAO C A WAL - TUS",
        "F MAO C A YOR - BRE",
        "F MAO C A YOR - CLY",
        "F MAO C A YOR - GAS",
        "F MAO C A YOR - LVP",
        "F MAO C A YOR - NAF",
        "F MAO C A YOR - POR",
        "F MAO C A YOR - SPA",
        "F MAO C A YOR - TUN",
        "F MAO D",
        "F MAO H",
        "F MAO R BRE",
        "F MAO R ENG",
        "F MAO R GAS",
        "F MAO R IRI",
        "F MAO R NAF",
        "F MAO R NAO",
        "F MAO R POR",
        "F MAO R SPA/NC",
        "F MAO R SPA/SC",
        "F MAO R WES",
        "F MAO S A ALB - NAF",
        "F MAO S A ALB - SPA",
        "F MAO S A APU - NAF",
        "F MAO S A APU - SPA",
        "F MAO S A BEL - BRE",
        "F MAO S A BRE",
        "F MAO S A BRE - GAS",
        "F MAO S A BUL - NAF",
        "F MAO S A BUL - SPA",
        "F MAO S A BUR - GAS",
        "F MAO S A CLY - BRE",
        "F MAO S A CON - NAF",
        "F MAO S A CON - SPA",
        "F MAO S A DEN - BRE",
        "F MAO S A EDI - BRE",
        "F MAO S A GAS",
        "F MAO S A GAS - BRE",
        "F MAO S A GAS - SPA",
        "F MAO S A GRE - NAF",
        "F MAO S A GRE - SPA",
        "F MAO S A HOL - BRE",
        "F MAO S A KIE - BRE",
        "F MAO S A LON - BRE",
        "F MAO S A LVP - BRE",
        "F MAO S A MAR - GAS",
        "F MAO S A MAR - NAF",
        "F MAO S A MAR - SPA",
        "F MAO S A NAF",
        "F MAO S A NAF - SPA",
        "F MAO S A NAP - NAF",
        "F MAO S A NAP - SPA",
        "F MAO S A NWY - BRE",
        "F MAO S A PAR - BRE",
        "F MAO S A PAR - GAS",
        "F MAO S A PIC - BRE",
        "F MAO S A PIE - NAF",
        "F MAO S A PIE - SPA",
        "F MAO S A POR",
        "F MAO S A POR - SPA",
        "F MAO S A ROM - NAF",
        "F MAO S A ROM - SPA",
        "F MAO S A SMY - NAF",
        "F MAO S A SMY - SPA",
        "F MAO S A SPA",
        "F MAO S A SPA - GAS",
        "F MAO S A SPA - NAF",
        "F MAO S A SPA - POR",
        "F MAO S A STP - BRE",
        "F MAO S A SWE - BRE",
        "F MAO S A SYR - NAF",
        "F MAO S A SYR - SPA",
        "F MAO S A TRI - NAF",
        "F MAO S A TRI - SPA",
        "F MAO S A TUN - NAF",
        "F MAO S A TUN - SPA",
        "F MAO S A TUS - NAF",
        "F MAO S A TUS - SPA",
        "F MAO S A VEN - NAF",
        "F MAO S A VEN - SPA",
        "F MAO S A WAL - BRE",
        "F MAO S A YOR - BRE",
        "F MAO S F BEL - ENG",
        "F MAO S F BRE",
        "F MAO S F BRE - ENG",
        "F MAO S F BRE - GAS",
        "F MAO S F CLY - NAO",
        "F MAO S F ENG",
        "F MAO S F ENG - BRE",
        "F MAO S F ENG - IRI",
        "F MAO S F GAS",
        "F MAO S F GAS - BRE",
        "F MAO S F GAS - SPA",
        "F MAO S F GAS - SPA/NC",
        "F MAO S F GAS - SPA/SC",
        "F MAO S F IRI",
        "F MAO S F IRI - ENG",
        "F MAO S F IRI - NAO",
        "F MAO S F LON - ENG",
        "F MAO S F LVP - IRI",
        "F MAO S F LVP - NAO",
        "F MAO S F LYO - SPA",
        "F MAO S F LYO - SPA/NC",
        "F MAO S F LYO - SPA/SC",
        "F MAO S F LYO - WES",
        "F MAO S F MAR - SPA",
        "F MAO S F MAR - SPA/NC",
        "F MAO S F MAR - SPA/SC",
        "F MAO S F NAF",
        "F MAO S F NAF - WES",
        "F MAO S F NAO",
        "F MAO S F NAO - IRI",
        "F MAO S F NTH - ENG",
        "F MAO S F NWG - NAO",
        "F MAO S F PIC - BRE",
        "F MAO S F PIC - ENG",
        "F MAO S F POR",
        "F MAO S F POR - SPA",
        "F MAO S F POR - SPA/NC",
        "F MAO S F POR - SPA/SC",
        "F MAO S F SPA/NC",
        "F MAO S F SPA/NC - GAS",
        "F MAO S F SPA/NC - POR",
        "F MAO S F SPA/SC",
        "F MAO S F SPA/SC - POR",
        "F MAO S F SPA/SC - WES",
        "F MAO S F TUN - NAF",
        "F MAO S F TUN - WES",
        "F MAO S F TYS - WES",
        "F MAO S F WAL - ENG",
        "F MAO S F WAL - IRI",
        "F MAO S F WES",
        "F MAO S F WES - NAF",
        "F MAO S F WES - SPA",
        "F MAO S F WES - SPA/NC",
        "F MAO S F WES - SPA/SC",
        "F MAR - LYO",
        "F MAR - PIE",
        "F MAR - SPA/SC",
        "F MAR B",
        "F MAR D",
        "F MAR H",
        "F MAR R LYO",
        "F MAR R PIE",
        "F MAR R SPA/SC",
        "F MAR S A ALB - PIE",
        "F MAR S A ALB - SPA",
        "F MAR S A APU - PIE",
        "F MAR S A APU - SPA",
        "F MAR S A BEL - PIE",
        "F MAR S A BEL - SPA",
        "F MAR S A BRE - PIE",
        "F MAR S A BRE - SPA",
        "F MAR S A BUL - PIE",
        "F MAR S A BUL - SPA",
        "F MAR S A CLY - PIE",
        "F MAR S A CLY - SPA",
        "F MAR S A CON - PIE",
        "F MAR S A CON - SPA",
        "F MAR S A DEN - SPA",
        "F MAR S A EDI - SPA",
        "F MAR S A GAS - PIE",
        "F MAR S A GAS - SPA",
        "F MAR S A GRE - PIE",
        "F MAR S A GRE - SPA",
        "F MAR S A HOL - SPA",
        "F MAR S A KIE - SPA",
        "F MAR S A LON - PIE",
        "F MAR S A LON - SPA",
        "F MAR S A LVP - PIE",
        "F MAR S A LVP - SPA",
        "F MAR S A NAF - PIE",
        "F MAR S A NAF - SPA",
        "F MAR S A NAP - PIE",
        "F MAR S A NAP - SPA",
        "F MAR S A NWY - SPA",
        "F MAR S A PIC - PIE",
        "F MAR S A PIC - SPA",
        "F MAR S A PIE",
        "F MAR S A PIE - SPA",
        "F MAR S A POR - PIE",
        "F MAR S A POR - SPA",
        "F MAR S A ROM - PIE",
        "F MAR S A ROM - SPA",
        "F MAR S A SMY - PIE",
        "F MAR S A SMY - SPA",
        "F MAR S A SPA",
        "F MAR S A SPA - PIE",
        "F MAR S A STP - SPA",
        "F MAR S A SWE - SPA",
        "F MAR S A SYR - PIE",
        "F MAR S A SYR - SPA",
        "F MAR S A TRI - PIE",
        "F MAR S A TRI - SPA",
        "F MAR S A TUN - PIE",
        "F MAR S A TUN - SPA",
        "F MAR S A TUS - PIE",
        "F MAR S A TUS - SPA",
        "F MAR S A TYR - PIE",
        "F MAR S A VEN - PIE",
        "F MAR S A VEN - SPA",
        "F MAR S A WAL - PIE",
        "F MAR S A WAL - SPA",
        "F MAR S A YOR - SPA",
        "F MAR S F GAS - SPA",
        "F MAR S F GAS - SPA/NC",
        "F MAR S F GAS - SPA/SC",
        "F MAR S F LYO",
        "F MAR S F LYO - PIE",
        "F MAR S F LYO - SPA",
        "F MAR S F LYO - SPA/NC",
        "F MAR S F LYO - SPA/SC",
        "F MAR S F MAO - SPA",
        "F MAR S F MAO - SPA/NC",
        "F MAR S F MAO - SPA/SC",
        "F MAR S F PIE",
        "F MAR S F PIE - LYO",
        "F MAR S F POR - SPA",
        "F MAR S F POR - SPA/NC",
        "F MAR S F POR - SPA/SC",
        "F MAR S F SPA/NC",
        "F MAR S F SPA/SC",
        "F MAR S F SPA/SC - LYO",
        "F MAR S F TUS - LYO",
        "F MAR S F TUS - PIE",
        "F MAR S F TYS - LYO",
        "F MAR S F WES - LYO",
        "F MAR S F WES - SPA",
        "F MAR S F WES - SPA/NC",
        "F MAR S F WES - SPA/SC",
        "F NAF - MAO",
        "F NAF - TUN",
        "F NAF - WES",
        "F NAF D",
        "F NAF H",
        "F NAF R MAO",
        "F NAF R TUN",
        "F NAF R WES",
        "F NAF S A ALB - TUN",
        "F NAF S A APU - TUN",
        "F NAF S A BEL - TUN",
        "F NAF S A BRE - TUN",
        "F NAF S A BUL - TUN",
        "F NAF S A CLY - TUN",
        "F NAF S A CON - TUN",
        "F NAF S A DEN - TUN",
        "F NAF S A EDI - TUN",
        "F NAF S A GAS - TUN",
        "F NAF S A GRE - TUN",
        "F NAF S A HOL - TUN",
        "F NAF S A LON - TUN",
        "F NAF S A LVP - TUN",
        "F NAF S A MAR - TUN",
        "F NAF S A NAP - TUN",
        "F NAF S A NWY - TUN",
        "F NAF S A PIC - TUN",
        "F NAF S A PIE - TUN",
        "F NAF S A POR - TUN",
        "F NAF S A ROM - TUN",
        "F NAF S A SMY - TUN",
        "F NAF S A SPA - TUN",
        "F NAF S A SYR - TUN",
        "F NAF S A TRI - TUN",
        "F NAF S A TUN",
        "F NAF S A TUS - TUN",
        "F NAF S A VEN - TUN",
        "F NAF S A WAL - TUN",
        "F NAF S A YOR - TUN",
        "F NAF S F BRE - MAO",
        "F NAF S F ENG - MAO",
        "F NAF S F GAS - MAO",
        "F NAF S F ION - TUN",
        "F NAF S F IRI - MAO",
        "F NAF S F LYO - WES",
        "F NAF S F MAO",
        "F NAF S F MAO - WES",
        "F NAF S F NAO - MAO",
        "F NAF S F POR - MAO",
        "F NAF S F SPA/NC - MAO",
        "F NAF S F SPA/SC - MAO",
        "F NAF S F SPA/SC - WES",
        "F NAF S F TUN",
        "F NAF S F TUN - WES",
        "F NAF S F TYS - TUN",
        "F NAF S F TYS - WES",
        "F NAF S F WES",
        "F NAF S F WES - MAO",
        "F NAF S F WES - TUN",
        "F NAO - CLY",
        "F NAO - IRI",
        "F NAO - LVP",
        "F NAO - MAO",
        "F NAO - NWG",
        "F NAO C A BEL - BRE",
        "F NAO C A BEL - CLY",
        "F NAO C A BEL - EDI",
        "F NAO C A BEL - GAS",
        "F NAO C A BEL - LVP",
        "F NAO C A BEL - NAF",
        "F NAO C A BEL - NWY",
        "F NAO C A BEL - POR",
        "F NAO C A BEL - SPA",
        "F NAO C A BEL - WAL",
        "F NAO C A BRE - BEL",
        "F NAO C A BRE - CLY",
        "F NAO C A BRE - DEN",
        "F NAO C A BRE - EDI",
        "F NAO C A BRE - HOL",
        "F NAO C A BRE - LON",
        "F NAO C A BRE - LVP",
        "F NAO C A BRE - NWY",
        "F NAO C A BRE - STP",
        "F NAO C A BRE - YOR",
        "F NAO C A CLY - BEL",
        "F NAO C A CLY - BRE",
        "F NAO C A CLY - DEN",
        "F NAO C A CLY - EDI",
        "F NAO C A CLY - GAS",
        "F NAO C A CLY - HOL",
        "F NAO C A CLY - LON",
        "F NAO C A CLY - LVP",
        "F NAO C A CLY - MAR",
        "F NAO C A CLY - NAF",
        "F NAO C A CLY - NAP",
        "F NAO C A CLY - NWY",
        "F NAO C A CLY - PIC",
        "F NAO C A CLY - PIE",
        "F NAO C A CLY - POR",
        "F NAO C A CLY - ROM",
        "F NAO C A CLY - SPA",
        "F NAO C A CLY - TUN",
        "F NAO C A CLY - TUS",
        "F NAO C A CLY - WAL",
        "F NAO C A CLY - YOR",
        "F NAO C A DEN - BRE",
        "F NAO C A DEN - CLY",
        "F NAO C A DEN - GAS",
        "F NAO C A DEN - LVP",
        "F NAO C A DEN - NAF",
        "F NAO C A DEN - POR",
        "F NAO C A DEN - SPA",
        "F NAO C A DEN - WAL",
        "F NAO C A EDI - BEL",
        "F NAO C A EDI - BRE",
        "F NAO C A EDI - CLY",
        "F NAO C A EDI - GAS",
        "F NAO C A EDI - LON",
        "F NAO C A EDI - LVP",
        "F NAO C A EDI - NAF",
        "F NAO C A EDI - PIC",
        "F NAO C A EDI - POR",
        "F NAO C A EDI - SPA",
        "F NAO C A EDI - TUN",
        "F NAO C A EDI - WAL",
        "F NAO C A GAS - BEL",
        "F NAO C A GAS - CLY",
        "F NAO C A GAS - DEN",
        "F NAO C A GAS - EDI",
        "F NAO C A GAS - HOL",
        "F NAO C A GAS - LON",
        "F NAO C A GAS - LVP",
        "F NAO C A GAS - NWY",
        "F NAO C A GAS - STP",
        "F NAO C A GAS - YOR",
        "F NAO C A HOL - BRE",
        "F NAO C A HOL - CLY",
        "F NAO C A HOL - GAS",
        "F NAO C A HOL - LVP",
        "F NAO C A HOL - NAF",
        "F NAO C A HOL - POR",
        "F NAO C A HOL - SPA",
        "F NAO C A HOL - WAL",
        "F NAO C A KIE - LVP",
        "F NAO C A LON - BRE",
        "F NAO C A LON - CLY",
        "F NAO C A LON - EDI",
        "F NAO C A LON - GAS",
        "F NAO C A LON - LVP",
        "F NAO C A LON - NAF",
        "F NAO C A LON - NWY",
        "F NAO C A LON - POR",
        "F NAO C A LON - SPA",
        "F NAO C A LON - WAL",
        "F NAO C A LVP - BEL",
        "F NAO C A LVP - BRE",
        "F NAO C A LVP - CLY",
        "F NAO C A LVP - DEN",
        "F NAO C A LVP - EDI",
        "F NAO C A LVP - GAS",
        "F NAO C A LVP - HOL",
        "F NAO C A LVP - KIE",
        "F NAO C A LVP - LON",
        "F NAO C A LVP - MAR",
        "F NAO C A LVP - NAF",
        "F NAO C A LVP - NAP",
        "F NAO C A LVP - NWY",
        "F NAO C A LVP - PIC",
        "F NAO C A LVP - PIE",
        "F NAO C A LVP - POR",
        "F NAO C A LVP - ROM",
        "F NAO C A LVP - SPA",
        "F NAO C A LVP - STP",
        "F NAO C A LVP - SWE",
        "F NAO C A LVP - TUN",
        "F NAO C A LVP - TUS",
        "F NAO C A LVP - WAL",
        "F NAO C A LVP - YOR",
        "F NAO C A MAR - CLY",
        "F NAO C A MAR - LVP",
        "F NAO C A NAF - BEL",
        "F NAO C A NAF - CLY",
        "F NAO C A NAF - DEN",
        "F NAO C A NAF - EDI",
        "F NAO C A NAF - HOL",
        "F NAO C A NAF - LON",
        "F NAO C A NAF - LVP",
        "F NAO C A NAF - NWY",
        "F NAO C A NAF - STP",
        "F NAO C A NAF - YOR",
        "F NAO C A NAP - CLY",
        "F NAO C A NAP - LVP",
        "F NAO C A NWY - BEL",
        "F NAO C A NWY - BRE",
        "F NAO C A NWY - CLY",
        "F NAO C A NWY - GAS",
        "F NAO C A NWY - LON",
        "F NAO C A NWY - LVP",
        "F NAO C A NWY - NAF",
        "F NAO C A NWY - PIC",
        "F NAO C A NWY - POR",
        "F NAO C A NWY - SPA",
        "F NAO C A NWY - TUN",
        "F NAO C A NWY - WAL",
        "F NAO C A PIC - CLY",
        "F NAO C A PIC - EDI",
        "F NAO C A PIC - LVP",
        "F NAO C A PIC - NWY",
        "F NAO C A PIE - CLY",
        "F NAO C A PIE - LVP",
        "F NAO C A POR - BEL",
        "F NAO C A POR - CLY",
        "F NAO C A POR - DEN",
        "F NAO C A POR - EDI",
        "F NAO C A POR - HOL",
        "F NAO C A POR - LON",
        "F NAO C A POR - LVP",
        "F NAO C A POR - NWY",
        "F NAO C A POR - STP",
        "F NAO C A POR - YOR",
        "F NAO C A ROM - CLY",
        "F NAO C A ROM - LVP",
        "F NAO C A SPA - BEL",
        "F NAO C A SPA - CLY",
        "F NAO C A SPA - DEN",
        "F NAO C A SPA - EDI",
        "F NAO C A SPA - HOL",
        "F NAO C A SPA - LON",
        "F NAO C A SPA - LVP",
        "F NAO C A SPA - NWY",
        "F NAO C A SPA - STP",
        "F NAO C A SPA - YOR",
        "F NAO C A STP - BRE",
        "F NAO C A STP - GAS",
        "F NAO C A STP - LVP",
        "F NAO C A STP - NAF",
        "F NAO C A STP - POR",
        "F NAO C A STP - SPA",
        "F NAO C A STP - WAL",
        "F NAO C A SWE - LVP",
        "F NAO C A TUN - CLY",
        "F NAO C A TUN - EDI",
        "F NAO C A TUN - LVP",
        "F NAO C A TUN - NWY",
        "F NAO C A TUS - CLY",
        "F NAO C A TUS - LVP",
        "F NAO C A WAL - BEL",
        "F NAO C A WAL - CLY",
        "F NAO C A WAL - DEN",
        "F NAO C A WAL - EDI",
        "F NAO C A WAL - HOL",
        "F NAO C A WAL - LON",
        "F NAO C A WAL - LVP",
        "F NAO C A WAL - NWY",
        "F NAO C A WAL - STP",
        "F NAO C A WAL - YOR",
        "F NAO C A YOR - BRE",
        "F NAO C A YOR - CLY",
        "F NAO C A YOR - GAS",
        "F NAO C A YOR - LVP",
        "F NAO C A YOR - NAF",
        "F NAO C A YOR - POR",
        "F NAO C A YOR - SPA",
        "F NAO C A YOR - WAL",
        "F NAO D",
        "F NAO H",
        "F NAO R CLY",
        "F NAO R IRI",
        "F NAO R LVP",
        "F NAO R MAO",
        "F NAO R NWG",
        "F NAO S A BEL - CLY",
        "F NAO S A BEL - LVP",
        "F NAO S A BRE - CLY",
        "F NAO S A BRE - LVP",
        "F NAO S A CLY",
        "F NAO S A CLY - LVP",
        "F NAO S A DEN - CLY",
        "F NAO S A DEN - LVP",
        "F NAO S A EDI - CLY",
        "F NAO S A EDI - LVP",
        "F NAO S A GAS - CLY",
        "F NAO S A GAS - LVP",
        "F NAO S A HOL - CLY",
        "F NAO S A HOL - LVP",
        "F NAO S A KIE - CLY",
        "F NAO S A KIE - LVP",
        "F NAO S A LON - CLY",
        "F NAO S A LON - LVP",
        "F NAO S A LVP",
        "F NAO S A LVP - CLY",
        "F NAO S A MAR - LVP",
        "F NAO S A NAF - CLY",
        "F NAO S A NAF - LVP",
        "F NAO S A NAP - LVP",
        "F NAO S A NWY - CLY",
        "F NAO S A NWY - LVP",
        "F NAO S A PIC - CLY",
        "F NAO S A PIC - LVP",
        "F NAO S A PIE - LVP",
        "F NAO S A POR - CLY",
        "F NAO S A POR - LVP",
        "F NAO S A ROM - LVP",
        "F NAO S A SPA - CLY",
        "F NAO S A SPA - LVP",
        "F NAO S A STP - CLY",
        "F NAO S A SWE - CLY",
        "F NAO S A SWE - LVP",
        "F NAO S A TUN - LVP",
        "F NAO S A TUS - LVP",
        "F NAO S A WAL - CLY",
        "F NAO S A WAL - LVP",
        "F NAO S A YOR - CLY",
        "F NAO S A YOR - LVP",
        "F NAO S F BAR - NWG",
        "F NAO S F BRE - MAO",
        "F NAO S F CLY",
        "F NAO S F CLY - LVP",
        "F NAO S F CLY - NWG",
        "F NAO S F EDI - CLY",
        "F NAO S F EDI - NWG",
        "F NAO S F ENG - IRI",
        "F NAO S F ENG - MAO",
        "F NAO S F GAS - MAO",
        "F NAO S F IRI",
        "F NAO S F IRI - LVP",
        "F NAO S F IRI - MAO",
        "F NAO S F LVP",
        "F NAO S F LVP - CLY",
        "F NAO S F LVP - IRI",
        "F NAO S F MAO",
        "F NAO S F MAO - IRI",
        "F NAO S F NAF - MAO",
        "F NAO S F NTH - NWG",
        "F NAO S F NWG",
        "F NAO S F NWG - CLY",
        "F NAO S F NWY - NWG",
        "F NAO S F POR - MAO",
        "F NAO S F SPA/NC - MAO",
        "F NAO S F SPA/SC - MAO",
        "F NAO S F WAL - IRI",
        "F NAO S F WAL - LVP",
        "F NAO S F WES - MAO",
        "F NAP - APU",
        "F NAP - ION",
        "F NAP - ROM",
        "F NAP - TYS",
        "F NAP B",
        "F NAP B;F ROM B",
        "F NAP B;F ROM B;F VEN B",
        "F NAP B;F VEN B",
        "F NAP D",
        "F NAP H",
        "F NAP R APU",
        "F NAP R ION",
        "F NAP R ROM",
        "F NAP R TYS",
        "F NAP S A ALB - APU",
        "F NAP S A ALB - ROM",
        "F NAP S A APU",
        "F NAP S A APU - ROM",
        "F NAP S A BEL - ROM",
        "F NAP S A BRE - APU",
        "F NAP S A BRE - ROM",
        "F NAP S A BUL - APU",
        "F NAP S A BUL - ROM",
        "F NAP S A CLY - ROM",
        "F NAP S A CON - APU",
        "F NAP S A CON - ROM",
        "F NAP S A GAS - APU",
        "F NAP S A GAS - ROM",
        "F NAP S A GRE - APU",
        "F NAP S A GRE - ROM",
        "F NAP S A LON - ROM",
        "F NAP S A LVP - ROM",
        "F NAP S A MAR - APU",
        "F NAP S A MAR - ROM",
        "F NAP S A NAF - APU",
        "F NAP S A NAF - ROM",
        "F NAP S A PIC - ROM",
        "F NAP S A PIE - APU",
        "F NAP S A PIE - ROM",
        "F NAP S A POR - APU",
        "F NAP S A POR - ROM",
        "F NAP S A ROM",
        "F NAP S A ROM - APU",
        "F NAP S A SMY - APU",
        "F NAP S A SMY - ROM",
        "F NAP S A SPA - APU",
        "F NAP S A SPA - ROM",
        "F NAP S A SYR - APU",
        "F NAP S A SYR - ROM",
        "F NAP S A TRI - APU",
        "F NAP S A TRI - ROM",
        "F NAP S A TUN - APU",
        "F NAP S A TUN - ROM",
        "F NAP S A TUS - APU",
        "F NAP S A TUS - ROM",
        "F NAP S A VEN - APU",
        "F NAP S A VEN - ROM",
        "F NAP S A WAL - ROM",
        "F NAP S F ADR - APU",
        "F NAP S F ADR - ION",
        "F NAP S F AEG - ION",
        "F NAP S F ALB - ION",
        "F NAP S F APU",
        "F NAP S F APU - ION",
        "F NAP S F EAS - ION",
        "F NAP S F GRE - ION",
        "F NAP S F ION",
        "F NAP S F ION - APU",
        "F NAP S F ION - TYS",
        "F NAP S F LYO - TYS",
        "F NAP S F ROM",
        "F NAP S F ROM - TYS",
        "F NAP S F TUN - ION",
        "F NAP S F TUN - TYS",
        "F NAP S F TUS - ROM",
        "F NAP S F TUS - TYS",
        "F NAP S F TYS",
        "F NAP S F TYS - ION",
        "F NAP S F TYS - ROM",
        "F NAP S F VEN - APU",
        "F NAP S F WES - TYS",
        "F NTH - BEL",
        "F NTH - DEN",
        "F NTH - EDI",
        "F NTH - ENG",
        "F NTH - HEL",
        "F NTH - HOL",
        "F NTH - LON",
        "F NTH - NWG",
        "F NTH - NWY",
        "F NTH - SKA",
        "F NTH - YOR",
        "F NTH C A BEL - BRE",
        "F NTH C A BEL - CLY",
        "F NTH C A BEL - DEN",
        "F NTH C A BEL - EDI",
        "F NTH C A BEL - GAS",
        "F NTH C A BEL - HOL",
        "F NTH C A BEL - KIE",
        "F NTH C A BEL - LON",
        "F NTH C A BEL - LVP",
        "F NTH C A BEL - NAF",
        "F NTH C A BEL - NWY",
        "F NTH C A BEL - POR",
        "F NTH C A BEL - SPA",
        "F NTH C A BEL - STP",
        "F NTH C A BEL - SWE",
        "F NTH C A BEL - WAL",
        "F NTH C A BEL - YOR",
        "F NTH C A BRE - BEL",
        "F NTH C A BRE - CLY",
        "F NTH C A BRE - DEN",
        "F NTH C A BRE - EDI",
        "F NTH C A BRE - HOL",
        "F NTH C A BRE - KIE",
        "F NTH C A BRE - LON",
        "F NTH C A BRE - LVP",
        "F NTH C A BRE - NWY",
        "F NTH C A BRE - STP",
        "F NTH C A BRE - SWE",
        "F NTH C A BRE - YOR",
        "F NTH C A CLY - BEL",
        "F NTH C A CLY - BRE",
        "F NTH C A CLY - DEN",
        "F NTH C A CLY - EDI",
        "F NTH C A CLY - GAS",
        "F NTH C A CLY - HOL",
        "F NTH C A CLY - KIE",
        "F NTH C A CLY - LON",
        "F NTH C A CLY - LVP",
        "F NTH C A CLY - NAF",
        "F NTH C A CLY - NWY",
        "F NTH C A CLY - PIC",
        "F NTH C A CLY - POR",
        "F NTH C A CLY - SPA",
        "F NTH C A CLY - SWE",
        "F NTH C A CLY - WAL",
        "F NTH C A CLY - YOR",
        "F NTH C A DEN - BEL",
        "F NTH C A DEN - BRE",
        "F NTH C A DEN - CLY",
        "F NTH C A DEN - EDI",
        "F NTH C A DEN - GAS",
        "F NTH C A DEN - HOL",
        "F NTH C A DEN - LON",
        "F NTH C A DEN - LVP",
        "F NTH C A DEN - NAF",
        "F NTH C A DEN - NWY",
        "F NTH C A DEN - PIC",
        "F NTH C A DEN - POR",
        "F NTH C A DEN - SPA",
        "F NTH C A DEN - STP",
        "F NTH C A DEN - TUN",
        "F NTH C A DEN - WAL",
        "F NTH C A DEN - YOR",
        "F NTH C A EDI - BEL",
        "F NTH C A EDI - BRE",
        "F NTH C A EDI - CLY",
        "F NTH C A EDI - DEN",
        "F NTH C A EDI - GAS",
        "F NTH C A EDI - HOL",
        "F NTH C A EDI - KIE",
        "F NTH C A EDI - LON",
        "F NTH C A EDI - LVP",
        "F NTH C A EDI - NAF",
        "F NTH C A EDI - NWY",
        "F NTH C A EDI - PIC",
        "F NTH C A EDI - POR",
        "F NTH C A EDI - SPA",
        "F NTH C A EDI - SWE",
        "F NTH C A EDI - TUN",
        "F NTH C A EDI - WAL",
        "F NTH C A EDI - YOR",
        "F NTH C A GAS - BEL",
        "F NTH C A GAS - CLY",
        "F NTH C A GAS - DEN",
        "F NTH C A GAS - EDI",
        "F NTH C A GAS - HOL",
        "F NTH C A GAS - KIE",
        "F NTH C A GAS - LON",
        "F NTH C A GAS - NWY",
        "F NTH C A GAS - SWE",
        "F NTH C A GAS - YOR",
        "F NTH C A HOL - BEL",
        "F NTH C A HOL - BRE",
        "F NTH C A HOL - CLY",
        "F NTH C A HOL - DEN",
        "F NTH C A HOL - EDI",
        "F NTH C A HOL - GAS",
        "F NTH C A HOL - LON",
        "F NTH C A HOL - LVP",
        "F NTH C A HOL - NAF",
        "F NTH C A HOL - NWY",
        "F NTH C A HOL - PIC",
        "F NTH C A HOL - POR",
        "F NTH C A HOL - SPA",
        "F NTH C A HOL - STP",
        "F NTH C A HOL - SWE",
        "F NTH C A HOL - TUN",
        "F NTH C A HOL - WAL",
        "F NTH C A HOL - YOR",
        "F NTH C A KIE - BEL",
        "F NTH C A KIE - BRE",
        "F NTH C A KIE - CLY",
        "F NTH C A KIE - EDI",
        "F NTH C A KIE - GAS",
        "F NTH C A KIE - LON",
        "F NTH C A KIE - LVP",
        "F NTH C A KIE - NAF",
        "F NTH C A KIE - NWY",
        "F NTH C A KIE - PIC",
        "F NTH C A KIE - POR",
        "F NTH C A KIE - SPA",
        "F NTH C A KIE - STP",
        "F NTH C A KIE - SWE",
        "F NTH C A KIE - WAL",
        "F NTH C A KIE - YOR",
        "F NTH C A LON - BEL",
        "F NTH C A LON - BRE",
        "F NTH C A LON - CLY",
        "F NTH C A LON - DEN",
        "F NTH C A LON - EDI",
        "F NTH C A LON - GAS",
        "F NTH C A LON - HOL",
        "F NTH C A LON - KIE",
        "F NTH C A LON - LVP",
        "F NTH C A LON - NAF",
        "F NTH C A LON - NWY",
        "F NTH C A LON - POR",
        "F NTH C A LON - SPA",
        "F NTH C A LON - STP",
        "F NTH C A LON - SWE",
        "F NTH C A LON - WAL",
        "F NTH C A LON - YOR",
        "F NTH C A LVP - BEL",
        "F NTH C A LVP - BRE",
        "F NTH C A LVP - CLY",
        "F NTH C A LVP - DEN",
        "F NTH C A LVP - EDI",
        "F NTH C A LVP - HOL",
        "F NTH C A LVP - KIE",
        "F NTH C A LVP - LON",
        "F NTH C A LVP - NWY",
        "F NTH C A LVP - PIC",
        "F NTH C A LVP - SWE",
        "F NTH C A LVP - WAL",
        "F NTH C A LVP - YOR",
        "F NTH C A NAF - BEL",
        "F NTH C A NAF - CLY",
        "F NTH C A NAF - DEN",
        "F NTH C A NAF - EDI",
        "F NTH C A NAF - HOL",
        "F NTH C A NAF - KIE",
        "F NTH C A NAF - LON",
        "F NTH C A NAF - NWY",
        "F NTH C A NAF - SWE",
        "F NTH C A NAF - YOR",
        "F NTH C A NWY - BEL",
        "F NTH C A NWY - BRE",
        "F NTH C A NWY - CLY",
        "F NTH C A NWY - DEN",
        "F NTH C A NWY - EDI",
        "F NTH C A NWY - GAS",
        "F NTH C A NWY - HOL",
        "F NTH C A NWY - KIE",
        "F NTH C A NWY - LON",
        "F NTH C A NWY - LVP",
        "F NTH C A NWY - NAF",
        "F NTH C A NWY - PIC",
        "F NTH C A NWY - POR",
        "F NTH C A NWY - SPA",
        "F NTH C A NWY - TUN",
        "F NTH C A NWY - WAL",
        "F NTH C A NWY - YOR",
        "F NTH C A PIC - CLY",
        "F NTH C A PIC - DEN",
        "F NTH C A PIC - EDI",
        "F NTH C A PIC - HOL",
        "F NTH C A PIC - KIE",
        "F NTH C A PIC - LVP",
        "F NTH C A PIC - NWY",
        "F NTH C A PIC - STP",
        "F NTH C A PIC - SWE",
        "F NTH C A PIC - YOR",
        "F NTH C A POR - BEL",
        "F NTH C A POR - CLY",
        "F NTH C A POR - DEN",
        "F NTH C A POR - EDI",
        "F NTH C A POR - HOL",
        "F NTH C A POR - KIE",
        "F NTH C A POR - LON",
        "F NTH C A POR - NWY",
        "F NTH C A POR - SWE",
        "F NTH C A POR - YOR",
        "F NTH C A SPA - BEL",
        "F NTH C A SPA - CLY",
        "F NTH C A SPA - DEN",
        "F NTH C A SPA - EDI",
        "F NTH C A SPA - HOL",
        "F NTH C A SPA - KIE",
        "F NTH C A SPA - LON",
        "F NTH C A SPA - NWY",
        "F NTH C A SPA - SWE",
        "F NTH C A SPA - YOR",
        "F NTH C A STP - BEL",
        "F NTH C A STP - BRE",
        "F NTH C A STP - DEN",
        "F NTH C A STP - HOL",
        "F NTH C A STP - KIE",
        "F NTH C A STP - LON",
        "F NTH C A STP - PIC",
        "F NTH C A STP - SWE",
        "F NTH C A STP - WAL",
        "F NTH C A STP - YOR",
        "F NTH C A SWE - BEL",
        "F NTH C A SWE - BRE",
        "F NTH C A SWE - CLY",
        "F NTH C A SWE - EDI",
        "F NTH C A SWE - GAS",
        "F NTH C A SWE - HOL",
        "F NTH C A SWE - KIE",
        "F NTH C A SWE - LON",
        "F NTH C A SWE - LVP",
        "F NTH C A SWE - NAF",
        "F NTH C A SWE - PIC",
        "F NTH C A SWE - POR",
        "F NTH C A SWE - SPA",
        "F NTH C A SWE - STP",
        "F NTH C A SWE - WAL",
        "F NTH C A SWE - YOR",
        "F NTH C A TUN - DEN",
        "F NTH C A TUN - EDI",
        "F NTH C A TUN - HOL",
        "F NTH C A TUN - NWY",
        "F NTH C A TUN - YOR",
        "F NTH C A WAL - BEL",
        "F NTH C A WAL - CLY",
        "F NTH C A WAL - DEN",
        "F NTH C A WAL - EDI",
        "F NTH C A WAL - HOL",
        "F NTH C A WAL - KIE",
        "F NTH C A WAL - LON",
        "F NTH C A WAL - LVP",
        "F NTH C A WAL - NWY",
        "F NTH C A WAL - STP",
        "F NTH C A WAL - SWE",
        "F NTH C A WAL - YOR",
        "F NTH C A YOR - BEL",
        "F NTH C A YOR - BRE",
        "F NTH C A YOR - CLY",
        "F NTH C A YOR - DEN",
        "F NTH C A YOR - EDI",
        "F NTH C A YOR - GAS",
        "F NTH C A YOR - HOL",
        "F NTH C A YOR - KIE",
        "F NTH C A YOR - LON",
        "F NTH C A YOR - LVP",
        "F NTH C A YOR - NAF",
        "F NTH C A YOR - NWY",
        "F NTH C A YOR - PIC",
        "F NTH C A YOR - POR",
        "F NTH C A YOR - SPA",
        "F NTH C A YOR - STP",
        "F NTH C A YOR - SWE",
        "F NTH C A YOR - TUN",
        "F NTH C A YOR - WAL",
        "F NTH D",
        "F NTH H",
        "F NTH R BEL",
        "F NTH R DEN",
        "F NTH R EDI",
        "F NTH R ENG",
        "F NTH R HEL",
        "F NTH R HOL",
        "F NTH R LON",
        "F NTH R NWG",
        "F NTH R NWY",
        "F NTH R SKA",
        "F NTH R YOR",
        "F NTH S A BEL",
        "F NTH S A BEL - EDI",
        "F NTH S A BEL - HOL",
        "F NTH S A BEL - LON",
        "F NTH S A BEL - NWY",
        "F NTH S A BER - DEN",
        "F NTH S A BRE - BEL",
        "F NTH S A BRE - EDI",
        "F NTH S A BRE - LON",
        "F NTH S A BRE - NWY",
        "F NTH S A BUR - BEL",
        "F NTH S A CLY - BEL",
        "F NTH S A CLY - EDI",
        "F NTH S A CLY - LON",
        "F NTH S A CLY - NWY",
        "F NTH S A DEN",
        "F NTH S A DEN - HOL",
        "F NTH S A DEN - NWY",
        "F NTH S A EDI",
        "F NTH S A EDI - BEL",
        "F NTH S A EDI - LON",
        "F NTH S A EDI - NWY",
        "F NTH S A EDI - YOR",
        "F NTH S A FIN - DEN",
        "F NTH S A FIN - NWY",
        "F NTH S A GAS - BEL",
        "F NTH S A GAS - EDI",
        "F NTH S A GAS - LON",
        "F NTH S A GAS - NWY",
        "F NTH S A HOL",
        "F NTH S A HOL - BEL",
        "F NTH S A HOL - DEN",
        "F NTH S A KIE - DEN",
        "F NTH S A KIE - HOL",
        "F NTH S A LON",
        "F NTH S A LON - BEL",
        "F NTH S A LON - EDI",
        "F NTH S A LON - NWY",
        "F NTH S A LON - YOR",
        "F NTH S A LVN - DEN",
        "F NTH S A LVP - BEL",
        "F NTH S A LVP - EDI",
        "F NTH S A LVP - LON",
        "F NTH S A LVP - NWY",
        "F NTH S A LVP - YOR",
        "F NTH S A MAR - BEL",
        "F NTH S A MAR - LON",
        "F NTH S A NAF - BEL",
        "F NTH S A NAF - EDI",
        "F NTH S A NAF - LON",
        "F NTH S A NAF - NWY",
        "F NTH S A NAP - BEL",
        "F NTH S A NAP - LON",
        "F NTH S A NWY",
        "F NTH S A NWY - BEL",
        "F NTH S A NWY - DEN",
        "F NTH S A NWY - EDI",
        "F NTH S A NWY - LON",
        "F NTH S A PIC - BEL",
        "F NTH S A PIC - EDI",
        "F NTH S A PIC - LON",
        "F NTH S A PIC - NWY",
        "F NTH S A PIE - BEL",
        "F NTH S A PIE - LON",
        "F NTH S A POR - BEL",
        "F NTH S A POR - EDI",
        "F NTH S A POR - LON",
        "F NTH S A POR - NWY",
        "F NTH S A PRU - DEN",
        "F NTH S A ROM - BEL",
        "F NTH S A ROM - LON",
        "F NTH S A RUH - BEL",
        "F NTH S A RUH - HOL",
        "F NTH S A SPA - BEL",
        "F NTH S A SPA - EDI",
        "F NTH S A SPA - LON",
        "F NTH S A SPA - NWY",
        "F NTH S A STP - DEN",
        "F NTH S A STP - EDI",
        "F NTH S A STP - NWY",
        "F NTH S A SWE - DEN",
        "F NTH S A SWE - NWY",
        "F NTH S A TUN - BEL",
        "F NTH S A TUN - EDI",
        "F NTH S A TUN - LON",
        "F NTH S A TUN - NWY",
        "F NTH S A TUS - BEL",
        "F NTH S A TUS - LON",
        "F NTH S A WAL - BEL",
        "F NTH S A WAL - EDI",
        "F NTH S A WAL - LON",
        "F NTH S A WAL - NWY",
        "F NTH S A WAL - YOR",
        "F NTH S A YOR",
        "F NTH S A YOR - EDI",
        "F NTH S A YOR - LON",
        "F NTH S F BAL - DEN",
        "F NTH S F BAR - NWG",
        "F NTH S F BAR - NWY",
        "F NTH S F BEL",
        "F NTH S F BEL - ENG",
        "F NTH S F BEL - HOL",
        "F NTH S F BRE - ENG",
        "F NTH S F CLY - EDI",
        "F NTH S F CLY - NWG",
        "F NTH S F DEN",
        "F NTH S F DEN - HEL",
        "F NTH S F DEN - SKA",
        "F NTH S F EDI",
        "F NTH S F EDI - NWG",
        "F NTH S F EDI - YOR",
        "F NTH S F ENG",
        "F NTH S F ENG - BEL",
        "F NTH S F ENG - LON",
        "F NTH S F HEL",
        "F NTH S F HEL - DEN",
        "F NTH S F HEL - HOL",
        "F NTH S F HOL",
        "F NTH S F HOL - BEL",
        "F NTH S F HOL - HEL",
        "F NTH S F IRI - ENG",
        "F NTH S F KIE - DEN",
        "F NTH S F KIE - HEL",
        "F NTH S F KIE - HOL",
        "F NTH S F LON",
        "F NTH S F LON - ENG",
        "F NTH S F LON - YOR",
        "F NTH S F MAO - ENG",
        "F NTH S F NAO - NWG",
        "F NTH S F NWG",
        "F NTH S F NWG - EDI",
        "F NTH S F NWG - NWY",
        "F NTH S F NWY",
        "F NTH S F NWY - NWG",
        "F NTH S F NWY - SKA",
        "F NTH S F PIC - BEL",
        "F NTH S F PIC - ENG",
        "F NTH S F SKA",
        "F NTH S F SKA - DEN",
        "F NTH S F SKA - NWY",
        "F NTH S F STP/NC - NWY",
        "F NTH S F SWE - DEN",
        "F NTH S F SWE - NWY",
        "F NTH S F SWE - SKA",
        "F NTH S F WAL - ENG",
        "F NTH S F WAL - LON",
        "F NTH S F YOR",
        "F NTH S F YOR - EDI",
        "F NTH S F YOR - LON",
        "F NWG - BAR",
        "F NWG - CLY",
        "F NWG - EDI",
        "F NWG - NAO",
        "F NWG - NTH",
        "F NWG - NWY",
        "F NWG C A BEL - BRE",
        "F NWG C A BEL - CLY",
        "F NWG C A BEL - EDI",
        "F NWG C A BEL - GAS",
        "F NWG C A BEL - LVP",
        "F NWG C A BEL - NAF",
        "F NWG C A BEL - NWY",
        "F NWG C A BEL - POR",
        "F NWG C A BEL - SPA",
        "F NWG C A BEL - STP",
        "F NWG C A BEL - WAL",
        "F NWG C A BRE - BEL",
        "F NWG C A BRE - CLY",
        "F NWG C A BRE - DEN",
        "F NWG C A BRE - EDI",
        "F NWG C A BRE - HOL",
        "F NWG C A BRE - LON",
        "F NWG C A BRE - LVP",
        "F NWG C A BRE - NWY",
        "F NWG C A BRE - STP",
        "F NWG C A BRE - YOR",
        "F NWG C A CLY - BEL",
        "F NWG C A CLY - BRE",
        "F NWG C A CLY - DEN",
        "F NWG C A CLY - EDI",
        "F NWG C A CLY - GAS",
        "F NWG C A CLY - HOL",
        "F NWG C A CLY - KIE",
        "F NWG C A CLY - LON",
        "F NWG C A CLY - LVP",
        "F NWG C A CLY - NAF",
        "F NWG C A CLY - NWY",
        "F NWG C A CLY - PIC",
        "F NWG C A CLY - POR",
        "F NWG C A CLY - SPA",
        "F NWG C A CLY - STP",
        "F NWG C A CLY - SWE",
        "F NWG C A CLY - WAL",
        "F NWG C A CLY - YOR",
        "F NWG C A DEN - BRE",
        "F NWG C A DEN - CLY",
        "F NWG C A DEN - GAS",
        "F NWG C A DEN - LVP",
        "F NWG C A DEN - NAF",
        "F NWG C A DEN - POR",
        "F NWG C A DEN - SPA",
        "F NWG C A DEN - STP",
        "F NWG C A DEN - WAL",
        "F NWG C A EDI - BEL",
        "F NWG C A EDI - BRE",
        "F NWG C A EDI - CLY",
        "F NWG C A EDI - GAS",
        "F NWG C A EDI - LON",
        "F NWG C A EDI - LVP",
        "F NWG C A EDI - NAF",
        "F NWG C A EDI - NWY",
        "F NWG C A EDI - PIC",
        "F NWG C A EDI - POR",
        "F NWG C A EDI - SPA",
        "F NWG C A EDI - STP",
        "F NWG C A EDI - TUN",
        "F NWG C A EDI - WAL",
        "F NWG C A GAS - BEL",
        "F NWG C A GAS - CLY",
        "F NWG C A GAS - DEN",
        "F NWG C A GAS - EDI",
        "F NWG C A GAS - HOL",
        "F NWG C A GAS - LON",
        "F NWG C A GAS - NWY",
        "F NWG C A GAS - STP",
        "F NWG C A GAS - YOR",
        "F NWG C A HOL - BRE",
        "F NWG C A HOL - CLY",
        "F NWG C A HOL - GAS",
        "F NWG C A HOL - LVP",
        "F NWG C A HOL - NAF",
        "F NWG C A HOL - POR",
        "F NWG C A HOL - SPA",
        "F NWG C A HOL - STP",
        "F NWG C A HOL - WAL",
        "F NWG C A KIE - CLY",
        "F NWG C A KIE - LVP",
        "F NWG C A KIE - STP",
        "F NWG C A LON - BRE",
        "F NWG C A LON - CLY",
        "F NWG C A LON - EDI",
        "F NWG C A LON - GAS",
        "F NWG C A LON - LVP",
        "F NWG C A LON - NAF",
        "F NWG C A LON - NWY",
        "F NWG C A LON - POR",
        "F NWG C A LON - SPA",
        "F NWG C A LON - STP",
        "F NWG C A LON - WAL",
        "F NWG C A LVP - BEL",
        "F NWG C A LVP - BRE",
        "F NWG C A LVP - CLY",
        "F NWG C A LVP - DEN",
        "F NWG C A LVP - EDI",
        "F NWG C A LVP - HOL",
        "F NWG C A LVP - KIE",
        "F NWG C A LVP - LON",
        "F NWG C A LVP - NWY",
        "F NWG C A LVP - PIC",
        "F NWG C A LVP - STP",
        "F NWG C A LVP - SWE",
        "F NWG C A LVP - WAL",
        "F NWG C A LVP - YOR",
        "F NWG C A NAF - BEL",
        "F NWG C A NAF - CLY",
        "F NWG C A NAF - DEN",
        "F NWG C A NAF - EDI",
        "F NWG C A NAF - HOL",
        "F NWG C A NAF - LON",
        "F NWG C A NAF - NWY",
        "F NWG C A NAF - STP",
        "F NWG C A NAF - YOR",
        "F NWG C A NWY - BEL",
        "F NWG C A NWY - BRE",
        "F NWG C A NWY - CLY",
        "F NWG C A NWY - EDI",
        "F NWG C A NWY - GAS",
        "F NWG C A NWY - LON",
        "F NWG C A NWY - LVP",
        "F NWG C A NWY - NAF",
        "F NWG C A NWY - PIC",
        "F NWG C A NWY - POR",
        "F NWG C A NWY - SPA",
        "F NWG C A NWY - TUN",
        "F NWG C A NWY - WAL",
        "F NWG C A PIC - CLY",
        "F NWG C A PIC - EDI",
        "F NWG C A PIC - LVP",
        "F NWG C A PIC - NWY",
        "F NWG C A PIC - STP",
        "F NWG C A POR - BEL",
        "F NWG C A POR - CLY",
        "F NWG C A POR - DEN",
        "F NWG C A POR - EDI",
        "F NWG C A POR - HOL",
        "F NWG C A POR - LON",
        "F NWG C A POR - NWY",
        "F NWG C A POR - STP",
        "F NWG C A POR - YOR",
        "F NWG C A SPA - BEL",
        "F NWG C A SPA - CLY",
        "F NWG C A SPA - DEN",
        "F NWG C A SPA - EDI",
        "F NWG C A SPA - HOL",
        "F NWG C A SPA - LON",
        "F NWG C A SPA - NWY",
        "F NWG C A SPA - STP",
        "F NWG C A SPA - YOR",
        "F NWG C A STP - BEL",
        "F NWG C A STP - BRE",
        "F NWG C A STP - CLY",
        "F NWG C A STP - DEN",
        "F NWG C A STP - EDI",
        "F NWG C A STP - GAS",
        "F NWG C A STP - HOL",
        "F NWG C A STP - KIE",
        "F NWG C A STP - LON",
        "F NWG C A STP - LVP",
        "F NWG C A STP - NAF",
        "F NWG C A STP - PIC",
        "F NWG C A STP - POR",
        "F NWG C A STP - SPA",
        "F NWG C A STP - SWE",
        "F NWG C A STP - WAL",
        "F NWG C A STP - YOR",
        "F NWG C A SWE - CLY",
        "F NWG C A SWE - LVP",
        "F NWG C A SWE - STP",
        "F NWG C A TUN - EDI",
        "F NWG C A TUN - NWY",
        "F NWG C A WAL - BEL",
        "F NWG C A WAL - CLY",
        "F NWG C A WAL - DEN",
        "F NWG C A WAL - EDI",
        "F NWG C A WAL - HOL",
        "F NWG C A WAL - LON",
        "F NWG C A WAL - LVP",
        "F NWG C A WAL - NWY",
        "F NWG C A WAL - STP",
        "F NWG C A WAL - YOR",
        "F NWG C A YOR - BRE",
        "F NWG C A YOR - CLY",
        "F NWG C A YOR - GAS",
        "F NWG C A YOR - LVP",
        "F NWG C A YOR - NAF",
        "F NWG C A YOR - POR",
        "F NWG C A YOR - SPA",
        "F NWG C A YOR - STP",
        "F NWG C A YOR - WAL",
        "F NWG D",
        "F NWG H",
        "F NWG R BAR",
        "F NWG R CLY",
        "F NWG R EDI",
        "F NWG R NAO",
        "F NWG R NTH",
        "F NWG R NWY",
        "F NWG S A BEL - CLY",
        "F NWG S A BEL - EDI",
        "F NWG S A BEL - NWY",
        "F NWG S A BRE - CLY",
        "F NWG S A BRE - EDI",
        "F NWG S A BRE - NWY",
        "F NWG S A CLY",
        "F NWG S A CLY - EDI",
        "F NWG S A CLY - NWY",
        "F NWG S A DEN - CLY",
        "F NWG S A DEN - EDI",
        "F NWG S A DEN - NWY",
        "F NWG S A EDI",
        "F NWG S A EDI - CLY",
        "F NWG S A EDI - NWY",
        "F NWG S A FIN - NWY",
        "F NWG S A GAS - CLY",
        "F NWG S A GAS - EDI",
        "F NWG S A GAS - NWY",
        "F NWG S A HOL - CLY",
        "F NWG S A HOL - EDI",
        "F NWG S A HOL - NWY",
        "F NWG S A KIE - EDI",
        "F NWG S A KIE - NWY",
        "F NWG S A LON - CLY",
        "F NWG S A LON - EDI",
        "F NWG S A LON - NWY",
        "F NWG S A LVP - CLY",
        "F NWG S A LVP - EDI",
        "F NWG S A LVP - NWY",
        "F NWG S A MAR - CLY",
        "F NWG S A NAF - CLY",
        "F NWG S A NAF - EDI",
        "F NWG S A NAF - NWY",
        "F NWG S A NAP - CLY",
        "F NWG S A NWY",
        "F NWG S A NWY - CLY",
        "F NWG S A NWY - EDI",
        "F NWG S A PIC - CLY",
        "F NWG S A PIC - EDI",
        "F NWG S A PIC - NWY",
        "F NWG S A PIE - CLY",
        "F NWG S A POR - CLY",
        "F NWG S A POR - EDI",
        "F NWG S A POR - NWY",
        "F NWG S A ROM - CLY",
        "F NWG S A SPA - CLY",
        "F NWG S A SPA - EDI",
        "F NWG S A SPA - NWY",
        "F NWG S A STP - NWY",
        "F NWG S A SWE - EDI",
        "F NWG S A SWE - NWY",
        "F NWG S A TUN - CLY",
        "F NWG S A TUN - EDI",
        "F NWG S A TUN - NWY",
        "F NWG S A TUS - CLY",
        "F NWG S A WAL - CLY",
        "F NWG S A WAL - EDI",
        "F NWG S A WAL - NWY",
        "F NWG S A YOR - CLY",
        "F NWG S A YOR - EDI",
        "F NWG S A YOR - NWY",
        "F NWG S F BAR",
        "F NWG S F BAR - NWY",
        "F NWG S F BEL - NTH",
        "F NWG S F CLY",
        "F NWG S F CLY - EDI",
        "F NWG S F CLY - NAO",
        "F NWG S F DEN - NTH",
        "F NWG S F EDI",
        "F NWG S F EDI - CLY",
        "F NWG S F EDI - NTH",
        "F NWG S F ENG - NTH",
        "F NWG S F HEL - NTH",
        "F NWG S F HOL - NTH",
        "F NWG S F IRI - NAO",
        "F NWG S F LON - NTH",
        "F NWG S F LVP - CLY",
        "F NWG S F LVP - NAO",
        "F NWG S F MAO - NAO",
        "F NWG S F NAO",
        "F NWG S F NAO - CLY",
        "F NWG S F NTH",
        "F NWG S F NTH - EDI",
        "F NWG S F NTH - NWY",
        "F NWG S F NWY",
        "F NWG S F NWY - BAR",
        "F NWG S F NWY - NTH",
        "F NWG S F SKA - NTH",
        "F NWG S F SKA - NWY",
        "F NWG S F STP/NC - BAR",
        "F NWG S F STP/NC - NWY",
        "F NWG S F SWE - NWY",
        "F NWG S F YOR - EDI",
        "F NWG S F YOR - NTH",
        "F NWY - BAR",
        "F NWY - NTH",
        "F NWY - NWG",
        "F NWY - SKA",
        "F NWY - STP/NC",
        "F NWY - SWE",
        "F NWY D",
        "F NWY H",
        "F NWY R BAR",
        "F NWY R NTH",
        "F NWY R NWG",
        "F NWY R SKA",
        "F NWY R STP/NC",
        "F NWY R SWE",
        "F NWY S A BEL - STP",
        "F NWY S A BEL - SWE",
        "F NWY S A BER - STP",
        "F NWY S A BER - SWE",
        "F NWY S A BRE - STP",
        "F NWY S A BRE - SWE",
        "F NWY S A CLY - STP",
        "F NWY S A CLY - SWE",
        "F NWY S A DEN - STP",
        "F NWY S A DEN - SWE",
        "F NWY S A EDI - STP",
        "F NWY S A EDI - SWE",
        "F NWY S A FIN - STP",
        "F NWY S A FIN - SWE",
        "F NWY S A GAS - STP",
        "F NWY S A GAS - SWE",
        "F NWY S A HOL - STP",
        "F NWY S A HOL - SWE",
        "F NWY S A KIE - STP",
        "F NWY S A KIE - SWE",
        "F NWY S A LON - STP",
        "F NWY S A LON - SWE",
        "F NWY S A LVN - STP",
        "F NWY S A LVN - SWE",
        "F NWY S A LVP - STP",
        "F NWY S A LVP - SWE",
        "F NWY S A MOS - STP",
        "F NWY S A NAF - STP",
        "F NWY S A NAF - SWE",
        "F NWY S A PIC - STP",
        "F NWY S A PIC - SWE",
        "F NWY S A POR - STP",
        "F NWY S A POR - SWE",
        "F NWY S A PRU - STP",
        "F NWY S A PRU - SWE",
        "F NWY S A SPA - STP",
        "F NWY S A SPA - SWE",
        "F NWY S A STP",
        "F NWY S A STP - SWE",
        "F NWY S A SWE",
        "F NWY S A SWE - STP",
        "F NWY S A WAL - STP",
        "F NWY S A WAL - SWE",
        "F NWY S A YOR - STP",
        "F NWY S A YOR - SWE",
        "F NWY S F BAL - SWE",
        "F NWY S F BAR",
        "F NWY S F BAR - NWG",
        "F NWY S F BAR - STP",
        "F NWY S F BAR - STP/NC",
        "F NWY S F BAR - STP/SC",
        "F NWY S F BEL - NTH",
        "F NWY S F BOT - STP",
        "F NWY S F BOT - STP/NC",
        "F NWY S F BOT - STP/SC",
        "F NWY S F BOT - SWE",
        "F NWY S F CLY - NWG",
        "F NWY S F DEN - NTH",
        "F NWY S F DEN - SKA",
        "F NWY S F DEN - SWE",
        "F NWY S F EDI - NTH",
        "F NWY S F EDI - NWG",
        "F NWY S F ENG - NTH",
        "F NWY S F FIN - STP",
        "F NWY S F FIN - STP/NC",
        "F NWY S F FIN - STP/SC",
        "F NWY S F FIN - SWE",
        "F NWY S F HEL - NTH",
        "F NWY S F HOL - NTH",
        "F NWY S F LON - NTH",
        "F NWY S F LVN - STP",
        "F NWY S F LVN - STP/NC",
        "F NWY S F LVN - STP/SC",
        "F NWY S F NAO - NWG",
        "F NWY S F NTH",
        "F NWY S F NTH - NWG",
        "F NWY S F NTH - SKA",
        "F NWY S F NWG",
        "F NWY S F NWG - BAR",
        "F NWY S F NWG - NTH",
        "F NWY S F SKA",
        "F NWY S F SKA - NTH",
        "F NWY S F SKA - SWE",
        "F NWY S F STP/NC",
        "F NWY S F STP/NC - BAR",
        "F NWY S F STP/SC",
        "F NWY S F SWE",
        "F NWY S F SWE - SKA",
        "F NWY S F YOR - NTH",
        "F PIC - BEL",
        "F PIC - BRE",
        "F PIC - ENG",
        "F PIC D",
        "F PIC H",
        "F PIC R BEL",
        "F PIC R BRE",
        "F PIC R ENG",
        "F PIC S A ALB - BRE",
        "F PIC S A APU - BRE",
        "F PIC S A BEL",
        "F PIC S A BEL - BRE",
        "F PIC S A BRE",
        "F PIC S A BRE - BEL",
        "F PIC S A BUR - BEL",
        "F PIC S A CLY - BEL",
        "F PIC S A CLY - BRE",
        "F PIC S A DEN - BEL",
        "F PIC S A DEN - BRE",
        "F PIC S A EDI - BEL",
        "F PIC S A EDI - BRE",
        "F PIC S A GAS - BEL",
        "F PIC S A GAS - BRE",
        "F PIC S A GRE - BRE",
        "F PIC S A HOL - BEL",
        "F PIC S A HOL - BRE",
        "F PIC S A KIE - BEL",
        "F PIC S A KIE - BRE",
        "F PIC S A LON - BEL",
        "F PIC S A LON - BRE",
        "F PIC S A LVP - BEL",
        "F PIC S A LVP - BRE",
        "F PIC S A MAR - BEL",
        "F PIC S A MAR - BRE",
        "F PIC S A NAF - BEL",
        "F PIC S A NAF - BRE",
        "F PIC S A NAP - BEL",
        "F PIC S A NAP - BRE",
        "F PIC S A NWY - BEL",
        "F PIC S A NWY - BRE",
        "F PIC S A PAR - BRE",
        "F PIC S A PIE - BEL",
        "F PIC S A PIE - BRE",
        "F PIC S A POR - BEL",
        "F PIC S A POR - BRE",
        "F PIC S A ROM - BEL",
        "F PIC S A ROM - BRE",
        "F PIC S A RUH - BEL",
        "F PIC S A SPA - BEL",
        "F PIC S A SPA - BRE",
        "F PIC S A STP - BEL",
        "F PIC S A STP - BRE",
        "F PIC S A SWE - BEL",
        "F PIC S A SWE - BRE",
        "F PIC S A TUN - BEL",
        "F PIC S A TUN - BRE",
        "F PIC S A TUS - BEL",
        "F PIC S A TUS - BRE",
        "F PIC S A WAL - BEL",
        "F PIC S A WAL - BRE",
        "F PIC S A YOR - BEL",
        "F PIC S A YOR - BRE",
        "F PIC S F BEL",
        "F PIC S F BEL - ENG",
        "F PIC S F BRE",
        "F PIC S F BRE - ENG",
        "F PIC S F ENG",
        "F PIC S F ENG - BEL",
        "F PIC S F ENG - BRE",
        "F PIC S F GAS - BRE",
        "F PIC S F HOL - BEL",
        "F PIC S F IRI - ENG",
        "F PIC S F LON - ENG",
        "F PIC S F MAO - BRE",
        "F PIC S F MAO - ENG",
        "F PIC S F NTH - BEL",
        "F PIC S F NTH - ENG",
        "F PIC S F WAL - ENG",
        "F PIE - LYO",
        "F PIE - MAR",
        "F PIE - TUS",
        "F PIE D",
        "F PIE H",
        "F PIE R LYO",
        "F PIE R MAR",
        "F PIE R TUS",
        "F PIE S A ALB - MAR",
        "F PIE S A ALB - TUS",
        "F PIE S A APU - MAR",
        "F PIE S A APU - TUS",
        "F PIE S A BEL - MAR",
        "F PIE S A BEL - TUS",
        "F PIE S A BRE - MAR",
        "F PIE S A BRE - TUS",
        "F PIE S A BUL - MAR",
        "F PIE S A BUL - TUS",
        "F PIE S A BUR - MAR",
        "F PIE S A CLY - MAR",
        "F PIE S A CLY - TUS",
        "F PIE S A CON - MAR",
        "F PIE S A CON - TUS",
        "F PIE S A GAS - MAR",
        "F PIE S A GAS - TUS",
        "F PIE S A GRE - MAR",
        "F PIE S A GRE - TUS",
        "F PIE S A LON - MAR",
        "F PIE S A LON - TUS",
        "F PIE S A LVP - MAR",
        "F PIE S A LVP - TUS",
        "F PIE S A MAR",
        "F PIE S A MAR - TUS",
        "F PIE S A NAF - MAR",
        "F PIE S A NAF - TUS",
        "F PIE S A NAP - MAR",
        "F PIE S A NAP - TUS",
        "F PIE S A PIC - MAR",
        "F PIE S A PIC - TUS",
        "F PIE S A POR - MAR",
        "F PIE S A POR - TUS",
        "F PIE S A ROM - MAR",
        "F PIE S A ROM - TUS",
        "F PIE S A SMY - MAR",
        "F PIE S A SMY - TUS",
        "F PIE S A SPA - MAR",
        "F PIE S A SPA - TUS",
        "F PIE S A SYR - MAR",
        "F PIE S A SYR - TUS",
        "F PIE S A TRI - MAR",
        "F PIE S A TRI - TUS",
        "F PIE S A TUN - MAR",
        "F PIE S A TUN - TUS",
        "F PIE S A TUS",
        "F PIE S A TUS - MAR",
        "F PIE S A VEN - MAR",
        "F PIE S A VEN - TUS",
        "F PIE S A WAL - MAR",
        "F PIE S A WAL - TUS",
        "F PIE S F LYO",
        "F PIE S F LYO - MAR",
        "F PIE S F LYO - TUS",
        "F PIE S F MAR",
        "F PIE S F MAR - LYO",
        "F PIE S F ROM - TUS",
        "F PIE S F SPA/SC - LYO",
        "F PIE S F SPA/SC - MAR",
        "F PIE S F TUS",
        "F PIE S F TUS - LYO",
        "F PIE S F TYS - LYO",
        "F PIE S F TYS - TUS",
        "F PIE S F WES - LYO",
        "F POR - MAO",
        "F POR - SPA/NC",
        "F POR - SPA/SC",
        "F POR D",
        "F POR H",
        "F POR R MAO",
        "F POR R SPA/NC",
        "F POR R SPA/SC",
        "F POR S A ALB - SPA",
        "F POR S A APU - SPA",
        "F POR S A BEL - SPA",
        "F POR S A BRE - SPA",
        "F POR S A BUL - SPA",
        "F POR S A CLY - SPA",
        "F POR S A CON - SPA",
        "F POR S A DEN - SPA",
        "F POR S A EDI - SPA",
        "F POR S A GAS - SPA",
        "F POR S A GRE - SPA",
        "F POR S A HOL - SPA",
        "F POR S A KIE - SPA",
        "F POR S A LON - SPA",
        "F POR S A LVP - SPA",
        "F POR S A MAR - SPA",
        "F POR S A NAF - SPA",
        "F POR S A NAP - SPA",
        "F POR S A NWY - SPA",
        "F POR S A PIC - SPA",
        "F POR S A PIE - SPA",
        "F POR S A ROM - SPA",
        "F POR S A SMY - SPA",
        "F POR S A SPA",
        "F POR S A STP - SPA",
        "F POR S A SWE - SPA",
        "F POR S A SYR - SPA",
        "F POR S A TRI - SPA",
        "F POR S A TUN - SPA",
        "F POR S A TUS - SPA",
        "F POR S A VEN - SPA",
        "F POR S A WAL - SPA",
        "F POR S A YOR - SPA",
        "F POR S F BRE - MAO",
        "F POR S F ENG - MAO",
        "F POR S F GAS - MAO",
        "F POR S F GAS - SPA",
        "F POR S F GAS - SPA/NC",
        "F POR S F GAS - SPA/SC",
        "F POR S F IRI - MAO",
        "F POR S F LYO - SPA",
        "F POR S F LYO - SPA/NC",
        "F POR S F LYO - SPA/SC",
        "F POR S F MAO",
        "F POR S F MAO - SPA",
        "F POR S F MAO - SPA/NC",
        "F POR S F MAO - SPA/SC",
        "F POR S F MAR - SPA",
        "F POR S F MAR - SPA/NC",
        "F POR S F MAR - SPA/SC",
        "F POR S F NAF - MAO",
        "F POR S F NAO - MAO",
        "F POR S F SPA/NC",
        "F POR S F SPA/NC - MAO",
        "F POR S F SPA/SC",
        "F POR S F SPA/SC - MAO",
        "F POR S F WES - MAO",
        "F POR S F WES - SPA",
        "F POR S F WES - SPA/NC",
        "F POR S F WES - SPA/SC",
        "F PRU - BAL",
        "F PRU - BER",
        "F PRU - LVN",
        "F PRU D",
        "F PRU H",
        "F PRU R BAL",
        "F PRU R BER",
        "F PRU R LVN",
        "F PRU S A BER",
        "F PRU S A BER - LVN",
        "F PRU S A DEN - BER",
        "F PRU S A DEN - LVN",
        "F PRU S A FIN - BER",
        "F PRU S A FIN - LVN",
        "F PRU S A KIE - BER",
        "F PRU S A KIE - LVN",
        "F PRU S A LVN",
        "F PRU S A LVN - BER",
        "F PRU S A MOS - LVN",
        "F PRU S A MUN - BER",
        "F PRU S A SIL - BER",
        "F PRU S A STP - BER",
        "F PRU S A STP - LVN",
        "F PRU S A SWE - BER",
        "F PRU S A SWE - LVN",
        "F PRU S A WAR - LVN",
        "F PRU S F BAL",
        "F PRU S F BAL - BER",
        "F PRU S F BAL - LVN",
        "F PRU S F BER",
        "F PRU S F BER - BAL",
        "F PRU S F BOT - BAL",
        "F PRU S F BOT - LVN",
        "F PRU S F DEN - BAL",
        "F PRU S F KIE - BAL",
        "F PRU S F KIE - BER",
        "F PRU S F LVN",
        "F PRU S F LVN - BAL",
        "F PRU S F STP/SC - LVN",
        "F PRU S F SWE - BAL",
        "F ROM - NAP",
        "F ROM - TUS",
        "F ROM - TYS",
        "F ROM B",
        "F ROM B;F VEN B",
        "F ROM D",
        "F ROM H",
        "F ROM R NAP",
        "F ROM R TUS",
        "F ROM R TYS",
        "F ROM S A ALB - NAP",
        "F ROM S A ALB - TUS",
        "F ROM S A APU - NAP",
        "F ROM S A APU - TUS",
        "F ROM S A BEL - NAP",
        "F ROM S A BEL - TUS",
        "F ROM S A BRE - NAP",
        "F ROM S A BRE - TUS",
        "F ROM S A BUL - NAP",
        "F ROM S A BUL - TUS",
        "F ROM S A CLY - NAP",
        "F ROM S A CLY - TUS",
        "F ROM S A CON - NAP",
        "F ROM S A CON - TUS",
        "F ROM S A GAS - NAP",
        "F ROM S A GAS - TUS",
        "F ROM S A GRE - NAP",
        "F ROM S A GRE - TUS",
        "F ROM S A LON - NAP",
        "F ROM S A LON - TUS",
        "F ROM S A LVP - NAP",
        "F ROM S A LVP - TUS",
        "F ROM S A MAR - NAP",
        "F ROM S A MAR - TUS",
        "F ROM S A NAF - NAP",
        "F ROM S A NAF - TUS",
        "F ROM S A NAP",
        "F ROM S A NAP - TUS",
        "F ROM S A PIC - NAP",
        "F ROM S A PIC - TUS",
        "F ROM S A PIE - NAP",
        "F ROM S A PIE - TUS",
        "F ROM S A POR - NAP",
        "F ROM S A POR - TUS",
        "F ROM S A SMY - NAP",
        "F ROM S A SMY - TUS",
        "F ROM S A SPA - NAP",
        "F ROM S A SPA - TUS",
        "F ROM S A SYR - NAP",
        "F ROM S A SYR - TUS",
        "F ROM S A TRI - NAP",
        "F ROM S A TRI - TUS",
        "F ROM S A TUN - NAP",
        "F ROM S A TUN - TUS",
        "F ROM S A TUS",
        "F ROM S A TUS - NAP",
        "F ROM S A VEN - NAP",
        "F ROM S A VEN - TUS",
        "F ROM S A WAL - NAP",
        "F ROM S A WAL - TUS",
        "F ROM S F APU - NAP",
        "F ROM S F ION - NAP",
        "F ROM S F ION - TYS",
        "F ROM S F LYO - TUS",
        "F ROM S F LYO - TYS",
        "F ROM S F NAP",
        "F ROM S F NAP - TYS",
        "F ROM S F PIE - TUS",
        "F ROM S F TUN - TYS",
        "F ROM S F TUS",
        "F ROM S F TUS - TYS",
        "F ROM S F TYS",
        "F ROM S F TYS - NAP",
        "F ROM S F TYS - TUS",
        "F ROM S F WES - TYS",
        "F RUM - BLA",
        "F RUM - BUL/EC",
        "F RUM - SEV",
        "F RUM D",
        "F RUM H",
        "F RUM R BLA",
        "F RUM R BUL/EC",
        "F RUM R SEV",
        "F RUM S A ALB - BUL",
        "F RUM S A ANK - BUL",
        "F RUM S A ANK - SEV",
        "F RUM S A APU - BUL",
        "F RUM S A ARM - BUL",
        "F RUM S A ARM - SEV",
        "F RUM S A BUL",
        "F RUM S A BUL - SEV",
        "F RUM S A CON - BUL",
        "F RUM S A CON - SEV",
        "F RUM S A GRE - BUL",
        "F RUM S A MAR - BUL",
        "F RUM S A MOS - SEV",
        "F RUM S A NAF - BUL",
        "F RUM S A NAP - BUL",
        "F RUM S A PIE - BUL",
        "F RUM S A ROM - BUL",
        "F RUM S A SER - BUL",
        "F RUM S A SEV",
        "F RUM S A SEV - BUL",
        "F RUM S A SMY - BUL",
        "F RUM S A SPA - BUL",
        "F RUM S A SYR - BUL",
        "F RUM S A TRI - BUL",
        "F RUM S A TUN - BUL",
        "F RUM S A TUS - BUL",
        "F RUM S A UKR - SEV",
        "F RUM S A VEN - BUL",
        "F RUM S F AEG - BUL",
        "F RUM S F AEG - BUL/EC",
        "F RUM S F AEG - BUL/SC",
        "F RUM S F ANK - BLA",
        "F RUM S F ARM - BLA",
        "F RUM S F ARM - SEV",
        "F RUM S F BLA",
        "F RUM S F BLA - BUL",
        "F RUM S F BLA - BUL/EC",
        "F RUM S F BLA - BUL/SC",
        "F RUM S F BLA - SEV",
        "F RUM S F BUL/EC",
        "F RUM S F BUL/EC - BLA",
        "F RUM S F BUL/SC",
        "F RUM S F CON - BLA",
        "F RUM S F CON - BUL",
        "F RUM S F CON - BUL/EC",
        "F RUM S F CON - BUL/SC",
        "F RUM S F GRE - BUL",
        "F RUM S F GRE - BUL/EC",
        "F RUM S F GRE - BUL/SC",
        "F RUM S F SEV",
        "F RUM S F SEV - BLA",
        "F SEV - ARM",
        "F SEV - BLA",
        "F SEV - RUM",
        "F SEV B",
        "F SEV B;F STP/NC B",
        "F SEV B;F STP/SC B",
        "F SEV D",
        "F SEV H",
        "F SEV R ARM",
        "F SEV R BLA",
        "F SEV R RUM",
        "F SEV S A ANK - ARM",
        "F SEV S A ANK - RUM",
        "F SEV S A ARM",
        "F SEV S A ARM - RUM",
        "F SEV S A BUD - RUM",
        "F SEV S A BUL - ARM",
        "F SEV S A BUL - RUM",
        "F SEV S A CON - ARM",
        "F SEV S A CON - RUM",
        "F SEV S A GAL - RUM",
        "F SEV S A RUM",
        "F SEV S A RUM - ARM",
        "F SEV S A SER - RUM",
        "F SEV S A SMY - ARM",
        "F SEV S A SYR - ARM",
        "F SEV S A UKR - RUM",
        "F SEV S F ANK - ARM",
        "F SEV S F ANK - BLA",
        "F SEV S F ARM",
        "F SEV S F ARM - BLA",
        "F SEV S F BLA",
        "F SEV S F BLA - ARM",
        "F SEV S F BLA - RUM",
        "F SEV S F BUL/EC - BLA",
        "F SEV S F BUL/EC - RUM",
        "F SEV S F CON - BLA",
        "F SEV S F RUM",
        "F SEV S F RUM - BLA",
        "F SKA - DEN",
        "F SKA - NTH",
        "F SKA - NWY",
        "F SKA - SWE",
        "F SKA C A BEL - SWE",
        "F SKA C A BRE - SWE",
        "F SKA C A CLY - SWE",
        "F SKA C A DEN - NWY",
        "F SKA C A DEN - SWE",
        "F SKA C A EDI - SWE",
        "F SKA C A GAS - SWE",
        "F SKA C A HOL - SWE",
        "F SKA C A KIE - SWE",
        "F SKA C A LON - SWE",
        "F SKA C A LVP - SWE",
        "F SKA C A NAF - SWE",
        "F SKA C A NWY - DEN",
        "F SKA C A NWY - SWE",
        "F SKA C A PIC - SWE",
        "F SKA C A POR - SWE",
        "F SKA C A SPA - SWE",
        "F SKA C A STP - SWE",
        "F SKA C A SWE - BEL",
        "F SKA C A SWE - BRE",
        "F SKA C A SWE - CLY",
        "F SKA C A SWE - DEN",
        "F SKA C A SWE - EDI",
        "F SKA C A SWE - GAS",
        "F SKA C A SWE - HOL",
        "F SKA C A SWE - KIE",
        "F SKA C A SWE - LON",
        "F SKA C A SWE - LVP",
        "F SKA C A SWE - NAF",
        "F SKA C A SWE - NWY",
        "F SKA C A SWE - PIC",
        "F SKA C A SWE - POR",
        "F SKA C A SWE - SPA",
        "F SKA C A SWE - STP",
        "F SKA C A SWE - WAL",
        "F SKA C A SWE - YOR",
        "F SKA C A WAL - SWE",
        "F SKA C A YOR - SWE",
        "F SKA D",
        "F SKA H",
        "F SKA R DEN",
        "F SKA R NTH",
        "F SKA R NWY",
        "F SKA R SWE",
        "F SKA S A BEL - DEN",
        "F SKA S A BEL - NWY",
        "F SKA S A BER - DEN",
        "F SKA S A BER - SWE",
        "F SKA S A BRE - DEN",
        "F SKA S A BRE - NWY",
        "F SKA S A CLY - DEN",
        "F SKA S A CLY - NWY",
        "F SKA S A DEN",
        "F SKA S A DEN - NWY",
        "F SKA S A DEN - SWE",
        "F SKA S A EDI - DEN",
        "F SKA S A EDI - NWY",
        "F SKA S A FIN - DEN",
        "F SKA S A FIN - NWY",
        "F SKA S A FIN - SWE",
        "F SKA S A GAS - DEN",
        "F SKA S A GAS - NWY",
        "F SKA S A HOL - DEN",
        "F SKA S A HOL - NWY",
        "F SKA S A KIE - DEN",
        "F SKA S A KIE - NWY",
        "F SKA S A KIE - SWE",
        "F SKA S A LON - DEN",
        "F SKA S A LON - NWY",
        "F SKA S A LVN - DEN",
        "F SKA S A LVN - SWE",
        "F SKA S A LVP - DEN",
        "F SKA S A LVP - NWY",
        "F SKA S A NAF - DEN",
        "F SKA S A NAF - NWY",
        "F SKA S A NWY",
        "F SKA S A NWY - DEN",
        "F SKA S A NWY - SWE",
        "F SKA S A PIC - DEN",
        "F SKA S A PIC - NWY",
        "F SKA S A POR - DEN",
        "F SKA S A POR - NWY",
        "F SKA S A PRU - DEN",
        "F SKA S A PRU - SWE",
        "F SKA S A SPA - DEN",
        "F SKA S A SPA - NWY",
        "F SKA S A STP - DEN",
        "F SKA S A STP - NWY",
        "F SKA S A STP - SWE",
        "F SKA S A SWE",
        "F SKA S A SWE - DEN",
        "F SKA S A SWE - NWY",
        "F SKA S A TUN - DEN",
        "F SKA S A TUN - NWY",
        "F SKA S A WAL - DEN",
        "F SKA S A WAL - NWY",
        "F SKA S A YOR - DEN",
        "F SKA S A YOR - NWY",
        "F SKA S F BAL - DEN",
        "F SKA S F BAL - SWE",
        "F SKA S F BAR - NWY",
        "F SKA S F BEL - NTH",
        "F SKA S F BOT - SWE",
        "F SKA S F DEN",
        "F SKA S F DEN - NTH",
        "F SKA S F DEN - SWE",
        "F SKA S F EDI - NTH",
        "F SKA S F ENG - NTH",
        "F SKA S F FIN - SWE",
        "F SKA S F HEL - DEN",
        "F SKA S F HEL - NTH",
        "F SKA S F HOL - NTH",
        "F SKA S F KIE - DEN",
        "F SKA S F LON - NTH",
        "F SKA S F NTH",
        "F SKA S F NTH - DEN",
        "F SKA S F NTH - NWY",
        "F SKA S F NWG - NTH",
        "F SKA S F NWG - NWY",
        "F SKA S F NWY",
        "F SKA S F NWY - NTH",
        "F SKA S F NWY - SWE",
        "F SKA S F STP/NC - NWY",
        "F SKA S F SWE",
        "F SKA S F SWE - DEN",
        "F SKA S F SWE - NWY",
        "F SKA S F YOR - NTH",
        "F SMY - AEG",
        "F SMY - CON",
        "F SMY - EAS",
        "F SMY - SYR",
        "F SMY B",
        "F SMY D",
        "F SMY H",
        "F SMY R AEG",
        "F SMY R CON",
        "F SMY R EAS",
        "F SMY R SYR",
        "F SMY S A ALB - CON",
        "F SMY S A ALB - SYR",
        "F SMY S A ANK - CON",
        "F SMY S A APU - CON",
        "F SMY S A APU - SYR",
        "F SMY S A ARM - CON",
        "F SMY S A ARM - SYR",
        "F SMY S A BUL - CON",
        "F SMY S A BUL - SYR",
        "F SMY S A CON",
        "F SMY S A CON - SYR",
        "F SMY S A GRE - CON",
        "F SMY S A GRE - SYR",
        "F SMY S A MAR - CON",
        "F SMY S A MAR - SYR",
        "F SMY S A NAF - CON",
        "F SMY S A NAF - SYR",
        "F SMY S A NAP - CON",
        "F SMY S A NAP - SYR",
        "F SMY S A PIE - CON",
        "F SMY S A PIE - SYR",
        "F SMY S A ROM - CON",
        "F SMY S A ROM - SYR",
        "F SMY S A RUM - CON",
        "F SMY S A SEV - CON",
        "F SMY S A SPA - CON",
        "F SMY S A SPA - SYR",
        "F SMY S A SYR",
        "F SMY S A SYR - CON",
        "F SMY S A TRI - CON",
        "F SMY S A TRI - SYR",
        "F SMY S A TUN - CON",
        "F SMY S A TUN - SYR",
        "F SMY S A TUS - CON",
        "F SMY S A TUS - SYR",
        "F SMY S A VEN - CON",
        "F SMY S A VEN - SYR",
        "F SMY S F AEG",
        "F SMY S F AEG - CON",
        "F SMY S F AEG - EAS",
        "F SMY S F ANK - CON",
        "F SMY S F BLA - CON",
        "F SMY S F BUL/EC - CON",
        "F SMY S F BUL/SC - AEG",
        "F SMY S F BUL/SC - CON",
        "F SMY S F CON",
        "F SMY S F CON - AEG",
        "F SMY S F EAS",
        "F SMY S F EAS - AEG",
        "F SMY S F EAS - SYR",
        "F SMY S F GRE - AEG",
        "F SMY S F ION - AEG",
        "F SMY S F ION - EAS",
        "F SMY S F SYR",
        "F SMY S F SYR - EAS",
        "F SPA/NC - GAS",
        "F SPA/NC - MAO",
        "F SPA/NC - POR",
        "F SPA/NC D",
        "F SPA/NC H",
        "F SPA/NC R GAS",
        "F SPA/NC R MAO",
        "F SPA/NC R POR",
        "F SPA/NC S A ALB - GAS",
        "F SPA/NC S A ALB - POR",
        "F SPA/NC S A APU - GAS",
        "F SPA/NC S A APU - POR",
        "F SPA/NC S A BEL - GAS",
        "F SPA/NC S A BEL - POR",
        "F SPA/NC S A BRE - GAS",
        "F SPA/NC S A BRE - POR",
        "F SPA/NC S A BUR - GAS",
        "F SPA/NC S A CLY - GAS",
        "F SPA/NC S A CLY - POR",
        "F SPA/NC S A DEN - GAS",
        "F SPA/NC S A DEN - POR",
        "F SPA/NC S A EDI - GAS",
        "F SPA/NC S A EDI - POR",
        "F SPA/NC S A GAS",
        "F SPA/NC S A GAS - POR",
        "F SPA/NC S A GRE - GAS",
        "F SPA/NC S A GRE - POR",
        "F SPA/NC S A HOL - GAS",
        "F SPA/NC S A HOL - POR",
        "F SPA/NC S A KIE - GAS",
        "F SPA/NC S A KIE - POR",
        "F SPA/NC S A LON - GAS",
        "F SPA/NC S A LON - POR",
        "F SPA/NC S A LVP - GAS",
        "F SPA/NC S A LVP - POR",
        "F SPA/NC S A MAR - GAS",
        "F SPA/NC S A MAR - POR",
        "F SPA/NC S A NAF - GAS",
        "F SPA/NC S A NAF - POR",
        "F SPA/NC S A NAP - GAS",
        "F SPA/NC S A NAP - POR",
        "F SPA/NC S A NWY - GAS",
        "F SPA/NC S A NWY - POR",
        "F SPA/NC S A PAR - GAS",
        "F SPA/NC S A PIC - GAS",
        "F SPA/NC S A PIC - POR",
        "F SPA/NC S A PIE - GAS",
        "F SPA/NC S A PIE - POR",
        "F SPA/NC S A POR",
        "F SPA/NC S A POR - GAS",
        "F SPA/NC S A ROM - GAS",
        "F SPA/NC S A ROM - POR",
        "F SPA/NC S A STP - GAS",
        "F SPA/NC S A STP - POR",
        "F SPA/NC S A SWE - GAS",
        "F SPA/NC S A SWE - POR",
        "F SPA/NC S A TUN - GAS",
        "F SPA/NC S A TUN - POR",
        "F SPA/NC S A TUS - GAS",
        "F SPA/NC S A TUS - POR",
        "F SPA/NC S A WAL - GAS",
        "F SPA/NC S A WAL - POR",
        "F SPA/NC S A YOR - GAS",
        "F SPA/NC S A YOR - POR",
        "F SPA/NC S F BRE - GAS",
        "F SPA/NC S F BRE - MAO",
        "F SPA/NC S F ENG - MAO",
        "F SPA/NC S F GAS",
        "F SPA/NC S F GAS - MAO",
        "F SPA/NC S F IRI - MAO",
        "F SPA/NC S F MAO",
        "F SPA/NC S F MAO - GAS",
        "F SPA/NC S F MAO - POR",
        "F SPA/NC S F NAF - MAO",
        "F SPA/NC S F NAO - MAO",
        "F SPA/NC S F POR",
        "F SPA/NC S F POR - MAO",
        "F SPA/NC S F WES - MAO",
        "F SPA/SC - LYO",
        "F SPA/SC - MAO",
        "F SPA/SC - MAR",
        "F SPA/SC - POR",
        "F SPA/SC - WES",
        "F SPA/SC D",
        "F SPA/SC H",
        "F SPA/SC R LYO",
        "F SPA/SC R MAO",
        "F SPA/SC R MAR",
        "F SPA/SC R POR",
        "F SPA/SC R WES",
        "F SPA/SC S A ALB - MAR",
        "F SPA/SC S A ALB - POR",
        "F SPA/SC S A APU - MAR",
        "F SPA/SC S A APU - POR",
        "F SPA/SC S A BEL - MAR",
        "F SPA/SC S A BEL - POR",
        "F SPA/SC S A BRE - MAR",
        "F SPA/SC S A BRE - POR",
        "F SPA/SC S A BUL - MAR",
        "F SPA/SC S A BUR - MAR",
        "F SPA/SC S A CLY - MAR",
        "F SPA/SC S A CLY - POR",
        "F SPA/SC S A CON - MAR",
        "F SPA/SC S A DEN - POR",
        "F SPA/SC S A EDI - POR",
        "F SPA/SC S A GAS - MAR",
        "F SPA/SC S A GAS - POR",
        "F SPA/SC S A GRE - MAR",
        "F SPA/SC S A GRE - POR",
        "F SPA/SC S A HOL - POR",
        "F SPA/SC S A KIE - POR",
        "F SPA/SC S A LON - MAR",
        "F SPA/SC S A LON - POR",
        "F SPA/SC S A LVP - MAR",
        "F SPA/SC S A LVP - POR",
        "F SPA/SC S A MAR",
        "F SPA/SC S A MAR - POR",
        "F SPA/SC S A NAF - MAR",
        "F SPA/SC S A NAF - POR",
        "F SPA/SC S A NAP - MAR",
        "F SPA/SC S A NAP - POR",
        "F SPA/SC S A NWY - POR",
        "F SPA/SC S A PIC - MAR",
        "F SPA/SC S A PIC - POR",
        "F SPA/SC S A PIE - MAR",
        "F SPA/SC S A PIE - POR",
        "F SPA/SC S A POR",
        "F SPA/SC S A POR - MAR",
        "F SPA/SC S A ROM - MAR",
        "F SPA/SC S A ROM - POR",
        "F SPA/SC S A SMY - MAR",
        "F SPA/SC S A STP - POR",
        "F SPA/SC S A SWE - POR",
        "F SPA/SC S A SYR - MAR",
        "F SPA/SC S A TRI - MAR",
        "F SPA/SC S A TUN - MAR",
        "F SPA/SC S A TUN - POR",
        "F SPA/SC S A TUS - MAR",
        "F SPA/SC S A TUS - POR",
        "F SPA/SC S A VEN - MAR",
        "F SPA/SC S A WAL - MAR",
        "F SPA/SC S A WAL - POR",
        "F SPA/SC S A YOR - POR",
        "F SPA/SC S F BRE - MAO",
        "F SPA/SC S F ENG - MAO",
        "F SPA/SC S F GAS - MAO",
        "F SPA/SC S F IRI - MAO",
        "F SPA/SC S F LYO",
        "F SPA/SC S F LYO - MAR",
        "F SPA/SC S F LYO - WES",
        "F SPA/SC S F MAO",
        "F SPA/SC S F MAO - POR",
        "F SPA/SC S F MAO - WES",
        "F SPA/SC S F MAR",
        "F SPA/SC S F MAR - LYO",
        "F SPA/SC S F NAF - MAO",
        "F SPA/SC S F NAF - WES",
        "F SPA/SC S F NAO - MAO",
        "F SPA/SC S F PIE - LYO",
        "F SPA/SC S F PIE - MAR",
        "F SPA/SC S F POR",
        "F SPA/SC S F POR - MAO",
        "F SPA/SC S F TUN - WES",
        "F SPA/SC S F TUS - LYO",
        "F SPA/SC S F TYS - LYO",
        "F SPA/SC S F TYS - WES",
        "F SPA/SC S F WES",
        "F SPA/SC S F WES - LYO",
        "F SPA/SC S F WES - MAO",
        "F STP/NC - BAR",
        "F STP/NC - NWY",
        "F STP/NC B",
        "F STP/NC D",
        "F STP/NC H",
        "F STP/NC R BAR",
        "F STP/NC R NWY",
        "F STP/NC S A BEL - NWY",
        "F STP/NC S A BRE - NWY",
        "F STP/NC S A CLY - NWY",
        "F STP/NC S A DEN - NWY",
        "F STP/NC S A EDI - NWY",
        "F STP/NC S A FIN - NWY",
        "F STP/NC S A GAS - NWY",
        "F STP/NC S A HOL - NWY",
        "F STP/NC S A KIE - NWY",
        "F STP/NC S A LON - NWY",
        "F STP/NC S A LVP - NWY",
        "F STP/NC S A NAF - NWY",
        "F STP/NC S A NWY",
        "F STP/NC S A PIC - NWY",
        "F STP/NC S A POR - NWY",
        "F STP/NC S A SPA - NWY",
        "F STP/NC S A SWE - NWY",
        "F STP/NC S A TUN - NWY",
        "F STP/NC S A WAL - NWY",
        "F STP/NC S A YOR - NWY",
        "F STP/NC S F BAR",
        "F STP/NC S F BAR - NWY",
        "F STP/NC S F NTH - NWY",
        "F STP/NC S F NWG - BAR",
        "F STP/NC S F NWG - NWY",
        "F STP/NC S F NWY",
        "F STP/NC S F NWY - BAR",
        "F STP/NC S F SKA - NWY",
        "F STP/NC S F SWE - NWY",
        "F STP/SC - BOT",
        "F STP/SC - FIN",
        "F STP/SC - LVN",
        "F STP/SC B",
        "F STP/SC D",
        "F STP/SC H",
        "F STP/SC R BOT",
        "F STP/SC R FIN",
        "F STP/SC R LVN",
        "F STP/SC S A BER - FIN",
        "F STP/SC S A BER - LVN",
        "F STP/SC S A DEN - FIN",
        "F STP/SC S A DEN - LVN",
        "F STP/SC S A FIN",
        "F STP/SC S A FIN - LVN",
        "F STP/SC S A KIE - FIN",
        "F STP/SC S A KIE - LVN",
        "F STP/SC S A LVN",
        "F STP/SC S A LVN - FIN",
        "F STP/SC S A MOS - LVN",
        "F STP/SC S A NWY - FIN",
        "F STP/SC S A PRU - FIN",
        "F STP/SC S A PRU - LVN",
        "F STP/SC S A SWE - FIN",
        "F STP/SC S A SWE - LVN",
        "F STP/SC S A WAR - LVN",
        "F STP/SC S F BAL - BOT",
        "F STP/SC S F BAL - LVN",
        "F STP/SC S F BOT",
        "F STP/SC S F BOT - FIN",
        "F STP/SC S F BOT - LVN",
        "F STP/SC S F FIN",
        "F STP/SC S F FIN - BOT",
        "F STP/SC S F LVN",
        "F STP/SC S F LVN - BOT",
        "F STP/SC S F PRU - LVN",
        "F STP/SC S F SWE - BOT",
        "F STP/SC S F SWE - FIN",
        "F SWE - BAL",
        "F SWE - BOT",
        "F SWE - DEN",
        "F SWE - FIN",
        "F SWE - NWY",
        "F SWE - SKA",
        "F SWE D",
        "F SWE H",
        "F SWE R BAL",
        "F SWE R BOT",
        "F SWE R DEN",
        "F SWE R FIN",
        "F SWE R NWY",
        "F SWE R SKA",
        "F SWE S A BEL - DEN",
        "F SWE S A BEL - NWY",
        "F SWE S A BER - DEN",
        "F SWE S A BER - FIN",
        "F SWE S A BRE - DEN",
        "F SWE S A BRE - NWY",
        "F SWE S A CLY - DEN",
        "F SWE S A CLY - NWY",
        "F SWE S A DEN",
        "F SWE S A DEN - FIN",
        "F SWE S A DEN - NWY",
        "F SWE S A EDI - DEN",
        "F SWE S A EDI - NWY",
        "F SWE S A FIN",
        "F SWE S A FIN - DEN",
        "F SWE S A FIN - NWY",
        "F SWE S A GAS - DEN",
        "F SWE S A GAS - NWY",
        "F SWE S A HOL - DEN",
        "F SWE S A HOL - NWY",
        "F SWE S A KIE - DEN",
        "F SWE S A KIE - FIN",
        "F SWE S A KIE - NWY",
        "F SWE S A LON - DEN",
        "F SWE S A LON - NWY",
        "F SWE S A LVN - DEN",
        "F SWE S A LVN - FIN",
        "F SWE S A LVP - DEN",
        "F SWE S A LVP - NWY",
        "F SWE S A NAF - DEN",
        "F SWE S A NAF - NWY",
        "F SWE S A NWY",
        "F SWE S A NWY - DEN",
        "F SWE S A NWY - FIN",
        "F SWE S A PIC - DEN",
        "F SWE S A PIC - NWY",
        "F SWE S A POR - DEN",
        "F SWE S A POR - NWY",
        "F SWE S A PRU - DEN",
        "F SWE S A PRU - FIN",
        "F SWE S A SPA - DEN",
        "F SWE S A SPA - NWY",
        "F SWE S A STP - DEN",
        "F SWE S A STP - FIN",
        "F SWE S A STP - NWY",
        "F SWE S A TUN - DEN",
        "F SWE S A TUN - NWY",
        "F SWE S A WAL - DEN",
        "F SWE S A WAL - NWY",
        "F SWE S A YOR - DEN",
        "F SWE S A YOR - NWY",
        "F SWE S F BAL",
        "F SWE S F BAL - BOT",
        "F SWE S F BAL - DEN",
        "F SWE S F BAR - NWY",
        "F SWE S F BER - BAL",
        "F SWE S F BOT",
        "F SWE S F BOT - BAL",
        "F SWE S F BOT - FIN",
        "F SWE S F DEN",
        "F SWE S F DEN - BAL",
        "F SWE S F DEN - SKA",
        "F SWE S F FIN",
        "F SWE S F FIN - BOT",
        "F SWE S F HEL - DEN",
        "F SWE S F KIE - BAL",
        "F SWE S F KIE - DEN",
        "F SWE S F LVN - BAL",
        "F SWE S F LVN - BOT",
        "F SWE S F NTH - DEN",
        "F SWE S F NTH - NWY",
        "F SWE S F NTH - SKA",
        "F SWE S F NWG - NWY",
        "F SWE S F NWY",
        "F SWE S F NWY - SKA",
        "F SWE S F PRU - BAL",
        "F SWE S F SKA",
        "F SWE S F SKA - DEN",
        "F SWE S F SKA - NWY",
        "F SWE S F STP/NC - NWY",
        "F SWE S F STP/SC - BOT",
        "F SWE S F STP/SC - FIN",
        "F SYR - EAS",
        "F SYR - SMY",
        "F SYR D",
        "F SYR H",
        "F SYR R EAS",
        "F SYR R SMY",
        "F SYR S A ALB - SMY",
        "F SYR S A ANK - SMY",
        "F SYR S A APU - SMY",
        "F SYR S A ARM - SMY",
        "F SYR S A BUL - SMY",
        "F SYR S A CON - SMY",
        "F SYR S A GRE - SMY",
        "F SYR S A MAR - SMY",
        "F SYR S A NAF - SMY",
        "F SYR S A NAP - SMY",
        "F SYR S A PIE - SMY",
        "F SYR S A ROM - SMY",
        "F SYR S A SMY",
        "F SYR S A SPA - SMY",
        "F SYR S A TRI - SMY",
        "F SYR S A TUN - SMY",
        "F SYR S A TUS - SMY",
        "F SYR S A VEN - SMY",
        "F SYR S F AEG - EAS",
        "F SYR S F AEG - SMY",
        "F SYR S F CON - SMY",
        "F SYR S F EAS",
        "F SYR S F EAS - SMY",
        "F SYR S F ION - EAS",
        "F SYR S F SMY",
        "F SYR S F SMY - EAS",
        "F TRI - ADR",
        "F TRI - ALB",
        "F TRI - VEN",
        "F TRI B",
        "F TRI D",
        "F TRI H",
        "F TRI R ADR",
        "F TRI R ALB",
        "F TRI R VEN",
        "F TRI S A ALB",
        "F TRI S A ALB - VEN",
        "F TRI S A APU - ALB",
        "F TRI S A APU - VEN",
        "F TRI S A BRE - ALB",
        "F TRI S A BUL - ALB",
        "F TRI S A BUL - VEN",
        "F TRI S A CON - ALB",
        "F TRI S A CON - VEN",
        "F TRI S A GAS - ALB",
        "F TRI S A GRE - ALB",
        "F TRI S A GRE - VEN",
        "F TRI S A MAR - ALB",
        "F TRI S A MAR - VEN",
        "F TRI S A NAF - ALB",
        "F TRI S A NAF - VEN",
        "F TRI S A NAP - ALB",
        "F TRI S A NAP - VEN",
        "F TRI S A PIE - ALB",
        "F TRI S A PIE - VEN",
        "F TRI S A POR - ALB",
        "F TRI S A ROM - ALB",
        "F TRI S A ROM - VEN",
        "F TRI S A SER - ALB",
        "F TRI S A SMY - ALB",
        "F TRI S A SMY - VEN",
        "F TRI S A SPA - ALB",
        "F TRI S A SPA - VEN",
        "F TRI S A SYR - ALB",
        "F TRI S A SYR - VEN",
        "F TRI S A TUN - ALB",
        "F TRI S A TUN - VEN",
        "F TRI S A TUS - ALB",
        "F TRI S A TUS - VEN",
        "F TRI S A TYR - VEN",
        "F TRI S A VEN",
        "F TRI S A VEN - ALB",
        "F TRI S F ADR",
        "F TRI S F ADR - ALB",
        "F TRI S F ADR - VEN",
        "F TRI S F ALB",
        "F TRI S F ALB - ADR",
        "F TRI S F APU - ADR",
        "F TRI S F APU - VEN",
        "F TRI S F GRE - ALB",
        "F TRI S F ION - ADR",
        "F TRI S F ION - ALB",
        "F TRI S F VEN",
        "F TRI S F VEN - ADR",
        "F TUN - ION",
        "F TUN - NAF",
        "F TUN - TYS",
        "F TUN - WES",
        "F TUN D",
        "F TUN H",
        "F TUN R ION",
        "F TUN R NAF",
        "F TUN R TYS",
        "F TUN R WES",
        "F TUN S A ALB - NAF",
        "F TUN S A APU - NAF",
        "F TUN S A BEL - NAF",
        "F TUN S A BRE - NAF",
        "F TUN S A BUL - NAF",
        "F TUN S A CLY - NAF",
        "F TUN S A CON - NAF",
        "F TUN S A DEN - NAF",
        "F TUN S A EDI - NAF",
        "F TUN S A GAS - NAF",
        "F TUN S A GRE - NAF",
        "F TUN S A HOL - NAF",
        "F TUN S A KIE - NAF",
        "F TUN S A LON - NAF",
        "F TUN S A LVP - NAF",
        "F TUN S A MAR - NAF",
        "F TUN S A NAF",
        "F TUN S A NAP - NAF",
        "F TUN S A NWY - NAF",
        "F TUN S A PIC - NAF",
        "F TUN S A PIE - NAF",
        "F TUN S A POR - NAF",
        "F TUN S A ROM - NAF",
        "F TUN S A SMY - NAF",
        "F TUN S A SPA - NAF",
        "F TUN S A STP - NAF",
        "F TUN S A SWE - NAF",
        "F TUN S A SYR - NAF",
        "F TUN S A TRI - NAF",
        "F TUN S A TUS - NAF",
        "F TUN S A VEN - NAF",
        "F TUN S A WAL - NAF",
        "F TUN S A YOR - NAF",
        "F TUN S F ADR - ION",
        "F TUN S F AEG - ION",
        "F TUN S F ALB - ION",
        "F TUN S F APU - ION",
        "F TUN S F EAS - ION",
        "F TUN S F GRE - ION",
        "F TUN S F ION",
        "F TUN S F ION - TYS",
        "F TUN S F LYO - TYS",
        "F TUN S F LYO - WES",
        "F TUN S F MAO - NAF",
        "F TUN S F MAO - WES",
        "F TUN S F NAF",
        "F TUN S F NAF - WES",
        "F TUN S F NAP - ION",
        "F TUN S F NAP - TYS",
        "F TUN S F ROM - TYS",
        "F TUN S F SPA/SC - WES",
        "F TUN S F TUS - TYS",
        "F TUN S F TYS",
        "F TUN S F TYS - ION",
        "F TUN S F TYS - WES",
        "F TUN S F WES",
        "F TUN S F WES - NAF",
        "F TUN S F WES - TYS",
        "F TUS - LYO",
        "F TUS - PIE",
        "F TUS - ROM",
        "F TUS - TYS",
        "F TUS D",
        "F TUS H",
        "F TUS R LYO",
        "F TUS R PIE",
        "F TUS R ROM",
        "F TUS R TYS",
        "F TUS S A ALB - PIE",
        "F TUS S A ALB - ROM",
        "F TUS S A APU - PIE",
        "F TUS S A APU - ROM",
        "F TUS S A BEL - PIE",
        "F TUS S A BEL - ROM",
        "F TUS S A BRE - PIE",
        "F TUS S A BRE - ROM",
        "F TUS S A BUL - PIE",
        "F TUS S A BUL - ROM",
        "F TUS S A CLY - PIE",
        "F TUS S A CLY - ROM",
        "F TUS S A CON - PIE",
        "F TUS S A CON - ROM",
        "F TUS S A GAS - PIE",
        "F TUS S A GAS - ROM",
        "F TUS S A GRE - PIE",
        "F TUS S A GRE - ROM",
        "F TUS S A LON - PIE",
        "F TUS S A LON - ROM",
        "F TUS S A LVP - PIE",
        "F TUS S A LVP - ROM",
        "F TUS S A MAR - PIE",
        "F TUS S A MAR - ROM",
        "F TUS S A NAF - PIE",
        "F TUS S A NAF - ROM",
        "F TUS S A NAP - PIE",
        "F TUS S A NAP - ROM",
        "F TUS S A PIC - PIE",
        "F TUS S A PIC - ROM",
        "F TUS S A PIE",
        "F TUS S A PIE - ROM",
        "F TUS S A POR - PIE",
        "F TUS S A POR - ROM",
        "F TUS S A ROM",
        "F TUS S A ROM - PIE",
        "F TUS S A SMY - PIE",
        "F TUS S A SMY - ROM",
        "F TUS S A SPA - PIE",
        "F TUS S A SPA - ROM",
        "F TUS S A SYR - PIE",
        "F TUS S A SYR - ROM",
        "F TUS S A TRI - PIE",
        "F TUS S A TRI - ROM",
        "F TUS S A TUN - PIE",
        "F TUS S A TUN - ROM",
        "F TUS S A TYR - PIE",
        "F TUS S A VEN - PIE",
        "F TUS S A VEN - ROM",
        "F TUS S A WAL - PIE",
        "F TUS S A WAL - ROM",
        "F TUS S F ION - TYS",
        "F TUS S F LYO",
        "F TUS S F LYO - PIE",
        "F TUS S F LYO - TYS",
        "F TUS S F MAR - LYO",
        "F TUS S F MAR - PIE",
        "F TUS S F NAP - ROM",
        "F TUS S F NAP - TYS",
        "F TUS S F PIE",
        "F TUS S F PIE - LYO",
        "F TUS S F ROM",
        "F TUS S F ROM - TYS",
        "F TUS S F SPA/SC - LYO",
        "F TUS S F TUN - TYS",
        "F TUS S F TYS",
        "F TUS S F TYS - LYO",
        "F TUS S F TYS - ROM",
        "F TUS S F WES - LYO",
        "F TUS S F WES - TYS",
        "F TYS - ION",
        "F TYS - LYO",
        "F TYS - NAP",
        "F TYS - ROM",
        "F TYS - TUN",
        "F TYS - TUS",
        "F TYS - WES",
        "F TYS C A ALB - BRE",
        "F TYS C A ALB - GAS",
        "F TYS C A ALB - MAR",
        "F TYS C A ALB - NAF",
        "F TYS C A ALB - PIE",
        "F TYS C A ALB - POR",
        "F TYS C A ALB - ROM",
        "F TYS C A ALB - SPA",
        "F TYS C A ALB - TUS",
        "F TYS C A APU - BRE",
        "F TYS C A APU - GAS",
        "F TYS C A APU - MAR",
        "F TYS C A APU - NAF",
        "F TYS C A APU - PIE",
        "F TYS C A APU - POR",
        "F TYS C A APU - ROM",
        "F TYS C A APU - SPA",
        "F TYS C A APU - TUS",
        "F TYS C A BEL - NAP",
        "F TYS C A BEL - ROM",
        "F TYS C A BEL - TUS",
        "F TYS C A BRE - ALB",
        "F TYS C A BRE - APU",
        "F TYS C A BRE - GRE",
        "F TYS C A BRE - NAP",
        "F TYS C A BRE - ROM",
        "F TYS C A BRE - TUS",
        "F TYS C A BUL - MAR",
        "F TYS C A BUL - NAF",
        "F TYS C A BUL - PIE",
        "F TYS C A BUL - ROM",
        "F TYS C A BUL - SPA",
        "F TYS C A BUL - TUS",
        "F TYS C A CLY - NAP",
        "F TYS C A CLY - ROM",
        "F TYS C A CLY - TUS",
        "F TYS C A CON - MAR",
        "F TYS C A CON - NAF",
        "F TYS C A CON - PIE",
        "F TYS C A CON - ROM",
        "F TYS C A CON - SPA",
        "F TYS C A CON - TUS",
        "F TYS C A GAS - ALB",
        "F TYS C A GAS - APU",
        "F TYS C A GAS - GRE",
        "F TYS C A GAS - NAP",
        "F TYS C A GAS - ROM",
        "F TYS C A GAS - TUS",
        "F TYS C A GRE - BRE",
        "F TYS C A GRE - GAS",
        "F TYS C A GRE - MAR",
        "F TYS C A GRE - NAF",
        "F TYS C A GRE - PIE",
        "F TYS C A GRE - POR",
        "F TYS C A GRE - ROM",
        "F TYS C A GRE - SPA",
        "F TYS C A GRE - TUS",
        "F TYS C A LON - NAP",
        "F TYS C A LON - ROM",
        "F TYS C A LON - TUS",
        "F TYS C A LVP - NAP",
        "F TYS C A LVP - ROM",
        "F TYS C A LVP - TUS",
        "F TYS C A MAR - ALB",
        "F TYS C A MAR - APU",
        "F TYS C A MAR - BUL",
        "F TYS C A MAR - CON",
        "F TYS C A MAR - GRE",
        "F TYS C A MAR - NAP",
        "F TYS C A MAR - ROM",
        "F TYS C A MAR - SMY",
        "F TYS C A MAR - SYR",
        "F TYS C A MAR - TRI",
        "F TYS C A MAR - TUN",
        "F TYS C A MAR - VEN",
        "F TYS C A NAF - ALB",
        "F TYS C A NAF - APU",
        "F TYS C A NAF - BUL",
        "F TYS C A NAF - CON",
        "F TYS C A NAF - GRE",
        "F TYS C A NAF - NAP",
        "F TYS C A NAF - ROM",
        "F TYS C A NAF - SMY",
        "F TYS C A NAF - SYR",
        "F TYS C A NAF - TRI",
        "F TYS C A NAF - TUS",
        "F TYS C A NAF - VEN",
        "F TYS C A NAP - BEL",
        "F TYS C A NAP - BRE",
        "F TYS C A NAP - CLY",
        "F TYS C A NAP - GAS",
        "F TYS C A NAP - LON",
        "F TYS C A NAP - LVP",
        "F TYS C A NAP - MAR",
        "F TYS C A NAP - NAF",
        "F TYS C A NAP - PIC",
        "F TYS C A NAP - PIE",
        "F TYS C A NAP - POR",
        "F TYS C A NAP - ROM",
        "F TYS C A NAP - SPA",
        "F TYS C A NAP - TUN",
        "F TYS C A NAP - TUS",
        "F TYS C A NAP - WAL",
        "F TYS C A PIC - NAP",
        "F TYS C A PIC - ROM",
        "F TYS C A PIC - TUS",
        "F TYS C A PIE - ALB",
        "F TYS C A PIE - APU",
        "F TYS C A PIE - BUL",
        "F TYS C A PIE - CON",
        "F TYS C A PIE - GRE",
        "F TYS C A PIE - NAP",
        "F TYS C A PIE - ROM",
        "F TYS C A PIE - SMY",
        "F TYS C A PIE - SYR",
        "F TYS C A PIE - TRI",
        "F TYS C A PIE - TUN",
        "F TYS C A PIE - VEN",
        "F TYS C A POR - ALB",
        "F TYS C A POR - APU",
        "F TYS C A POR - GRE",
        "F TYS C A POR - NAP",
        "F TYS C A POR - ROM",
        "F TYS C A POR - TUS",
        "F TYS C A ROM - ALB",
        "F TYS C A ROM - APU",
        "F TYS C A ROM - BEL",
        "F TYS C A ROM - BRE",
        "F TYS C A ROM - BUL",
        "F TYS C A ROM - CLY",
        "F TYS C A ROM - CON",
        "F TYS C A ROM - GAS",
        "F TYS C A ROM - GRE",
        "F TYS C A ROM - LON",
        "F TYS C A ROM - LVP",
        "F TYS C A ROM - MAR",
        "F TYS C A ROM - NAF",
        "F TYS C A ROM - NAP",
        "F TYS C A ROM - PIC",
        "F TYS C A ROM - PIE",
        "F TYS C A ROM - POR",
        "F TYS C A ROM - SMY",
        "F TYS C A ROM - SPA",
        "F TYS C A ROM - SYR",
        "F TYS C A ROM - TRI",
        "F TYS C A ROM - TUN",
        "F TYS C A ROM - TUS",
        "F TYS C A ROM - VEN",
        "F TYS C A ROM - WAL",
        "F TYS C A SMY - MAR",
        "F TYS C A SMY - NAF",
        "F TYS C A SMY - PIE",
        "F TYS C A SMY - ROM",
        "F TYS C A SMY - SPA",
        "F TYS C A SMY - TUS",
        "F TYS C A SPA - ALB",
        "F TYS C A SPA - APU",
        "F TYS C A SPA - BUL",
        "F TYS C A SPA - CON",
        "F TYS C A SPA - GRE",
        "F TYS C A SPA - NAP",
        "F TYS C A SPA - ROM",
        "F TYS C A SPA - SMY",
        "F TYS C A SPA - SYR",
        "F TYS C A SPA - TRI",
        "F TYS C A SPA - TUN",
        "F TYS C A SPA - TUS",
        "F TYS C A SPA - VEN",
        "F TYS C A SYR - MAR",
        "F TYS C A SYR - NAF",
        "F TYS C A SYR - PIE",
        "F TYS C A SYR - ROM",
        "F TYS C A SYR - SPA",
        "F TYS C A SYR - TUS",
        "F TYS C A TRI - MAR",
        "F TYS C A TRI - NAF",
        "F TYS C A TRI - PIE",
        "F TYS C A TRI - ROM",
        "F TYS C A TRI - SPA",
        "F TYS C A TRI - TUS",
        "F TYS C A TUN - MAR",
        "F TYS C A TUN - NAP",
        "F TYS C A TUN - PIE",
        "F TYS C A TUN - ROM",
        "F TYS C A TUN - SPA",
        "F TYS C A TUN - TUS",
        "F TYS C A TUS - ALB",
        "F TYS C A TUS - APU",
        "F TYS C A TUS - BEL",
        "F TYS C A TUS - BRE",
        "F TYS C A TUS - BUL",
        "F TYS C A TUS - CLY",
        "F TYS C A TUS - CON",
        "F TYS C A TUS - GAS",
        "F TYS C A TUS - GRE",
        "F TYS C A TUS - LON",
        "F TYS C A TUS - LVP",
        "F TYS C A TUS - NAF",
        "F TYS C A TUS - NAP",
        "F TYS C A TUS - PIC",
        "F TYS C A TUS - POR",
        "F TYS C A TUS - ROM",
        "F TYS C A TUS - SMY",
        "F TYS C A TUS - SPA",
        "F TYS C A TUS - SYR",
        "F TYS C A TUS - TRI",
        "F TYS C A TUS - TUN",
        "F TYS C A TUS - VEN",
        "F TYS C A TUS - WAL",
        "F TYS C A VEN - MAR",
        "F TYS C A VEN - NAF",
        "F TYS C A VEN - PIE",
        "F TYS C A VEN - ROM",
        "F TYS C A VEN - SPA",
        "F TYS C A VEN - TUS",
        "F TYS C A WAL - NAP",
        "F TYS C A WAL - ROM",
        "F TYS C A WAL - TUS",
        "F TYS D",
        "F TYS H",
        "F TYS R ION",
        "F TYS R LYO",
        "F TYS R NAP",
        "F TYS R ROM",
        "F TYS R TUN",
        "F TYS R TUS",
        "F TYS R WES",
        "F TYS S A ALB - NAP",
        "F TYS S A ALB - TUN",
        "F TYS S A APU - NAP",
        "F TYS S A APU - ROM",
        "F TYS S A APU - TUN",
        "F TYS S A BEL - TUN",
        "F TYS S A BEL - TUS",
        "F TYS S A BRE - TUN",
        "F TYS S A BRE - TUS",
        "F TYS S A BUL - NAP",
        "F TYS S A BUL - TUN",
        "F TYS S A CLY - TUN",
        "F TYS S A CLY - TUS",
        "F TYS S A CON - NAP",
        "F TYS S A CON - TUN",
        "F TYS S A DEN - TUN",
        "F TYS S A EDI - TUN",
        "F TYS S A GAS - TUN",
        "F TYS S A GAS - TUS",
        "F TYS S A GRE - NAP",
        "F TYS S A GRE - TUN",
        "F TYS S A HOL - TUN",
        "F TYS S A LON - TUN",
        "F TYS S A LON - TUS",
        "F TYS S A LVP - TUN",
        "F TYS S A LVP - TUS",
        "F TYS S A MAR - TUN",
        "F TYS S A MAR - TUS",
        "F TYS S A NAF - TUN",
        "F TYS S A NAF - TUS",
        "F TYS S A NAP",
        "F TYS S A NAP - ROM",
        "F TYS S A NAP - TUN",
        "F TYS S A NWY - TUN",
        "F TYS S A PIC - TUN",
        "F TYS S A PIC - TUS",
        "F TYS S A PIE - TUN",
        "F TYS S A PIE - TUS",
        "F TYS S A POR - TUN",
        "F TYS S A POR - TUS",
        "F TYS S A ROM",
        "F TYS S A ROM - NAP",
        "F TYS S A ROM - TUS",
        "F TYS S A SMY - NAP",
        "F TYS S A SMY - TUN",
        "F TYS S A SPA - TUN",
        "F TYS S A SPA - TUS",
        "F TYS S A SYR - NAP",
        "F TYS S A SYR - TUN",
        "F TYS S A TRI - NAP",
        "F TYS S A TRI - TUN",
        "F TYS S A TUN",
        "F TYS S A TUN - NAP",
        "F TYS S A TUN - TUS",
        "F TYS S A TUS",
        "F TYS S A TUS - ROM",
        "F TYS S A TUS - TUN",
        "F TYS S A VEN - NAP",
        "F TYS S A VEN - ROM",
        "F TYS S A VEN - TUN",
        "F TYS S A VEN - TUS",
        "F TYS S A WAL - TUN",
        "F TYS S A WAL - TUS",
        "F TYS S A YOR - TUN",
        "F TYS S F ADR - ION",
        "F TYS S F AEG - ION",
        "F TYS S F ALB - ION",
        "F TYS S F APU - ION",
        "F TYS S F APU - NAP",
        "F TYS S F EAS - ION",
        "F TYS S F GRE - ION",
        "F TYS S F ION",
        "F TYS S F ION - NAP",
        "F TYS S F ION - TUN",
        "F TYS S F LYO",
        "F TYS S F LYO - TUS",
        "F TYS S F LYO - WES",
        "F TYS S F MAO - WES",
        "F TYS S F MAR - LYO",
        "F TYS S F NAF - TUN",
        "F TYS S F NAF - WES",
        "F TYS S F NAP",
        "F TYS S F NAP - ION",
        "F TYS S F NAP - ROM",
        "F TYS S F PIE - LYO",
        "F TYS S F PIE - TUS",
        "F TYS S F ROM",
        "F TYS S F ROM - NAP",
        "F TYS S F ROM - TUS",
        "F TYS S F SPA/SC - LYO",
        "F TYS S F SPA/SC - WES",
        "F TYS S F TUN",
        "F TYS S F TUN - ION",
        "F TYS S F TUN - WES",
        "F TYS S F TUS",
        "F TYS S F TUS - LYO",
        "F TYS S F TUS - ROM",
        "F TYS S F WES",
        "F TYS S F WES - LYO",
        "F TYS S F WES - TUN",
        "F VEN - ADR",
        "F VEN - APU",
        "F VEN - TRI",
        "F VEN B",
        "F VEN D",
        "F VEN H",
        "F VEN R ADR",
        "F VEN R APU",
        "F VEN R TRI",
        "F VEN S A ALB - APU",
        "F VEN S A ALB - TRI",
        "F VEN S A APU",
        "F VEN S A APU - TRI",
        "F VEN S A BRE - APU",
        "F VEN S A BUD - TRI",
        "F VEN S A BUL - APU",
        "F VEN S A BUL - TRI",
        "F VEN S A CON - APU",
        "F VEN S A CON - TRI",
        "F VEN S A GAS - APU",
        "F VEN S A GRE - APU",
        "F VEN S A GRE - TRI",
        "F VEN S A MAR - APU",
        "F VEN S A MAR - TRI",
        "F VEN S A NAF - APU",
        "F VEN S A NAF - TRI",
        "F VEN S A NAP - APU",
        "F VEN S A NAP - TRI",
        "F VEN S A PIE - APU",
        "F VEN S A PIE - TRI",
        "F VEN S A POR - APU",
        "F VEN S A ROM - APU",
        "F VEN S A ROM - TRI",
        "F VEN S A SER - TRI",
        "F VEN S A SMY - APU",
        "F VEN S A SMY - TRI",
        "F VEN S A SPA - APU",
        "F VEN S A SPA - TRI",
        "F VEN S A SYR - APU",
        "F VEN S A SYR - TRI",
        "F VEN S A TRI",
        "F VEN S A TRI - APU",
        "F VEN S A TUN - APU",
        "F VEN S A TUN - TRI",
        "F VEN S A TUS - APU",
        "F VEN S A TUS - TRI",
        "F VEN S A TYR - TRI",
        "F VEN S A VIE - TRI",
        "F VEN S F ADR",
        "F VEN S F ADR - APU",
        "F VEN S F ADR - TRI",
        "F VEN S F ALB - ADR",
        "F VEN S F ALB - TRI",
        "F VEN S F APU",
        "F VEN S F APU - ADR",
        "F VEN S F ION - ADR",
        "F VEN S F ION - APU",
        "F VEN S F NAP - APU",
        "F VEN S F TRI",
        "F VEN S F TRI - ADR",
        "F WAL - ENG",
        "F WAL - IRI",
        "F WAL - LON",
        "F WAL - LVP",
        "F WAL D",
        "F WAL H",
        "F WAL R ENG",
        "F WAL R IRI",
        "F WAL R LON",
        "F WAL R LVP",
        "F WAL S A BEL - LON",
        "F WAL S A BEL - LVP",
        "F WAL S A BRE - LON",
        "F WAL S A BRE - LVP",
        "F WAL S A CLY - LON",
        "F WAL S A CLY - LVP",
        "F WAL S A DEN - LON",
        "F WAL S A DEN - LVP",
        "F WAL S A EDI - LON",
        "F WAL S A EDI - LVP",
        "F WAL S A GAS - LON",
        "F WAL S A GAS - LVP",
        "F WAL S A HOL - LON",
        "F WAL S A HOL - LVP",
        "F WAL S A KIE - LON",
        "F WAL S A KIE - LVP",
        "F WAL S A LON",
        "F WAL S A LON - LVP",
        "F WAL S A LVP",
        "F WAL S A LVP - LON",
        "F WAL S A MAR - LON",
        "F WAL S A MAR - LVP",
        "F WAL S A NAF - LON",
        "F WAL S A NAF - LVP",
        "F WAL S A NAP - LON",
        "F WAL S A NAP - LVP",
        "F WAL S A NWY - LON",
        "F WAL S A NWY - LVP",
        "F WAL S A PIC - LON",
        "F WAL S A PIC - LVP",
        "F WAL S A PIE - LON",
        "F WAL S A PIE - LVP",
        "F WAL S A POR - LON",
        "F WAL S A POR - LVP",
        "F WAL S A ROM - LON",
        "F WAL S A ROM - LVP",
        "F WAL S A SPA - LON",
        "F WAL S A SPA - LVP",
        "F WAL S A STP - LON",
        "F WAL S A STP - LVP",
        "F WAL S A SWE - LON",
        "F WAL S A SWE - LVP",
        "F WAL S A TUN - LON",
        "F WAL S A TUN - LVP",
        "F WAL S A TUS - LON",
        "F WAL S A TUS - LVP",
        "F WAL S A YOR - LON",
        "F WAL S A YOR - LVP",
        "F WAL S F BEL - ENG",
        "F WAL S F BRE - ENG",
        "F WAL S F CLY - LVP",
        "F WAL S F ENG",
        "F WAL S F ENG - IRI",
        "F WAL S F ENG - LON",
        "F WAL S F IRI",
        "F WAL S F IRI - ENG",
        "F WAL S F IRI - LVP",
        "F WAL S F LON",
        "F WAL S F LON - ENG",
        "F WAL S F LVP",
        "F WAL S F LVP - IRI",
        "F WAL S F MAO - ENG",
        "F WAL S F MAO - IRI",
        "F WAL S F NAO - IRI",
        "F WAL S F NAO - LVP",
        "F WAL S F NTH - ENG",
        "F WAL S F NTH - LON",
        "F WAL S F PIC - ENG",
        "F WAL S F YOR - LON",
        "F WES - LYO",
        "F WES - MAO",
        "F WES - NAF",
        "F WES - SPA/SC",
        "F WES - TUN",
        "F WES - TYS",
        "F WES C A ALB - BRE",
        "F WES C A ALB - GAS",
        "F WES C A ALB - NAF",
        "F WES C A ALB - POR",
        "F WES C A ALB - SPA",
        "F WES C A APU - BRE",
        "F WES C A APU - GAS",
        "F WES C A APU - NAF",
        "F WES C A APU - POR",
        "F WES C A APU - SPA",
        "F WES C A BEL - MAR",
        "F WES C A BEL - NAP",
        "F WES C A BEL - PIE",
        "F WES C A BEL - ROM",
        "F WES C A BEL - TUN",
        "F WES C A BEL - TUS",
        "F WES C A BRE - ALB",
        "F WES C A BRE - APU",
        "F WES C A BRE - GRE",
        "F WES C A BRE - MAR",
        "F WES C A BRE - NAP",
        "F WES C A BRE - PIE",
        "F WES C A BRE - ROM",
        "F WES C A BRE - TUN",
        "F WES C A BRE - TUS",
        "F WES C A BUL - NAF",
        "F WES C A BUL - SPA",
        "F WES C A CLY - MAR",
        "F WES C A CLY - NAP",
        "F WES C A CLY - PIE",
        "F WES C A CLY - ROM",
        "F WES C A CLY - TUN",
        "F WES C A CLY - TUS",
        "F WES C A CON - NAF",
        "F WES C A CON - SPA",
        "F WES C A DEN - TUN",
        "F WES C A EDI - TUN",
        "F WES C A GAS - ALB",
        "F WES C A GAS - APU",
        "F WES C A GAS - GRE",
        "F WES C A GAS - MAR",
        "F WES C A GAS - NAP",
        "F WES C A GAS - PIE",
        "F WES C A GAS - ROM",
        "F WES C A GAS - TUN",
        "F WES C A GAS - TUS",
        "F WES C A GRE - BRE",
        "F WES C A GRE - GAS",
        "F WES C A GRE - NAF",
        "F WES C A GRE - POR",
        "F WES C A GRE - SPA",
        "F WES C A HOL - TUN",
        "F WES C A LON - MAR",
        "F WES C A LON - NAP",
        "F WES C A LON - PIE",
        "F WES C A LON - ROM",
        "F WES C A LON - TUN",
        "F WES C A LON - TUS",
        "F WES C A LVP - MAR",
        "F WES C A LVP - NAP",
        "F WES C A LVP - PIE",
        "F WES C A LVP - ROM",
        "F WES C A LVP - TUN",
        "F WES C A LVP - TUS",
        "F WES C A MAR - BEL",
        "F WES C A MAR - BRE",
        "F WES C A MAR - CLY",
        "F WES C A MAR - GAS",
        "F WES C A MAR - LON",
        "F WES C A MAR - LVP",
        "F WES C A MAR - NAF",
        "F WES C A MAR - PIC",
        "F WES C A MAR - POR",
        "F WES C A MAR - TUN",
        "F WES C A MAR - WAL",
        "F WES C A NAF - ALB",
        "F WES C A NAF - APU",
        "F WES C A NAF - BUL",
        "F WES C A NAF - CON",
        "F WES C A NAF - GRE",
        "F WES C A NAF - MAR",
        "F WES C A NAF - NAP",
        "F WES C A NAF - PIE",
        "F WES C A NAF - ROM",
        "F WES C A NAF - SMY",
        "F WES C A NAF - SPA",
        "F WES C A NAF - SYR",
        "F WES C A NAF - TRI",
        "F WES C A NAF - TUN",
        "F WES C A NAF - TUS",
        "F WES C A NAF - VEN",
        "F WES C A NAP - BEL",
        "F WES C A NAP - BRE",
        "F WES C A NAP - CLY",
        "F WES C A NAP - GAS",
        "F WES C A NAP - LON",
        "F WES C A NAP - LVP",
        "F WES C A NAP - NAF",
        "F WES C A NAP - PIC",
        "F WES C A NAP - POR",
        "F WES C A NAP - SPA",
        "F WES C A NAP - WAL",
        "F WES C A NWY - TUN",
        "F WES C A PIC - MAR",
        "F WES C A PIC - NAP",
        "F WES C A PIC - PIE",
        "F WES C A PIC - ROM",
        "F WES C A PIC - TUN",
        "F WES C A PIC - TUS",
        "F WES C A PIE - BEL",
        "F WES C A PIE - BRE",
        "F WES C A PIE - CLY",
        "F WES C A PIE - GAS",
        "F WES C A PIE - LON",
        "F WES C A PIE - LVP",
        "F WES C A PIE - NAF",
        "F WES C A PIE - PIC",
        "F WES C A PIE - POR",
        "F WES C A PIE - TUN",
        "F WES C A PIE - WAL",
        "F WES C A POR - ALB",
        "F WES C A POR - APU",
        "F WES C A POR - GRE",
        "F WES C A POR - MAR",
        "F WES C A POR - NAP",
        "F WES C A POR - PIE",
        "F WES C A POR - ROM",
        "F WES C A POR - TUN",
        "F WES C A POR - TUS",
        "F WES C A ROM - BEL",
        "F WES C A ROM - BRE",
        "F WES C A ROM - CLY",
        "F WES C A ROM - GAS",
        "F WES C A ROM - LON",
        "F WES C A ROM - LVP",
        "F WES C A ROM - NAF",
        "F WES C A ROM - PIC",
        "F WES C A ROM - POR",
        "F WES C A ROM - SPA",
        "F WES C A ROM - WAL",
        "F WES C A SMY - NAF",
        "F WES C A SMY - SPA",
        "F WES C A SPA - ALB",
        "F WES C A SPA - APU",
        "F WES C A SPA - BUL",
        "F WES C A SPA - CON",
        "F WES C A SPA - GRE",
        "F WES C A SPA - NAF",
        "F WES C A SPA - NAP",
        "F WES C A SPA - ROM",
        "F WES C A SPA - SMY",
        "F WES C A SPA - SYR",
        "F WES C A SPA - TRI",
        "F WES C A SPA - TUN",
        "F WES C A SPA - TUS",
        "F WES C A SPA - VEN",
        "F WES C A SYR - NAF",
        "F WES C A SYR - SPA",
        "F WES C A TRI - NAF",
        "F WES C A TRI - SPA",
        "F WES C A TUN - BEL",
        "F WES C A TUN - BRE",
        "F WES C A TUN - CLY",
        "F WES C A TUN - DEN",
        "F WES C A TUN - EDI",
        "F WES C A TUN - GAS",
        "F WES C A TUN - HOL",
        "F WES C A TUN - LON",
        "F WES C A TUN - LVP",
        "F WES C A TUN - MAR",
        "F WES C A TUN - NAF",
        "F WES C A TUN - NWY",
        "F WES C A TUN - PIC",
        "F WES C A TUN - PIE",
        "F WES C A TUN - POR",
        "F WES C A TUN - SPA",
        "F WES C A TUN - TUS",
        "F WES C A TUN - WAL",
        "F WES C A TUN - YOR",
        "F WES C A TUS - BEL",
        "F WES C A TUS - BRE",
        "F WES C A TUS - CLY",
        "F WES C A TUS - GAS",
        "F WES C A TUS - LON",
        "F WES C A TUS - LVP",
        "F WES C A TUS - NAF",
        "F WES C A TUS - PIC",
        "F WES C A TUS - POR",
        "F WES C A TUS - SPA",
        "F WES C A TUS - TUN",
        "F WES C A TUS - WAL",
        "F WES C A VEN - NAF",
        "F WES C A VEN - SPA",
        "F WES C A WAL - MAR",
        "F WES C A WAL - NAP",
        "F WES C A WAL - PIE",
        "F WES C A WAL - ROM",
        "F WES C A WAL - TUN",
        "F WES C A WAL - TUS",
        "F WES C A YOR - TUN",
        "F WES D",
        "F WES H",
        "F WES R LYO",
        "F WES R MAO",
        "F WES R NAF",
        "F WES R SPA/SC",
        "F WES R TUN",
        "F WES R TYS",
        "F WES S A ALB - SPA",
        "F WES S A ALB - TUN",
        "F WES S A APU - SPA",
        "F WES S A APU - TUN",
        "F WES S A BEL - NAF",
        "F WES S A BEL - SPA",
        "F WES S A BRE - NAF",
        "F WES S A BRE - SPA",
        "F WES S A BUL - SPA",
        "F WES S A BUL - TUN",
        "F WES S A CLY - NAF",
        "F WES S A CLY - SPA",
        "F WES S A CON - SPA",
        "F WES S A CON - TUN",
        "F WES S A DEN - NAF",
        "F WES S A DEN - SPA",
        "F WES S A EDI - NAF",
        "F WES S A EDI - SPA",
        "F WES S A GAS - NAF",
        "F WES S A GAS - SPA",
        "F WES S A GRE - SPA",
        "F WES S A GRE - TUN",
        "F WES S A HOL - NAF",
        "F WES S A HOL - SPA",
        "F WES S A KIE - NAF",
        "F WES S A KIE - SPA",
        "F WES S A LON - NAF",
        "F WES S A LON - SPA",
        "F WES S A LVP - NAF",
        "F WES S A LVP - SPA",
        "F WES S A MAR - SPA",
        "F WES S A MAR - TUN",
        "F WES S A NAF",
        "F WES S A NAF - SPA",
        "F WES S A NAF - TUN",
        "F WES S A NAP - SPA",
        "F WES S A NAP - TUN",
        "F WES S A NWY - NAF",
        "F WES S A NWY - SPA",
        "F WES S A PIC - NAF",
        "F WES S A PIC - SPA",
        "F WES S A PIE - SPA",
        "F WES S A PIE - TUN",
        "F WES S A POR - NAF",
        "F WES S A POR - SPA",
        "F WES S A ROM - SPA",
        "F WES S A ROM - TUN",
        "F WES S A SMY - SPA",
        "F WES S A SMY - TUN",
        "F WES S A SPA",
        "F WES S A SPA - NAF",
        "F WES S A SPA - TUN",
        "F WES S A STP - NAF",
        "F WES S A STP - SPA",
        "F WES S A SWE - NAF",
        "F WES S A SWE - SPA",
        "F WES S A SYR - SPA",
        "F WES S A SYR - TUN",
        "F WES S A TRI - SPA",
        "F WES S A TRI - TUN",
        "F WES S A TUN",
        "F WES S A TUN - NAF",
        "F WES S A TUN - SPA",
        "F WES S A TUS - SPA",
        "F WES S A TUS - TUN",
        "F WES S A VEN - SPA",
        "F WES S A VEN - TUN",
        "F WES S A WAL - NAF",
        "F WES S A WAL - SPA",
        "F WES S A YOR - NAF",
        "F WES S A YOR - SPA",
        "F WES S F BRE - MAO",
        "F WES S F ENG - MAO",
        "F WES S F GAS - MAO",
        "F WES S F GAS - SPA",
        "F WES S F GAS - SPA/NC",
        "F WES S F GAS - SPA/SC",
        "F WES S F ION - TUN",
        "F WES S F ION - TYS",
        "F WES S F IRI - MAO",
        "F WES S F LYO",
        "F WES S F LYO - SPA",
        "F WES S F LYO - SPA/NC",
        "F WES S F LYO - SPA/SC",
        "F WES S F LYO - TYS",
        "F WES S F MAO",
        "F WES S F MAO - NAF",
        "F WES S F MAO - SPA",
        "F WES S F MAO - SPA/NC",
        "F WES S F MAO - SPA/SC",
        "F WES S F MAR - LYO",
        "F WES S F MAR - SPA",
        "F WES S F MAR - SPA/NC",
        "F WES S F MAR - SPA/SC",
        "F WES S F NAF",
        "F WES S F NAF - MAO",
        "F WES S F NAF - TUN",
        "F WES S F NAO - MAO",
        "F WES S F NAP - TYS",
        "F WES S F PIE - LYO",
        "F WES S F POR - MAO",
        "F WES S F POR - SPA",
        "F WES S F POR - SPA/NC",
        "F WES S F POR - SPA/SC",
        "F WES S F ROM - TYS",
        "F WES S F SPA/NC",
        "F WES S F SPA/NC - MAO",
        "F WES S F SPA/SC",
        "F WES S F SPA/SC - LYO",
        "F WES S F SPA/SC - MAO",
        "F WES S F TUN",
        "F WES S F TUN - NAF",
        "F WES S F TUN - TYS",
        "F WES S F TUS - LYO",
        "F WES S F TUS - TYS",
        "F WES S F TYS",
        "F WES S F TYS - LYO",
        "F WES S F TYS - TUN",
        "F YOR - EDI",
        "F YOR - LON",
        "F YOR - NTH",
        "F YOR D",
        "F YOR H",
        "F YOR R EDI",
        "F YOR R LON",
        "F YOR R NTH",
        "F YOR S A BEL - EDI",
        "F YOR S A BEL - LON",
        "F YOR S A BRE - EDI",
        "F YOR S A BRE - LON",
        "F YOR S A CLY - EDI",
        "F YOR S A CLY - LON",
        "F YOR S A DEN - EDI",
        "F YOR S A DEN - LON",
        "F YOR S A EDI",
        "F YOR S A EDI - LON",
        "F YOR S A GAS - EDI",
        "F YOR S A GAS - LON",
        "F YOR S A HOL - EDI",
        "F YOR S A HOL - LON",
        "F YOR S A KIE - EDI",
        "F YOR S A KIE - LON",
        "F YOR S A LON",
        "F YOR S A LON - EDI",
        "F YOR S A LVP - EDI",
        "F YOR S A LVP - LON",
        "F YOR S A MAR - LON",
        "F YOR S A NAF - EDI",
        "F YOR S A NAF - LON",
        "F YOR S A NAP - LON",
        "F YOR S A NWY - EDI",
        "F YOR S A NWY - LON",
        "F YOR S A PIC - EDI",
        "F YOR S A PIC - LON",
        "F YOR S A PIE - LON",
        "F YOR S A POR - EDI",
        "F YOR S A POR - LON",
        "F YOR S A ROM - LON",
        "F YOR S A SPA - EDI",
        "F YOR S A SPA - LON",
        "F YOR S A STP - EDI",
        "F YOR S A STP - LON",
        "F YOR S A SWE - EDI",
        "F YOR S A SWE - LON",
        "F YOR S A TUN - EDI",
        "F YOR S A TUN - LON",
        "F YOR S A TUS - LON",
        "F YOR S A WAL - EDI",
        "F YOR S A WAL - LON",
        "F YOR S F BEL - NTH",
        "F YOR S F CLY - EDI",
        "F YOR S F DEN - NTH",
        "F YOR S F EDI",
        "F YOR S F EDI - NTH",
        "F YOR S F ENG - LON",
        "F YOR S F ENG - NTH",
        "F YOR S F HEL - NTH",
        "F YOR S F HOL - NTH",
        "F YOR S F LON",
        "F YOR S F LON - NTH",
        "F YOR S F NTH",
        "F YOR S F NTH - EDI",
        "F YOR S F NTH - LON",
        "F YOR S F NWG - EDI",
        "F YOR S F NWG - NTH",
        "F YOR S F NWY - NTH",
        "F YOR S F SKA - NTH",
        "F YOR S F WAL - LON",
        "A ANK B",
        "A ANK B;A CON B",
        "A ANK B;A CON B;A SMY B",
        "A ANK B;A CON B;F SMY B",
        "A ANK B;A SMY B",
        "A ANK B;A SMY B;F CON B",
        "A ANK B;F CON B",
        "A ANK B;F CON B;F SMY B",
        "A ANK B;F SMY B",
        "A BER B",
        "A BER B;A KIE B",
        "A BER B;A KIE B;A MUN B",
        "A BER B;A MUN B",
        "A BER B;A MUN B;F KIE B",
        "A BER B;F KIE B",
        "A BRE B",
        "A BRE B;A MAR B",
        "A BRE B;A MAR B;A PAR B",
        "A BRE B;A PAR B",
        "A BRE B;A PAR B;F MAR B",
        "A BRE B;F MAR B",
        "A BUD B",
        "A BUD B;A TRI B",
        "A BUD B;A TRI B;A VIE B",
        "A BUD B;A VIE B",
        "A BUD B;A VIE B;F TRI B",
        "A BUD B;F TRI B",
        "A CON B",
        "A CON B;A SMY B",
        "A CON B;A SMY B;F ANK B",
        "A CON B;F ANK B",
        "A CON B;F ANK B;F SMY B",
        "A CON B;F SMY B",
        "A EDI B",
        "A EDI B;A LON B",
        "A EDI B;A LON B;A LVP B",
        "A EDI B;A LON B;F LVP B",
        "A EDI B;A LVP B",
        "A EDI B;A LVP B;F LON B",
        "A EDI B;F LON B",
        "A EDI B;F LON B;F LVP B",
        "A EDI B;F LVP B",
        "A KIE B",
        "A KIE B;A MUN B",
        "A KIE B;A MUN B;F BER B",
        "A KIE B;F BER B",
        "A LON B",
        "A LON B;A LVP B",
        "A LON B;A LVP B;F EDI B",
        "A LON B;F EDI B",
        "A LON B;F EDI B;F LVP B",
        "A LON B;F LVP B",
        "A LVP B",
        "A LVP B;F EDI B",
        "A LVP B;F EDI B;F LON B",
        "A LVP B;F LON B",
        "A MAR B",
        "A MAR B;A PAR B",
        "A MAR B;A PAR B;F BRE B",
        "A MAR B;F BRE B",
        "A MOS B",
        "A MOS B;A SEV B",
        "A MOS B;A SEV B;A STP B",
        "A MOS B;A SEV B;A STP B;A WAR B",
        "A MOS B;A SEV B;A WAR B",
        "A MOS B;A SEV B;A WAR B;F STP/NC B",
        "A MOS B;A SEV B;A WAR B;F STP/SC B",
        "A MOS B;A SEV B;F STP/NC B",
        "A MOS B;A SEV B;F STP/SC B",
        "A MOS B;A STP B",
        "A MOS B;A STP B;A WAR B",
        "A MOS B;A STP B;A WAR B;F SEV B",
        "A MOS B;A STP B;F SEV B",
        "A MOS B;A WAR B",
        "A MOS B;A WAR B;F SEV B",
        "A MOS B;A WAR B;F SEV B;F STP/NC B",
        "A MOS B;A WAR B;F SEV B;F STP/SC B",
        "A MOS B;A WAR B;F STP/NC B",
        "A MOS B;A WAR B;F STP/SC B",
        "A MOS B;F SEV B",
        "A MOS B;F SEV B;F STP/NC B",
        "A MOS B;F SEV B;F STP/SC B",
        "A MOS B;F STP/NC B",
        "A MOS B;F STP/SC B",
        "A MUN B",
        "A MUN B;F BER B",
        "A MUN B;F BER B;F KIE B",
        "A MUN B;F KIE B",
        "A NAP B",
        "A NAP B;A ROM B",
        "A NAP B;A ROM B;A VEN B",
        "A NAP B;A ROM B;F VEN B",
        "A NAP B;A VEN B",
        "A NAP B;A VEN B;F ROM B",
        "A NAP B;F ROM B",
        "A NAP B;F ROM B;F VEN B",
        "A NAP B;F VEN B",
        "A PAR B",
        "A PAR B;F BRE B",
        "A PAR B;F BRE B;F MAR B",
        "A PAR B;F MAR B",
        "A ROM B",
        "A ROM B;A VEN B",
        "A ROM B;A VEN B;F NAP B",
        "A ROM B;F NAP B",
        "A ROM B;F NAP B;F VEN B",
        "A ROM B;F VEN B",
        "A SEV B",
        "A SEV B;A STP B",
        "A SEV B;A STP B;A WAR B",
        "A SEV B;A WAR B",
        "A SEV B;A WAR B;F STP/NC B",
        "A SEV B;A WAR B;F STP/SC B",
        "A SEV B;F STP/NC B",
        "A SEV B;F STP/SC B",
        "A SMY B",
        "A SMY B;F ANK B",
        "A SMY B;F ANK B;F CON B",
        "A SMY B;F CON B",
        "A STP B",
        "A STP B;A WAR B",
        "A STP B;A WAR B;F SEV B",
        "A STP B;F SEV B",
        "A TRI B",
        "A TRI B;A VIE B",
        "A VEN B",
        "A VEN B;F NAP B",
        "A VEN B;F NAP B;F ROM B",
        "A VEN B;F ROM B",
        "A VIE B",
        "A VIE B;F TRI B",
        "A WAR B",
        "A WAR B;F SEV B",
        "A WAR B;F SEV B;F STP/NC B",
        "A WAR B;F SEV B;F STP/SC B",
        "A WAR B;F STP/NC B",
        "A WAR B;F STP/SC B",
        "F ANK B",
        "F ANK B;F CON B",
        "F ANK B;F CON B;F SMY B",
        "F ANK B;F SMY B",
        "F BER B",
        "F BER B;F KIE B",
        "F BRE B",
        "F BRE B;F MAR B",
        "F CON B",
        "F CON B;F SMY B",
        "F EDI B",
        "F EDI B;F LON B",
        "F EDI B;F LON B;F LVP B",
        "F EDI B;F LVP B",
        "F KIE B",
        "F LON B",
        "F LON B;F LVP B",
        "F LVP B",
        "F MAR B",
        "F NAP B",
        "F NAP B;F ROM B",
        "F NAP B;F ROM B;F VEN B",
        "F NAP B;F VEN B",
        "F ROM B",
        "F ROM B;F VEN B",
        "F SEV B",
        "F SEV B;F STP/NC B",
        "F SEV B;F STP/SC B",
        "F SMY B",
        "F STP/NC B",
        "F STP/SC B",
        "F TRI B",
        "F VEN B",
        "A ALB D",
        "A ANK D",
        "A APU D",
        "A ARM D",
        "A BEL D",
        "A BER D",
        "A BOH D",
        "A BRE D",
        "A BUD D",
        "A BUL D",
        "A BUR D",
        "A CLY D",
        "A CON D",
        "A DEN D",
        "A EDI D",
        "A FIN D",
        "A GAL D",
        "A GAS D",
        "A GRE D",
        "A HOL D",
        "A KIE D",
        "A LON D",
        "A LVN D",
        "A LVP D",
        "A MAR D",
        "A MOS D",
        "A MUN D",
        "A NAF D",
        "A NAP D",
        "A NWY D",
        "A PAR D",
        "A PIC D",
        "A PIE D",
        "A POR D",
        "A PRU D",
        "A ROM D",
        "A RUH D",
        "A RUM D",
        "A SER D",
        "A SEV D",
        "A SIL D",
        "A SMY D",
        "A SPA D",
        "A STP D",
        "A SWE D",
        "A SYR D",
        "A TRI D",
        "A TUN D",
        "A TUS D",
        "A TYR D",
        "A UKR D",
        "A VEN D",
        "A VIE D",
        "A WAL D",
        "A WAR D",
        "A YOR D",
        "F ADR D",
        "F AEG D",
        "F ALB D",
        "F ANK D",
        "F APU D",
        "F ARM D",
        "F BAL D",
        "F BAR D",
        "F BEL D",
        "F BER D",
        "F BLA D",
        "F BOT D",
        "F BRE D",
        "F BUL/EC D",
        "F BUL/SC D",
        "F CLY D",
        "F CON D",
        "F DEN D",
        "F EAS D",
        "F EDI D",
        "F ENG D",
        "F FIN D",
        "F GAS D",
        "F GRE D",
        "F HEL D",
        "F HOL D",
        "F ION D",
        "F IRI D",
        "F KIE D",
        "F LON D",
        "F LVN D",
        "F LVP D",
        "F LYO D",
        "F MAO D",
        "F MAR D",
        "F NAF D",
        "F NAO D",
        "F NAP D",
        "F NTH D",
        "F NWG D",
        "F NWY D",
        "F PIC D",
        "F PIE D",
        "F POR D",
        "F PRU D",
        "F ROM D",
        "F RUM D",
        "F SEV D",
        "F SKA D",
        "F SMY D",
        "F SPA/NC D",
        "F SPA/SC D",
        "F STP/NC D",
        "F STP/SC D",
        "F SWE D",
        "F SYR D",
        "F TRI D",
        "F TUN D",
        "F TUS D",
        "F TYS D",
        "F VEN D",
        "F WAL D",
        "F WES D",
        "F YOR D",
    ]
